// This file is @generated by prost-build.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FtraceDescriptor {
    /// Report the available atrace categories.
    ///
    /// Used by Traceur via `perfetto --query`.
    #[prost(message, repeated, tag = "1")]
    pub atrace_categories: ::prost::alloc::vec::Vec<ftrace_descriptor::AtraceCategory>,
}
/// Nested message and enum types in `FtraceDescriptor`.
pub mod ftrace_descriptor {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct AtraceCategory {
        #[prost(string, optional, tag = "1")]
        pub name: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(string, optional, tag = "2")]
        pub description: ::core::option::Option<::prost::alloc::string::String>,
    }
}
/// Description of GPU counters.
/// This message is sent by a GPU counter producer to specify the counters
/// available in the hardware.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GpuCounterDescriptor {
    #[prost(message, repeated, tag = "1")]
    pub specs: ::prost::alloc::vec::Vec<gpu_counter_descriptor::GpuCounterSpec>,
    #[prost(message, repeated, tag = "2")]
    pub blocks: ::prost::alloc::vec::Vec<gpu_counter_descriptor::GpuCounterBlock>,
    /// optional.  Minimum sampling period supported by the producer in
    /// nanoseconds.
    #[prost(uint64, optional, tag = "3")]
    pub min_sampling_period_ns: ::core::option::Option<u64>,
    /// optional.  Maximum sampling period supported by the producer in
    /// nanoseconds.
    #[prost(uint64, optional, tag = "4")]
    pub max_sampling_period_ns: ::core::option::Option<u64>,
    /// optional.  The producer supports counter sampling by instrumenting the
    /// command buffer.
    #[prost(bool, optional, tag = "5")]
    pub supports_instrumented_sampling: ::core::option::Option<bool>,
}
/// Nested message and enum types in `GpuCounterDescriptor`.
pub mod gpu_counter_descriptor {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct GpuCounterSpec {
        #[prost(uint32, optional, tag = "1")]
        pub counter_id: ::core::option::Option<u32>,
        #[prost(string, optional, tag = "2")]
        pub name: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(string, optional, tag = "3")]
        pub description: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(enumeration = "MeasureUnit", repeated, packed = "false", tag = "7")]
        pub numerator_units: ::prost::alloc::vec::Vec<i32>,
        #[prost(enumeration = "MeasureUnit", repeated, packed = "false", tag = "8")]
        pub denominator_units: ::prost::alloc::vec::Vec<i32>,
        #[prost(bool, optional, tag = "9")]
        pub select_by_default: ::core::option::Option<bool>,
        #[prost(enumeration = "GpuCounterGroup", repeated, packed = "false", tag = "10")]
        pub groups: ::prost::alloc::vec::Vec<i32>,
        #[prost(oneof = "gpu_counter_spec::PeakValue", tags = "5, 6")]
        pub peak_value: ::core::option::Option<gpu_counter_spec::PeakValue>,
    }
    /// Nested message and enum types in `GpuCounterSpec`.
    pub mod gpu_counter_spec {
        #[derive(Clone, Copy, PartialEq, ::prost::Oneof)]
        pub enum PeakValue {
            #[prost(int64, tag = "5")]
            IntPeakValue(i64),
            #[prost(double, tag = "6")]
            DoublePeakValue(f64),
        }
    }
    /// Allow producer to group counters into block to represent counter islands.
    /// A capacity may be specified to indicate the number of counters that can be
    /// enable simultaneously in that block.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct GpuCounterBlock {
        /// required. Unique ID for the counter group.
        #[prost(uint32, optional, tag = "1")]
        pub block_id: ::core::option::Option<u32>,
        /// optional. Number of counters supported by the block. No limit if unset.
        #[prost(uint32, optional, tag = "2")]
        pub block_capacity: ::core::option::Option<u32>,
        /// optional. Name of block.
        #[prost(string, optional, tag = "3")]
        pub name: ::core::option::Option<::prost::alloc::string::String>,
        /// optional. Description for the block.
        #[prost(string, optional, tag = "4")]
        pub description: ::core::option::Option<::prost::alloc::string::String>,
        /// list of counters that are part of the block.
        #[prost(uint32, repeated, packed = "false", tag = "5")]
        pub counter_ids: ::prost::alloc::vec::Vec<u32>,
    }
    /// Logical groups for a counter.  This is used in the UI to present the
    /// related counters together.
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum GpuCounterGroup {
        Unclassified = 0,
        System = 1,
        Vertices = 2,
        Fragments = 3,
        Primitives = 4,
        /// Includes counters relating to caching and bandwidth.
        Memory = 5,
        Compute = 6,
    }
    impl GpuCounterGroup {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Unclassified => "UNCLASSIFIED",
                Self::System => "SYSTEM",
                Self::Vertices => "VERTICES",
                Self::Fragments => "FRAGMENTS",
                Self::Primitives => "PRIMITIVES",
                Self::Memory => "MEMORY",
                Self::Compute => "COMPUTE",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "UNCLASSIFIED" => Some(Self::Unclassified),
                "SYSTEM" => Some(Self::System),
                "VERTICES" => Some(Self::Vertices),
                "FRAGMENTS" => Some(Self::Fragments),
                "PRIMITIVES" => Some(Self::Primitives),
                "MEMORY" => Some(Self::Memory),
                "COMPUTE" => Some(Self::Compute),
                _ => None,
            }
        }
    }
    /// next id: 41
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum MeasureUnit {
        None = 0,
        Bit = 1,
        Kilobit = 2,
        Megabit = 3,
        Gigabit = 4,
        Terabit = 5,
        Petabit = 6,
        Byte = 7,
        Kilobyte = 8,
        Megabyte = 9,
        Gigabyte = 10,
        Terabyte = 11,
        Petabyte = 12,
        Hertz = 13,
        Kilohertz = 14,
        Megahertz = 15,
        Gigahertz = 16,
        Terahertz = 17,
        Petahertz = 18,
        Nanosecond = 19,
        Microsecond = 20,
        Millisecond = 21,
        Second = 22,
        Minute = 23,
        Hour = 24,
        Vertex = 25,
        Pixel = 26,
        Triangle = 27,
        Primitive = 38,
        Fragment = 39,
        Milliwatt = 28,
        Watt = 29,
        Kilowatt = 30,
        Joule = 31,
        Volt = 32,
        Ampere = 33,
        Celsius = 34,
        Fahrenheit = 35,
        Kelvin = 36,
        /// Values should be out of 100.
        Percent = 37,
        Instruction = 40,
    }
    impl MeasureUnit {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::None => "NONE",
                Self::Bit => "BIT",
                Self::Kilobit => "KILOBIT",
                Self::Megabit => "MEGABIT",
                Self::Gigabit => "GIGABIT",
                Self::Terabit => "TERABIT",
                Self::Petabit => "PETABIT",
                Self::Byte => "BYTE",
                Self::Kilobyte => "KILOBYTE",
                Self::Megabyte => "MEGABYTE",
                Self::Gigabyte => "GIGABYTE",
                Self::Terabyte => "TERABYTE",
                Self::Petabyte => "PETABYTE",
                Self::Hertz => "HERTZ",
                Self::Kilohertz => "KILOHERTZ",
                Self::Megahertz => "MEGAHERTZ",
                Self::Gigahertz => "GIGAHERTZ",
                Self::Terahertz => "TERAHERTZ",
                Self::Petahertz => "PETAHERTZ",
                Self::Nanosecond => "NANOSECOND",
                Self::Microsecond => "MICROSECOND",
                Self::Millisecond => "MILLISECOND",
                Self::Second => "SECOND",
                Self::Minute => "MINUTE",
                Self::Hour => "HOUR",
                Self::Vertex => "VERTEX",
                Self::Pixel => "PIXEL",
                Self::Triangle => "TRIANGLE",
                Self::Primitive => "PRIMITIVE",
                Self::Fragment => "FRAGMENT",
                Self::Milliwatt => "MILLIWATT",
                Self::Watt => "WATT",
                Self::Kilowatt => "KILOWATT",
                Self::Joule => "JOULE",
                Self::Volt => "VOLT",
                Self::Ampere => "AMPERE",
                Self::Celsius => "CELSIUS",
                Self::Fahrenheit => "FAHRENHEIT",
                Self::Kelvin => "KELVIN",
                Self::Percent => "PERCENT",
                Self::Instruction => "INSTRUCTION",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "NONE" => Some(Self::None),
                "BIT" => Some(Self::Bit),
                "KILOBIT" => Some(Self::Kilobit),
                "MEGABIT" => Some(Self::Megabit),
                "GIGABIT" => Some(Self::Gigabit),
                "TERABIT" => Some(Self::Terabit),
                "PETABIT" => Some(Self::Petabit),
                "BYTE" => Some(Self::Byte),
                "KILOBYTE" => Some(Self::Kilobyte),
                "MEGABYTE" => Some(Self::Megabyte),
                "GIGABYTE" => Some(Self::Gigabyte),
                "TERABYTE" => Some(Self::Terabyte),
                "PETABYTE" => Some(Self::Petabyte),
                "HERTZ" => Some(Self::Hertz),
                "KILOHERTZ" => Some(Self::Kilohertz),
                "MEGAHERTZ" => Some(Self::Megahertz),
                "GIGAHERTZ" => Some(Self::Gigahertz),
                "TERAHERTZ" => Some(Self::Terahertz),
                "PETAHERTZ" => Some(Self::Petahertz),
                "NANOSECOND" => Some(Self::Nanosecond),
                "MICROSECOND" => Some(Self::Microsecond),
                "MILLISECOND" => Some(Self::Millisecond),
                "SECOND" => Some(Self::Second),
                "MINUTE" => Some(Self::Minute),
                "HOUR" => Some(Self::Hour),
                "VERTEX" => Some(Self::Vertex),
                "PIXEL" => Some(Self::Pixel),
                "TRIANGLE" => Some(Self::Triangle),
                "PRIMITIVE" => Some(Self::Primitive),
                "FRAGMENT" => Some(Self::Fragment),
                "MILLIWATT" => Some(Self::Milliwatt),
                "WATT" => Some(Self::Watt),
                "KILOWATT" => Some(Self::Kilowatt),
                "JOULE" => Some(Self::Joule),
                "VOLT" => Some(Self::Volt),
                "AMPERE" => Some(Self::Ampere),
                "CELSIUS" => Some(Self::Celsius),
                "FAHRENHEIT" => Some(Self::Fahrenheit),
                "KELVIN" => Some(Self::Kelvin),
                "PERCENT" => Some(Self::Percent),
                "INSTRUCTION" => Some(Self::Instruction),
                _ => None,
            }
        }
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrackEventCategory {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "2")]
    pub description: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, repeated, tag = "3")]
    pub tags: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrackEventDescriptor {
    #[prost(message, repeated, tag = "1")]
    pub available_categories: ::prost::alloc::vec::Vec<TrackEventCategory>,
}
/// This message is sent from Producer(s) to the tracing Service when registering
/// to advertise their capabilities. It describes the structure of tracing
/// protos that will be produced by the data source and the supported filters.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DataSourceDescriptor {
    /// e.g., "linux.ftrace", "chromium.tracing"
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    /// When non-zero, this is a unique ID within the scope of the Producer for
    /// this data source (it is NOT globally unique). This is useful to
    /// differentiate between data sources with matching names when calling
    /// UpdateDataSource(). This field has been introduced in November 2021
    /// (v22, Android T) and is not supported on older versions.
    #[prost(uint64, optional, tag = "7")]
    pub id: ::core::option::Option<u64>,
    /// When true the data source is expected to ack the stop request through the
    /// NotifyDataSourceStopped() IPC. This field has been introduced after
    /// Android P in Jul 2018 and is not supported on older versions.
    #[prost(bool, optional, tag = "2")]
    pub will_notify_on_stop: ::core::option::Option<bool>,
    /// When true the data source is expected to ack the start request through the
    /// NotifyDataSourceStarted() IPC. This field has been introduced after
    /// Android P in March 2019 and is not supported on older versions.
    #[prost(bool, optional, tag = "3")]
    pub will_notify_on_start: ::core::option::Option<bool>,
    /// If true, opt into receiving the ClearIncrementalState() IPC. This should be
    /// set if the data source writes packets that refer to previous trace
    /// contents, and knows how to stop referring to the already-emitted data.
    #[prost(bool, optional, tag = "4")]
    pub handles_incremental_state_clear: ::core::option::Option<bool>,
    /// If true, indicates that the data source does nothing upon Flush. This
    /// allows the service to reduce the flush-related IPC traffic and better deal
    /// with frozen producers (see go/perfetto-frozen). This is usually the case
    /// for data sources like 'track_event' that don't have access to the various
    /// thread task runners to post a flush task and rely purely on server-side
    /// scraping.
    /// Introduced in v39 / Android V.
    #[prost(bool, optional, tag = "9")]
    pub no_flush: ::core::option::Option<bool>,
    /// Optional specification about available GPU counters.
    #[prost(message, optional, tag = "5")]
    pub gpu_counter_descriptor: ::core::option::Option<GpuCounterDescriptor>,
    #[prost(message, optional, tag = "6")]
    pub track_event_descriptor: ::core::option::Option<TrackEventDescriptor>,
    #[prost(message, optional, tag = "8")]
    pub ftrace_descriptor: ::core::option::Option<FtraceDescriptor>,
}
/// Reports the state of the tracing service. Used to gather details about the
/// data sources connected.
/// See ConsumerPort::QueryServiceState().
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TracingServiceState {
    /// Lists all the producers connected.
    #[prost(message, repeated, tag = "1")]
    pub producers: ::prost::alloc::vec::Vec<tracing_service_state::Producer>,
    /// Lists the data sources available.
    #[prost(message, repeated, tag = "2")]
    pub data_sources: ::prost::alloc::vec::Vec<tracing_service_state::DataSource>,
    /// Lists the tracing sessions active AND owned by a consumer that has the same
    /// UID of the caller (or all of them if the caller is root).
    /// Introduced in v24 / Android T.
    #[prost(message, repeated, tag = "6")]
    pub tracing_sessions: ::prost::alloc::vec::Vec<
        tracing_service_state::TracingSession,
    >,
    /// This is always set to true from v24 and beyond. This flag is only used to
    /// tell the difference between: (1) talking to a recent service which happens
    /// to have no tracing session active; (2) talking to an older version of the
    /// service which will never report any tracing session.
    #[prost(bool, optional, tag = "7")]
    pub supports_tracing_sessions: ::core::option::Option<bool>,
    /// Total number of tracing sessions.
    #[prost(int32, optional, tag = "3")]
    pub num_sessions: ::core::option::Option<i32>,
    /// Number of tracing sessions in the started state. Always <= num_sessions.
    #[prost(int32, optional, tag = "4")]
    pub num_sessions_started: ::core::option::Option<i32>,
    /// The version of traced (the same returned by `traced --version`).
    /// This is a human readable string with and its format varies depending on
    /// the build system and the repo (standalone vs AOSP).
    /// This is intended for human debugging only.
    #[prost(string, optional, tag = "5")]
    pub tracing_service_version: ::core::option::Option<::prost::alloc::string::String>,
}
/// Nested message and enum types in `TracingServiceState`.
pub mod tracing_service_state {
    /// Describes a producer process.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Producer {
        /// Unique ID of the producer (monotonic counter).
        #[prost(int32, optional, tag = "1")]
        pub id: ::core::option::Option<i32>,
        /// Typically matches the process name.
        #[prost(string, optional, tag = "2")]
        pub name: ::core::option::Option<::prost::alloc::string::String>,
        /// Unix pid of the remote process. Supported only on Linux-based systems.
        /// Introduced in v24 / Android T.
        #[prost(int32, optional, tag = "5")]
        pub pid: ::core::option::Option<i32>,
        /// Unix uid of the remote process.
        #[prost(int32, optional, tag = "3")]
        pub uid: ::core::option::Option<i32>,
        /// The version of the client library used by the producer.
        /// This is a human readable string with and its format varies depending on
        /// the build system and the repo (standalone vs AOSP).
        /// This is intended for human debugging only.
        #[prost(string, optional, tag = "4")]
        pub sdk_version: ::core::option::Option<::prost::alloc::string::String>,
        /// Returns true if the process appears to be frozen (Android only).
        /// Introduced in Perfetto V49 / Android 24Q4.
        #[prost(bool, optional, tag = "6")]
        pub frozen: ::core::option::Option<bool>,
    }
    /// Describes a data source registered by a producer. Data sources are listed
    /// regardless of the fact that they are being used or not.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct DataSource {
        /// Descriptor passed by the data source when calling RegisterDataSource().
        #[prost(message, optional, tag = "1")]
        pub ds_descriptor: ::core::option::Option<super::DataSourceDescriptor>,
        /// ID of the producer, as per Producer.id.
        #[prost(int32, optional, tag = "2")]
        pub producer_id: ::core::option::Option<i32>,
    }
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct TracingSession {
        /// The TracingSessionID.
        #[prost(uint64, optional, tag = "1")]
        pub id: ::core::option::Option<u64>,
        /// The Unix uid of the consumer that started the session.
        /// This is meaningful only if the caller is root. In all other cases only
        /// tracing sessions that match the caller UID will be displayed.
        #[prost(int32, optional, tag = "2")]
        pub consumer_uid: ::core::option::Option<i32>,
        /// Internal state of the tracing session.
        /// These strings are FYI only and subjected to change.
        #[prost(string, optional, tag = "3")]
        pub state: ::core::option::Option<::prost::alloc::string::String>,
        /// The unique_session_name as set in the trace config (might be empty).
        #[prost(string, optional, tag = "4")]
        pub unique_session_name: ::core::option::Option<::prost::alloc::string::String>,
        /// The number and size of each buffer.
        #[prost(uint32, repeated, packed = "false", tag = "5")]
        pub buffer_size_kb: ::prost::alloc::vec::Vec<u32>,
        /// Duration, as specified in the TraceConfig.duration_ms.
        #[prost(uint32, optional, tag = "6")]
        pub duration_ms: ::core::option::Option<u32>,
        /// Number of data sources involved in the session.
        #[prost(uint32, optional, tag = "7")]
        pub num_data_sources: ::core::option::Option<u32>,
        /// Time when the session was started, in the CLOCK_REALTIME domain.
        /// Available only on Linux-based systems.
        #[prost(int64, optional, tag = "8")]
        pub start_realtime_ns: ::core::option::Option<i64>,
        /// The bugreport_score, as set in TraceConfig.bugreport_score.
        #[prost(int32, optional, tag = "9")]
        pub bugreport_score: ::core::option::Option<i32>,
        /// As per TraceConfig.bugreport_filename.
        #[prost(string, optional, tag = "10")]
        pub bugreport_filename: ::core::option::Option<::prost::alloc::string::String>,
        /// If true, the session is in the STARTED state. If false the session is in
        /// any other state (see `state` field).
        #[prost(bool, optional, tag = "11")]
        pub is_started: ::core::option::Option<bool>,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ClockSnapshot {
    #[prost(message, repeated, tag = "1")]
    pub clocks: ::prost::alloc::vec::Vec<clock_snapshot::Clock>,
    /// The authoritative clock domain for the trace. Defaults to BOOTTIME, but can
    /// be overridden in TraceConfig's builtin_data_sources. Trace processor will
    /// attempt to translate packet/event timestamps from various data sources (and
    /// their chosen clock domains) to this domain during import.
    #[prost(enumeration = "BuiltinClock", optional, tag = "2")]
    pub primary_trace_clock: ::core::option::Option<i32>,
}
/// Nested message and enum types in `ClockSnapshot`.
pub mod clock_snapshot {
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct Clock {
        /// Clock IDs have the following semantic:
        /// \[1, 63\]:    Builtin types, see BuiltinClock from
        ///              ../common/builtin_clock.proto.
        /// \[64, 127\]:  User-defined clocks. These clocks are sequence-scoped. They
        ///              are only valid within the same |trusted_packet_sequence_id|
        ///              (i.e. only for TracePacket(s) emitted by the same TraceWriter
        ///              that emitted the clock snapshot).
        /// \[128, MAX\]: Reserved for future use. The idea is to allow global clock
        ///              IDs and setting this ID to hash(full_clock_name) & ~127.
        #[prost(uint32, optional, tag = "1")]
        pub clock_id: ::core::option::Option<u32>,
        /// Absolute timestamp. Unit is ns unless specified otherwise by the
        /// unit_multiplier_ns field below.
        #[prost(uint64, optional, tag = "2")]
        pub timestamp: ::core::option::Option<u64>,
        /// When true each TracePacket's timestamp should be interpreted as a delta
        /// from the last TracePacket's timestamp (referencing this clock) emitted by
        /// the same packet_sequence_id. Should only be used for user-defined
        /// sequence-local clocks. The first packet timestamp after each
        /// ClockSnapshot that contains this clock is relative to the |timestamp| in
        /// the ClockSnapshot.
        #[prost(bool, optional, tag = "3")]
        pub is_incremental: ::core::option::Option<bool>,
        /// Allows to specify a custom unit different than the default (ns) for this
        /// clock domain. A multiplier of 1000 means that a timestamp = 3 should be
        /// interpreted as 3000 ns = 3 us. All snapshots for the same clock within a
        /// trace need to use the same unit.
        #[prost(uint64, optional, tag = "4")]
        pub unit_multiplier_ns: ::core::option::Option<u64>,
    }
    /// Nested message and enum types in `Clock`.
    pub mod clock {
        /// DEPRECATED. This enum has moved to ../common/builtin_clock.proto.
        #[derive(
            Clone,
            Copy,
            Debug,
            PartialEq,
            Eq,
            Hash,
            PartialOrd,
            Ord,
            ::prost::Enumeration
        )]
        #[repr(i32)]
        pub enum BuiltinClocks {
            Unknown = 0,
            Realtime = 1,
            RealtimeCoarse = 2,
            Monotonic = 3,
            MonotonicCoarse = 4,
            MonotonicRaw = 5,
            Boottime = 6,
            BuiltinClockMaxId = 63,
        }
        impl BuiltinClocks {
            /// String value of the enum field names used in the ProtoBuf definition.
            ///
            /// The values are not transformed in any way and thus are considered stable
            /// (if the ProtoBuf definition does not change) and safe for programmatic use.
            pub fn as_str_name(&self) -> &'static str {
                match self {
                    Self::Unknown => "UNKNOWN",
                    Self::Realtime => "REALTIME",
                    Self::RealtimeCoarse => "REALTIME_COARSE",
                    Self::Monotonic => "MONOTONIC",
                    Self::MonotonicCoarse => "MONOTONIC_COARSE",
                    Self::MonotonicRaw => "MONOTONIC_RAW",
                    Self::Boottime => "BOOTTIME",
                    Self::BuiltinClockMaxId => "BUILTIN_CLOCK_MAX_ID",
                }
            }
            /// Creates an enum from field names used in the ProtoBuf definition.
            pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
                match value {
                    "UNKNOWN" => Some(Self::Unknown),
                    "REALTIME" => Some(Self::Realtime),
                    "REALTIME_COARSE" => Some(Self::RealtimeCoarse),
                    "MONOTONIC" => Some(Self::Monotonic),
                    "MONOTONIC_COARSE" => Some(Self::MonotonicCoarse),
                    "MONOTONIC_RAW" => Some(Self::MonotonicRaw),
                    "BOOTTIME" => Some(Self::Boottime),
                    "BUILTIN_CLOCK_MAX_ID" => Some(Self::BuiltinClockMaxId),
                    _ => None,
                }
            }
        }
    }
}
/// Network tracing data source that records details on all packets sent or
/// received by the network.
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct NetworkPacketTraceConfig {
    /// Polling frequency in milliseconds. Network tracing writes to a fixed size
    /// ring buffer. The polling interval should be such that the ring buffer is
    /// unlikely to fill in that interval (or that filling is an acceptable risk).
    /// The minimum polling rate is 100ms (values below this are ignored).
    /// Introduced in Android 14 (U).
    #[prost(uint32, optional, tag = "1")]
    pub poll_ms: ::core::option::Option<u32>,
    /// The aggregation_threshold is the number of packets at which an event will
    /// switch from per-packet details to aggregate details. For example, a value
    /// of 50 means that if a particular event (grouped by the unique combinations
    /// of metadata fields: {interface, direction, uid, etc}) has fewer than 50
    /// packets, the exact timestamp and length are recorded for each packet. If
    /// there were 50 or more packets in an event, it would only record the total
    /// duration, packets, and length. A value of zero or unspecified will always
    /// / record per-packet details. A value of 1 always records aggregate details.
    #[prost(uint32, optional, tag = "2")]
    pub aggregation_threshold: ::core::option::Option<u32>,
    /// Specifies the maximum number of packet contexts to intern at a time. This
    /// prevents the interning table from growing too large and controls whether
    /// interning is enabled or disabled (a value of zero disables interning and
    /// is the default). When a data sources interning table reaches this amount,
    /// packet contexts will be inlined into NetworkPacketEvents.
    #[prost(uint32, optional, tag = "3")]
    pub intern_limit: ::core::option::Option<u32>,
    /// The following fields specify whether certain fields should be dropped from
    /// the output. Dropping fields improves normalization results, reduces the
    /// size of the interning table, and slightly reduces event size.
    #[prost(bool, optional, tag = "4")]
    pub drop_local_port: ::core::option::Option<bool>,
    #[prost(bool, optional, tag = "5")]
    pub drop_remote_port: ::core::option::Option<bool>,
    #[prost(bool, optional, tag = "6")]
    pub drop_tcp_flags: ::core::option::Option<bool>,
}
/// Next id: 31
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FtraceConfig {
    /// Ftrace events to record, example: "sched/sched_switch".
    #[prost(string, repeated, tag = "1")]
    pub ftrace_events: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// Ftrace events to record, specific for kprobes and kretprobes
    #[prost(message, repeated, tag = "30")]
    pub kprobe_events: ::prost::alloc::vec::Vec<ftrace_config::KprobeEvent>,
    /// Android-specific event categories:
    #[prost(string, repeated, tag = "2")]
    pub atrace_categories: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    #[prost(string, repeated, tag = "3")]
    pub atrace_apps: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// Some processes can emit data through atrace or through the perfetto SDK via
    /// the "track_event" data source. For these categories, the SDK will be
    /// preferred, if possible, for this config.
    #[prost(string, repeated, tag = "28")]
    pub atrace_categories_prefer_sdk: ::prost::alloc::vec::Vec<
        ::prost::alloc::string::String,
    >,
    /// Size of each per-cpu kernel ftrace ring buffer.
    /// Not guaranteed if there are multiple concurrent tracing sessions, as the
    /// buffers cannot be resized without pausing recording in the kernel.
    #[prost(uint32, optional, tag = "10")]
    pub buffer_size_kb: ::core::option::Option<u32>,
    /// If set, specifies how often the tracing daemon reads from the kernel ring
    /// buffer. Not guaranteed if there are multiple concurrent tracing sessions.
    /// Leave unset unless you're fine-tuning a local config.
    #[prost(uint32, optional, tag = "11")]
    pub drain_period_ms: ::core::option::Option<u32>,
    /// If set, the tracing daemon will read kernel ring buffers as soon as
    /// they're filled past this percentage of occupancy. In other words, a value
    /// of 50 means that a read pass is triggered as soon as any per-cpu buffer is
    /// half-full. Not guaranteed if there are multiple concurrent tracing
    /// sessions.
    /// Currently does nothing on Linux kernels below v6.9.
    /// Introduced in: perfetto v48.
    #[prost(uint32, optional, tag = "29")]
    pub drain_buffer_percent: ::core::option::Option<u32>,
    #[prost(message, optional, tag = "12")]
    pub compact_sched: ::core::option::Option<ftrace_config::CompactSchedConfig>,
    #[prost(message, optional, tag = "22")]
    pub print_filter: ::core::option::Option<ftrace_config::PrintFilter>,
    /// Enables symbol name resolution against /proc/kallsyms.
    /// It requires that either traced_probes is running as root or that
    /// kptr_restrict has been manually lowered.
    /// It does not disclose KASLR, symbol addresses are mangled.
    #[prost(bool, optional, tag = "13")]
    pub symbolize_ksyms: ::core::option::Option<bool>,
    #[prost(enumeration = "ftrace_config::KsymsMemPolicy", optional, tag = "17")]
    pub ksyms_mem_policy: ::core::option::Option<i32>,
    /// By default the kernel symbolizer is lazily initialized on a deferred task
    /// to reduce ftrace's time-to-start-recording. Unfortunately that makes
    /// ksyms integration tests hard. This flag forces the kernel symbolizer to be
    /// initialized synchronously on the data source start and hence avoiding
    /// timing races in tests.
    /// DEPRECATED in v28 / Android U. This is now the default behavior, setting it
    /// to true is a no-op.
    #[deprecated]
    #[prost(bool, optional, tag = "14")]
    pub initialize_ksyms_synchronously_for_testing: ::core::option::Option<bool>,
    /// When this boolean is true AND the ftrace_events contains "kmem/rss_stat",
    /// this option causes traced_probes to enable the "kmem/rss_stat_throttled"
    /// event instead if present, and fall back to "kmem/rss_stat" if not present.
    /// The historical context for this is the following:
    /// - Up to Android S (12), the rss_stat was internally throttled in its
    ///    kernel implementation.
    /// - A change introduced in the kernels after S has introduced a new
    ///    "rss_stat_throttled" making the original "rss_stat" event unthrottled
    ///    (hence very spammy).
    /// - Not all Android T/13 devices will receive a new kernel though, hence we
    ///    need to deal with both cases.
    /// For more context: go/rss-stat-throttled.
    #[prost(bool, optional, tag = "15")]
    pub throttle_rss_stat: ::core::option::Option<bool>,
    /// If true, avoid enabling events that aren't statically known by
    /// traced_probes. Otherwise, the default is to emit such events as
    /// GenericFtraceEvent protos.
    /// Prefer to keep this flag at its default. This was added for Android
    /// tracing, where atrace categories and/or atrace HAL requested events can
    /// expand to events that aren't of interest to the tracing user.
    /// Introduced in: Android T.
    #[prost(bool, optional, tag = "16")]
    pub disable_generic_events: ::core::option::Option<bool>,
    /// The subset of syscalls to record. To record all syscalls, leave this unset
    /// and add "ftrace_events: raw_syscalls/sys_{enter,exit}" to the config.
    /// * before perfetto v43, requires the config to also enable
    ///    raw_syscalls/sys_{enter,exit}.
    /// * perfetto v43+ does the right thing if you set only this field.
    /// Example: \["sys_read", "sys_open"\].
    /// Introduced in: Android U.
    #[prost(string, repeated, tag = "18")]
    pub syscall_events: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// If true, enable the "function_graph" kernel tracer that emits events
    /// whenever a kernel function is entered and exited
    /// (funcgraph_entry/funcgraph_exit).
    /// Notes on use:
    /// * Requires |symbolize_ksyms| for function name resolution.
    /// * Use |function_filters| or |function_graph_roots| to constrain the traced
    ///    set of functions, otherwise the event bandwidth will be too high for
    ///    practical use.
    /// * The data source might be rejected if there is already a concurrent
    ///    ftrace data source that does not use function graph itself, as we do not
    ///    support switching kernel tracers mid-trace.
    /// * Requires a kernel compiled with CONFIG_FUNCTION_GRAPH_TRACER. This is
    ///    enabled if "cat /sys/kernel/tracing/available_tracers" includes
    ///    "function_graph".
    /// Android:
    /// * Available only on debuggable builds.
    /// * Introduced in: Android U.
    #[prost(bool, optional, tag = "19")]
    pub enable_function_graph: ::core::option::Option<bool>,
    /// Constrains the set of functions traced when |enable_function_graph| is
    /// true. Supports globs, e.g. "sched*". You can specify multiple filters,
    /// in which case all matching functions will be traced. See kernel
    /// documentation on ftrace "set_ftrace_filter" file for more details.
    /// Android:
    /// * Available only on debuggable builds.
    /// * Introduced in: Android U.
    #[prost(string, repeated, tag = "20")]
    pub function_filters: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// If |enable_function_graph| is true, trace this set of functions *and* all
    /// of its callees. Supports globs. Can be set together with
    /// |function_filters|, in which case only callees matching the filter will be
    /// traced. If setting both, you most likely want all roots to also be
    /// included in |function_filters|.
    /// Android:
    /// * Available only on debuggable builds.
    /// * Introduced in: Android U.
    #[prost(string, repeated, tag = "21")]
    pub function_graph_roots: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// If true, does not clear ftrace buffers before the start of the program.
    /// This makes sense only if this is the first ftrace data source instance
    /// created after the daemon has been started. Can be useful for gathering boot
    /// traces, if ftrace has been separately configured (e.g. via kernel
    /// commandline).
    #[prost(bool, optional, tag = "23")]
    pub preserve_ftrace_buffer: ::core::option::Option<bool>,
    /// If true, overrides the default timestamp clock and uses a raw hardware
    /// based monotonic clock for getting timestamps.
    /// * Introduced in: Android U.
    #[prost(bool, optional, tag = "24")]
    pub use_monotonic_raw_clock: ::core::option::Option<bool>,
    /// If |instance_name| is not empty, then attempt to use that tracefs instance
    /// for event recording. Normally, this means
    /// `/sys/kernel/tracing/instances/$instance_name`.
    ///
    /// The name "hyp" is reserved.
    ///
    /// The instance must already exist, the tracing daemon *will not* create it
    /// for you as it typically doesn't have such permissions.
    /// Only a subset of features is guaranteed to work with non-default instances,
    /// at the time of writing:
    ///   * ftrace_events
    ///   * buffer_size_kb
    #[prost(string, optional, tag = "25")]
    pub instance_name: ::core::option::Option<::prost::alloc::string::String>,
    /// If true, |buffer_size_kb| is interpreted as a lower bound, allowing the
    /// implementation to choose a bigger buffer size.
    ///
    /// Most configs for perfetto v43+ should simply leave both fields unset.
    ///
    /// If you need a config compatible with a range of perfetto builds and you
    /// used to set a non-default buffer_size_kb, consider setting both fields.
    /// Example:
    ///    buffer_size_kb: 4096
    ///    buffer_size_lower_bound: true
    /// On older builds, the per-cpu buffers will be exactly 4 MB.
    /// On v43+, buffers will be at least 4 MB.
    /// In both cases, neither is guaranteed if there are other concurrent
    /// perfetto ftrace sessions, as the buffers cannot be resized without pausing
    /// the recording in the kernel.
    /// Introduced in: perfetto v43.
    #[prost(bool, optional, tag = "27")]
    pub buffer_size_lower_bound: ::core::option::Option<bool>,
}
/// Nested message and enum types in `FtraceConfig`.
pub mod ftrace_config {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct KprobeEvent {
        /// Kernel function name to attach to, for example "fuse_file_write_iter"
        #[prost(string, optional, tag = "1")]
        pub probe: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(enumeration = "kprobe_event::KprobeType", optional, tag = "2")]
        pub r#type: ::core::option::Option<i32>,
    }
    /// Nested message and enum types in `KprobeEvent`.
    pub mod kprobe_event {
        #[derive(
            Clone,
            Copy,
            Debug,
            PartialEq,
            Eq,
            Hash,
            PartialOrd,
            Ord,
            ::prost::Enumeration
        )]
        #[repr(i32)]
        pub enum KprobeType {
            Unknown = 0,
            Kprobe = 1,
            Kretprobe = 2,
            Both = 3,
        }
        impl KprobeType {
            /// String value of the enum field names used in the ProtoBuf definition.
            ///
            /// The values are not transformed in any way and thus are considered stable
            /// (if the ProtoBuf definition does not change) and safe for programmatic use.
            pub fn as_str_name(&self) -> &'static str {
                match self {
                    Self::Unknown => "KPROBE_TYPE_UNKNOWN",
                    Self::Kprobe => "KPROBE_TYPE_KPROBE",
                    Self::Kretprobe => "KPROBE_TYPE_KRETPROBE",
                    Self::Both => "KPROBE_TYPE_BOTH",
                }
            }
            /// Creates an enum from field names used in the ProtoBuf definition.
            pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
                match value {
                    "KPROBE_TYPE_UNKNOWN" => Some(Self::Unknown),
                    "KPROBE_TYPE_KPROBE" => Some(Self::Kprobe),
                    "KPROBE_TYPE_KRETPROBE" => Some(Self::Kretprobe),
                    "KPROBE_TYPE_BOTH" => Some(Self::Both),
                    _ => None,
                }
            }
        }
    }
    /// Configuration for compact encoding of scheduler events. When enabled (and
    /// recording the relevant ftrace events), specific high-volume events are
    /// encoded in a denser format than normal.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct CompactSchedConfig {
        /// If true, and sched_switch or sched_waking ftrace events are enabled,
        /// record those events in the compact format.
        ///
        /// If the field is unset, the default is:
        /// * perfetto v42.0+: enabled
        /// * before: disabled
        #[prost(bool, optional, tag = "1")]
        pub enabled: ::core::option::Option<bool>,
    }
    /// Optional filter for "ftrace/print" events.
    ///
    /// The filter consists of multiple rules. As soon as a rule matches (the rules
    /// are processed in order), its `allow` field will be used as the outcome: if
    /// `allow` is true, the event will be included in the trace, otherwise it will
    /// be discarded. If an event does not match any rule, it will be allowed by
    /// default (a rule with an empty prefix and allow=false, disallows everything
    /// by default).
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct PrintFilter {
        #[prost(message, repeated, tag = "1")]
        pub rules: ::prost::alloc::vec::Vec<print_filter::Rule>,
    }
    /// Nested message and enum types in `PrintFilter`.
    pub mod print_filter {
        #[derive(Clone, PartialEq, ::prost::Message)]
        pub struct Rule {
            #[prost(bool, optional, tag = "2")]
            pub allow: ::core::option::Option<bool>,
            #[prost(oneof = "rule::Match", tags = "1, 3")]
            pub r#match: ::core::option::Option<rule::Match>,
        }
        /// Nested message and enum types in `Rule`.
        pub mod rule {
            /// Matches an atrace message of the form:
            /// <type>|pid|<prefix>...
            #[derive(Clone, PartialEq, ::prost::Message)]
            pub struct AtraceMessage {
                #[prost(string, optional, tag = "1")]
                pub r#type: ::core::option::Option<::prost::alloc::string::String>,
                #[prost(string, optional, tag = "2")]
                pub prefix: ::core::option::Option<::prost::alloc::string::String>,
            }
            #[derive(Clone, PartialEq, ::prost::Oneof)]
            pub enum Match {
                /// This rule matches if `prefix` matches exactly with the beginning of
                /// the "ftrace/print" "buf" field.
                #[prost(string, tag = "1")]
                Prefix(::prost::alloc::string::String),
                /// This rule matches if the "buf" field contains an atrace-style print
                /// message as specified in `atrace_msg`.
                #[prost(message, tag = "3")]
                AtraceMsg(AtraceMessage),
            }
        }
    }
    /// When symbolize_ksyms=true, determines whether the traced_probes daemon
    /// should keep the symbol map in memory (and reuse it for future tracing
    /// sessions) or clear it (saving memory) and re-create it on each tracing
    /// session (wasting cpu and wall time).
    /// The tradeoff is roughly:
    ///   KSYMS_RETAIN: pay a fixed ~1.2 MB cost after the first trace.
    ///   KSYMS_CLEANUP_ON_STOP: pay a ~300-500ms cost when starting each trace.
    /// Default behavior: KSYMS_CLEANUP_ON_STOP.
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum KsymsMemPolicy {
        KsymsUnspecified = 0,
        KsymsCleanupOnStop = 1,
        KsymsRetain = 2,
    }
    impl KsymsMemPolicy {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::KsymsUnspecified => "KSYMS_UNSPECIFIED",
                Self::KsymsCleanupOnStop => "KSYMS_CLEANUP_ON_STOP",
                Self::KsymsRetain => "KSYMS_RETAIN",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "KSYMS_UNSPECIFIED" => Some(Self::KsymsUnspecified),
                "KSYMS_CLEANUP_ON_STOP" => Some(Self::KsymsCleanupOnStop),
                "KSYMS_RETAIN" => Some(Self::KsymsRetain),
                _ => None,
            }
        }
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GpuCounterConfig {
    /// Desired sampling interval for counters.
    #[prost(uint64, optional, tag = "1")]
    pub counter_period_ns: ::core::option::Option<u64>,
    /// List of counters to be sampled. Counter IDs correspond to the ones
    /// described in GpuCounterSpec in the data source descriptor.
    #[prost(uint32, repeated, packed = "false", tag = "2")]
    pub counter_ids: ::prost::alloc::vec::Vec<u32>,
    /// Sample counters by instrumenting command buffers.
    #[prost(bool, optional, tag = "3")]
    pub instrumented_sampling: ::core::option::Option<bool>,
    /// Fix gpu clock rate during trace session.
    #[prost(bool, optional, tag = "4")]
    pub fix_gpu_clock: ::core::option::Option<bool>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GpuRenderStagesConfig {
    /// Enable to separate the color and depth/stencil load and store stages
    /// into a separate stages. If disabled, the depth/stencil load and store
    /// stages will be combined.  Disabled by default. This option has no effect if
    /// Low Overhead mode is enabled.
    #[prost(bool, optional, tag = "1")]
    pub full_loadstore: ::core::option::Option<bool>,
    /// Use the low overhead mode for traces. In this mode render stages are
    /// combined into a single workload stage. This provides less granular data but
    /// induces minimal GPU overhead. Disabled by default.
    #[prost(bool, optional, tag = "2")]
    pub low_overhead: ::core::option::Option<bool>,
    /// Trace metrics to capture for each render stage
    #[prost(string, repeated, tag = "3")]
    pub trace_metrics: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct VulkanMemoryConfig {
    /// Tracking driver memory usage events
    #[prost(bool, optional, tag = "1")]
    pub track_driver_memory_usage: ::core::option::Option<bool>,
    /// Tracking device memory usage events
    #[prost(bool, optional, tag = "2")]
    pub track_device_memory_usage: ::core::option::Option<bool>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct InodeFileConfig {
    /// How long to pause between batches.
    #[prost(uint32, optional, tag = "1")]
    pub scan_interval_ms: ::core::option::Option<u32>,
    /// How long to wait before the first scan in order to accumulate inodes.
    #[prost(uint32, optional, tag = "2")]
    pub scan_delay_ms: ::core::option::Option<u32>,
    /// How many inodes to scan in one batch.
    #[prost(uint32, optional, tag = "3")]
    pub scan_batch_size: ::core::option::Option<u32>,
    /// Do not scan for inodes not found in the static map.
    #[prost(bool, optional, tag = "4")]
    pub do_not_scan: ::core::option::Option<bool>,
    /// If non-empty, only scan inodes corresponding to block devices named in
    /// this list.
    #[prost(string, repeated, tag = "5")]
    pub scan_mount_points: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// When encountering an inode belonging to a block device corresponding
    /// to one of the mount points in this map, scan its scan_roots instead.
    #[prost(message, repeated, tag = "6")]
    pub mount_point_mapping: ::prost::alloc::vec::Vec<
        inode_file_config::MountPointMappingEntry,
    >,
}
/// Nested message and enum types in `InodeFileConfig`.
pub mod inode_file_config {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct MountPointMappingEntry {
        #[prost(string, optional, tag = "1")]
        pub mountpoint: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(string, repeated, tag = "2")]
        pub scan_roots: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    }
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct ConsoleConfig {
    #[prost(enumeration = "console_config::Output", optional, tag = "1")]
    pub output: ::core::option::Option<i32>,
    #[prost(bool, optional, tag = "2")]
    pub enable_colors: ::core::option::Option<bool>,
}
/// Nested message and enum types in `ConsoleConfig`.
pub mod console_config {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum Output {
        Unspecified = 0,
        Stdout = 1,
        Stderr = 2,
    }
    impl Output {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Unspecified => "OUTPUT_UNSPECIFIED",
                Self::Stdout => "OUTPUT_STDOUT",
                Self::Stderr => "OUTPUT_STDERR",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "OUTPUT_UNSPECIFIED" => Some(Self::Unspecified),
                "OUTPUT_STDOUT" => Some(Self::Stdout),
                "OUTPUT_STDERR" => Some(Self::Stderr),
                _ => None,
            }
        }
    }
}
/// Configuration for trace packet interception. Used for diverting trace data to
/// non-Perfetto sources (e.g., logging to the console, ETW) when using the
/// Perfetto SDK.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct InterceptorConfig {
    /// Matches the name given to RegisterInterceptor().
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(message, optional, tag = "100")]
    pub console_config: ::core::option::Option<ConsoleConfig>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct AndroidPowerConfig {
    #[prost(uint32, optional, tag = "1")]
    pub battery_poll_ms: ::core::option::Option<u32>,
    #[prost(
        enumeration = "android_power_config::BatteryCounters",
        repeated,
        packed = "false",
        tag = "2"
    )]
    pub battery_counters: ::prost::alloc::vec::Vec<i32>,
    /// Where available enables per-power-rail measurements.
    #[prost(bool, optional, tag = "3")]
    pub collect_power_rails: ::core::option::Option<bool>,
    /// Provides a breakdown of energy estimation for various subsystem (e.g. GPU).
    /// Available from Android S.
    #[prost(bool, optional, tag = "4")]
    pub collect_energy_estimation_breakdown: ::core::option::Option<bool>,
    /// Provides a breakdown of time in state for various subsystems.
    /// Available from Android U.
    #[prost(bool, optional, tag = "5")]
    pub collect_entity_state_residency: ::core::option::Option<bool>,
}
/// Nested message and enum types in `AndroidPowerConfig`.
pub mod android_power_config {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum BatteryCounters {
        BatteryCounterUnspecified = 0,
        /// Coulomb counter.
        BatteryCounterCharge = 1,
        /// Charge (%).
        BatteryCounterCapacityPercent = 2,
        /// Instantaneous current.
        BatteryCounterCurrent = 3,
        /// Avg current.
        BatteryCounterCurrentAvg = 4,
        /// Instantaneous voltage.
        BatteryCounterVoltage = 5,
    }
    impl BatteryCounters {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::BatteryCounterUnspecified => "BATTERY_COUNTER_UNSPECIFIED",
                Self::BatteryCounterCharge => "BATTERY_COUNTER_CHARGE",
                Self::BatteryCounterCapacityPercent => "BATTERY_COUNTER_CAPACITY_PERCENT",
                Self::BatteryCounterCurrent => "BATTERY_COUNTER_CURRENT",
                Self::BatteryCounterCurrentAvg => "BATTERY_COUNTER_CURRENT_AVG",
                Self::BatteryCounterVoltage => "BATTERY_COUNTER_VOLTAGE",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "BATTERY_COUNTER_UNSPECIFIED" => Some(Self::BatteryCounterUnspecified),
                "BATTERY_COUNTER_CHARGE" => Some(Self::BatteryCounterCharge),
                "BATTERY_COUNTER_CAPACITY_PERCENT" => {
                    Some(Self::BatteryCounterCapacityPercent)
                }
                "BATTERY_COUNTER_CURRENT" => Some(Self::BatteryCounterCurrent),
                "BATTERY_COUNTER_CURRENT_AVG" => Some(Self::BatteryCounterCurrentAvg),
                "BATTERY_COUNTER_VOLTAGE" => Some(Self::BatteryCounterVoltage),
                _ => None,
            }
        }
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ProcessStatsConfig {
    #[prost(
        enumeration = "process_stats_config::Quirks",
        repeated,
        packed = "false",
        tag = "1"
    )]
    pub quirks: ::prost::alloc::vec::Vec<i32>,
    /// If enabled all processes will be scanned and dumped when the trace starts.
    #[prost(bool, optional, tag = "2")]
    pub scan_all_processes_on_start: ::core::option::Option<bool>,
    /// If enabled thread names are also recoded (this is redundant if sched_switch
    /// is enabled).
    #[prost(bool, optional, tag = "3")]
    pub record_thread_names: ::core::option::Option<bool>,
    /// If > 0 samples counters (see process_stats.proto) from
    /// /proc/pid/status and oom_score_adj every X ms.
    /// It will also sample /proc/pid/smaps_rollup if scan_smaps_rollup = true.
    /// This is required to be > 100ms to avoid excessive CPU usage.
    #[prost(uint32, optional, tag = "4")]
    pub proc_stats_poll_ms: ::core::option::Option<u32>,
    /// This is required to be either = 0 or a multiple of |proc_stats_poll_ms|
    /// (default: |proc_stats_poll_ms|). If = 0, will be set to
    /// |proc_stats_poll_ms|. Non-multiples will be rounded down to the nearest
    /// multiple.
    #[prost(uint32, optional, tag = "6")]
    pub proc_stats_cache_ttl_ms: ::core::option::Option<u32>,
    /// Niche feature: If true this will resolve file descriptors for each process
    /// so these can be mapped to their actual device or file.
    /// Requires raw_syscalls/sys_{enter,exit} ftrace events to be enabled or
    /// new fds opened after initially scanning a process will not be
    /// recognized.
    #[prost(bool, optional, tag = "9")]
    pub resolve_process_fds: ::core::option::Option<bool>,
    /// If true, output will include memory stats from /proc/pid/smaps_rollup.
    #[prost(bool, optional, tag = "10")]
    pub scan_smaps_rollup: ::core::option::Option<bool>,
    /// If true: process descriptions will include process age (starttime in
    /// /proc/pid/stat).
    /// Introduced in: perfetto v44.
    #[prost(bool, optional, tag = "11")]
    pub record_process_age: ::core::option::Option<bool>,
    /// If true and |proc_stats_poll_ms| is true, process stats will include time
    /// spent running in user/kernel mode (utime/stime in /proc/pid/stat).
    /// Introduced in: perfetto v44.
    #[prost(bool, optional, tag = "12")]
    pub record_process_runtime: ::core::option::Option<bool>,
}
/// Nested message and enum types in `ProcessStatsConfig`.
pub mod process_stats_config {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum Quirks {
        Unspecified = 0,
        /// This has been deprecated and ignored as per 2018-05-01. Full scan at
        /// startup is now disabled by default and can be re-enabled using the
        /// |scan_all_processes_on_start| arg.
        DisableInitialDump = 1,
        DisableOnDemand = 2,
    }
    impl Quirks {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Unspecified => "QUIRKS_UNSPECIFIED",
                Self::DisableInitialDump => "DISABLE_INITIAL_DUMP",
                Self::DisableOnDemand => "DISABLE_ON_DEMAND",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "QUIRKS_UNSPECIFIED" => Some(Self::Unspecified),
                "DISABLE_INITIAL_DUMP" => Some(Self::DisableInitialDump),
                "DISABLE_ON_DEMAND" => Some(Self::DisableOnDemand),
                _ => None,
            }
        }
    }
}
/// Next id: 12
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct PerfEvents {}
/// Nested message and enum types in `PerfEvents`.
pub mod perf_events {
    /// What event to sample on, and how often. Commented from the perspective of
    /// its use in |PerfEventConfig|.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Timebase {
        /// If set, samples will be timestamped with the given clock.
        /// If unset, the clock is chosen by the implementation.
        /// For software events, prefer PERF_CLOCK_BOOTTIME. However it cannot be
        /// used for hardware events (due to interrupt safety), for which the
        /// recommendation is to use one of the monotonic clocks.
        #[prost(enumeration = "PerfClock", optional, tag = "11")]
        pub timestamp_clock: ::core::option::Option<i32>,
        /// Optional arbitrary name for the event, to identify it in the parsed
        /// trace. Does *not* affect the profiling itself. If unset, the trace
        /// parser will choose a suitable name.
        #[prost(string, optional, tag = "10")]
        pub name: ::core::option::Option<::prost::alloc::string::String>,
        /// How often the per-cpu sampling will occur. Not guaranteed to be honored
        /// as the kernel can throttle the sampling rate if it's too high.
        /// If unset, an implementation-defined default is used.
        #[prost(oneof = "timebase::Interval", tags = "2, 1")]
        pub interval: ::core::option::Option<timebase::Interval>,
        /// Counting event to use as a timebase for the sampling.
        /// If unset, implies the CPU timer (SW_CPU_CLOCK) as the event,
        /// which is what you usually want.
        /// See common/perf_events.proto for the definitions.
        #[prost(oneof = "timebase::Event", tags = "4, 3, 5")]
        pub event: ::core::option::Option<timebase::Event>,
    }
    /// Nested message and enum types in `Timebase`.
    pub mod timebase {
        /// How often the per-cpu sampling will occur. Not guaranteed to be honored
        /// as the kernel can throttle the sampling rate if it's too high.
        /// If unset, an implementation-defined default is used.
        #[derive(Clone, Copy, PartialEq, ::prost::Oneof)]
        pub enum Interval {
            /// Per-cpu sampling frequency in Hz, as requested from the kernel. Not the
            /// same as 1/period.
            /// Details: the actual sampling will still be based on a period, but the
            /// kernel will dynamically adjust it based on the observed event rate, to
            /// approximate this frequency. Works best with steady-rate events like
            /// timers.
            #[prost(uint64, tag = "2")]
            Frequency(u64),
            /// Per-cpu sampling will occur every |period| counts of |event|.
            /// Prefer |frequency| by default, as it's easier to oversample with a
            /// fixed period.
            #[prost(uint64, tag = "1")]
            Period(u64),
        }
        /// Counting event to use as a timebase for the sampling.
        /// If unset, implies the CPU timer (SW_CPU_CLOCK) as the event,
        /// which is what you usually want.
        /// See common/perf_events.proto for the definitions.
        #[derive(Clone, PartialEq, ::prost::Oneof)]
        pub enum Event {
            #[prost(enumeration = "super::Counter", tag = "4")]
            Counter(i32),
            #[prost(message, tag = "3")]
            Tracepoint(super::Tracepoint),
            #[prost(message, tag = "5")]
            RawEvent(super::RawEvent),
        }
    }
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Tracepoint {
        /// Group and name for the tracepoint, acceptable forms:
        /// * "sched/sched_switch"
        /// * "sched:sched_switch"
        #[prost(string, optional, tag = "1")]
        pub name: ::core::option::Option<::prost::alloc::string::String>,
        /// Optional field-level filter for the tracepoint. Only events matching this
        /// filter will be counted (and therefore contribute to the sampling period).
        /// Example: "prev_pid >= 42 && next_pid == 0".
        /// For full syntax, see kernel documentation on "Event filtering":
        /// <https://www.kernel.org/doc/Documentation/trace/events.txt>
        #[prost(string, optional, tag = "2")]
        pub filter: ::core::option::Option<::prost::alloc::string::String>,
    }
    /// Syscall-level description of the event, propagated to the perf_event_attr
    /// struct. Primarily for local use-cases, since the event availability and
    /// encoding is hardware-specific.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct RawEvent {
        #[prost(uint32, optional, tag = "1")]
        pub r#type: ::core::option::Option<u32>,
        #[prost(uint64, optional, tag = "2")]
        pub config: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "3")]
        pub config1: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "4")]
        pub config2: ::core::option::Option<u64>,
    }
    /// Builtin counter names from the uapi header. Commented with their perf tool
    /// aliases.
    /// TODO(rsavitski): consider generating enums for cache events (should be
    /// finite), and generally make this list as extensive as possible. Excluding
    /// things like dynamic PMUs since those don't fit into a static enum.
    /// Next id: 21
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum Counter {
        UnknownCounter = 0,
        /// cpu-clock
        SwCpuClock = 1,
        /// page-faults, faults
        SwPageFaults = 2,
        /// task-clock
        SwTaskClock = 3,
        /// context-switches, cs
        SwContextSwitches = 4,
        /// cpu-migrations, migrations
        SwCpuMigrations = 5,
        /// minor-faults
        SwPageFaultsMin = 6,
        /// major-faults
        SwPageFaultsMaj = 7,
        /// alignment-faults
        SwAlignmentFaults = 8,
        /// emulation-faults
        SwEmulationFaults = 9,
        /// dummy
        SwDummy = 21,
        /// cpu-cycles, cycles
        HwCpuCycles = 10,
        /// instructions
        HwInstructions = 11,
        /// cache-references
        HwCacheReferences = 12,
        /// cache-misses
        HwCacheMisses = 13,
        /// branch-instructions, branches
        HwBranchInstructions = 14,
        /// branch-misses
        HwBranchMisses = 15,
        /// bus-cycles
        HwBusCycles = 16,
        /// stalled-cycles-frontend, idle-cycles-frontend
        HwStalledCyclesFrontend = 17,
        /// stalled-cycles-backend, idle-cycles-backend
        HwStalledCyclesBackend = 18,
        /// ref-cycles
        HwRefCpuCycles = 19,
        /// l1-dcache-load-misses
        HwCacheResultMiss = 20,
    }
    impl Counter {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::UnknownCounter => "UNKNOWN_COUNTER",
                Self::SwCpuClock => "SW_CPU_CLOCK",
                Self::SwPageFaults => "SW_PAGE_FAULTS",
                Self::SwTaskClock => "SW_TASK_CLOCK",
                Self::SwContextSwitches => "SW_CONTEXT_SWITCHES",
                Self::SwCpuMigrations => "SW_CPU_MIGRATIONS",
                Self::SwPageFaultsMin => "SW_PAGE_FAULTS_MIN",
                Self::SwPageFaultsMaj => "SW_PAGE_FAULTS_MAJ",
                Self::SwAlignmentFaults => "SW_ALIGNMENT_FAULTS",
                Self::SwEmulationFaults => "SW_EMULATION_FAULTS",
                Self::SwDummy => "SW_DUMMY",
                Self::HwCpuCycles => "HW_CPU_CYCLES",
                Self::HwInstructions => "HW_INSTRUCTIONS",
                Self::HwCacheReferences => "HW_CACHE_REFERENCES",
                Self::HwCacheMisses => "HW_CACHE_MISSES",
                Self::HwBranchInstructions => "HW_BRANCH_INSTRUCTIONS",
                Self::HwBranchMisses => "HW_BRANCH_MISSES",
                Self::HwBusCycles => "HW_BUS_CYCLES",
                Self::HwStalledCyclesFrontend => "HW_STALLED_CYCLES_FRONTEND",
                Self::HwStalledCyclesBackend => "HW_STALLED_CYCLES_BACKEND",
                Self::HwRefCpuCycles => "HW_REF_CPU_CYCLES",
                Self::HwCacheResultMiss => "HW_CACHE_RESULT_MISS",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "UNKNOWN_COUNTER" => Some(Self::UnknownCounter),
                "SW_CPU_CLOCK" => Some(Self::SwCpuClock),
                "SW_PAGE_FAULTS" => Some(Self::SwPageFaults),
                "SW_TASK_CLOCK" => Some(Self::SwTaskClock),
                "SW_CONTEXT_SWITCHES" => Some(Self::SwContextSwitches),
                "SW_CPU_MIGRATIONS" => Some(Self::SwCpuMigrations),
                "SW_PAGE_FAULTS_MIN" => Some(Self::SwPageFaultsMin),
                "SW_PAGE_FAULTS_MAJ" => Some(Self::SwPageFaultsMaj),
                "SW_ALIGNMENT_FAULTS" => Some(Self::SwAlignmentFaults),
                "SW_EMULATION_FAULTS" => Some(Self::SwEmulationFaults),
                "SW_DUMMY" => Some(Self::SwDummy),
                "HW_CPU_CYCLES" => Some(Self::HwCpuCycles),
                "HW_INSTRUCTIONS" => Some(Self::HwInstructions),
                "HW_CACHE_REFERENCES" => Some(Self::HwCacheReferences),
                "HW_CACHE_MISSES" => Some(Self::HwCacheMisses),
                "HW_BRANCH_INSTRUCTIONS" => Some(Self::HwBranchInstructions),
                "HW_BRANCH_MISSES" => Some(Self::HwBranchMisses),
                "HW_BUS_CYCLES" => Some(Self::HwBusCycles),
                "HW_STALLED_CYCLES_FRONTEND" => Some(Self::HwStalledCyclesFrontend),
                "HW_STALLED_CYCLES_BACKEND" => Some(Self::HwStalledCyclesBackend),
                "HW_REF_CPU_CYCLES" => Some(Self::HwRefCpuCycles),
                "HW_CACHE_RESULT_MISS" => Some(Self::HwCacheResultMiss),
                _ => None,
            }
        }
    }
    /// Subset of clocks that is supported by perf timestamping.
    /// CLOCK_TAI is excluded since it's not expected to be used in practice, but
    /// would require additions to the trace clock synchronisation logic.
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum PerfClock {
        UnknownPerfClock = 0,
        Realtime = 1,
        Monotonic = 2,
        MonotonicRaw = 3,
        Boottime = 4,
    }
    impl PerfClock {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::UnknownPerfClock => "UNKNOWN_PERF_CLOCK",
                Self::Realtime => "PERF_CLOCK_REALTIME",
                Self::Monotonic => "PERF_CLOCK_MONOTONIC",
                Self::MonotonicRaw => "PERF_CLOCK_MONOTONIC_RAW",
                Self::Boottime => "PERF_CLOCK_BOOTTIME",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "UNKNOWN_PERF_CLOCK" => Some(Self::UnknownPerfClock),
                "PERF_CLOCK_REALTIME" => Some(Self::Realtime),
                "PERF_CLOCK_MONOTONIC" => Some(Self::Monotonic),
                "PERF_CLOCK_MONOTONIC_RAW" => Some(Self::MonotonicRaw),
                "PERF_CLOCK_BOOTTIME" => Some(Self::Boottime),
                _ => None,
            }
        }
    }
}
/// Additional events associated with a leader.
/// Configuration is similar to Timebase event. Because data acquisition is
/// driven by the leader there is no option to configure the clock or the
/// frequency.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FollowerEvent {
    #[prost(string, optional, tag = "4")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(oneof = "follower_event::Event", tags = "1, 2, 3")]
    pub event: ::core::option::Option<follower_event::Event>,
}
/// Nested message and enum types in `FollowerEvent`.
pub mod follower_event {
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum Event {
        #[prost(enumeration = "super::perf_events::Counter", tag = "1")]
        Counter(i32),
        #[prost(message, tag = "2")]
        Tracepoint(super::perf_events::Tracepoint),
        #[prost(message, tag = "3")]
        RawEvent(super::perf_events::RawEvent),
    }
}
/// Configuration for the traced_perf profiler.
///
/// Example config for basic cpu profiling:
///    perf_event_config {
///      timebase {
///        frequency: 80
///      }
///      callstack_sampling {
///        scope {
///          target_cmdline: "surfaceflinger"
///          target_cmdline: "system_server"
///        }
///        kernel_frames: true
///      }
///    }
///
/// Next id: 20
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct PerfEventConfig {
    /// What event to sample on, and how often.
    /// Defined in common/perf_events.proto.
    #[prost(message, optional, tag = "15")]
    pub timebase: ::core::option::Option<perf_events::Timebase>,
    /// Other events associated with the leader described in the timebase.
    #[prost(message, repeated, tag = "19")]
    pub followers: ::prost::alloc::vec::Vec<FollowerEvent>,
    /// If set, the profiler will sample userspace processes' callstacks at the
    /// interval specified by the |timebase|.
    /// If unset, the profiler will record only the event counts.
    #[prost(message, optional, tag = "16")]
    pub callstack_sampling: ::core::option::Option<perf_event_config::CallstackSampling>,
    /// How often the per-cpu ring buffers are read by the producer.
    /// If unset, an implementation-defined default is used.
    #[prost(uint32, optional, tag = "8")]
    pub ring_buffer_read_period_ms: ::core::option::Option<u32>,
    /// Size (in 4k pages) of each per-cpu ring buffer that is filled by the
    /// kernel. If set, must be a power of two.
    /// If unset, an implementation-defined default is used.
    #[prost(uint32, optional, tag = "3")]
    pub ring_buffer_pages: ::core::option::Option<u32>,
    /// Drop samples if the heap memory held by the samples in the unwinder queue
    /// is above the given limit. This counts the memory across all concurrent data
    /// sources (not just this one's), and there is no fairness guarantee - the
    /// whole quota might be used up by a concurrent source.
    #[prost(uint64, optional, tag = "17")]
    pub max_enqueued_footprint_kb: ::core::option::Option<u64>,
    /// Stop the data source if traced_perf's combined {RssAnon + Swap} memory
    /// footprint exceeds this value.
    #[prost(uint32, optional, tag = "13")]
    pub max_daemon_memory_kb: ::core::option::Option<u32>,
    /// Timeout for the remote /proc/<pid>/{maps,mem} file descriptors for a
    /// sampled process. This is primarily for Android, where this lookup is
    /// asynchronous. As long as the producer is waiting, the associated samples
    /// will be kept enqueued (putting pressure on the capacity of the shared
    /// unwinding queue). Once a lookup for a process expires, all associated
    /// samples are discarded. However, if the lookup still succeeds after the
    /// timeout, future samples will be handled normally.
    /// If unset, an implementation-defined default is used.
    #[prost(uint32, optional, tag = "9")]
    pub remote_descriptor_timeout_ms: ::core::option::Option<u32>,
    /// Optional period for clearing state cached by the unwinder. This is a heavy
    /// operation that is only necessary for traces that target a wide set of
    /// processes, and require the memory footprint to be reset periodically.
    /// If unset, the cached state will not be cleared.
    #[prost(uint32, optional, tag = "10")]
    pub unwind_state_clear_period_ms: ::core::option::Option<u32>,
    /// If set, only profile target if it was installed by a package with one of
    /// these names. Special values:
    /// * "@system": installed on the system partition
    /// * "@product": installed on the product partition
    /// * "@null": sideloaded
    /// Supported on Android 12+.
    #[prost(string, repeated, tag = "18")]
    pub target_installed_by: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// Note: legacy configs had to set |all_cpus| to true to pass parsing.
    /// We rely on this to detect such configs.
    #[prost(bool, optional, tag = "1")]
    pub all_cpus: ::core::option::Option<bool>,
    #[prost(uint32, optional, tag = "2")]
    pub sampling_frequency: ::core::option::Option<u32>,
    #[prost(bool, optional, tag = "12")]
    pub kernel_frames: ::core::option::Option<bool>,
    #[prost(int32, repeated, packed = "false", tag = "4")]
    pub target_pid: ::prost::alloc::vec::Vec<i32>,
    #[prost(string, repeated, tag = "5")]
    pub target_cmdline: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    #[prost(int32, repeated, packed = "false", tag = "6")]
    pub exclude_pid: ::prost::alloc::vec::Vec<i32>,
    #[prost(string, repeated, tag = "7")]
    pub exclude_cmdline: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "11")]
    pub additional_cmdline_count: ::core::option::Option<u32>,
}
/// Nested message and enum types in `PerfEventConfig`.
pub mod perf_event_config {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct CallstackSampling {
        /// Defines a set of processes for which samples are retained/skipped. If
        /// unset, all samples are kept, but beware that it will be very heavy on the
        /// stack unwinder, which might start dropping samples due to overload.
        #[prost(message, optional, tag = "1")]
        pub scope: ::core::option::Option<Scope>,
        /// If true, callstacks will include the kernel-space frames. Such frames can
        /// be identified by a magical "kernel" string as their mapping name.
        /// Requires traced_perf to be running as root, or kptr_restrict to have been
        /// manually unrestricted. On Android, the platform should do the right thing
        /// on debug builds.
        /// This does *not* disclose KASLR, as only the function names are emitted.
        #[prost(bool, optional, tag = "2")]
        pub kernel_frames: ::core::option::Option<bool>,
        /// Whether to record and unwind userspace callstacks. If unset, defaults to
        /// including userspace (UNWIND_DWARF) both for backwards compatibility and
        /// as the most common default (this defaulting is only applicable if the
        /// outer CallstackSampling message is explicitly set).
        #[prost(enumeration = "UnwindMode", optional, tag = "3")]
        pub user_frames: ::core::option::Option<i32>,
    }
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Scope {
        /// Process ID (TGID) allowlist. If this list is not empty, only matching
        /// samples will be retained. If multiple allow/deny-lists are
        /// specified by the config, then all of them are evaluated for each sampled
        /// process.
        #[prost(int32, repeated, packed = "false", tag = "1")]
        pub target_pid: ::prost::alloc::vec::Vec<i32>,
        /// Command line allowlist, matched against the /proc/<pid>/cmdline (not the
        /// comm string). The semantics of this field were changed since its original
        /// introduction.
        ///
        /// On Android T+ (13+), this field can specify a single wildcard (*), and
        /// the profiler will attempt to match it in two possible ways:
        /// * if the pattern starts with a '/', then it is matched against the first
        ///    segment of the cmdline (i.e. argv0). For example "/bin/e*" would match
        ///    "/bin/echo".
        /// * otherwise the pattern is matched against the part of argv0
        ///    corresponding to the binary name (this is unrelated to /proc/pid/exe).
        ///    For example "echo" would match "/bin/echo".
        ///
        /// On Android S (12) and below, both this pattern and /proc/pid/cmdline get
        /// normalized prior to an exact string comparison. Normalization is as
        /// follows: (1) trim everything beyond the first null or "@" byte; (2) if
        /// the string contains forward slashes, trim everything up to and including
        /// the last one.
        ///
        /// Implementation note: in either case, at most 511 characters of cmdline
        /// are considered.
        #[prost(string, repeated, tag = "2")]
        pub target_cmdline: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
        /// List of excluded pids.
        #[prost(int32, repeated, packed = "false", tag = "3")]
        pub exclude_pid: ::prost::alloc::vec::Vec<i32>,
        /// List of excluded cmdlines. See description of |target_cmdline| for how
        /// this is handled.
        #[prost(string, repeated, tag = "4")]
        pub exclude_cmdline: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
        /// Number of additional command lines to sample. Only those which are
        /// neither explicitly included nor excluded will be considered. Processes
        /// are accepted on a first come, first served basis.
        #[prost(uint32, optional, tag = "5")]
        pub additional_cmdline_count: ::core::option::Option<u32>,
        /// If set to N, all encountered processes will be put into one of the N
        /// possible bins, and only one randomly-chosen bin will be selected for
        /// unwinding. The binning is simply "pid % N", under the assumption that
        /// low-order bits of pids are roughly uniformly distributed. Other explicit
        /// inclusions/exclusions in this |Scope| message are still respected.
        ///
        /// The profiler will report the chosen shard in PerfSampleDefaults, and the
        /// values will be queryable in trace processor under the "stats" table as
        /// "perf_process_shard_count" and "perf_chosen_process_shard".
        ///
        /// NB: all data sources in a config that set |process_shard_count| must set
        /// it to the same value. The profiler will choose one bin for all those data
        /// sources.
        #[prost(uint32, optional, tag = "6")]
        pub process_shard_count: ::core::option::Option<u32>,
    }
    /// Userspace unwinding mode. A possible future addition is kernel-unwound
    /// callchains for frame pointer based systems.
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum UnwindMode {
        UnwindUnknown = 0,
        /// Do not unwind userspace:
        UnwindSkip = 1,
        /// Use libunwindstack (default):
        UnwindDwarf = 2,
        /// Use userspace frame pointer unwinder:
        UnwindFramePointer = 3,
    }
    impl UnwindMode {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::UnwindUnknown => "UNWIND_UNKNOWN",
                Self::UnwindSkip => "UNWIND_SKIP",
                Self::UnwindDwarf => "UNWIND_DWARF",
                Self::UnwindFramePointer => "UNWIND_FRAME_POINTER",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "UNWIND_UNKNOWN" => Some(Self::UnwindUnknown),
                "UNWIND_SKIP" => Some(Self::UnwindSkip),
                "UNWIND_DWARF" => Some(Self::UnwindDwarf),
                "UNWIND_FRAME_POINTER" => Some(Self::UnwindFramePointer),
                _ => None,
            }
        }
    }
}
/// This file defines the configuration for the Linux /proc poller data source,
/// which injects counters in the trace.
/// Counters that are needed in the trace must be explicitly listed in the
/// *_counters fields. This is to avoid spamming the trace with all counters
/// at all times.
/// The sampling rate is configurable. All polling rates (*_period_ms) need
/// to be integer multiples of each other.
/// OK:     \[10ms, 10ms, 10ms\],  \[10ms, 20ms, 10ms\],  \[10ms, 20ms, 60ms\]
/// Not OK: \[10ms, 10ms, 11ms\],  \[10ms, 15ms, 20ms\]
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SysStatsConfig {
    /// Polls /proc/meminfo every X ms, if non-zero.
    /// This is required to be > 10ms to avoid excessive CPU usage.
    /// Cost: 0.3 ms \[read\] + 0.07 ms \[parse + trace injection\]
    #[prost(uint32, optional, tag = "1")]
    pub meminfo_period_ms: ::core::option::Option<u32>,
    /// If empty all known counters are reported. Otherwise, only the counters
    /// specified below are reported.
    #[prost(enumeration = "MeminfoCounters", repeated, packed = "false", tag = "2")]
    pub meminfo_counters: ::prost::alloc::vec::Vec<i32>,
    /// Polls /proc/vmstat every X ms, if non-zero.
    /// This is required to be > 10ms to avoid excessive CPU usage.
    /// Cost: 0.2 ms \[read\] + 0.3 ms \[parse + trace injection\]
    #[prost(uint32, optional, tag = "3")]
    pub vmstat_period_ms: ::core::option::Option<u32>,
    #[prost(enumeration = "VmstatCounters", repeated, packed = "false", tag = "4")]
    pub vmstat_counters: ::prost::alloc::vec::Vec<i32>,
    /// Pols /proc/stat every X ms, if non-zero.
    /// This is required to be > 10ms to avoid excessive CPU usage.
    /// Cost: 4.1 ms \[read\] + 1.9 ms \[parse + trace injection\]
    #[prost(uint32, optional, tag = "5")]
    pub stat_period_ms: ::core::option::Option<u32>,
    #[prost(
        enumeration = "sys_stats_config::StatCounters",
        repeated,
        packed = "false",
        tag = "6"
    )]
    pub stat_counters: ::prost::alloc::vec::Vec<i32>,
    /// Polls /sys/devfreq/*/curfreq every X ms, if non-zero.
    /// This is required to be > 10ms to avoid excessive CPU usage.
    /// This option can be used to record unchanging values.
    /// Updates from frequency changes can come from ftrace/set_clock_rate.
    #[prost(uint32, optional, tag = "7")]
    pub devfreq_period_ms: ::core::option::Option<u32>,
    /// Polls /sys/devices/system/cpu/cpu*/cpufreq/cpuinfo_cur_freq every X ms.
    /// This is required to be > 10ms to avoid excessive CPU usage.
    #[prost(uint32, optional, tag = "8")]
    pub cpufreq_period_ms: ::core::option::Option<u32>,
    /// Polls /proc/buddyinfo every X ms, if non-zero.
    /// This is required to be > 10ms to avoid excessive CPU usage.
    #[prost(uint32, optional, tag = "9")]
    pub buddyinfo_period_ms: ::core::option::Option<u32>,
    /// Polls /proc/diskstats every X ms, if non-zero.
    /// This is required to be > 10ms to avoid excessive CPU usage.
    #[prost(uint32, optional, tag = "10")]
    pub diskstat_period_ms: ::core::option::Option<u32>,
    /// Polls /proc/pressure/* every X ms, if non-zero.
    /// This is required to be > 10ms to avoid excessive CPU usage.
    #[prost(uint32, optional, tag = "11")]
    pub psi_period_ms: ::core::option::Option<u32>,
    /// Polls /sys/class/thermal/* every X ms, if non-zero.
    /// This is required to be > 10ms to avoid excessive CPU usage.
    #[prost(uint32, optional, tag = "12")]
    pub thermal_period_ms: ::core::option::Option<u32>,
    /// Polls /sys/devices/system/cpu/cpu*/cpuidle/state* every X ms, if non-zero.
    /// This is required to be > 10ms to avoid excessive CPU usage.
    #[prost(uint32, optional, tag = "13")]
    pub cpuidle_period_ms: ::core::option::Option<u32>,
    /// Polls device-specific GPU frequency info every X ms, if non-zero.
    /// This is required to be > 10ms to avoid excessive CPU usage.
    #[prost(uint32, optional, tag = "14")]
    pub gpufreq_period_ms: ::core::option::Option<u32>,
}
/// Nested message and enum types in `SysStatsConfig`.
pub mod sys_stats_config {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum StatCounters {
        StatUnspecified = 0,
        StatCpuTimes = 1,
        StatIrqCounts = 2,
        StatSoftirqCounts = 3,
        StatForkCount = 4,
    }
    impl StatCounters {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::StatUnspecified => "STAT_UNSPECIFIED",
                Self::StatCpuTimes => "STAT_CPU_TIMES",
                Self::StatIrqCounts => "STAT_IRQ_COUNTS",
                Self::StatSoftirqCounts => "STAT_SOFTIRQ_COUNTS",
                Self::StatForkCount => "STAT_FORK_COUNT",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "STAT_UNSPECIFIED" => Some(Self::StatUnspecified),
                "STAT_CPU_TIMES" => Some(Self::StatCpuTimes),
                "STAT_IRQ_COUNTS" => Some(Self::StatIrqCounts),
                "STAT_SOFTIRQ_COUNTS" => Some(Self::StatSoftirqCounts),
                "STAT_FORK_COUNT" => Some(Self::StatForkCount),
                _ => None,
            }
        }
    }
}
/// This data-source does a one-off recording of system information when
/// the trace starts.
/// Currently this includes:
/// - Values of
/// /sys/devices/system/cpu/cpu*/cpufreq/scaling_available_frequencies This
/// datasource has no configuration options at present.
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SystemInfoConfig {}
/// The configuration for a fake producer used in tests.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TestConfig {
    /// The number of messages the fake producer should send.
    #[prost(uint32, optional, tag = "1")]
    pub message_count: ::core::option::Option<u32>,
    /// The maximum number of messages which should be sent each second.
    /// The actual obserced speed may be lower if the producer is unable to
    /// work fast enough.
    /// If this is zero or unset, the producer will send as fast as possible.
    #[prost(uint32, optional, tag = "2")]
    pub max_messages_per_second: ::core::option::Option<u32>,
    /// The seed value for a simple multiplicative congruential pseudo-random
    /// number sequence.
    #[prost(uint32, optional, tag = "3")]
    pub seed: ::core::option::Option<u32>,
    /// The size of each message in bytes. Should be greater than or equal 5 to
    /// account for the number of bytes needed to encode the random number and a
    /// null byte for the string.
    #[prost(uint32, optional, tag = "4")]
    pub message_size: ::core::option::Option<u32>,
    /// Whether the producer should send a event batch when the data source is
    /// is initially registered.
    #[prost(bool, optional, tag = "5")]
    pub send_batch_on_register: ::core::option::Option<bool>,
    #[prost(message, optional, tag = "6")]
    pub dummy_fields: ::core::option::Option<test_config::DummyFields>,
}
/// Nested message and enum types in `TestConfig`.
pub mod test_config {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct DummyFields {
        #[prost(uint32, optional, tag = "1")]
        pub field_uint32: ::core::option::Option<u32>,
        #[prost(int32, optional, tag = "2")]
        pub field_int32: ::core::option::Option<i32>,
        #[prost(uint64, optional, tag = "3")]
        pub field_uint64: ::core::option::Option<u64>,
        #[prost(int64, optional, tag = "4")]
        pub field_int64: ::core::option::Option<i64>,
        #[prost(fixed64, optional, tag = "5")]
        pub field_fixed64: ::core::option::Option<u64>,
        #[prost(sfixed64, optional, tag = "6")]
        pub field_sfixed64: ::core::option::Option<i64>,
        #[prost(fixed32, optional, tag = "7")]
        pub field_fixed32: ::core::option::Option<u32>,
        #[prost(sfixed32, optional, tag = "8")]
        pub field_sfixed32: ::core::option::Option<i32>,
        #[prost(double, optional, tag = "9")]
        pub field_double: ::core::option::Option<f64>,
        #[prost(float, optional, tag = "10")]
        pub field_float: ::core::option::Option<f32>,
        #[prost(sint64, optional, tag = "11")]
        pub field_sint64: ::core::option::Option<i64>,
        #[prost(sint32, optional, tag = "12")]
        pub field_sint32: ::core::option::Option<i32>,
        #[prost(string, optional, tag = "13")]
        pub field_string: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(bytes = "vec", optional, tag = "14")]
        pub field_bytes: ::core::option::Option<::prost::alloc::vec::Vec<u8>>,
    }
}
/// The following fields define the set of enabled trace categories. Each list
/// item is a glob.
///
/// To determine if category is enabled, it is checked against the filters in
/// the following order:
///
///    1. Exact matches in enabled categories.
///    2. Exact matches in enabled tags.
///    3. Exact matches in disabled categories.
///    4. Exact matches in disabled tags.
///    5. Pattern matches in enabled categories.
///    6. Pattern matches in enabled tags.
///    7. Pattern matches in disabled categories.
///    8. Pattern matches in disabled tags.
///
/// If none of the steps produced a match:
///   - In the C++ SDK (`perfetto::Category`), categories are enabled by
///   default.
///   - In the C SDK (`PerfettoTeCategory`), categories are disabled by default.
///
/// Examples:
///
///   - To enable all non-slow/debug categories:
///
///        enabled_categories: "*"
///
///   - To enable specific categories:
///
///        disabled_categories: "*"
///        enabled_categories: "my_category"
///        enabled_categories: "my_category2"
///
///   - To enable only categories with a specific tag:
///
///        disabled_tags: "*"
///        enabled_tags: "my_tag"
///
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrackEventConfig {
    /// Default: \[\]
    #[prost(string, repeated, tag = "1")]
    pub disabled_categories: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// Default: \[\]
    #[prost(string, repeated, tag = "2")]
    pub enabled_categories: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// Default: \["slow", "debug"\]
    #[prost(string, repeated, tag = "3")]
    pub disabled_tags: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// Default: \[\]
    #[prost(string, repeated, tag = "4")]
    pub enabled_tags: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// Default: false (i.e. enabled by default)
    #[prost(bool, optional, tag = "5")]
    pub disable_incremental_timestamps: ::core::option::Option<bool>,
    /// Allows to specify a custom unit different than the default (ns).
    /// Also affects thread timestamps if enable_thread_time_sampling = true.
    /// A multiplier of 1000 means that a timestamp = 3 should be interpreted as
    /// 3000 ns = 3 us.
    /// Default: 1 (if unset, it should be read as 1).
    #[prost(uint64, optional, tag = "6")]
    pub timestamp_unit_multiplier: ::core::option::Option<u64>,
    /// Default: false (i.e. debug_annotations is NOT filtered out by default)
    /// When true, any debug annotations provided as arguments to the
    /// TRACE_EVENT macros are not written into the trace. Typed arguments will
    /// still be emitted even if set to true.
    #[prost(bool, optional, tag = "7")]
    pub filter_debug_annotations: ::core::option::Option<bool>,
    /// Default : false (i.e. disabled)
    /// When true, the SDK samples and emits the current thread time counter value
    /// for each event on the current thread's track. This value represents the
    /// total CPU time consumed by that thread since its creation. Note that if a
    /// thread is not scheduled by OS for some duration, that time won't be
    /// included in thread_time.
    /// Learn more : "CLOCK_THREAD_CPUTIME_ID" flag at
    /// <https://linux.die.net/man/3/clock_gettime>
    #[prost(bool, optional, tag = "8")]
    pub enable_thread_time_sampling: ::core::option::Option<bool>,
    /// Default: false (i.e. dynamic event names are NOT filtered out by default)
    /// When true, event_names wrapped in perfetto::DynamicString will be filtered
    /// out.
    #[prost(bool, optional, tag = "9")]
    pub filter_dynamic_event_names: ::core::option::Option<bool>,
}
/// The overall config that is used when starting a new tracing session through
/// ProducerPort::StartTracing().
/// It contains the general config for the logging buffer(s) and the configs for
/// all the data source being enabled.
///
/// Next id: 40.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TraceConfig {
    #[prost(message, repeated, tag = "1")]
    pub buffers: ::prost::alloc::vec::Vec<trace_config::BufferConfig>,
    #[prost(message, repeated, tag = "2")]
    pub data_sources: ::prost::alloc::vec::Vec<trace_config::DataSource>,
    #[prost(message, optional, tag = "20")]
    pub builtin_data_sources: ::core::option::Option<trace_config::BuiltinDataSource>,
    /// If specified, the trace will be stopped |duration_ms| after starting.
    /// This does *not* count the time the system is suspended, so we will run
    /// for duration_ms of system activity, not wall time.
    ///
    /// However in case of traces with triggers, see
    /// TriggerConfig.trigger_timeout_ms instead.
    #[prost(uint32, optional, tag = "3")]
    pub duration_ms: ::core::option::Option<u32>,
    /// If true, tries to use CLOCK_BOOTTIME for duration_ms rather than
    /// CLOCK_MONOTONIC (which doesn't count time in suspend). Supported only on
    /// Linux/Android, no-op on other platforms. This is used when dealing with
    /// long (e.g. 24h) traces, where suspend can inflate them to weeks of
    /// wall-time, making them more likely to hit device reboots (and hence loss).
    /// This option also changes consistently the semantic of
    /// TriggerConfig.stop_delay_ms.
    #[prost(bool, optional, tag = "36")]
    pub prefer_suspend_clock_for_duration: ::core::option::Option<bool>,
    /// This is set when --dropbox is passed to the Perfetto command line client
    /// and enables guardrails that limit resource usage for traces requested
    /// by statsd.
    #[prost(bool, optional, tag = "4")]
    pub enable_extra_guardrails: ::core::option::Option<bool>,
    /// Reject producers that are not running under the same UID as the tracing
    /// service.
    #[prost(enumeration = "trace_config::LockdownModeOperation", optional, tag = "5")]
    pub lockdown_mode: ::core::option::Option<i32>,
    #[prost(message, repeated, tag = "6")]
    pub producers: ::prost::alloc::vec::Vec<trace_config::ProducerConfig>,
    /// Statsd-specific metadata.
    #[prost(message, optional, tag = "7")]
    pub statsd_metadata: ::core::option::Option<trace_config::StatsdMetadata>,
    /// When true && |output_path| is empty, the EnableTracing() request must
    /// provide a file descriptor. The service will then periodically read packets
    /// out of the trace buffer and store it into the passed file.
    /// If |output_path| is not empty no fd should be passed, the service
    /// will create a new file and write into that (see comment below).
    #[prost(bool, optional, tag = "8")]
    pub write_into_file: ::core::option::Option<bool>,
    /// This must point to a non-existing file. If the file exists the service
    /// will NOT overwrite and will fail instead as a security precaution.
    /// On Android, when this is used with the system traced, the path must be
    /// within /data/misc/perfetto-traces/ or the trace will fail.
    /// This option has been introduced in Android R. Before R write_into_file
    /// can be used only with the "pass a file descriptor over IPC" mode.
    #[prost(string, optional, tag = "29")]
    pub output_path: ::core::option::Option<::prost::alloc::string::String>,
    /// Optional. If non-zero tunes the write period. A min value of 100ms is
    /// enforced (i.e. smaller values are ignored).
    #[prost(uint32, optional, tag = "9")]
    pub file_write_period_ms: ::core::option::Option<u32>,
    /// Optional. When non zero the periodic write stops once at most X bytes
    /// have been written into the file. Tracing is disabled when this limit is
    /// reached, even if |duration_ms| has not been reached yet.
    #[prost(uint64, optional, tag = "10")]
    pub max_file_size_bytes: ::core::option::Option<u64>,
    #[prost(message, optional, tag = "11")]
    pub guardrail_overrides: ::core::option::Option<trace_config::GuardrailOverrides>,
    /// When true, data sources are not started until an explicit call to
    /// StartTracing() on the consumer port. This is to support early
    /// initialization and fast trace triggering. This can be used only when the
    /// Consumer explicitly triggers the StartTracing() method.
    /// This should not be used in a remote trace config via statsd, doing so will
    /// result in a hung trace session.
    #[prost(bool, optional, tag = "12")]
    pub deferred_start: ::core::option::Option<bool>,
    /// When set, it periodically issues a Flush() to all data source, forcing them
    /// to commit their data into the tracing service. This can be used for
    /// quasi-real-time streaming mode and to guarantee some partial ordering of
    /// events in the trace in windows of X ms.
    #[prost(uint32, optional, tag = "13")]
    pub flush_period_ms: ::core::option::Option<u32>,
    /// Wait for this long for producers to acknowledge flush requests.
    /// Default 5s.
    #[prost(uint32, optional, tag = "14")]
    pub flush_timeout_ms: ::core::option::Option<u32>,
    /// Wait for this long for producers to acknowledge stop requests.
    /// Default 5s.
    #[prost(uint32, optional, tag = "23")]
    pub data_source_stop_timeout_ms: ::core::option::Option<u32>,
    /// Android-only. If set, sends an intent to the Traceur system app when the
    /// trace ends to notify it about the trace readiness.
    #[prost(bool, optional, tag = "16")]
    pub notify_traceur: ::core::option::Option<bool>,
    /// This field was introduced in Android S.
    /// Android-only. If set to a value > 0, marks the trace session as a candidate
    /// for being attached to a bugreport. This field effectively acts as a z-index
    /// for bugreports. When Android's dumpstate runs perfetto
    /// --save-for-bugreport, traced will pick the tracing session with the highest
    /// score (score <= 0 is ignored) and:
    /// On Android S, T:  will steal its contents, save the trace into
    ///      a known path and stop prematurely.
    /// On Android U+: will create a read-only snapshot and save that into a known
    ///      path, without stoppin the original tracing session.
    /// When this field is set the tracing session becomes eligible to be cloned
    /// by other UIDs.
    #[prost(int32, optional, tag = "30")]
    pub bugreport_score: ::core::option::Option<i32>,
    /// When set, defines name of the file that will be saved under
    /// /data/misc/perfetto-traces/bugreport/ when using --save-all-for-bugreport.
    /// If omitted, traces will be named systrace.pftrace, systrace_1.pftrace, etc,
    /// starting from the highest `bugreport_score`.
    /// Introduced in v42 / Android V.
    #[prost(string, optional, tag = "38")]
    pub bugreport_filename: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(message, optional, tag = "17")]
    pub trigger_config: ::core::option::Option<trace_config::TriggerConfig>,
    /// When this is non-empty the perfetto command line tool will ignore the rest
    /// of this TraceConfig and instead connect to the perfetto service as a
    /// producer and send these triggers, potentially stopping or starting traces
    /// that were previous configured to use a TriggerConfig.
    #[prost(string, repeated, tag = "18")]
    pub activate_triggers: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    #[prost(message, optional, tag = "21")]
    pub incremental_state_config: ::core::option::Option<
        trace_config::IncrementalStateConfig,
    >,
    /// No longer needed as we unconditionally allow tracing on user builds.
    #[deprecated]
    #[prost(bool, optional, tag = "19")]
    pub allow_user_build_tracing: ::core::option::Option<bool>,
    /// If set the tracing service will ensure there is at most one tracing session
    /// with this key.
    #[prost(string, optional, tag = "22")]
    pub unique_session_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(enumeration = "trace_config::CompressionType", optional, tag = "24")]
    pub compression_type: ::core::option::Option<i32>,
    #[prost(message, optional, tag = "25")]
    pub incident_report_config: ::core::option::Option<
        trace_config::IncidentReportConfig,
    >,
    /// Android-only. Not for general use. If specified, sets the logging to statsd
    /// of guardrails and checkpoints in the tracing service. perfetto_cmd sets
    /// this to enabled (if not explicitly set in the config) when specifying
    /// --upload.
    #[prost(enumeration = "trace_config::StatsdLogging", optional, tag = "31")]
    pub statsd_logging: ::core::option::Option<i32>,
    /// An identifier clients can use to tie this trace to other logging.
    /// DEPRECATED as per v32. See TracePacket.trace_uuid for the authoritative
    /// Trace UUID. If this field is set, the tracing service will respect the
    /// requested UUID (i.e. TracePacket.trace_uuid == this field) but only if
    /// gap-less snapshotting is not used.
    #[deprecated]
    #[prost(int64, optional, tag = "27")]
    pub trace_uuid_msb: ::core::option::Option<i64>,
    #[deprecated]
    #[prost(int64, optional, tag = "28")]
    pub trace_uuid_lsb: ::core::option::Option<i64>,
    #[prost(message, optional, tag = "33")]
    pub trace_filter: ::core::option::Option<trace_config::TraceFilter>,
    #[prost(message, optional, tag = "34")]
    pub android_report_config: ::core::option::Option<trace_config::AndroidReportConfig>,
    #[prost(message, optional, tag = "35")]
    pub cmd_trace_start_delay: ::core::option::Option<trace_config::CmdTraceStartDelay>,
    #[prost(message, repeated, tag = "39")]
    pub session_semaphores: ::prost::alloc::vec::Vec<trace_config::SessionSemaphore>,
}
/// Nested message and enum types in `TraceConfig`.
pub mod trace_config {
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct BufferConfig {
        #[prost(uint32, optional, tag = "1")]
        pub size_kb: ::core::option::Option<u32>,
        #[prost(enumeration = "buffer_config::FillPolicy", optional, tag = "4")]
        pub fill_policy: ::core::option::Option<i32>,
        /// When true the buffer is moved (rather than copied) onto the cloned
        /// session, and an empty buffer of the same size is allocated in the source
        /// tracing session. This feature will likely get deprecated in the future.
        /// It been introduced mainly to support the surfaceflinger snapshot dump
        /// for bugreports, where SF can dumps O(400MB) into the bugreport trace. In
        /// that case we don't want to retain another in-memory copy of the buffer.
        #[prost(bool, optional, tag = "5")]
        pub transfer_on_clone: ::core::option::Option<bool>,
        /// Used in conjunction with transfer_on_clone. When true the buffer is
        /// cleared before issuing the Flush(reason=kTraceClone). This is to ensure
        /// that if the data source took too long to write the data in a previous
        /// clone-related flush, we don't end up with a mixture of leftovers from
        /// the previous write and new data.
        #[prost(bool, optional, tag = "6")]
        pub clear_before_clone: ::core::option::Option<bool>,
    }
    /// Nested message and enum types in `BufferConfig`.
    pub mod buffer_config {
        #[derive(
            Clone,
            Copy,
            Debug,
            PartialEq,
            Eq,
            Hash,
            PartialOrd,
            Ord,
            ::prost::Enumeration
        )]
        #[repr(i32)]
        pub enum FillPolicy {
            Unspecified = 0,
            /// Default behavior. The buffer operates as a conventional ring buffer.
            /// If the writer is faster than the reader (or if the reader reads only
            /// after tracing is stopped) newly written packets will overwrite old
            /// packets.
            RingBuffer = 1,
            /// Behaves like RING_BUFFER as long as there is space in the buffer or
            /// the reader catches up with the writer. As soon as the writer hits
            /// an unread chunk, it stops accepting new data in the buffer.
            Discard = 2,
        }
        impl FillPolicy {
            /// String value of the enum field names used in the ProtoBuf definition.
            ///
            /// The values are not transformed in any way and thus are considered stable
            /// (if the ProtoBuf definition does not change) and safe for programmatic use.
            pub fn as_str_name(&self) -> &'static str {
                match self {
                    Self::Unspecified => "UNSPECIFIED",
                    Self::RingBuffer => "RING_BUFFER",
                    Self::Discard => "DISCARD",
                }
            }
            /// Creates an enum from field names used in the ProtoBuf definition.
            pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
                match value {
                    "UNSPECIFIED" => Some(Self::Unspecified),
                    "RING_BUFFER" => Some(Self::RingBuffer),
                    "DISCARD" => Some(Self::Discard),
                    _ => None,
                }
            }
        }
    }
    /// Filters and data-source specific config. It contains also the unique name
    /// of the data source, the one passed in the  DataSourceDescriptor when they
    /// register on the service.
    /// optional protos.DataSourceConfig config = 1;
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct DataSource {
        /// Optional. If multiple producers (~processes) expose the same data source
        /// and either |producer_name_filter| or |producer_name_regex_filter| is set,
        /// the data source is enabled only for producers whose names match any of
        /// the filters.
        /// |producer_name_filter| has to be an exact match, while
        /// |producer_name_regex_filter| is a regular expression.
        /// This allows to enable a data source only for specific processes.
        /// The "repeated" fields have OR semantics: specifying a filter ["foo",
        /// "bar"] will enable data sources on both "foo" and "bar" (if they exist).
        #[prost(string, repeated, tag = "2")]
        pub producer_name_filter: ::prost::alloc::vec::Vec<
            ::prost::alloc::string::String,
        >,
        #[prost(string, repeated, tag = "3")]
        pub producer_name_regex_filter: ::prost::alloc::vec::Vec<
            ::prost::alloc::string::String,
        >,
    }
    /// Config for disabling builtin data sources in the tracing service.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct BuiltinDataSource {
        /// Disable emitting clock timestamps into the trace.
        #[prost(bool, optional, tag = "1")]
        pub disable_clock_snapshotting: ::core::option::Option<bool>,
        /// Disable echoing the original trace config in the trace.
        #[prost(bool, optional, tag = "2")]
        pub disable_trace_config: ::core::option::Option<bool>,
        /// Disable emitting system info (build fingerprint, cpuinfo, etc).
        #[prost(bool, optional, tag = "3")]
        pub disable_system_info: ::core::option::Option<bool>,
        /// Disable emitting events for data-source state changes (e.g. the marker
        /// for all data sources having ACKed the start of the trace).
        #[prost(bool, optional, tag = "4")]
        pub disable_service_events: ::core::option::Option<bool>,
        /// The authoritative clock domain for the trace. Defaults to BOOTTIME. See
        /// also ClockSnapshot's primary_trace_clock. The configured value is written
        /// into the trace as part of the ClockSnapshots emitted by the service.
        /// Trace processor will attempt to translate packet/event timestamps from
        /// various data sources (and their chosen clock domains) to this domain
        /// during import. Added in Android R.
        #[prost(enumeration = "super::BuiltinClock", optional, tag = "5")]
        pub primary_trace_clock: ::core::option::Option<i32>,
        /// Time interval in between snapshotting of sync markers, clock snapshots,
        /// stats, and other periodic service-emitted events. Note that the service
        /// only keeps track of the first and the most recent snapshot until
        /// ReadBuffers() is called.
        #[prost(uint32, optional, tag = "6")]
        pub snapshot_interval_ms: ::core::option::Option<u32>,
        /// Hints to the service that a suspend-aware (i.e. counting time in suspend)
        /// clock should be used for periodic snapshots of service-emitted events.
        /// This means, if a snapshot *should* have happened during suspend, it will
        /// happen immediately after the device resumes.
        ///
        /// Choosing a clock like this is done on best-effort basis; not all
        /// platforms (e.g. Windows) expose a clock which can be used for periodic
        /// tasks counting suspend. If such a clock is not available, the service
        /// falls back to the best-available alternative.
        ///
        /// Introduced in Android S.
        /// TODO(lalitm): deprecate this in T and make this the default if nothing
        /// crashes in S.
        #[prost(bool, optional, tag = "7")]
        pub prefer_suspend_clock_for_snapshot: ::core::option::Option<bool>,
        /// Disables the reporting of per-trace-writer histograms in TraceStats.
        #[prost(bool, optional, tag = "8")]
        pub disable_chunk_usage_histograms: ::core::option::Option<bool>,
    }
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct ProducerConfig {
        /// Identifies the producer for which this config is for.
        #[prost(string, optional, tag = "1")]
        pub producer_name: ::core::option::Option<::prost::alloc::string::String>,
        /// Specifies the preferred size of the shared memory buffer. If the size is
        /// larger than the max size, the max will be used. If it is smaller than
        /// the page size or doesn't fit pages evenly into it, it will fall back to
        /// the size specified by the producer or finally the default shared memory
        /// size.
        #[prost(uint32, optional, tag = "2")]
        pub shm_size_kb: ::core::option::Option<u32>,
        /// Specifies the preferred size of each page in the shared memory buffer.
        /// Must be an integer multiple of 4K.
        #[prost(uint32, optional, tag = "3")]
        pub page_size_kb: ::core::option::Option<u32>,
    }
    /// Contains statsd-specific metadata about an alert associated with the trace.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct StatsdMetadata {
        /// The identifier of the alert which triggered this trace.
        #[prost(int64, optional, tag = "1")]
        pub triggering_alert_id: ::core::option::Option<i64>,
        /// The uid which registered the triggering configuration with statsd.
        #[prost(int32, optional, tag = "2")]
        pub triggering_config_uid: ::core::option::Option<i32>,
        /// The identifier of the config which triggered the alert.
        #[prost(int64, optional, tag = "3")]
        pub triggering_config_id: ::core::option::Option<i64>,
        /// The identifier of the subscription which triggered this trace.
        #[prost(int64, optional, tag = "4")]
        pub triggering_subscription_id: ::core::option::Option<i64>,
    }
    /// Contains flags which override the default values of the guardrails inside
    /// Perfetto.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct GuardrailOverrides {
        /// Override the default limit (in bytes) for uploading data to server within
        /// a 24 hour period.
        /// On R-, this override only affected userdebug builds. Since S, it also
        /// affects user builds.
        /// In 24Q3+ (V+), this override is a noop because upload guardrail logic
        /// was removed from Perfetto.
        #[deprecated]
        #[prost(uint64, optional, tag = "1")]
        pub max_upload_per_day_bytes: ::core::option::Option<u64>,
        /// Overrides the guardrail for maximum trace buffer size.
        /// Available on U+
        #[prost(uint32, optional, tag = "2")]
        pub max_tracing_buffer_size_kb: ::core::option::Option<u32>,
    }
    /// Triggers allow producers to start or stop the tracing session when an event
    /// occurs.
    ///
    /// For example if we are tracing probabilistically, most traces will be
    /// uninteresting. Triggers allow us to keep only the interesting ones such as
    /// those traces during which the device temperature reached a certain
    /// threshold. In this case the producer can activate a trigger to keep
    /// (STOP_TRACING) the trace, otherwise it can also begin a trace
    /// (START_TRACING) because it knows something is about to happen.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct TriggerConfig {
        #[prost(enumeration = "trigger_config::TriggerMode", optional, tag = "1")]
        pub trigger_mode: ::core::option::Option<i32>,
        /// This flag is really a workaround for b/274931668. This is needed only
        /// when deploying configs to different versions of the tracing service.
        /// When this is set to true this has the same effect of setting trigger_mode
        /// to CLONE_SNAPSHOT on newer versions of the service. This boolean has been
        /// introduced to allow to have configs that use CLONE_SNAPSHOT on newer
        /// versions of Android and fall back to STOP_TRACING on older versions where
        /// CLONE_SNAPSHOT did not exist.
        /// When using this flag, trigger_mode must be set to STOP_TRACING.
        #[prost(bool, optional, tag = "5")]
        pub use_clone_snapshot_if_available: ::core::option::Option<bool>,
        /// A list of triggers which are related to this configuration. If ANY
        /// trigger is seen then an action will be performed based on |trigger_mode|.
        #[prost(message, repeated, tag = "2")]
        pub triggers: ::prost::alloc::vec::Vec<trigger_config::Trigger>,
        /// Required and must be positive if a TriggerConfig is specified. This is
        /// how long this TraceConfig should wait for a trigger to arrive. After this
        /// period of time if no trigger is seen the TracingSession will be cleaned
        /// up.
        #[prost(uint32, optional, tag = "3")]
        pub trigger_timeout_ms: ::core::option::Option<u32>,
    }
    /// Nested message and enum types in `TriggerConfig`.
    pub mod trigger_config {
        #[derive(Clone, PartialEq, ::prost::Message)]
        pub struct Trigger {
            /// The producer must specify this name to activate the trigger.
            #[prost(string, optional, tag = "1")]
            pub name: ::core::option::Option<::prost::alloc::string::String>,
            /// An std::regex that will match the producer that can activate this
            /// trigger. This is optional. If unset any producers can activate this
            /// trigger.
            #[prost(string, optional, tag = "2")]
            pub producer_name_regex: ::core::option::Option<
                ::prost::alloc::string::String,
            >,
            /// After a trigger is received either in START_TRACING or STOP_TRACING
            /// mode then the trace will end |stop_delay_ms| after triggering.
            /// In CLONE_SNAPSHOT mode, this is the delay between the trigger and the
            /// snapshot.
            /// If |prefer_suspend_clock_for_duration| is set, the duration will be
            /// based on wall-clock, counting also time in suspend.
            #[prost(uint32, optional, tag = "3")]
            pub stop_delay_ms: ::core::option::Option<u32>,
            /// Limits the number of traces this trigger can start/stop in a rolling
            /// 24 hour window. If this field is unset or zero, no limit is applied and
            /// activiation of this trigger *always* starts/stops the trace.
            #[prost(uint32, optional, tag = "4")]
            pub max_per_24_h: ::core::option::Option<u32>,
            /// A value between 0 and 1 which encodes the probability of skipping a
            /// trigger with this name. This is useful for reducing the probability
            /// of high-frequency triggers from dominating trace finaization. If this
            /// field is unset or zero, the trigger will *never* be skipped. If this
            /// field is greater than or equal to 1, this trigger will *always* be
            /// skipped i.e. it will be as if this trigger was never included in the
            /// first place.
            /// This probability check is applied *before* any other limits. For
            /// example, if |max_per_24_h| is also set, first we will check if the
            /// probability bar is met and only then will we check the |max_per_24_h|
            /// limit.
            #[prost(double, optional, tag = "5")]
            pub skip_probability: ::core::option::Option<f64>,
        }
        #[derive(
            Clone,
            Copy,
            Debug,
            PartialEq,
            Eq,
            Hash,
            PartialOrd,
            Ord,
            ::prost::Enumeration
        )]
        #[repr(i32)]
        pub enum TriggerMode {
            Unspecified = 0,
            /// When this mode is chosen, data sources are not started until one of the
            /// |triggers| are received. This supports early initialization and fast
            /// starting of the tracing system. On triggering, the session will then
            /// record for |stop_delay_ms|. However if no trigger is seen
            /// after |trigger_timeout_ms| the session will be stopped and no data will
            /// be returned.
            StartTracing = 1,
            /// When this mode is chosen, the session will be started via the normal
            /// EnableTracing() & StartTracing(). If no trigger is ever seen
            /// the session will be stopped after |trigger_timeout_ms| and no data will
            /// be returned. However if triggered the trace will stop after
            /// |stop_delay_ms| and any data in the buffer will be returned to the
            /// consumer.
            StopTracing = 2,
            /// When this mode is chosen, this causes a snapshot of the current tracing
            /// session to be created after |stop_delay_ms| while the current tracing
            /// session continues undisturbed (% an extra flush). This mode can be
            /// used only when the tracing session is handled by the "perfetto" cmdline
            /// client (which is true in 90% of cases). Part of the business logic
            /// necessary for this behavior, and ensuing file handling, lives in
            /// perfetto_cmd.cc . On other consumers, this causes only a notification
            /// of the trigger through a CloneTriggerHit ObservableEvent. The custom
            /// consumer is supposed to call CloneSession() itself after the event.
            /// Use use_clone_snapshot_if_available=true when targeting older versions
            /// of perfetto.
            CloneSnapshot = 4,
        }
        impl TriggerMode {
            /// String value of the enum field names used in the ProtoBuf definition.
            ///
            /// The values are not transformed in any way and thus are considered stable
            /// (if the ProtoBuf definition does not change) and safe for programmatic use.
            pub fn as_str_name(&self) -> &'static str {
                match self {
                    Self::Unspecified => "UNSPECIFIED",
                    Self::StartTracing => "START_TRACING",
                    Self::StopTracing => "STOP_TRACING",
                    Self::CloneSnapshot => "CLONE_SNAPSHOT",
                }
            }
            /// Creates an enum from field names used in the ProtoBuf definition.
            pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
                match value {
                    "UNSPECIFIED" => Some(Self::Unspecified),
                    "START_TRACING" => Some(Self::StartTracing),
                    "STOP_TRACING" => Some(Self::StopTracing),
                    "CLONE_SNAPSHOT" => Some(Self::CloneSnapshot),
                    _ => None,
                }
            }
        }
    }
    /// Configuration for trace contents that reference earlier trace data. For
    /// example, a data source might intern strings, and emit packets containing
    /// {interned id : string} pairs. Future packets from that data source can then
    /// use the interned ids instead of duplicating the raw string contents. The
    /// trace parser will then need to use that interning table to fully interpret
    /// the rest of the trace.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct IncrementalStateConfig {
        /// If nonzero, notify eligible data sources to clear their incremental state
        /// periodically, with the given period. The notification is sent only to
        /// data sources that have |handles_incremental_state_clear| set in their
        /// DataSourceDescriptor. The notification requests that the data source
        /// stops referring to past trace contents. This is particularly useful when
        /// tracing in ring buffer mode, where it is not exceptional to overwrite old
        /// trace data.
        ///
        /// Warning: this time-based global clearing is likely to be removed in the
        /// future, to be replaced with a smarter way of sending the notifications
        /// only when necessary.
        #[prost(uint32, optional, tag = "1")]
        pub clear_period_ms: ::core::option::Option<u32>,
    }
    /// Android-only. Not for general use. If set, saves the trace into an
    /// incident. This field is read by perfetto_cmd, rather than the tracing
    /// service. This field must be set when passing the --upload flag to
    /// perfetto_cmd.
    ///
    /// In this message, either:
    ///   * all of |destination_package|, |destination_class| and |privacy_level|
    ///     must be set.
    ///   * |skip_incidentd| must be explicitly set to true.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct IncidentReportConfig {
        #[prost(string, optional, tag = "1")]
        pub destination_package: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(string, optional, tag = "2")]
        pub destination_class: ::core::option::Option<::prost::alloc::string::String>,
        /// Level of filtering in the requested incident. See |Destination| in
        /// frameworks/base/core/proto/android/privacy.proto.
        #[prost(int32, optional, tag = "3")]
        pub privacy_level: ::core::option::Option<i32>,
        /// If true, then skips saving the trace to incidentd.
        ///
        /// This flag is useful in testing (e.g. Perfetto-statsd integration tests)
        /// or when we explicitly don't want traces to go to incidentd even when they
        /// usually would (e.g. configs deployed using statsd but only used for
        /// inclusion in bugreports using |bugreport_score|).
        ///
        /// The motivation for having this flag, instead of just not setting
        /// |incident_report_config|, is prevent accidents where
        /// |incident_report_config| is omitted by mistake.
        #[prost(bool, optional, tag = "5")]
        pub skip_incidentd: ::core::option::Option<bool>,
        /// If true, do not write the trace into dropbox (i.e. incident only).
        /// Otherwise, write to both dropbox and incident.
        /// TODO(lalitm): remove this field as we no longer use Dropbox.
        #[deprecated]
        #[prost(bool, optional, tag = "4")]
        pub skip_dropbox: ::core::option::Option<bool>,
    }
    /// When set applies a post-filter to the trace contents using the filter
    /// provided. The filter is applied at ReadBuffers() time and works both in the
    /// case of IPC readback and write_into_file. This filter can be generated
    /// using `tools/proto_filter -s schema.proto -F filter_out.bytes` or
    /// `-T filter_out.escaped_string` (for .pbtx). See go/trace-filtering for
    /// design.
    ///
    /// Introduced in Android S, but it was broken (b/195065199). Reintroduced in
    /// Android T with a different field number. Updated in Android U with a new
    /// bytecode version which supports string filtering.
    ///
    /// =========================
    /// Filter bytecode.
    /// =========================
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct TraceFilter {
        /// The bytecode as implemented in Android T.
        #[prost(bytes = "vec", optional, tag = "1")]
        pub bytecode: ::core::option::Option<::prost::alloc::vec::Vec<u8>>,
        /// The bytecode as implemented in Android U. Adds support for string
        /// filtering.
        #[prost(bytes = "vec", optional, tag = "2")]
        pub bytecode_v2: ::core::option::Option<::prost::alloc::vec::Vec<u8>>,
        #[prost(message, optional, tag = "3")]
        pub string_filter_chain: ::core::option::Option<trace_filter::StringFilterChain>,
    }
    /// Nested message and enum types in `TraceFilter`.
    pub mod trace_filter {
        /// A rule specifies how strings should be filtered.
        #[derive(Clone, PartialEq, ::prost::Message)]
        pub struct StringFilterRule {
            /// The policy (i.e. algorithm) dictating how strings matching this rule
            /// should be handled.
            #[prost(enumeration = "StringFilterPolicy", optional, tag = "1")]
            pub policy: ::core::option::Option<i32>,
            /// The regex pattern used to match against each string.
            #[prost(string, optional, tag = "2")]
            pub regex_pattern: ::core::option::Option<::prost::alloc::string::String>,
            /// The string which should appear after the tgid in atrace tracepoint
            /// strings.
            #[prost(string, optional, tag = "3")]
            pub atrace_payload_starts_with: ::core::option::Option<
                ::prost::alloc::string::String,
            >,
        }
        /// A chain is a list of rules which string will be sequentially checked
        /// against.
        #[derive(Clone, PartialEq, ::prost::Message)]
        pub struct StringFilterChain {
            #[prost(message, repeated, tag = "1")]
            pub rules: ::prost::alloc::vec::Vec<StringFilterRule>,
        }
        /// A policy specifies which algorithm should be used for filtering the
        /// string.
        #[derive(
            Clone,
            Copy,
            Debug,
            PartialEq,
            Eq,
            Hash,
            PartialOrd,
            Ord,
            ::prost::Enumeration
        )]
        #[repr(i32)]
        pub enum StringFilterPolicy {
            SfpUnspecified = 0,
            /// Tries to match the string field against |regex_pattern|. If it
            /// matches, all matching groups are "redacted" (i.e. replaced with a
            /// constant string) and filtering is terminated (i.e. no further rules are
            /// checked). If it doesn't match, the string is left unchanged and the
            /// next rule in chain is considered.
            SfpMatchRedactGroups = 1,
            /// Like |SFP_MATCH_REDACT_GROUPS| but tries to do some pre-work before
            /// checking the regex. Specifically, it tries to parse the string field as
            /// an atrace tracepoint and checks if the post-tgid field starts with
            /// |atrace_post_tgid_starts_with|. The regex matching is only performed if
            /// this check succeeds.
            SfpAtraceMatchRedactGroups = 2,
            /// Tries to match the string field against |regex_pattern|. If it
            /// matches, filtering is terminated (i.e. no further rules are checked).
            /// If it doesn't match, the string is left unchanged and the next rule in
            /// chain is considered.
            SfpMatchBreak = 3,
            /// Like |SFP_MATCH_BREAK| but tries to do some pre-work before checking
            /// the regex. Specifically, it tries to parse the string field as an
            /// atrace tracepoint and checks if the post-tgid field starts with
            /// |atrace_post_tgid_starts_with|. The regex matching is only performed if
            /// this check succeeds.
            SfpAtraceMatchBreak = 4,
            /// Tries to repeatedly search (i.e. find substrings of) the string field
            /// with |regex_pattern|. For each match, redacts any matching groups (i.e.
            /// replaced with a constant string). Once there are no further matches,
            /// filtering is terminated (i.e. no further rules are checked).
            ///
            /// Note that this is policy is a "search" policy not a "match" policy
            /// unlike the above policies:
            ///   * Match policies require matching the full string i.e. there is an
            ///     implicit leading `^` and trailing `$`.
            ///   * Search policies perform repeated partial matching of the string
            ///     e.g.
            ///       - String: `foo=aaa,bar=123,foo=bbb,baz=456`
            ///       - Pattern: `foo=(\d+)`
            ///       - Output: `foo=P6O,bar=123,foo=P6O,baz=456`
            ///     where P6O is the redaction string
            ///
            /// All of this is only performed after some pre-work where we try to parse
            /// the string field as an atrace tracepoint and check if the post-tgid
            /// field starts with |atrace_post_tgid_starts_with|.
            ///
            /// If there are no partial matches, the string is left unchanged and the
            /// next rule in chain is considered.
            SfpAtraceRepeatedSearchRedactGroups = 5,
        }
        impl StringFilterPolicy {
            /// String value of the enum field names used in the ProtoBuf definition.
            ///
            /// The values are not transformed in any way and thus are considered stable
            /// (if the ProtoBuf definition does not change) and safe for programmatic use.
            pub fn as_str_name(&self) -> &'static str {
                match self {
                    Self::SfpUnspecified => "SFP_UNSPECIFIED",
                    Self::SfpMatchRedactGroups => "SFP_MATCH_REDACT_GROUPS",
                    Self::SfpAtraceMatchRedactGroups => "SFP_ATRACE_MATCH_REDACT_GROUPS",
                    Self::SfpMatchBreak => "SFP_MATCH_BREAK",
                    Self::SfpAtraceMatchBreak => "SFP_ATRACE_MATCH_BREAK",
                    Self::SfpAtraceRepeatedSearchRedactGroups => {
                        "SFP_ATRACE_REPEATED_SEARCH_REDACT_GROUPS"
                    }
                }
            }
            /// Creates an enum from field names used in the ProtoBuf definition.
            pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
                match value {
                    "SFP_UNSPECIFIED" => Some(Self::SfpUnspecified),
                    "SFP_MATCH_REDACT_GROUPS" => Some(Self::SfpMatchRedactGroups),
                    "SFP_ATRACE_MATCH_REDACT_GROUPS" => {
                        Some(Self::SfpAtraceMatchRedactGroups)
                    }
                    "SFP_MATCH_BREAK" => Some(Self::SfpMatchBreak),
                    "SFP_ATRACE_MATCH_BREAK" => Some(Self::SfpAtraceMatchBreak),
                    "SFP_ATRACE_REPEATED_SEARCH_REDACT_GROUPS" => {
                        Some(Self::SfpAtraceRepeatedSearchRedactGroups)
                    }
                    _ => None,
                }
            }
        }
    }
    /// Android-only. Not for general use. If set, reports the trace to the
    /// Android framework. This field is read by perfetto_cmd, rather than the
    /// tracing service. This field must be set when passing the --upload flag to
    /// perfetto_cmd.
    ///
    /// In this message, either:
    ///   * |reporter_service_package| and |reporter_service_class| must be set.
    ///   * |skip_reporting| must be explicitly set to true.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct AndroidReportConfig {
        #[prost(string, optional, tag = "1")]
        pub reporter_service_package: ::core::option::Option<
            ::prost::alloc::string::String,
        >,
        #[prost(string, optional, tag = "2")]
        pub reporter_service_class: ::core::option::Option<
            ::prost::alloc::string::String,
        >,
        /// If true, then skips reporting the trace to Android framework.
        ///
        /// This flag is useful in testing (e.g. Perfetto-statsd integration tests)
        /// or when we explicitly don't want to report traces to the framework even
        /// when they usually would (e.g. configs deployed using statsd but only
        /// used for inclusion in bugreports using |bugreport_score|).
        ///
        /// The motivation for having this flag, instead of just not setting
        /// |framework_report_config|, is prevent accidents where
        /// |framework_report_config| is omitted by mistake.
        #[prost(bool, optional, tag = "3")]
        pub skip_report: ::core::option::Option<bool>,
        /// If true, will direct the Android framework to read the data in trace
        /// file and pass it to the reporter class over a pipe instead of passing
        /// the file descriptor directly.
        ///
        /// This flag is needed because the Android test framework does not
        /// currently support priv-app helper apps (in terms of SELinux) and we
        /// really don't want to add an allow rule for untrusted_app to receive
        /// trace fds.
        ///
        /// Because of this, we instead will direct the framework to create a new
        /// pipe and pass this to the reporter process instead. As the pipe is
        /// created by the framework, we won't have any problems with SELinux
        /// (system_server is already allowed to pass pipe fds, even
        /// to untrusted apps).
        ///
        /// As the name suggests this option *MUST* only be used for testing.
        /// Note that the framework will reject (and drop) files which are too
        /// large both for simplicity and to be minimize the amount of data we
        /// pass to a non-priv app (note that the framework will still check
        /// manifest permissions even though SELinux permissions are worked around).
        #[prost(bool, optional, tag = "4")]
        pub use_pipe_in_framework_for_testing: ::core::option::Option<bool>,
    }
    /// If set, delays the start of tracing by a random duration. The duration is
    /// chosen from a uniform distribution between the specified minimum and
    /// maximum.
    /// Note: this delay is implemented by perfetto_cmd *not* by traced so will
    /// not work if you communicate with traced directly over the consumer API.
    /// Introduced in Android T.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct CmdTraceStartDelay {
        #[prost(uint32, optional, tag = "1")]
        pub min_delay_ms: ::core::option::Option<u32>,
        #[prost(uint32, optional, tag = "2")]
        pub max_delay_ms: ::core::option::Option<u32>,
    }
    /// When non-empty, ensures that for a each semaphore named `name at most
    /// `max_other_session_count`` *other* sessions (whose value is taken of the
    /// minimum of all values specified by this config or any already-running
    /// session) can be be running.
    ///
    /// If a semaphore "acquisition" fails, EnableTracing will return an error
    /// and the tracing session will not be started (or elgible to start in
    /// the case of deferred sessions).
    ///
    /// This is easiest to explain with an example. Suppose the tracing service has
    /// the following active tracing sessions:
    ///    S1 = [{name=foo, max_other_session_count=2},
    ///          {name=bar, max_other_session_count=0}]
    ///    S2 = [{name=foo, max_other_session_count=1},
    ///          {name=baz, max_other_session_count=1}]
    ///
    /// Then, for a new session, the following would be the expected behaviour of
    /// EnableSession given the state of `session_semaphores`.
    ///    Q: session_semaphores = \[\]
    ///    A: Allowed because it does not specify any semaphores. Will be allowed
    ///       no matter the state of any other tracing session.
    ///    Q: session_semaphores = \[{name=baz, max_other_session_count=1}\]
    ///    A: Allowed because both S2 and this config specify
    ///       max_other_session_count=1 for baz.
    ///    Q: session_semaphores = \[{name=foo, max_other_session_count=3}\]
    ///    A: Denied because S2 specified max_other_session_count=1 for foo and S1
    ///       takes that slot.
    ///    Q: session_semaphores = \[{name=bar, max_other_session_count=0}\]
    ///    A: Denied because S1 takes the the slot specified by both S1 and
    ///       this config.
    ///
    /// Introduced in 24Q3 (Android V).
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct SessionSemaphore {
        /// The name of the semaphore. Acts as a unique identifier across all
        /// tracing sessions (including the one being started).
        #[prost(string, optional, tag = "1")]
        pub name: ::core::option::Option<::prost::alloc::string::String>,
        /// The maximum number of *other* sesssions which specify the same semaphore
        /// which can be active. The minimum of this value across all tracing
        /// sessions and the value specified by the config is used when deciding
        /// whether the tracing session can be started.
        #[prost(uint64, optional, tag = "2")]
        pub max_other_session_count: ::core::option::Option<u64>,
    }
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum LockdownModeOperation {
        LockdownUnchanged = 0,
        LockdownClear = 1,
        LockdownSet = 2,
    }
    impl LockdownModeOperation {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::LockdownUnchanged => "LOCKDOWN_UNCHANGED",
                Self::LockdownClear => "LOCKDOWN_CLEAR",
                Self::LockdownSet => "LOCKDOWN_SET",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "LOCKDOWN_UNCHANGED" => Some(Self::LockdownUnchanged),
                "LOCKDOWN_CLEAR" => Some(Self::LockdownClear),
                "LOCKDOWN_SET" => Some(Self::LockdownSet),
                _ => None,
            }
        }
    }
    /// Compress trace with the given method. Best effort.
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum CompressionType {
        Unspecified = 0,
        Deflate = 1,
    }
    impl CompressionType {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Unspecified => "COMPRESSION_TYPE_UNSPECIFIED",
                Self::Deflate => "COMPRESSION_TYPE_DEFLATE",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "COMPRESSION_TYPE_UNSPECIFIED" => Some(Self::Unspecified),
                "COMPRESSION_TYPE_DEFLATE" => Some(Self::Deflate),
                _ => None,
            }
        }
    }
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum StatsdLogging {
        Unspecified = 0,
        Enabled = 1,
        Disabled = 2,
    }
    impl StatsdLogging {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Unspecified => "STATSD_LOGGING_UNSPECIFIED",
                Self::Enabled => "STATSD_LOGGING_ENABLED",
                Self::Disabled => "STATSD_LOGGING_DISABLED",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "STATSD_LOGGING_UNSPECIFIED" => Some(Self::Unspecified),
                "STATSD_LOGGING_ENABLED" => Some(Self::Enabled),
                "STATSD_LOGGING_DISABLED" => Some(Self::Disabled),
                _ => None,
            }
        }
    }
}
/// Statistics for the internals of the tracing service.
///
/// Next id: 19.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TraceStats {
    /// Stats for the TraceBuffer(s) of the current trace session.
    #[prost(message, repeated, tag = "1")]
    pub buffer_stats: ::prost::alloc::vec::Vec<trace_stats::BufferStats>,
    /// The thresholds of each the `writer_stats` histogram buckets. This is
    /// emitted only once as all WriterStats share the same bucket layout.
    /// This field has the same cardinality of the
    /// `writer_stats.chunk_payload_histogram_{counts,sum}` - 1.
    /// (The -1 is because the last overflow bucket is not reported in the _def).
    /// An array of values \[10, 100, 1000\] in the _def array means that there are
    /// four buckets (3 + the implicit overflow bucket):
    /// \[0\]: x <= 10; \[1\]: 100 < x <= 1000; \[2\]: 1000 < x <= 1000; \[3\]: x > 1000.
    #[prost(int64, repeated, packed = "false", tag = "17")]
    pub chunk_payload_histogram_def: ::prost::alloc::vec::Vec<i64>,
    #[prost(message, repeated, tag = "18")]
    pub writer_stats: ::prost::alloc::vec::Vec<trace_stats::WriterStats>,
    /// Num. producers connected (whether they are involved in the current tracing
    /// session or not).
    #[prost(uint32, optional, tag = "2")]
    pub producers_connected: ::core::option::Option<u32>,
    /// Num. producers ever seen for all trace sessions since startup (it's a good
    /// proxy for inferring num. producers crashed / killed).
    #[prost(uint64, optional, tag = "3")]
    pub producers_seen: ::core::option::Option<u64>,
    /// Num. data sources registered for all trace sessions.
    #[prost(uint32, optional, tag = "4")]
    pub data_sources_registered: ::core::option::Option<u32>,
    /// Num. data sources ever seen for all trace sessions since startup.
    #[prost(uint64, optional, tag = "5")]
    pub data_sources_seen: ::core::option::Option<u64>,
    /// Num. concurrently active tracing sessions.
    #[prost(uint32, optional, tag = "6")]
    pub tracing_sessions: ::core::option::Option<u32>,
    /// Num. buffers for all tracing session (not just the current one). This will
    /// be >= buffer_stats.size(), because the latter is only about the current
    /// session.
    #[prost(uint32, optional, tag = "7")]
    pub total_buffers: ::core::option::Option<u32>,
    /// Num. chunks that were discarded by the service before attempting to commit
    /// them to a buffer, e.g. because the producer specified an invalid buffer ID.
    #[prost(uint64, optional, tag = "8")]
    pub chunks_discarded: ::core::option::Option<u64>,
    /// Num. patches that were discarded by the service before attempting to apply
    /// them to a buffer, e.g. because the producer specified an invalid buffer ID.
    #[prost(uint64, optional, tag = "9")]
    pub patches_discarded: ::core::option::Option<u64>,
    /// Packets that failed validation of the TrustedPacket. If this is > 0, there
    /// is a bug in the producer.
    #[prost(uint64, optional, tag = "10")]
    pub invalid_packets: ::core::option::Option<u64>,
    #[prost(message, optional, tag = "11")]
    pub filter_stats: ::core::option::Option<trace_stats::FilterStats>,
    /// Count of Flush() requests (either from the Consumer, or self-induced
    /// periodic flushes). The final Flush() is also included in the count.
    #[prost(uint64, optional, tag = "12")]
    pub flushes_requested: ::core::option::Option<u64>,
    /// The count of the Flush() requests that were completed successfully.
    /// In a well behaving trace this should always be == `flush_requests`.
    #[prost(uint64, optional, tag = "13")]
    pub flushes_succeeded: ::core::option::Option<u64>,
    /// The count of the Flush() requests that failed (in most timed out).
    /// In a well behaving trace this should always be == 0.
    #[prost(uint64, optional, tag = "14")]
    pub flushes_failed: ::core::option::Option<u64>,
    #[prost(enumeration = "trace_stats::FinalFlushOutcome", optional, tag = "15")]
    pub final_flush_outcome: ::core::option::Option<i32>,
}
/// Nested message and enum types in `TraceStats`.
pub mod trace_stats {
    /// From TraceBuffer::Stats.
    ///
    /// Next id: 21.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct BufferStats {
        /// Size of the circular buffer in bytes.
        #[prost(uint64, optional, tag = "12")]
        pub buffer_size: ::core::option::Option<u64>,
        /// Num. bytes written into the circular buffer, including chunk headers.
        #[prost(uint64, optional, tag = "1")]
        pub bytes_written: ::core::option::Option<u64>,
        /// Num. bytes overwritten before they have been read (i.e. loss of data).
        #[prost(uint64, optional, tag = "13")]
        pub bytes_overwritten: ::core::option::Option<u64>,
        /// Total size of chunks that were fully read from the circular buffer by the
        /// consumer. This may not be equal to |bytes_written| either in the middle
        /// of tracing, or if |chunks_overwritten| is non-zero. Note that this is the
        /// size of the chunks read from the buffer, including chunk headers, which
        /// will be different from the total size of packets returned to the
        /// consumer.
        ///
        /// The current utilization of the trace buffer (mid-tracing) can be obtained
        /// by subtracting |bytes_read| and |bytes_overwritten| from |bytes_written|,
        /// adding the difference of |padding_bytes_written| and
        /// |padding_bytes_cleared|, and comparing this sum to the |buffer_size|.
        /// Note that this represents the total size of buffered data in the buffer,
        /// yet this data may be spread non-contiguously through the buffer and may
        /// be overridden before the utilization reaches 100%.
        #[prost(uint64, optional, tag = "14")]
        pub bytes_read: ::core::option::Option<u64>,
        /// Num. bytes that were allocated as padding between chunks in the circular
        /// buffer.
        #[prost(uint64, optional, tag = "15")]
        pub padding_bytes_written: ::core::option::Option<u64>,
        /// Num. of padding bytes that were removed from the circular buffer when
        /// they were overwritten.
        ///
        /// The difference between |padding_bytes_written| and
        /// |padding_bytes_cleared| denotes the total size of padding currently
        /// present in the buffer.
        #[prost(uint64, optional, tag = "16")]
        pub padding_bytes_cleared: ::core::option::Option<u64>,
        /// Num. chunks (!= packets) written into the buffer.
        #[prost(uint64, optional, tag = "2")]
        pub chunks_written: ::core::option::Option<u64>,
        /// Num. chunks (!= packets) rewritten into the buffer. This means we rewrote
        /// the same chunk with additional packets appended to the end.
        #[prost(uint64, optional, tag = "10")]
        pub chunks_rewritten: ::core::option::Option<u64>,
        /// Num. chunks overwritten before they have been read (i.e. loss of data).
        #[prost(uint64, optional, tag = "3")]
        pub chunks_overwritten: ::core::option::Option<u64>,
        /// Num. chunks discarded (i.e. loss of data). Can be > 0 only when a buffer
        /// is configured with FillPolicy == DISCARD.
        #[prost(uint64, optional, tag = "18")]
        pub chunks_discarded: ::core::option::Option<u64>,
        /// Num. chunks (!= packets) that were fully read from the circular buffer by
        /// the consumer. This may not be equal to |chunks_written| either in the
        /// middle of tracing, or if |chunks_overwritten| is non-zero.
        #[prost(uint64, optional, tag = "17")]
        pub chunks_read: ::core::option::Option<u64>,
        /// Num. chunks that were committed out of order.
        #[prost(uint64, optional, tag = "11")]
        pub chunks_committed_out_of_order: ::core::option::Option<u64>,
        /// Num. times the ring buffer wrapped around.
        #[prost(uint64, optional, tag = "4")]
        pub write_wrap_count: ::core::option::Option<u64>,
        /// Num. out-of-band (OOB) patches that succeeded.
        #[prost(uint64, optional, tag = "5")]
        pub patches_succeeded: ::core::option::Option<u64>,
        /// Num. OOB patches that failed (e.g., the chunk to patch was gone).
        #[prost(uint64, optional, tag = "6")]
        pub patches_failed: ::core::option::Option<u64>,
        /// Num. readaheads (for large multi-chunk packet reads) that ended up in a
        /// successful packet read.
        #[prost(uint64, optional, tag = "7")]
        pub readaheads_succeeded: ::core::option::Option<u64>,
        /// Num. readaheads aborted because of missing chunks in the sequence stream.
        /// Note that a small number > 0 is totally expected: occasionally, when
        /// issuing a read, the very last packet in a sequence might be incomplete
        /// (because the producer is still writing it while we read). The read will
        /// stop at that point, for that sequence, increasing this counter.
        #[prost(uint64, optional, tag = "8")]
        pub readaheads_failed: ::core::option::Option<u64>,
        /// Num. of violations of the SharedMemoryABI found while writing or reading
        /// the buffer. This is an indication of either a bug in the producer(s) or
        /// malicious producer(s).
        #[prost(uint64, optional, tag = "9")]
        pub abi_violations: ::core::option::Option<u64>,
        /// Num. of times the service detected packet loss on a trace writer
        /// sequence. This is usually caused by exhaustion of available chunks in the
        /// writer process's SMB. Note that this relies on the client's TraceWriter
        /// indicating this loss to the service -- packets lost for other reasons are
        /// not reflected in this stat.
        #[prost(uint64, optional, tag = "19")]
        pub trace_writer_packet_loss: ::core::option::Option<u64>,
    }
    /// Per TraceWriter stat. Each {producer, trace writer} tuple is publicly
    /// visible as a unique sequence ID in the trace.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct WriterStats {
        /// This matches the TracePacket.trusted_packet_sequence_id and is used to
        /// correlate the stats with the actual packet types.
        #[prost(uint64, optional, tag = "1")]
        pub sequence_id: ::core::option::Option<u64>,
        /// The buffer index (0..N, as defined in the TraceConfig).
        #[prost(uint32, optional, tag = "4")]
        pub buffer: ::core::option::Option<u32>,
        /// These two arrays have the same cardinality and match the cardinality of
        /// chunk_payload_histogram_def + 1 (for the overflow bucket, see below).
        /// `sum` contains the SUM(entries) and `counts` contains the COUNT(entries)
        /// for each bucket.
        #[prost(uint64, repeated, tag = "2")]
        pub chunk_payload_histogram_counts: ::prost::alloc::vec::Vec<u64>,
        #[prost(int64, repeated, tag = "3")]
        pub chunk_payload_histogram_sum: ::prost::alloc::vec::Vec<i64>,
    }
    /// This is set only when the TraceConfig specifies a TraceFilter.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct FilterStats {
        #[prost(uint64, optional, tag = "1")]
        pub input_packets: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "2")]
        pub input_bytes: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "3")]
        pub output_bytes: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "4")]
        pub errors: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "5")]
        pub time_taken_ns: ::core::option::Option<u64>,
        /// The number of bytes discarded by the filter (i.e. output - input).
        /// The array has one entry for each buffer defined in the config (unless no
        /// packets for that buffer were seen and hence filtered).
        /// Note: the SUM(bytes_discarded_per_buffer) will be <= but not == the total
        /// (output_bytes - input_bytes) because the filter might also discard
        /// server-generated synthetic packets, that have no buffer index.
        #[prost(uint64, repeated, packed = "false", tag = "20")]
        pub bytes_discarded_per_buffer: ::prost::alloc::vec::Vec<u64>,
    }
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum FinalFlushOutcome {
        FinalFlushUnspecified = 0,
        FinalFlushSucceeded = 1,
        FinalFlushFailed = 2,
    }
    impl FinalFlushOutcome {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::FinalFlushUnspecified => "FINAL_FLUSH_UNSPECIFIED",
                Self::FinalFlushSucceeded => "FINAL_FLUSH_SUCCEEDED",
                Self::FinalFlushFailed => "FINAL_FLUSH_FAILED",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "FINAL_FLUSH_UNSPECIFIED" => Some(Self::FinalFlushUnspecified),
                "FINAL_FLUSH_SUCCEEDED" => Some(Self::FinalFlushSucceeded),
                "FINAL_FLUSH_FAILED" => Some(Self::FinalFlushFailed),
                _ => None,
            }
        }
    }
}
/// Generated by Android's GpuService.
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct GpuMemTotalEvent {
    #[prost(uint32, optional, tag = "1")]
    pub gpu_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub pid: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub size: ::core::option::Option<u64>,
}
/// Generated by Android's SurfaceFlinger.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GraphicsFrameEvent {
    #[prost(message, optional, tag = "1")]
    pub buffer_event: ::core::option::Option<graphics_frame_event::BufferEvent>,
}
/// Nested message and enum types in `GraphicsFrameEvent`.
pub mod graphics_frame_event {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct BufferEvent {
        #[prost(uint32, optional, tag = "1")]
        pub frame_number: ::core::option::Option<u32>,
        #[prost(enumeration = "BufferEventType", optional, tag = "2")]
        pub r#type: ::core::option::Option<i32>,
        #[prost(string, optional, tag = "3")]
        pub layer_name: ::core::option::Option<::prost::alloc::string::String>,
        /// If no duration is set, the event is an instant event.
        #[prost(uint64, optional, tag = "4")]
        pub duration_ns: ::core::option::Option<u64>,
        /// Unique buffer identifier.
        #[prost(uint32, optional, tag = "5")]
        pub buffer_id: ::core::option::Option<u32>,
    }
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum BufferEventType {
        Unspecified = 0,
        Dequeue = 1,
        Queue = 2,
        Post = 3,
        AcquireFence = 4,
        Latch = 5,
        /// HWC will compose this buffer
        HwcCompositionQueued = 6,
        /// renderEngine composition
        FallbackComposition = 7,
        PresentFence = 8,
        ReleaseFence = 9,
        Modify = 10,
        Detach = 11,
        Attach = 12,
        Cancel = 13,
    }
    impl BufferEventType {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Unspecified => "UNSPECIFIED",
                Self::Dequeue => "DEQUEUE",
                Self::Queue => "QUEUE",
                Self::Post => "POST",
                Self::AcquireFence => "ACQUIRE_FENCE",
                Self::Latch => "LATCH",
                Self::HwcCompositionQueued => "HWC_COMPOSITION_QUEUED",
                Self::FallbackComposition => "FALLBACK_COMPOSITION",
                Self::PresentFence => "PRESENT_FENCE",
                Self::ReleaseFence => "RELEASE_FENCE",
                Self::Modify => "MODIFY",
                Self::Detach => "DETACH",
                Self::Attach => "ATTACH",
                Self::Cancel => "CANCEL",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "UNSPECIFIED" => Some(Self::Unspecified),
                "DEQUEUE" => Some(Self::Dequeue),
                "QUEUE" => Some(Self::Queue),
                "POST" => Some(Self::Post),
                "ACQUIRE_FENCE" => Some(Self::AcquireFence),
                "LATCH" => Some(Self::Latch),
                "HWC_COMPOSITION_QUEUED" => Some(Self::HwcCompositionQueued),
                "FALLBACK_COMPOSITION" => Some(Self::FallbackComposition),
                "PRESENT_FENCE" => Some(Self::PresentFence),
                "RELEASE_FENCE" => Some(Self::ReleaseFence),
                "MODIFY" => Some(Self::Modify),
                "DETACH" => Some(Self::Detach),
                "ATTACH" => Some(Self::Attach),
                "CANCEL" => Some(Self::Cancel),
                _ => None,
            }
        }
    }
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct InitialDisplayState {
    /// Same values as android.view.Display.STATE_*
    #[prost(int32, optional, tag = "1")]
    pub display_state: ::core::option::Option<i32>,
    #[prost(double, optional, tag = "2")]
    pub brightness: ::core::option::Option<f64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct KernelWakelockData {
    /// This is only emitted when we encounter new wakelocks.
    #[prost(message, repeated, tag = "1")]
    pub wakelock: ::prost::alloc::vec::Vec<kernel_wakelock_data::Wakelock>,
    /// Interning id.
    #[prost(uint32, repeated, tag = "2")]
    pub wakelock_id: ::prost::alloc::vec::Vec<u32>,
    /// If we interned the wakelock name in this packet, this is the total time
    /// the wakelock has been held.
    /// If not, it's a delta from the last time we saw it.
    #[prost(uint64, repeated, tag = "3")]
    pub time_held_millis: ::prost::alloc::vec::Vec<u64>,
}
/// Nested message and enum types in `KernelWakelockData`.
pub mod kernel_wakelock_data {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Wakelock {
        /// Interning id.
        #[prost(uint32, optional, tag = "1")]
        pub wakelock_id: ::core::option::Option<u32>,
        /// Name of the wakelock.
        #[prost(string, optional, tag = "2")]
        pub wakelock_name: ::core::option::Option<::prost::alloc::string::String>,
        /// Type of the wakelock. We record data about both true kernel wakelocks
        /// and "native" wakelocks which are taken in userspace but are more
        /// conceptually similar to kernel wakelocks than normal userspace ones.
        #[prost(enumeration = "wakelock::Type", optional, tag = "3")]
        pub wakelock_type: ::core::option::Option<i32>,
    }
    /// Nested message and enum types in `Wakelock`.
    pub mod wakelock {
        #[derive(
            Clone,
            Copy,
            Debug,
            PartialEq,
            Eq,
            Hash,
            PartialOrd,
            Ord,
            ::prost::Enumeration
        )]
        #[repr(i32)]
        pub enum Type {
            WakelockTypeUnknown = 0,
            WakelockTypeKernel = 1,
            WakelockTypeNative = 2,
        }
        impl Type {
            /// String value of the enum field names used in the ProtoBuf definition.
            ///
            /// The values are not transformed in any way and thus are considered stable
            /// (if the ProtoBuf definition does not change) and safe for programmatic use.
            pub fn as_str_name(&self) -> &'static str {
                match self {
                    Self::WakelockTypeUnknown => "WAKELOCK_TYPE_UNKNOWN",
                    Self::WakelockTypeKernel => "WAKELOCK_TYPE_KERNEL",
                    Self::WakelockTypeNative => "WAKELOCK_TYPE_NATIVE",
                }
            }
            /// Creates an enum from field names used in the ProtoBuf definition.
            pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
                match value {
                    "WAKELOCK_TYPE_UNKNOWN" => Some(Self::WakelockTypeUnknown),
                    "WAKELOCK_TYPE_KERNEL" => Some(Self::WakelockTypeKernel),
                    "WAKELOCK_TYPE_NATIVE" => Some(Self::WakelockTypeNative),
                    _ => None,
                }
            }
        }
    }
}
/// NetworkPacketEvent records the details of a single packet sent or received
/// on the network (in Linux kernel terminology, one sk_buff struct).
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct NetworkPacketEvent {
    /// The direction traffic is flowing for this event.
    #[prost(enumeration = "TrafficDirection", optional, tag = "1")]
    pub direction: ::core::option::Option<i32>,
    /// The name of the interface if available (e.g. 'rmnet0').
    #[prost(string, optional, tag = "2")]
    pub interface: ::core::option::Option<::prost::alloc::string::String>,
    /// The length of the packet in bytes (wire_size - L2_header_size). Ignored
    /// when using NetworkPacketEvent as the ctx in either NetworkPacketBundle or
    /// NetworkPacketContext.
    #[prost(uint32, optional, tag = "3")]
    pub length: ::core::option::Option<u32>,
    /// The Linux user id associated with the packet's socket.
    #[prost(uint32, optional, tag = "4")]
    pub uid: ::core::option::Option<u32>,
    /// The Android network tag associated with the packet's socket.
    #[prost(uint32, optional, tag = "5")]
    pub tag: ::core::option::Option<u32>,
    /// The packet's IP protocol (TCP=6, UDP=17, etc).
    #[prost(uint32, optional, tag = "6")]
    pub ip_proto: ::core::option::Option<u32>,
    /// The packet's TCP flags as a bitmask (FIN=0x1, SYN=0x2, RST=0x4, etc).
    #[prost(uint32, optional, tag = "7")]
    pub tcp_flags: ::core::option::Option<u32>,
    /// The local udp/tcp port of the packet.
    #[prost(uint32, optional, tag = "8")]
    pub local_port: ::core::option::Option<u32>,
    /// The remote udp/tcp port of the packet.
    #[prost(uint32, optional, tag = "9")]
    pub remote_port: ::core::option::Option<u32>,
    /// The 1-byte ICMP type identifier.
    #[prost(uint32, optional, tag = "10")]
    pub icmp_type: ::core::option::Option<u32>,
    /// The 1-byte ICMP code identifier.
    #[prost(uint32, optional, tag = "11")]
    pub icmp_code: ::core::option::Option<u32>,
}
/// NetworkPacketBundle bundles one or more packets sharing the same attributes.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct NetworkPacketBundle {
    /// The timestamp of the i-th packet encoded as the nanoseconds since the
    /// enclosing TracePacket's timestamp.
    #[prost(uint64, repeated, tag = "3")]
    pub packet_timestamps: ::prost::alloc::vec::Vec<u64>,
    /// The length of the i-th packet in bytes (wire_size - L2_header_size).
    #[prost(uint32, repeated, tag = "4")]
    pub packet_lengths: ::prost::alloc::vec::Vec<u32>,
    /// Total number of packets in the bundle (when above aggregation_threshold).
    #[prost(uint32, optional, tag = "5")]
    pub total_packets: ::core::option::Option<u32>,
    /// Duration between first and last packet (when above aggregation_threshold).
    #[prost(uint64, optional, tag = "6")]
    pub total_duration: ::core::option::Option<u64>,
    /// Total packet length in bytes (when above aggregation_threshold).
    #[prost(uint64, optional, tag = "7")]
    pub total_length: ::core::option::Option<u64>,
    #[prost(oneof = "network_packet_bundle::PacketContext", tags = "1, 2")]
    pub packet_context: ::core::option::Option<network_packet_bundle::PacketContext>,
}
/// Nested message and enum types in `NetworkPacketBundle`.
pub mod network_packet_bundle {
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum PacketContext {
        /// The intern id for looking up the associated packet context.
        #[prost(uint64, tag = "1")]
        Iid(u64),
        /// The inlined context for events in this bundle.
        #[prost(message, tag = "2")]
        Ctx(super::NetworkPacketEvent),
    }
}
/// An internable packet context.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct NetworkPacketContext {
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    #[prost(message, optional, tag = "2")]
    pub ctx: ::core::option::Option<NetworkPacketEvent>,
}
/// The protocol compiler can output a FileDescriptorSet containing the .proto
/// files it parses.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FileDescriptorSet {
    #[prost(message, repeated, tag = "1")]
    pub file: ::prost::alloc::vec::Vec<FileDescriptorProto>,
}
/// Describes a complete .proto file.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FileDescriptorProto {
    /// file name, relative to root of source tree
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    /// e.g. "foo", "foo.bar", etc.
    #[prost(string, optional, tag = "2")]
    pub package: ::core::option::Option<::prost::alloc::string::String>,
    /// Names of files imported by this file.
    #[prost(string, repeated, tag = "3")]
    pub dependency: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// Indexes of the public imported files in the dependency list above.
    #[prost(int32, repeated, packed = "false", tag = "10")]
    pub public_dependency: ::prost::alloc::vec::Vec<i32>,
    /// Indexes of the weak imported files in the dependency list.
    /// For Google-internal migration only. Do not use.
    #[prost(int32, repeated, packed = "false", tag = "11")]
    pub weak_dependency: ::prost::alloc::vec::Vec<i32>,
    /// All top-level definitions in this file.
    #[prost(message, repeated, tag = "4")]
    pub message_type: ::prost::alloc::vec::Vec<DescriptorProto>,
    #[prost(message, repeated, tag = "5")]
    pub enum_type: ::prost::alloc::vec::Vec<EnumDescriptorProto>,
    #[prost(message, repeated, tag = "7")]
    pub extension: ::prost::alloc::vec::Vec<FieldDescriptorProto>,
}
/// Describes a message type.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DescriptorProto {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(message, repeated, tag = "2")]
    pub field: ::prost::alloc::vec::Vec<FieldDescriptorProto>,
    #[prost(message, repeated, tag = "6")]
    pub extension: ::prost::alloc::vec::Vec<FieldDescriptorProto>,
    #[prost(message, repeated, tag = "3")]
    pub nested_type: ::prost::alloc::vec::Vec<DescriptorProto>,
    #[prost(message, repeated, tag = "4")]
    pub enum_type: ::prost::alloc::vec::Vec<EnumDescriptorProto>,
    #[prost(message, repeated, tag = "8")]
    pub oneof_decl: ::prost::alloc::vec::Vec<OneofDescriptorProto>,
    #[prost(message, repeated, tag = "9")]
    pub reserved_range: ::prost::alloc::vec::Vec<descriptor_proto::ReservedRange>,
    /// Reserved field names, which may not be used by fields in the same message.
    /// A given name may only be reserved once.
    #[prost(string, repeated, tag = "10")]
    pub reserved_name: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
}
/// Nested message and enum types in `DescriptorProto`.
pub mod descriptor_proto {
    /// Range of reserved tag numbers. Reserved tag numbers may not be used by
    /// fields or extension ranges in the same message. Reserved ranges may
    /// not overlap.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct ReservedRange {
        /// Inclusive.
        #[prost(int32, optional, tag = "1")]
        pub start: ::core::option::Option<i32>,
        /// Exclusive.
        #[prost(int32, optional, tag = "2")]
        pub end: ::core::option::Option<i32>,
    }
}
/// A message representing a option the parser does not recognize. This only
/// appears in options protos created by the compiler::Parser class.
/// DescriptorPool resolves these when building Descriptor objects. Therefore,
/// options protos in descriptor objects (e.g. returned by Descriptor::options(),
/// or produced by Descriptor::CopyTo()) will never have UninterpretedOptions
/// in them.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UninterpretedOption {
    #[prost(message, repeated, tag = "2")]
    pub name: ::prost::alloc::vec::Vec<uninterpreted_option::NamePart>,
    /// The value of the uninterpreted option, in whatever type the tokenizer
    /// identified it as during parsing. Exactly one of these should be set.
    #[prost(string, optional, tag = "3")]
    pub identifier_value: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "4")]
    pub positive_int_value: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "5")]
    pub negative_int_value: ::core::option::Option<i64>,
    #[prost(double, optional, tag = "6")]
    pub double_value: ::core::option::Option<f64>,
    #[prost(bytes = "vec", optional, tag = "7")]
    pub string_value: ::core::option::Option<::prost::alloc::vec::Vec<u8>>,
    #[prost(string, optional, tag = "8")]
    pub aggregate_value: ::core::option::Option<::prost::alloc::string::String>,
}
/// Nested message and enum types in `UninterpretedOption`.
pub mod uninterpreted_option {
    /// The name of the uninterpreted option.  Each string represents a segment in
    /// a dot-separated name.  is_extension is true iff a segment represents an
    /// extension (denoted with parentheses in options specs in .proto files).
    /// E.g.,{ \["foo", false\], \["bar.baz", true\], \["moo", false\] } represents
    /// "foo.(bar.baz).moo".
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct NamePart {
        #[prost(string, optional, tag = "1")]
        pub name_part: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(bool, optional, tag = "2")]
        pub is_extension: ::core::option::Option<bool>,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FieldOptions {
    /// The packed option can be enabled for repeated primitive fields to enable
    /// a more efficient representation on the wire. Rather than repeatedly
    /// writing the tag and type for each element, the entire array is encoded as
    /// a single length-delimited blob. In proto3, only explicit setting it to
    /// false will avoid using packed encoding.
    #[prost(bool, optional, tag = "2")]
    pub packed: ::core::option::Option<bool>,
    /// The parser stores options it doesn't recognize here. See above.
    #[prost(message, repeated, tag = "999")]
    pub uninterpreted_option: ::prost::alloc::vec::Vec<UninterpretedOption>,
}
/// Describes a field within a message.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FieldDescriptorProto {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "3")]
    pub number: ::core::option::Option<i32>,
    #[prost(enumeration = "field_descriptor_proto::Label", optional, tag = "4")]
    pub label: ::core::option::Option<i32>,
    /// If type_name is set, this need not be set.  If both this and type_name
    /// are set, this must be one of TYPE_ENUM, TYPE_MESSAGE or TYPE_GROUP.
    #[prost(enumeration = "field_descriptor_proto::Type", optional, tag = "5")]
    pub r#type: ::core::option::Option<i32>,
    /// For message and enum types, this is the name of the type.  If the name
    /// starts with a '.', it is fully-qualified.  Otherwise, C++-like scoping
    /// rules are used to find the type (i.e. first the nested types within this
    /// message are searched, then within the parent, on up to the root
    /// namespace).
    #[prost(string, optional, tag = "6")]
    pub type_name: ::core::option::Option<::prost::alloc::string::String>,
    /// For extensions, this is the name of the type being extended.  It is
    /// resolved in the same manner as type_name.
    #[prost(string, optional, tag = "2")]
    pub extendee: ::core::option::Option<::prost::alloc::string::String>,
    /// For numeric types, contains the original text representation of the value.
    /// For booleans, "true" or "false".
    /// For strings, contains the default text contents (not escaped in any way).
    /// For bytes, contains the C escaped value.  All bytes >= 128 are escaped.
    /// TODO(kenton):  Base-64 encode?
    #[prost(string, optional, tag = "7")]
    pub default_value: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(message, optional, tag = "8")]
    pub options: ::core::option::Option<FieldOptions>,
    /// If set, gives the index of a oneof in the containing type's oneof_decl
    /// list.  This field is a member of that oneof.
    #[prost(int32, optional, tag = "9")]
    pub oneof_index: ::core::option::Option<i32>,
}
/// Nested message and enum types in `FieldDescriptorProto`.
pub mod field_descriptor_proto {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum Type {
        /// 0 is reserved for errors.
        /// Order is weird for historical reasons.
        Double = 1,
        Float = 2,
        /// Not ZigZag encoded.  Negative numbers take 10 bytes.  Use TYPE_SINT64 if
        /// negative values are likely.
        Int64 = 3,
        Uint64 = 4,
        /// Not ZigZag encoded.  Negative numbers take 10 bytes.  Use TYPE_SINT32 if
        /// negative values are likely.
        Int32 = 5,
        Fixed64 = 6,
        Fixed32 = 7,
        Bool = 8,
        String = 9,
        /// Tag-delimited aggregate.
        /// Group type is deprecated and not supported in proto3. However, Proto3
        /// implementations should still be able to parse the group wire format and
        /// treat group fields as unknown fields.
        Group = 10,
        /// Length-delimited aggregate.
        Message = 11,
        /// New in version 2.
        Bytes = 12,
        Uint32 = 13,
        Enum = 14,
        Sfixed32 = 15,
        Sfixed64 = 16,
        /// Uses ZigZag encoding.
        Sint32 = 17,
        /// Uses ZigZag encoding.
        Sint64 = 18,
    }
    impl Type {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Double => "TYPE_DOUBLE",
                Self::Float => "TYPE_FLOAT",
                Self::Int64 => "TYPE_INT64",
                Self::Uint64 => "TYPE_UINT64",
                Self::Int32 => "TYPE_INT32",
                Self::Fixed64 => "TYPE_FIXED64",
                Self::Fixed32 => "TYPE_FIXED32",
                Self::Bool => "TYPE_BOOL",
                Self::String => "TYPE_STRING",
                Self::Group => "TYPE_GROUP",
                Self::Message => "TYPE_MESSAGE",
                Self::Bytes => "TYPE_BYTES",
                Self::Uint32 => "TYPE_UINT32",
                Self::Enum => "TYPE_ENUM",
                Self::Sfixed32 => "TYPE_SFIXED32",
                Self::Sfixed64 => "TYPE_SFIXED64",
                Self::Sint32 => "TYPE_SINT32",
                Self::Sint64 => "TYPE_SINT64",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "TYPE_DOUBLE" => Some(Self::Double),
                "TYPE_FLOAT" => Some(Self::Float),
                "TYPE_INT64" => Some(Self::Int64),
                "TYPE_UINT64" => Some(Self::Uint64),
                "TYPE_INT32" => Some(Self::Int32),
                "TYPE_FIXED64" => Some(Self::Fixed64),
                "TYPE_FIXED32" => Some(Self::Fixed32),
                "TYPE_BOOL" => Some(Self::Bool),
                "TYPE_STRING" => Some(Self::String),
                "TYPE_GROUP" => Some(Self::Group),
                "TYPE_MESSAGE" => Some(Self::Message),
                "TYPE_BYTES" => Some(Self::Bytes),
                "TYPE_UINT32" => Some(Self::Uint32),
                "TYPE_ENUM" => Some(Self::Enum),
                "TYPE_SFIXED32" => Some(Self::Sfixed32),
                "TYPE_SFIXED64" => Some(Self::Sfixed64),
                "TYPE_SINT32" => Some(Self::Sint32),
                "TYPE_SINT64" => Some(Self::Sint64),
                _ => None,
            }
        }
    }
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum Label {
        /// 0 is reserved for errors
        Optional = 1,
        Required = 2,
        Repeated = 3,
    }
    impl Label {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Optional => "LABEL_OPTIONAL",
                Self::Required => "LABEL_REQUIRED",
                Self::Repeated => "LABEL_REPEATED",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "LABEL_OPTIONAL" => Some(Self::Optional),
                "LABEL_REQUIRED" => Some(Self::Required),
                "LABEL_REPEATED" => Some(Self::Repeated),
                _ => None,
            }
        }
    }
}
/// Describes a oneof.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct OneofDescriptorProto {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(message, optional, tag = "2")]
    pub options: ::core::option::Option<OneofOptions>,
}
/// Describes an enum type.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct EnumDescriptorProto {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(message, repeated, tag = "2")]
    pub value: ::prost::alloc::vec::Vec<EnumValueDescriptorProto>,
    /// Reserved enum value names, which may not be reused. A given name may only
    /// be reserved once.
    #[prost(string, repeated, tag = "5")]
    pub reserved_name: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
}
/// Describes a value within an enum.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct EnumValueDescriptorProto {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub number: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct OneofOptions {}
/// This message contains descriptors used to parse extension fields of
/// TrackEvent.
///
/// See docs/design-docs/extensions.md for more details.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ExtensionDescriptor {
    #[prost(message, optional, tag = "1")]
    pub extension_set: ::core::option::Option<FileDescriptorSet>,
}
/// Represents the mapping between inode numbers in a block device and their path
/// on the filesystem
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct InodeFileMap {
    #[prost(uint64, optional, tag = "1")]
    pub block_device_id: ::core::option::Option<u64>,
    /// The mount points of the block device, e.g. \["system"\].
    #[prost(string, repeated, tag = "2")]
    pub mount_points: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// The list of all the entries from the block device
    #[prost(message, repeated, tag = "3")]
    pub entries: ::prost::alloc::vec::Vec<inode_file_map::Entry>,
}
/// Nested message and enum types in `InodeFileMap`.
pub mod inode_file_map {
    /// Representation of Entry
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Entry {
        #[prost(uint64, optional, tag = "1")]
        pub inode_number: ::core::option::Option<u64>,
        /// The path to the file, e.g. "etc/file.xml"
        /// List of strings for multiple hardlinks
        #[prost(string, repeated, tag = "2")]
        pub paths: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
        #[prost(enumeration = "entry::Type", optional, tag = "3")]
        pub r#type: ::core::option::Option<i32>,
    }
    /// Nested message and enum types in `Entry`.
    pub mod entry {
        /// The file type
        #[derive(
            Clone,
            Copy,
            Debug,
            PartialEq,
            Eq,
            Hash,
            PartialOrd,
            Ord,
            ::prost::Enumeration
        )]
        #[repr(i32)]
        pub enum Type {
            Unknown = 0,
            File = 1,
            Directory = 2,
        }
        impl Type {
            /// String value of the enum field names used in the ProtoBuf definition.
            ///
            /// The values are not transformed in any way and thus are considered stable
            /// (if the ProtoBuf definition does not change) and safe for programmatic use.
            pub fn as_str_name(&self) -> &'static str {
                match self {
                    Self::Unknown => "UNKNOWN",
                    Self::File => "FILE",
                    Self::Directory => "DIRECTORY",
                }
            }
            /// Creates an enum from field names used in the ProtoBuf definition.
            pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
                match value {
                    "UNKNOWN" => Some(Self::Unknown),
                    "FILE" => Some(Self::File),
                    "DIRECTORY" => Some(Self::Directory),
                    _ => None,
                }
            }
        }
    }
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct BinderTransactionFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub debug_id: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub target_node: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub to_proc: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub to_thread: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub reply: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "6")]
    pub code: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub flags: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct BinderTransactionReceivedFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub debug_id: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct BinderSetPriorityFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub proc: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub thread: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub old_prio: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub new_prio: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub desired_prio: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BinderLockFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub tag: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BinderLockedFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub tag: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BinderUnlockFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub tag: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct BinderTransactionAllocBufFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub data_size: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub debug_id: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "3")]
    pub offsets_size: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub extra_buffers_size: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct BinderCommandFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub cmd: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct BinderReturnFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub cmd: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockRqIssueFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub bytes: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "5")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "6")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "7")]
    pub cmd: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockBioBackmergeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "5")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockBioBounceFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "5")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockBioCompleteFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub error: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "5")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockBioFrontmergeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "5")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockBioQueueFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "5")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockBioRemapFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "4")]
    pub old_dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub old_sector: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "6")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct BlockDirtyBufferFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub size: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockGetrqFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "5")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockPlugFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockRqAbortFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub errors: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "5")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "6")]
    pub cmd: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockRqCompleteFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub errors: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "5")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "6")]
    pub cmd: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "7")]
    pub error: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockRqInsertFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub bytes: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "5")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "6")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "7")]
    pub cmd: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockRqRemapFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "4")]
    pub old_dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub old_sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "6")]
    pub nr_bios: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "7")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockRqRequeueFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub errors: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "5")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "6")]
    pub cmd: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockSleeprqFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "5")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockSplitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub new_sector: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "4")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "5")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct BlockTouchBufferFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub size: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockUnplugFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub nr_rq: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockIoStartFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub bytes: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub ioprio: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "6")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "7")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "8")]
    pub cmd: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BlockIoDoneFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nr_sector: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub bytes: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub ioprio: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "6")]
    pub rwbs: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "7")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "8")]
    pub cmd: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CgroupAttachTaskFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub dst_root: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub dst_id: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "4")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "5")]
    pub cname: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "6")]
    pub dst_level: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "7")]
    pub dst_path: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CgroupMkdirFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub root: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub id: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "3")]
    pub cname: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "4")]
    pub level: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "5")]
    pub path: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CgroupRemountFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub root: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub ss_mask: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "3")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CgroupRmdirFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub root: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub id: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "3")]
    pub cname: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "4")]
    pub level: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "5")]
    pub path: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CgroupTransferTasksFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub dst_root: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub dst_id: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "4")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "5")]
    pub cname: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "6")]
    pub dst_level: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "7")]
    pub dst_path: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CgroupDestroyRootFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub root: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub ss_mask: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "3")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CgroupReleaseFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub root: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub id: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "3")]
    pub cname: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "4")]
    pub level: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "5")]
    pub path: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CgroupRenameFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub root: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub id: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "3")]
    pub cname: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "4")]
    pub level: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "5")]
    pub path: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CgroupSetupRootFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub root: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub ss_mask: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "3")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ClkEnableFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ClkDisableFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ClkSetRateFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "2")]
    pub rate: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CmaAllocStartFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub align: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub count: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "3")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CmaAllocInfoFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub align: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub count: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub err_iso: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub err_mig: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub err_test: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "6")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "7")]
    pub nr_mapped: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "8")]
    pub nr_migrated: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "9")]
    pub nr_reclaimed: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "10")]
    pub pfn: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionBeginFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub zone_start: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub migrate_pfn: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub free_pfn: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub zone_end: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub sync: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionDeferCompactionFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub nid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub idx: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub order: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "4")]
    pub considered: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub defer_shift: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub order_failed: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionDeferredFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub nid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub idx: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub order: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "4")]
    pub considered: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub defer_shift: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub order_failed: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionDeferResetFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub nid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub idx: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub order: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "4")]
    pub considered: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub defer_shift: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub order_failed: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionEndFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub zone_start: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub migrate_pfn: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub free_pfn: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub zone_end: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub sync: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub status: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionFinishedFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub nid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub idx: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub order: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionIsolateFreepagesFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub start_pfn: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub end_pfn: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub nr_scanned: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub nr_taken: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionIsolateMigratepagesFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub start_pfn: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub end_pfn: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub nr_scanned: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub nr_taken: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionKcompactdSleepFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub nid: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionKcompactdWakeFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub nid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub order: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub classzone_idx: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub highest_zoneidx: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionMigratepagesFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub nr_migrated: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub nr_failed: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionSuitableFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub nid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub idx: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub order: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionTryToCompactPagesFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub order: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub gfp_mask: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub mode: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub prio: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmCompactionWakeupKcompactdFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub nid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub order: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub classzone_idx: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub highest_zoneidx: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ParamSetValueCpmFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub body: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "2")]
    pub value: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "3")]
    pub timestamp: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct CpuhpExitFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub cpu: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub idx: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub ret: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub state: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct CpuhpMultiEnterFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub cpu: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub fun: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub idx: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub target: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct CpuhpEnterFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub cpu: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub fun: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub idx: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub target: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct CpuhpLatencyFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub cpu: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub ret: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub state: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "4")]
    pub time: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct CpuhpPauseFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub active_cpus: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub cpus: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub pause: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub time: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct CrosEcSensorhubDataFtraceEvent {
    #[prost(int64, optional, tag = "1")]
    pub current_time: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "2")]
    pub current_timestamp: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "3")]
    pub delta: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "4")]
    pub ec_fifo_timestamp: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub ec_sensor_num: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "6")]
    pub fifo_timestamp: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct DcvshFreqFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub cpu: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub freq: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DevfreqFrequencyFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub dev_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "2")]
    pub freq: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub prev_freq: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub busy_time: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub total_time: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DmaFenceInitFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub context: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub driver: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub seqno: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub timeline: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DmaFenceEmitFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub context: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub driver: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub seqno: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub timeline: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DmaFenceSignaledFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub context: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub driver: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub seqno: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub timeline: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DmaFenceWaitStartFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub context: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub driver: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub seqno: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub timeline: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DmaFenceWaitEndFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub context: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub driver: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub seqno: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub timeline: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct DmaHeapStatFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub inode: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "2")]
    pub len: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "3")]
    pub total_allocated: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DpuTracingMarkWriteFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub trace_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub trace_begin: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "5")]
    pub r#type: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub value: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct DpuDsiCmdFifoStatusFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub header: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub payload: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct DpuDsiRxFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub cmd: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub rx_buf: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct DpuDsiTxFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub r#type: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub tx_buf: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub last: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub delay_ms: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct DrmVblankEventFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub crtc: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub high_prec: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub seq: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "4")]
    pub time: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct DrmVblankEventDeliveredFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub crtc: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "2")]
    pub file: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub seq: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4DaWriteBeginFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub pos: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub flags: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4DaWriteEndFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub pos: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub copied: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4SyncFileEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub parent: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "4")]
    pub datasync: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4SyncFileExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4AllocDaBlocksFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub data_blocks: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub meta_blocks: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4AllocateBlocksFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub block: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub logical: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub lleft: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub lright: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "8")]
    pub goal: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "9")]
    pub pleft: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "10")]
    pub pright: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "11")]
    pub flags: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4AllocateInodeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub dir: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub mode: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4BeginOrderedTruncateFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub new_size: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4CollapseRangeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub offset: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "4")]
    pub len: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4DaReleaseSpaceFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub i_blocks: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "4")]
    pub freed_blocks: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub reserved_data_blocks: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "6")]
    pub reserved_meta_blocks: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "7")]
    pub allocated_meta_blocks: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "8")]
    pub mode: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4DaReserveSpaceFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub i_blocks: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "4")]
    pub reserved_data_blocks: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub reserved_meta_blocks: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "6")]
    pub mode: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "7")]
    pub md_needed: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4DaUpdateReserveSpaceFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub i_blocks: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "4")]
    pub used_blocks: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub reserved_data_blocks: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "6")]
    pub reserved_meta_blocks: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "7")]
    pub allocated_meta_blocks: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "8")]
    pub quota_claim: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "9")]
    pub mode: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4DaWritePagesFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub first_page: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "4")]
    pub nr_to_write: ::core::option::Option<i64>,
    #[prost(int32, optional, tag = "5")]
    pub sync_mode: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "6")]
    pub b_blocknr: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "7")]
    pub b_size: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub b_state: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "9")]
    pub io_done: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "10")]
    pub pages_written: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4DaWritePagesExtentFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub lblk: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub flags: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4DirectIoEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub pos: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "4")]
    pub len: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "5")]
    pub rw: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4DirectIoExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub pos: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "4")]
    pub len: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "5")]
    pub rw: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "6")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4DiscardBlocksFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub blk: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub count: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4DiscardPreallocationsFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub needed: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4DropInodeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub drop: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4EsCacheExtentFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "5")]
    pub pblk: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "6")]
    pub status: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4EsFindDelayedExtentRangeEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub lblk: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4EsFindDelayedExtentRangeExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "5")]
    pub pblk: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "6")]
    pub status: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4EsInsertExtentFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "5")]
    pub pblk: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "6")]
    pub status: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4EsLookupExtentEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub lblk: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4EsLookupExtentExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "5")]
    pub pblk: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "6")]
    pub status: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "7")]
    pub found: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4EsRemoveExtentFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub lblk: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "4")]
    pub len: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4EsShrinkFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub nr_shrunk: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "3")]
    pub scan_time: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "4")]
    pub nr_skipped: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub retried: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4EsShrinkCountFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub nr_to_scan: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub cache_cnt: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4EsShrinkScanEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub nr_to_scan: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub cache_cnt: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4EsShrinkScanExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub nr_shrunk: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub cache_cnt: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4EvictInodeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub nlink: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ExtConvertToInitializedEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub m_lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub m_len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub u_lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub u_len: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "7")]
    pub u_pblk: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ExtConvertToInitializedFastpathFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub m_lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub m_len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub u_lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub u_len: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "7")]
    pub u_pblk: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "8")]
    pub i_lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub i_len: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "10")]
    pub i_pblk: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ExtHandleUnwrittenExtentsFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub flags: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "4")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "5")]
    pub pblk: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "6")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub allocated: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "8")]
    pub newblk: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ExtInCacheFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ExtLoadExtentFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub pblk: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub lblk: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ExtMapBlocksEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub flags: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ExtMapBlocksExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "4")]
    pub pblk: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub mflags: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "8")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ExtPutInCacheFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "5")]
    pub start: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ExtRemoveSpaceFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub start: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub end: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub depth: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ExtRemoveSpaceDoneFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub start: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub end: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub depth: ::core::option::Option<i32>,
    #[prost(int64, optional, tag = "6")]
    pub partial: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "7")]
    pub eh_entries: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub pc_lblk: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "9")]
    pub pc_pclu: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "10")]
    pub pc_state: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ExtRmIdxFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub pblk: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ExtRmLeafFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub partial: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "4")]
    pub start: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub ee_lblk: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "6")]
    pub ee_pblk: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "7")]
    pub ee_len: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "8")]
    pub pc_lblk: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "9")]
    pub pc_pclu: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "10")]
    pub pc_state: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ExtShowExtentFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub pblk: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub len: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4FallocateEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub offset: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "4")]
    pub len: ::core::option::Option<i64>,
    #[prost(int32, optional, tag = "5")]
    pub mode: ::core::option::Option<i32>,
    #[prost(int64, optional, tag = "6")]
    pub pos: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4FallocateExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub pos: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "4")]
    pub blocks: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4FindDelallocRangeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub from: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub to: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub reverse: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "6")]
    pub found: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "7")]
    pub found_blk: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ForgetFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub block: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "4")]
    pub is_metadata: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "5")]
    pub mode: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4FreeBlocksFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub block: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub count: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "5")]
    pub flags: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "6")]
    pub mode: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4FreeInodeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub uid: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub gid: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "5")]
    pub blocks: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "6")]
    pub mode: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4GetImpliedClusterAllocExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "4")]
    pub pblk: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub len: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4GetReservedClusterAllocFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4IndMapBlocksEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub flags: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4IndMapBlocksExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "4")]
    pub pblk: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub mflags: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "8")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4InsertRangeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub offset: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "4")]
    pub len: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4InvalidatepageFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub index: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub offset: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub length: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4JournalStartFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ip: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub blocks: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub rsv_blocks: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub nblocks: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "6")]
    pub revoke_creds: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4JournalStartReservedFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ip: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub blocks: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4JournalledInvalidatepageFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub index: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub offset: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub length: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4JournalledWriteEndFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub pos: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub copied: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4LoadInodeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4LoadInodeBitmapFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub group: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4MarkInodeDirtyFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub ip: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4MbBitmapLoadFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub group: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4MbBuddyBitmapLoadFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub group: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4MbDiscardPreallocationsFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub needed: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4MbNewGroupPaFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub pa_pstart: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub pa_lstart: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub pa_len: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4MbNewInodePaFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub pa_pstart: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub pa_lstart: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub pa_len: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4MbReleaseGroupPaFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub pa_pstart: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub pa_len: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4MbReleaseInodePaFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub block: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub count: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4MballocAllocFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub orig_logical: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub orig_start: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "5")]
    pub orig_group: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub orig_len: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "7")]
    pub goal_logical: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "8")]
    pub goal_start: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "9")]
    pub goal_group: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "10")]
    pub goal_len: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "11")]
    pub result_logical: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "12")]
    pub result_start: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "13")]
    pub result_group: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "14")]
    pub result_len: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "15")]
    pub found: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "16")]
    pub groups: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "17")]
    pub buddy: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "18")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "19")]
    pub tail: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "20")]
    pub cr: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4MballocDiscardFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub result_start: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "4")]
    pub result_group: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub result_len: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4MballocFreeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub result_start: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "4")]
    pub result_group: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub result_len: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4MballocPreallocFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub orig_logical: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub orig_start: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "5")]
    pub orig_group: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub orig_len: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "7")]
    pub result_logical: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "8")]
    pub result_start: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "9")]
    pub result_group: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "10")]
    pub result_len: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4OtherInodeUpdateTimeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub orig_ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub uid: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub gid: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub mode: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4PunchHoleFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub offset: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "4")]
    pub len: ::core::option::Option<i64>,
    #[prost(int32, optional, tag = "5")]
    pub mode: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ReadBlockBitmapLoadFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub group: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub prefetch: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ReadpageFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub index: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ReleasepageFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub index: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4RemoveBlocksFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub from: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub to: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "5")]
    pub partial: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "6")]
    pub ee_pblk: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "7")]
    pub ee_lblk: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub ee_len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub pc_lblk: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "10")]
    pub pc_pclu: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "11")]
    pub pc_state: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4RequestBlocksFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub logical: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub lleft: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub lright: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "7")]
    pub goal: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "8")]
    pub pleft: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "9")]
    pub pright: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "10")]
    pub flags: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4RequestInodeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub dir: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub mode: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4SyncFsFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub wait: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4TrimAllFreeFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub dev_major: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub dev_minor: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub group: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub start: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub len: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4TrimExtentFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub dev_major: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub dev_minor: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub group: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub start: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub len: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4TruncateEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub blocks: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4TruncateExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub blocks: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4UnlinkEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub parent: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "4")]
    pub size: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4UnlinkExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4WriteBeginFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub pos: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub flags: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4WriteEndFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub pos: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub copied: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4WritepageFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub index: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4WritepagesFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub nr_to_write: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "4")]
    pub pages_skipped: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "5")]
    pub range_start: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "6")]
    pub range_end: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "7")]
    pub writeback_index: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "8")]
    pub sync_mode: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "9")]
    pub for_kupdate: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "10")]
    pub range_cyclic: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4WritepagesResultFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub ret: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub pages_written: ::core::option::Option<i32>,
    #[prost(int64, optional, tag = "5")]
    pub pages_skipped: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "6")]
    pub writeback_index: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "7")]
    pub sync_mode: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Ext4ZeroRangeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub offset: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "4")]
    pub len: ::core::option::Option<i64>,
    #[prost(int32, optional, tag = "5")]
    pub mode: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsDoSubmitBioFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub btype: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub sync: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "4")]
    pub sector: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub size: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsEvictInodeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub pino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub mode: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "5")]
    pub size: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "6")]
    pub nlink: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "7")]
    pub blocks: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "8")]
    pub advise: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsFallocateFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub mode: ::core::option::Option<i32>,
    #[prost(int64, optional, tag = "4")]
    pub offset: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "5")]
    pub len: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "6")]
    pub size: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "7")]
    pub blocks: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "8")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsGetDataBlockFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub iblock: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub bh_start: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub bh_size: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "6")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsGetVictimFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub r#type: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub gc_type: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub alloc_mode: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub gc_mode: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "6")]
    pub victim: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub ofs_unit: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub pre_victim: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub prefree: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "10")]
    pub free: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "11")]
    pub cost: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsIgetFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub pino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub mode: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "5")]
    pub size: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "6")]
    pub nlink: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "7")]
    pub blocks: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "8")]
    pub advise: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsIgetExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsNewInodeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsReadpageFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub index: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub blkaddr: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "5")]
    pub r#type: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "6")]
    pub dir: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "7")]
    pub dirty: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "8")]
    pub uptodate: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsReserveNewBlockFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub nid: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub ofs_in_node: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsSetPageDirtyFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub r#type: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub dir: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "5")]
    pub index: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "6")]
    pub dirty: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "7")]
    pub uptodate: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsSubmitWritePageFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub r#type: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "4")]
    pub index: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub block: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsSyncFileEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub pino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub mode: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "5")]
    pub size: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "6")]
    pub nlink: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "7")]
    pub blocks: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "8")]
    pub advise: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsSyncFileExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub need_cp: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub datasync: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub ret: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "6")]
    pub cp_reason: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsSyncFsFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub dirty: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub wait: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsTruncateFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub pino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub mode: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "5")]
    pub size: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "6")]
    pub nlink: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "7")]
    pub blocks: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "8")]
    pub advise: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsTruncateBlocksEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub size: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "4")]
    pub blocks: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub from: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsTruncateBlocksExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsTruncateDataBlocksRangeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nid: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub ofs: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub free: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsTruncateInodeBlocksEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub size: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "4")]
    pub blocks: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub from: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsTruncateInodeBlocksExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsTruncateNodeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nid: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub blk_addr: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsTruncateNodesEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nid: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub blk_addr: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsTruncateNodesExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsTruncatePartialNodesFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub nid: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub depth: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub err: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct F2fsUnlinkEnterFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub size: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "4")]
    pub blocks: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "5")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsUnlinkExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsVmPageMkwriteFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub r#type: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub dir: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "5")]
    pub index: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "6")]
    pub dirty: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "7")]
    pub uptodate: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsWriteBeginFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub pos: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub flags: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct F2fsWriteCheckpointFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub is_umount: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "3")]
    pub msg: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "4")]
    pub reason: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsWriteEndFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ino: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub pos: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "4")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub copied: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsIostatFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub app_bio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub app_brio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub app_dio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub app_drio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub app_mio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "6")]
    pub app_mrio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "7")]
    pub app_rio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "8")]
    pub app_wio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "9")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "10")]
    pub fs_cdrio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "11")]
    pub fs_cp_dio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "12")]
    pub fs_cp_mio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "13")]
    pub fs_cp_nio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "14")]
    pub fs_dio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "15")]
    pub fs_discard: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "16")]
    pub fs_drio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "17")]
    pub fs_gc_dio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "18")]
    pub fs_gc_nio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "19")]
    pub fs_gdrio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "20")]
    pub fs_mio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "21")]
    pub fs_mrio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "22")]
    pub fs_nio: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "23")]
    pub fs_nrio: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsIostatLatencyFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub d_rd_avg: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub d_rd_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub d_rd_peak: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub d_wr_as_avg: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub d_wr_as_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub d_wr_as_peak: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub d_wr_s_avg: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub d_wr_s_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub d_wr_s_peak: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "10")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "11")]
    pub m_rd_avg: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "12")]
    pub m_rd_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "13")]
    pub m_rd_peak: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "14")]
    pub m_wr_as_avg: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "15")]
    pub m_wr_as_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "16")]
    pub m_wr_as_peak: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "17")]
    pub m_wr_s_avg: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "18")]
    pub m_wr_s_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "19")]
    pub m_wr_s_peak: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "20")]
    pub n_rd_avg: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "21")]
    pub n_rd_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "22")]
    pub n_rd_peak: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "23")]
    pub n_wr_as_avg: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "24")]
    pub n_wr_as_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "25")]
    pub n_wr_as_peak: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "26")]
    pub n_wr_s_avg: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "27")]
    pub n_wr_s_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "28")]
    pub n_wr_s_peak: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsBackgroundGcFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub wait_ms: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub prefree: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub free: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsGcBeginFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub sync: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub background: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "4")]
    pub dirty_nodes: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "5")]
    pub dirty_dents: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "6")]
    pub dirty_imeta: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "7")]
    pub free_sec: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub free_seg: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "9")]
    pub reserved_seg: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "10")]
    pub prefree_seg: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "11")]
    pub gc_type: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "12")]
    pub no_bg_gc: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "13")]
    pub nr_free_secs: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct F2fsGcEndFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub dev: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub ret: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub seg_freed: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub sec_freed: ::core::option::Option<i32>,
    #[prost(int64, optional, tag = "5")]
    pub dirty_nodes: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "6")]
    pub dirty_dents: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "7")]
    pub dirty_imeta: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "8")]
    pub free_sec: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub free_seg: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "10")]
    pub reserved_seg: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "11")]
    pub prefree_seg: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct FastrpcDmaStatFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub cid: ::core::option::Option<i32>,
    #[prost(int64, optional, tag = "2")]
    pub len: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "3")]
    pub total_allocated: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct FastrpcDmaFreeFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub cid: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "2")]
    pub phys: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub size: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct FastrpcDmaAllocFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub cid: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "2")]
    pub phys: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub size: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub attr: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "5")]
    pub mflags: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct FastrpcDmaUnmapFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub cid: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "2")]
    pub phys: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub size: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct FastrpcDmaMapFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub cid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub fd: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "3")]
    pub phys: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub size: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub len: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "6")]
    pub attr: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "7")]
    pub mflags: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FenceInitFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub context: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub driver: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub seqno: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub timeline: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FenceDestroyFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub context: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub driver: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub seqno: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub timeline: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FenceEnableSignalFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub context: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub driver: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub seqno: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub timeline: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FenceSignaledFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub context: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub driver: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub seqno: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub timeline: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmFilemapAddToPageCacheFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub pfn: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub i_ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub index: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub s_dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub page: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmFilemapDeleteFromPageCacheFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub pfn: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub i_ino: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub index: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub s_dev: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub page: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DoSysOpenFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub filename: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub flags: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub mode: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct OpenExecFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub filename: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct PrintFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub ip: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "2")]
    pub buf: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct FuncgraphEntryFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub depth: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "2")]
    pub func: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct FuncgraphExitFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub calltime: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub depth: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "3")]
    pub func: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub overrun: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub rettime: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct G2dTracingMarkWriteFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "4")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "5")]
    pub r#type: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub value: ::core::option::Option<i32>,
}
/// This generic proto is used to output events in the trace
/// when a specific proto for that event does not exist.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GenericFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub event_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(message, repeated, tag = "2")]
    pub field: ::prost::alloc::vec::Vec<generic_ftrace_event::Field>,
}
/// Nested message and enum types in `GenericFtraceEvent`.
pub mod generic_ftrace_event {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Field {
        #[prost(string, optional, tag = "1")]
        pub name: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(oneof = "field::Value", tags = "3, 4, 5")]
        pub value: ::core::option::Option<field::Value>,
    }
    /// Nested message and enum types in `Field`.
    pub mod field {
        #[derive(Clone, PartialEq, ::prost::Oneof)]
        pub enum Value {
            #[prost(string, tag = "3")]
            StrValue(::prost::alloc::string::String),
            #[prost(int64, tag = "4")]
            IntValue(i64),
            #[prost(uint64, tag = "5")]
            UintValue(u64),
        }
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct KprobeEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(enumeration = "kprobe_event::KprobeType", optional, tag = "2")]
    pub r#type: ::core::option::Option<i32>,
}
/// Nested message and enum types in `KprobeEvent`.
pub mod kprobe_event {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum KprobeType {
        Unknown = 0,
        Begin = 1,
        End = 2,
        Instant = 3,
    }
    impl KprobeType {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Unknown => "KPROBE_TYPE_UNKNOWN",
                Self::Begin => "KPROBE_TYPE_BEGIN",
                Self::End => "KPROBE_TYPE_END",
                Self::Instant => "KPROBE_TYPE_INSTANT",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "KPROBE_TYPE_UNKNOWN" => Some(Self::Unknown),
                "KPROBE_TYPE_BEGIN" => Some(Self::Begin),
                "KPROBE_TYPE_END" => Some(Self::End),
                "KPROBE_TYPE_INSTANT" => Some(Self::Instant),
                _ => None,
            }
        }
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GoogleIccEventFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub event: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "2")]
    pub timestamp: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GoogleIrmEventFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub event: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "2")]
    pub timestamp: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct GpuMemTotalFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub gpu_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub pid: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub size: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DrmSchedJobFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub entity: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub fence: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub hw_job_count: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "4")]
    pub id: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub job_count: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "6")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DrmRunJobFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub entity: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub fence: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub hw_job_count: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "4")]
    pub id: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub job_count: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "6")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct DrmSchedProcessJobFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub fence: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct HypEnterFtraceEvent {}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct HypExitFtraceEvent {}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct HostHcallFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub invalid: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct HostSmcFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub id: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub forwarded: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct HostMemAbortFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub esr: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub addr: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct I2cReadFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub adapter_nr: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub msg_nr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub addr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub len: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct I2cWriteFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub adapter_nr: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub msg_nr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub addr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub buf: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct I2cResultFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub adapter_nr: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub nr_msgs: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct I2cReplyFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub adapter_nr: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub msg_nr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub addr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub buf: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SmbusReadFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub adapter_nr: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub addr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub command: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub protocol: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SmbusWriteFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub adapter_nr: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub addr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub command: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub protocol: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SmbusResultFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub adapter_nr: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub addr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub read_write: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub command: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub res: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "7")]
    pub protocol: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SmbusReplyFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub adapter_nr: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub addr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub command: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub protocol: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct IonStatFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub buffer_id: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "2")]
    pub len: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "3")]
    pub total_allocated: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IpiEntryFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub reason: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IpiExitFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub reason: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IpiRaiseFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub target_cpus: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub reason: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SoftirqEntryFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub vec: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SoftirqExitFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub vec: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SoftirqRaiseFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub vec: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IrqHandlerEntryFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub irq: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub handler: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct IrqHandlerExitFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub irq: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KgslGpuFrequencyFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub gpu_freq: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub gpu_id: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KgslAdrenoCmdbatchQueuedFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub timestamp: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub queued: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub prio: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KgslAdrenoCmdbatchSubmittedFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub timestamp: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "3")]
    pub inflight: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "4")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "5")]
    pub ticks: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "6")]
    pub secs: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "7")]
    pub usecs: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "8")]
    pub prio: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "9")]
    pub rb_id: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "10")]
    pub rptr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "11")]
    pub wptr: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "12")]
    pub q_inflight: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "13")]
    pub dispatch_queue: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KgslAdrenoCmdbatchSyncFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub timestamp: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub ticks: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "4")]
    pub prio: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KgslAdrenoCmdbatchRetiredFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub timestamp: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "3")]
    pub inflight: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "4")]
    pub recovery: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "6")]
    pub start: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "7")]
    pub retire: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "8")]
    pub prio: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "9")]
    pub rb_id: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "10")]
    pub rptr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "11")]
    pub wptr: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "12")]
    pub q_inflight: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "13")]
    pub fault_recovery: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "14")]
    pub dispatch_queue: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "15")]
    pub submitted_to_rb: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "16")]
    pub retired_on_gmu: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "17")]
    pub active: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct AllocPagesIommuEndFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub gfp_flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub order: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct AllocPagesIommuFailFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub gfp_flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub order: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct AllocPagesIommuStartFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub gfp_flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub order: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct AllocPagesSysEndFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub gfp_flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub order: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct AllocPagesSysFailFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub gfp_flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub order: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct AllocPagesSysStartFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub gfp_flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub order: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct DmaAllocContiguousRetryFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub tries: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct IommuMapRangeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub chunk_size: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub len: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub pa: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub va: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct IommuSecPtblMapRangeEndFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub len: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub num: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub pa: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub sec_id: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "5")]
    pub va: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct IommuSecPtblMapRangeStartFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub len: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub num: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub pa: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub sec_id: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "5")]
    pub va: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IonAllocBufferEndFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub client_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "2")]
    pub flags: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "3")]
    pub heap_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "4")]
    pub len: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub mask: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IonAllocBufferFailFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub client_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int64, optional, tag = "2")]
    pub error: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "3")]
    pub flags: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub heap_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "5")]
    pub len: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "6")]
    pub mask: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IonAllocBufferFallbackFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub client_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int64, optional, tag = "2")]
    pub error: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "3")]
    pub flags: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub heap_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "5")]
    pub len: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "6")]
    pub mask: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IonAllocBufferStartFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub client_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "2")]
    pub flags: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "3")]
    pub heap_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "4")]
    pub len: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub mask: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct IonCpAllocRetryFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub tries: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IonCpSecureBufferEndFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub align: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub flags: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "3")]
    pub heap_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "4")]
    pub len: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IonCpSecureBufferStartFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub align: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub flags: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "3")]
    pub heap_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "4")]
    pub len: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct IonPrefetchingFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub len: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct IonSecureCmaAddToPoolEndFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub is_prefetch: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub len: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub pool_total: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct IonSecureCmaAddToPoolStartFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub is_prefetch: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub len: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub pool_total: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IonSecureCmaAllocateEndFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub align: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub flags: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "3")]
    pub heap_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "4")]
    pub len: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IonSecureCmaAllocateStartFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub align: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub flags: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "3")]
    pub heap_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "4")]
    pub len: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct IonSecureCmaShrinkPoolEndFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub drained_size: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub skipped_size: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct IonSecureCmaShrinkPoolStartFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub drained_size: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub skipped_size: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KfreeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub call_site: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ptr: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KmallocFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub bytes_alloc: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub bytes_req: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub call_site: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub gfp_flags: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "5")]
    pub ptr: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KmallocNodeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub bytes_alloc: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub bytes_req: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub call_site: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub gfp_flags: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub node: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "6")]
    pub ptr: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KmemCacheAllocFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub bytes_alloc: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub bytes_req: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub call_site: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub gfp_flags: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "5")]
    pub ptr: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KmemCacheAllocNodeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub bytes_alloc: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub bytes_req: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub call_site: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub gfp_flags: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub node: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "6")]
    pub ptr: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KmemCacheFreeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub call_site: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub ptr: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MigratePagesEndFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub mode: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MigratePagesStartFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub mode: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MigrateRetryFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub tries: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmPageAllocFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub gfp_flags: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub migratetype: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub order: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "4")]
    pub page: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub pfn: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmPageAllocExtfragFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub alloc_migratetype: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub alloc_order: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub fallback_migratetype: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub fallback_order: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "5")]
    pub page: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "6")]
    pub change_ownership: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "7")]
    pub pfn: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmPageAllocZoneLockedFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub migratetype: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub order: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub page: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub pfn: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmPageFreeFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub order: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub page: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub pfn: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmPageFreeBatchedFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub cold: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "2")]
    pub page: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub pfn: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmPagePcpuDrainFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub migratetype: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub order: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub page: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub pfn: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct RssStatFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub member: ::core::option::Option<i32>,
    #[prost(int64, optional, tag = "2")]
    pub size: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "3")]
    pub curr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub mm_id: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IonHeapShrinkFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub heap_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "2")]
    pub len: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub total_allocated: ::core::option::Option<i64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct IonHeapGrowFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub heap_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "2")]
    pub len: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "3")]
    pub total_allocated: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct IonBufferCreateFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub addr: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub len: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct IonBufferDestroyFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub addr: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub len: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmAccessFaultFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub ipa: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmAckIrqFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub irqchip: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub pin: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmAgeHvaFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub end: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub start: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmAgePageFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub gfn: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub hva: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub level: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub referenced: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmArmClearDebugFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub guest_debug: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct KvmArmSetDreg32FtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "2")]
    pub value: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct KvmArmSetRegsetFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub len: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmArmSetupDebugFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub guest_debug: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub vcpu: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmEntryFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub vcpu_pc: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmExitFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub esr_ec: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub ret: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "3")]
    pub vcpu_pc: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmFpuFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub load: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmGetTimerMapFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub direct_ptimer: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub direct_vtimer: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub emul_ptimer: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "4")]
    pub vcpu_id: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmGuestFaultFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub hsr: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub hxfar: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub ipa: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub vcpu_pc: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmHandleSysRegFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub hsr: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmHvcArm64FtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub imm: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub r0: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub vcpu_pc: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmIrqLineFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub irq_num: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub level: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub r#type: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub vcpu_idx: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmMmioFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub gpa: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub r#type: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "4")]
    pub val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmMmioEmulateFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub cpsr: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub instr: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub vcpu_pc: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmSetGuestDebugFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub guest_debug: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub vcpu: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmSetIrqFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub gsi: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub irq_source_id: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub level: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmSetSpteHvaFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub hva: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmSetWayFlushFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub cache: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub vcpu_pc: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct KvmSysAccessFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub c_rm: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub c_rn: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub op0: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub op1: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub op2: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub is_write: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "7")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "8")]
    pub vcpu_pc: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmTestAgeHvaFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub hva: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmTimerEmulateFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub should_fire: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub timer_idx: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmTimerHrtimerExpireFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub timer_idx: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmTimerRestoreStateFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub ctl: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub cval: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub timer_idx: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmTimerSaveStateFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub ctl: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub cval: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub timer_idx: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmTimerUpdateIrqFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub irq: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub level: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "3")]
    pub vcpu_id: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmToggleCacheFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub now: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub vcpu_pc: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub was: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmUnmapHvaRangeFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub end: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub start: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmUserspaceExitFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub reason: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmVcpuWakeupFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub ns: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub valid: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub waited: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KvmWfxArm64FtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub is_wfe: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub vcpu_pc: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrapRegFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub r#fn: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "2")]
    pub is_write: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub reg: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "4")]
    pub write_value: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct VgicUpdateIrqPendingFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub irq: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub level: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub vcpu_id: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct LowmemoryKillFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub pid: ::core::option::Option<i32>,
    #[prost(int64, optional, tag = "3")]
    pub pagecache_size: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "4")]
    pub pagecache_limit: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "5")]
    pub free: ::core::option::Option<i64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct LwisTracingMarkWriteFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub lwis_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "2")]
    pub r#type: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "4")]
    pub func_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int64, optional, tag = "5")]
    pub value: ::core::option::Option<i64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MaliTracingMarkWriteFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub pid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub r#type: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub value: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliKcpucqssetFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub info_val1: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val2: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub kctx_tgid: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliKcpucqswaitstartFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub info_val1: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val2: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub kctx_tgid: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliKcpucqswaitendFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub info_val1: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val2: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub kctx_tgid: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliKcpufencesignalFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub info_val1: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub info_val2: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "4")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub id: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliKcpufencewaitstartFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub info_val1: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub info_val2: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "4")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub id: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliKcpufencewaitendFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub info_val1: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub info_val2: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "4")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub id: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliCsfinterruptstartFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliCsfinterruptendFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuhctlcoresdownscalenotifypendFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuhctlcoresnotifypendFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuhctlcoreinactivependFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuhctlmcuonrecheckFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuhctlshaderscoreoffpendFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuhctlshaderspendoffFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuhctlshaderspendonFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuhctlshadersreadyoffFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuinsleepFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuoffFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuonFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuoncoreattrupdatependFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuonglbreinitpendFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuonhaltFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuonhwcntdisableFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuonhwcntenableFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuonpendhaltFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuonpendsleepFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuonsleepinitiateFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcupendoffFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcupendonreloadFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcupowerdownFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MaliMaliPmmcuresetwaitFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub kctx_tgid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub kctx_id: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub info_val: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpCmdKickoffFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub ctl_num: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub kickoff_cnt: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpCommitFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub num: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub play_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub clk_rate: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "4")]
    pub bandwidth: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpPerfSetOtFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub pnum: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub xin_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub rd_lim: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub is_vbif_rt: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpSsppChangeFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub num: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub play_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub mixer: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub stage: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub format: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub img_w: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub img_h: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub src_x: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "10")]
    pub src_y: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "11")]
    pub src_w: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "12")]
    pub src_h: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "13")]
    pub dst_x: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "14")]
    pub dst_y: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "15")]
    pub dst_w: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "16")]
    pub dst_h: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TracingMarkWriteFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub trace_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub trace_begin: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpCmdPingpongDoneFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub ctl_num: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub intf_num: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub pp_num: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub koff_cnt: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpCompareBwFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub new_ab: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub new_ib: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub new_wb: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub old_ab: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub old_ib: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "6")]
    pub old_wb: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "7")]
    pub params_changed: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub update_bw: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpPerfSetPanicLutsFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub pnum: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub fmt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub mode: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub panic_lut: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub robust_lut: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpSsppSetFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub num: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub play_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub mixer: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub stage: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub format: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub img_w: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub img_h: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub src_x: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "10")]
    pub src_y: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "11")]
    pub src_w: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "12")]
    pub src_h: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "13")]
    pub dst_x: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "14")]
    pub dst_y: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "15")]
    pub dst_w: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "16")]
    pub dst_h: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpCmdReadptrDoneFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub ctl_num: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub koff_cnt: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpMisrCrcFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub block_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub vsync_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub crc: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpPerfSetQosLutsFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub pnum: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub fmt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub intf: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub rot: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub fl: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub lut: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub linear: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MdpTraceCounterFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub counter_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "3")]
    pub value: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpCmdReleaseBwFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub ctl_num: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpMixerUpdateFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub mixer_num: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpPerfSetWmLevelsFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub pnum: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub use_space: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub priority_bytes: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub wm0: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub wm1: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub wm2: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub mb_cnt: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub mb_size: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpVideoUnderrunDoneFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub ctl_num: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub underrun_cnt: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpCmdWaitPingpongFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub ctl_num: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub kickoff_cnt: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpPerfPrefillCalcFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub pnum: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub latency_buf: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub ot: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub y_buf: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub y_scaler: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub pp_lines: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub pp_bytes: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub post_sc: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub fbc_bytes: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "10")]
    pub prefill_bytes: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MdpPerfUpdateBusFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub client: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "2")]
    pub ab_quota: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub ib_quota: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct RotatorBwAoAsContextFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub state: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmEventRecordFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub avg_lat: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub count: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub max_lat: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub r#type: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct NetifReceiveSkbFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub len: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "3")]
    pub skbaddr: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct NetDevXmitFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub len: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "3")]
    pub rc: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "4")]
    pub skbaddr: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct NapiGroReceiveEntryFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub data_len: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub gso_size: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub gso_type: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub hash: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub ip_summed: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub l4_hash: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub len: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "8")]
    pub mac_header: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "9")]
    pub mac_header_valid: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "10")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "11")]
    pub napi_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "12")]
    pub nr_frags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "13")]
    pub protocol: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "14")]
    pub queue_mapping: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "15")]
    pub skbaddr: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "16")]
    pub truesize: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "17")]
    pub vlan_proto: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "18")]
    pub vlan_tagged: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "19")]
    pub vlan_tci: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct NapiGroReceiveExitFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct OomScoreAdjUpdateFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub oom_score_adj: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub pid: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MarkVictimFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct DsiCmdFifoStatusFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub header: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub payload: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct DsiRxFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub cmd: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub rx_buf: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct DsiTxFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub last: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub tx_buf: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub r#type: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct PanelWriteGenericFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub trace_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub trace_begin: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "5")]
    pub r#type: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub value: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SchedSwitchWithCtrsFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub old_pid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub new_pid: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "3")]
    pub cctr: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub ctr0: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub ctr1: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "6")]
    pub ctr2: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "7")]
    pub ctr3: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "8")]
    pub lctr0: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub lctr1: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "10")]
    pub ctr4: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "11")]
    pub ctr5: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "12")]
    pub prev_comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "13")]
    pub prev_pid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "14")]
    pub cyc: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "15")]
    pub inst: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "16")]
    pub stallbm: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "17")]
    pub l3dm: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "18")]
    pub next_pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "19")]
    pub next_comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int64, optional, tag = "20")]
    pub prev_state: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "21")]
    pub amu0: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "22")]
    pub amu1: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "23")]
    pub amu2: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct PixelMmKswapdWakeFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub whatever: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct PixelMmKswapdDoneFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub delta_nr_scanned: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub delta_nr_reclaimed: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct CpuFrequencyFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub state: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub cpu_id: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct CpuFrequencyLimitsFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub min_freq: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub max_freq: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub cpu_id: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct CpuIdleFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub state: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub cpu_id: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ClockEnableFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "2")]
    pub state: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub cpu_id: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ClockDisableFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "2")]
    pub state: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub cpu_id: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ClockSetRateFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "2")]
    pub state: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub cpu_id: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SuspendResumeFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub action: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub val: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub start: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct GpuFrequencyFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub gpu_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub state: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct WakeupSourceActivateFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "2")]
    pub state: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct WakeupSourceDeactivateFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "2")]
    pub state: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct GpuWorkPeriodFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub gpu_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub uid: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub start_time_ns: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub end_time_ns: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub total_active_duration_ns: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DevicePmCallbackStartFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub device: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "2")]
    pub driver: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "3")]
    pub parent: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "4")]
    pub pm_ops: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "5")]
    pub event: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DevicePmCallbackEndFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub device: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "2")]
    pub driver: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "3")]
    pub error: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ConsoleFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub msg: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SysEnterFtraceEvent {
    #[prost(int64, optional, tag = "1")]
    pub id: ::core::option::Option<i64>,
    #[prost(uint64, repeated, packed = "false", tag = "2")]
    pub args: ::prost::alloc::vec::Vec<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SysExitFtraceEvent {
    #[prost(int64, optional, tag = "1")]
    pub id: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "2")]
    pub ret: ::core::option::Option<i64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct RegulatorDisableFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct RegulatorDisableCompleteFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct RegulatorEnableFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct RegulatorEnableCompleteFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct RegulatorEnableDelayFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct RegulatorSetVoltageFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub min: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub max: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct RegulatorSetVoltageCompleteFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "2")]
    pub val: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct RpmStatusFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub status: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SamsungTracingMarkWriteFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub trace_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub trace_begin: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub trace_type: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub value: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SchedSwitchFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub prev_comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub prev_pid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub prev_prio: ::core::option::Option<i32>,
    #[prost(int64, optional, tag = "4")]
    pub prev_state: ::core::option::Option<i64>,
    #[prost(string, optional, tag = "5")]
    pub next_comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "6")]
    pub next_pid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "7")]
    pub next_prio: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SchedWakeupFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub pid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub prio: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub success: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub target_cpu: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SchedBlockedReasonFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "2")]
    pub caller: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub io_wait: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SchedCpuHotplugFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub affected_cpu: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub error: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub status: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SchedWakingFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub pid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub prio: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub success: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub target_cpu: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SchedWakeupNewFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub pid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub prio: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub success: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub target_cpu: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SchedProcessExecFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub filename: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub pid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub old_pid: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SchedProcessExitFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub pid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub tgid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub prio: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SchedProcessForkFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub parent_comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub parent_pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "3")]
    pub child_comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "4")]
    pub child_pid: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SchedProcessFreeFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub pid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub prio: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SchedProcessHangFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub pid: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SchedProcessWaitFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub pid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub prio: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SchedPiSetprioFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub newprio: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub oldprio: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub pid: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SchedCpuUtilCfsFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub active: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "2")]
    pub capacity: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub capacity_orig: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub cpu: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "5")]
    pub cpu_importance: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "6")]
    pub cpu_util: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "7")]
    pub exit_lat: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "8")]
    pub group_capacity: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "9")]
    pub grp_overutilized: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "10")]
    pub idle_cpu: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "11")]
    pub nr_running: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "12")]
    pub spare_cap: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "13")]
    pub task_fits: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "14")]
    pub wake_group_util: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "15")]
    pub wake_util: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SchedMigrateTaskFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub pid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub prio: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub orig_cpu: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub dest_cpu: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "6")]
    pub running: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "7")]
    pub load: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SchedWakeupTaskAttrFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "2")]
    pub cpu_affinity: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub task_util: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub uclamp_min: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub vruntime: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct ScmCallStartFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub arginfo: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "2")]
    pub x0: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub x5: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct ScmCallEndFtraceEvent {}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SdeTracingMarkWriteFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub trace_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub trace_type: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub value: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "5")]
    pub trace_begin: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SdeSdeEvtlogFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub evtlog_tag: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub pid: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub tag_id: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SdeSdePerfCalcCrtcFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub bw_ctl_ebi: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub bw_ctl_llcc: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub bw_ctl_mnoc: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub core_clk_rate: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub crtc: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "6")]
    pub ib_ebi: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "7")]
    pub ib_llcc: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "8")]
    pub ib_mnoc: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SdeSdePerfCrtcUpdateFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub bw_ctl_ebi: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub bw_ctl_llcc: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub bw_ctl_mnoc: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub core_clk_rate: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub crtc: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub params: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "7")]
    pub per_pipe_ib_ebi: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "8")]
    pub per_pipe_ib_llcc: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "9")]
    pub per_pipe_ib_mnoc: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "10")]
    pub stop_req: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "11")]
    pub update_bus: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "12")]
    pub update_clk: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SdeSdePerfSetQosLutsFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub fl: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub fmt: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub lut: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub lut_usage: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub pnum: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub rt: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SdeSdePerfUpdateBusFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub ab_quota: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub bus_id: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub client: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "4")]
    pub ib_quota: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SignalDeliverFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub code: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "2")]
    pub sa_flags: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "3")]
    pub sig: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SignalGenerateFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub code: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "3")]
    pub group: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub pid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub result: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "6")]
    pub sig: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct KfreeSkbFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub location: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub protocol: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "3")]
    pub skbaddr: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct InetSockSetStateFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub daddr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub dport: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub family: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "4")]
    pub newstate: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "5")]
    pub oldstate: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "6")]
    pub protocol: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub saddr: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "8")]
    pub skaddr: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "9")]
    pub sport: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SyncPtFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub timeline: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "2")]
    pub value: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SyncTimelineFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "2")]
    pub value: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SyncWaitFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub status: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub begin: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct RssStatThrottledFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub curr: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub member: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub mm_id: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "4")]
    pub size: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct SuspendResumeMinimalFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub start: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ZeroFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub flag: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "3")]
    pub pid: ::core::option::Option<i32>,
    #[prost(int64, optional, tag = "4")]
    pub value: ::core::option::Option<i64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TaskNewtaskFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub comm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "3")]
    pub clone_flags: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "4")]
    pub oom_score_adj: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TaskRenameFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub oldcomm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "3")]
    pub newcomm: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "4")]
    pub oom_score_adj: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TcpRetransmitSkbFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub daddr: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub dport: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub saddr: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "4")]
    pub skaddr: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub skbaddr: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "6")]
    pub sport: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "7")]
    pub state: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ThermalTemperatureFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub id: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub temp: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub temp_prev: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "4")]
    pub thermal_zone: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CdevUpdateFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub target: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "2")]
    pub r#type: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct ThermalExynosAcpmBulkFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub tz_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub current_temp: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub ctrl_temp: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub cdev_state: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub pid_et_p: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "6")]
    pub pid_power_range: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "7")]
    pub pid_p: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "8")]
    pub pid_i: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "9")]
    pub k_p: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "10")]
    pub k_i: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "11")]
    pub timestamp: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct ThermalExynosAcpmHighOverheadFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub tz_id: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "2")]
    pub current_temp: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub ctrl_temp: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub cdev_state: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub pid_et_p: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "6")]
    pub k_p: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "7")]
    pub k_i: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TrustySmcFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub r0: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub r1: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub r2: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub r3: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TrustySmcDoneFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub ret: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TrustyStdCall32FtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub r0: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub r1: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub r2: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub r3: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TrustyStdCall32DoneFtraceEvent {
    #[prost(int64, optional, tag = "1")]
    pub ret: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TrustyShareMemoryFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub len: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub lend: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub nents: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TrustyShareMemoryDoneFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub handle: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub len: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub lend: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub nents: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TrustyReclaimMemoryFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub id: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TrustyReclaimMemoryDoneFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub id: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub ret: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TrustyIrqFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub irq: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrustyIpcHandleEventFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub chan: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub event_id: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "3")]
    pub srv_name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrustyIpcConnectFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub chan: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub port: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "3")]
    pub state: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TrustyIpcConnectEndFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub chan: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub err: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub state: ::core::option::Option<i32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrustyIpcWriteFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub buf_id: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub chan: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub kind_shm: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "4")]
    pub len_or_err: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "5")]
    pub shm_cnt: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "6")]
    pub srv_name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrustyIpcPollFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub chan: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub poll_mask: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "3")]
    pub srv_name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrustyIpcReadFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub chan: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "2")]
    pub srv_name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrustyIpcReadEndFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub buf_id: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub chan: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub len_or_err: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "4")]
    pub shm_cnt: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "5")]
    pub srv_name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrustyIpcRxFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub buf_id: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "2")]
    pub chan: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "3")]
    pub srv_name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TrustyEnqueueNopFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub arg1: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub arg2: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub arg3: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UfshcdCommandFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub dev_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "2")]
    pub doorbell: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub intr: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "4")]
    pub lba: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "5")]
    pub opcode: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "6")]
    pub str: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "7")]
    pub tag: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "8")]
    pub transfer_len: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "9")]
    pub group_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "10")]
    pub str_t: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UfshcdClkGatingFtraceEvent {
    #[prost(string, optional, tag = "1")]
    pub dev_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "2")]
    pub state: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct V4l2QbufFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub bytesused: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub field: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub index: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub minor: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "6")]
    pub sequence: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub timecode_flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub timecode_frames: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub timecode_hours: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "10")]
    pub timecode_minutes: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "11")]
    pub timecode_seconds: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "12")]
    pub timecode_type: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "13")]
    pub timecode_userbits0: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "14")]
    pub timecode_userbits1: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "15")]
    pub timecode_userbits2: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "16")]
    pub timecode_userbits3: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "17")]
    pub timestamp: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "18")]
    pub r#type: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct V4l2DqbufFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub bytesused: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub field: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub index: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "5")]
    pub minor: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "6")]
    pub sequence: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub timecode_flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub timecode_frames: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub timecode_hours: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "10")]
    pub timecode_minutes: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "11")]
    pub timecode_seconds: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "12")]
    pub timecode_type: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "13")]
    pub timecode_userbits0: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "14")]
    pub timecode_userbits1: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "15")]
    pub timecode_userbits2: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "16")]
    pub timecode_userbits3: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "17")]
    pub timestamp: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "18")]
    pub r#type: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Vb2V4l2BufQueueFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub field: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub flags: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub minor: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "4")]
    pub sequence: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub timecode_flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub timecode_frames: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub timecode_hours: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub timecode_minutes: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub timecode_seconds: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "10")]
    pub timecode_type: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "11")]
    pub timecode_userbits0: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "12")]
    pub timecode_userbits1: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "13")]
    pub timecode_userbits2: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "14")]
    pub timecode_userbits3: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "15")]
    pub timestamp: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Vb2V4l2BufDoneFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub field: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub flags: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub minor: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "4")]
    pub sequence: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub timecode_flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub timecode_frames: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub timecode_hours: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub timecode_minutes: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub timecode_seconds: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "10")]
    pub timecode_type: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "11")]
    pub timecode_userbits0: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "12")]
    pub timecode_userbits1: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "13")]
    pub timecode_userbits2: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "14")]
    pub timecode_userbits3: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "15")]
    pub timestamp: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Vb2V4l2QbufFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub field: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub flags: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub minor: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "4")]
    pub sequence: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub timecode_flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub timecode_frames: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub timecode_hours: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub timecode_minutes: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub timecode_seconds: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "10")]
    pub timecode_type: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "11")]
    pub timecode_userbits0: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "12")]
    pub timecode_userbits1: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "13")]
    pub timecode_userbits2: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "14")]
    pub timecode_userbits3: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "15")]
    pub timestamp: ::core::option::Option<i64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Vb2V4l2DqbufFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub field: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub flags: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "3")]
    pub minor: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "4")]
    pub sequence: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub timecode_flags: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "6")]
    pub timecode_frames: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub timecode_hours: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub timecode_minutes: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub timecode_seconds: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "10")]
    pub timecode_type: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "11")]
    pub timecode_userbits0: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "12")]
    pub timecode_userbits1: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "13")]
    pub timecode_userbits2: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "14")]
    pub timecode_userbits3: ::core::option::Option<u32>,
    #[prost(int64, optional, tag = "15")]
    pub timestamp: ::core::option::Option<i64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct VirtioGpuCmdQueueFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub ctx_id: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub dev: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "3")]
    pub fence_id: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub flags: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "5")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "6")]
    pub num_free: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub seqno: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub r#type: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub vq: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct VirtioGpuCmdResponseFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub ctx_id: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "2")]
    pub dev: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "3")]
    pub fence_id: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub flags: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "5")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "6")]
    pub num_free: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "7")]
    pub seqno: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "8")]
    pub r#type: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "9")]
    pub vq: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct VirtioVideoCmdFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub stream_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub r#type: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct VirtioVideoCmdDoneFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub stream_id: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub r#type: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct VirtioVideoResourceQueueFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub data_size0: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub data_size1: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub data_size2: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub data_size3: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub queue_type: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub resource_id: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "7")]
    pub stream_id: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "8")]
    pub timestamp: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct VirtioVideoResourceQueueDoneFtraceEvent {
    #[prost(uint32, optional, tag = "1")]
    pub data_size0: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "2")]
    pub data_size1: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "3")]
    pub data_size2: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "4")]
    pub data_size3: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub queue_type: ::core::option::Option<u32>,
    #[prost(int32, optional, tag = "6")]
    pub resource_id: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "7")]
    pub stream_id: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "8")]
    pub timestamp: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmVmscanDirectReclaimBeginFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub order: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub may_writepage: ::core::option::Option<i32>,
    #[prost(uint32, optional, tag = "3")]
    pub gfp_flags: ::core::option::Option<u32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmVmscanDirectReclaimEndFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub nr_reclaimed: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmVmscanKswapdWakeFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub nid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub order: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "3")]
    pub zid: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmVmscanKswapdSleepFtraceEvent {
    #[prost(int32, optional, tag = "1")]
    pub nid: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmShrinkSlabStartFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub cache_items: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub delta: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "3")]
    pub gfp_flags: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "4")]
    pub lru_pgs: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "5")]
    pub nr_objects_to_shrink: ::core::option::Option<i64>,
    #[prost(uint64, optional, tag = "6")]
    pub pgs_scanned: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "7")]
    pub shr: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "8")]
    pub shrink: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "9")]
    pub total_scan: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "10")]
    pub nid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "11")]
    pub priority: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct MmShrinkSlabEndFtraceEvent {
    #[prost(int64, optional, tag = "1")]
    pub new_scan: ::core::option::Option<i64>,
    #[prost(int32, optional, tag = "2")]
    pub retval: ::core::option::Option<i32>,
    #[prost(uint64, optional, tag = "3")]
    pub shr: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub shrink: ::core::option::Option<u64>,
    #[prost(int64, optional, tag = "5")]
    pub total_scan: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "6")]
    pub unused_scan: ::core::option::Option<i64>,
    #[prost(int32, optional, tag = "7")]
    pub nid: ::core::option::Option<i32>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct WorkqueueActivateWorkFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub work: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct WorkqueueExecuteEndFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub work: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub function: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct WorkqueueExecuteStartFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub work: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub function: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct WorkqueueQueueWorkFtraceEvent {
    #[prost(uint64, optional, tag = "1")]
    pub work: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub function: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub workqueue: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "4")]
    pub req_cpu: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "5")]
    pub cpu: ::core::option::Option<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FtraceEvent {
    /// Timestamp in nanoseconds using .../tracing/trace_clock.
    #[prost(uint64, optional, tag = "1")]
    pub timestamp: ::core::option::Option<u64>,
    /// Kernel pid (do not confuse with userspace pid aka tgid).
    #[prost(uint32, optional, tag = "2")]
    pub pid: ::core::option::Option<u32>,
    /// Not populated in actual traces. Wire format might change.
    /// Placeholder declaration so that the ftrace parsing code accepts the
    /// existence of this common field. If this becomes needed for all events:
    /// consider merging with common_preempt_count to avoid extra proto tags.
    #[prost(uint32, optional, tag = "5")]
    pub common_flags: ::core::option::Option<u32>,
    #[prost(
        oneof = "ftrace_event::Event",
        tags = "3, 4, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 170, 171, 172, 173, 174, 175, 176, 177, 178, 179, 180, 181, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 201, 202, 203, 204, 205, 206, 207, 208, 209, 210, 211, 212, 213, 214, 215, 216, 217, 218, 219, 230, 231, 232, 233, 234, 235, 236, 237, 238, 239, 240, 241, 242, 243, 244, 245, 246, 247, 248, 249, 250, 251, 252, 253, 254, 255, 256, 257, 258, 259, 260, 261, 262, 263, 264, 265, 266, 267, 268, 269, 270, 271, 272, 273, 274, 275, 276, 277, 278, 279, 280, 281, 282, 283, 284, 285, 286, 287, 288, 289, 290, 291, 292, 293, 294, 295, 296, 297, 298, 299, 300, 301, 302, 303, 304, 305, 306, 307, 308, 309, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 329, 330, 331, 332, 333, 334, 335, 336, 337, 338, 339, 340, 341, 342, 343, 344, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 355, 356, 357, 358, 359, 360, 361, 362, 363, 364, 365, 366, 367, 368, 369, 370, 371, 372, 373, 374, 375, 376, 377, 378, 379, 380, 381, 382, 383, 384, 385, 386, 387, 388, 389, 390, 391, 392, 393, 394, 395, 396, 397, 398, 399, 400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 410, 411, 412, 413, 414, 415, 416, 417, 418, 419, 420, 421, 422, 423, 424, 425, 426, 427, 428, 429, 430, 437, 438, 439, 440, 441, 442, 443, 444, 445, 446, 447, 448, 449, 450, 451, 452, 453, 454, 455, 456, 457, 458, 460, 461, 462, 464, 465, 466, 467, 468, 469, 540, 541, 542, 543, 544, 545, 546, 547"
    )]
    pub event: ::core::option::Option<ftrace_event::Event>,
}
/// Nested message and enum types in `FtraceEvent`.
pub mod ftrace_event {
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum Event {
        #[prost(message, tag = "3")]
        Print(super::PrintFtraceEvent),
        #[prost(message, tag = "4")]
        SchedSwitch(super::SchedSwitchFtraceEvent),
        /// removed field with id 5;
        /// removed field with id 6;
        /// removed field with id 7;
        /// removed field with id 8;
        /// removed field with id 9;
        /// removed field with id 10;
        #[prost(message, tag = "11")]
        CpuFrequency(super::CpuFrequencyFtraceEvent),
        #[prost(message, tag = "12")]
        CpuFrequencyLimits(super::CpuFrequencyLimitsFtraceEvent),
        #[prost(message, tag = "13")]
        CpuIdle(super::CpuIdleFtraceEvent),
        #[prost(message, tag = "14")]
        ClockEnable(super::ClockEnableFtraceEvent),
        #[prost(message, tag = "15")]
        ClockDisable(super::ClockDisableFtraceEvent),
        #[prost(message, tag = "16")]
        ClockSetRate(super::ClockSetRateFtraceEvent),
        #[prost(message, tag = "17")]
        SchedWakeup(super::SchedWakeupFtraceEvent),
        #[prost(message, tag = "18")]
        SchedBlockedReason(super::SchedBlockedReasonFtraceEvent),
        #[prost(message, tag = "19")]
        SchedCpuHotplug(super::SchedCpuHotplugFtraceEvent),
        #[prost(message, tag = "20")]
        SchedWaking(super::SchedWakingFtraceEvent),
        #[prost(message, tag = "21")]
        IpiEntry(super::IpiEntryFtraceEvent),
        #[prost(message, tag = "22")]
        IpiExit(super::IpiExitFtraceEvent),
        #[prost(message, tag = "23")]
        IpiRaise(super::IpiRaiseFtraceEvent),
        #[prost(message, tag = "24")]
        SoftirqEntry(super::SoftirqEntryFtraceEvent),
        #[prost(message, tag = "25")]
        SoftirqExit(super::SoftirqExitFtraceEvent),
        #[prost(message, tag = "26")]
        SoftirqRaise(super::SoftirqRaiseFtraceEvent),
        #[prost(message, tag = "27")]
        I2cRead(super::I2cReadFtraceEvent),
        #[prost(message, tag = "28")]
        I2cWrite(super::I2cWriteFtraceEvent),
        #[prost(message, tag = "29")]
        I2cResult(super::I2cResultFtraceEvent),
        #[prost(message, tag = "30")]
        I2cReply(super::I2cReplyFtraceEvent),
        #[prost(message, tag = "31")]
        SmbusRead(super::SmbusReadFtraceEvent),
        #[prost(message, tag = "32")]
        SmbusWrite(super::SmbusWriteFtraceEvent),
        #[prost(message, tag = "33")]
        SmbusResult(super::SmbusResultFtraceEvent),
        #[prost(message, tag = "34")]
        SmbusReply(super::SmbusReplyFtraceEvent),
        #[prost(message, tag = "35")]
        LowmemoryKill(super::LowmemoryKillFtraceEvent),
        #[prost(message, tag = "36")]
        IrqHandlerEntry(super::IrqHandlerEntryFtraceEvent),
        #[prost(message, tag = "37")]
        IrqHandlerExit(super::IrqHandlerExitFtraceEvent),
        #[prost(message, tag = "38")]
        SyncPt(super::SyncPtFtraceEvent),
        #[prost(message, tag = "39")]
        SyncTimeline(super::SyncTimelineFtraceEvent),
        #[prost(message, tag = "40")]
        SyncWait(super::SyncWaitFtraceEvent),
        #[prost(message, tag = "41")]
        Ext4DaWriteBegin(super::Ext4DaWriteBeginFtraceEvent),
        #[prost(message, tag = "42")]
        Ext4DaWriteEnd(super::Ext4DaWriteEndFtraceEvent),
        #[prost(message, tag = "43")]
        Ext4SyncFileEnter(super::Ext4SyncFileEnterFtraceEvent),
        #[prost(message, tag = "44")]
        Ext4SyncFileExit(super::Ext4SyncFileExitFtraceEvent),
        #[prost(message, tag = "45")]
        BlockRqIssue(super::BlockRqIssueFtraceEvent),
        #[prost(message, tag = "46")]
        MmVmscanDirectReclaimBegin(super::MmVmscanDirectReclaimBeginFtraceEvent),
        #[prost(message, tag = "47")]
        MmVmscanDirectReclaimEnd(super::MmVmscanDirectReclaimEndFtraceEvent),
        #[prost(message, tag = "48")]
        MmVmscanKswapdWake(super::MmVmscanKswapdWakeFtraceEvent),
        #[prost(message, tag = "49")]
        MmVmscanKswapdSleep(super::MmVmscanKswapdSleepFtraceEvent),
        #[prost(message, tag = "50")]
        BinderTransaction(super::BinderTransactionFtraceEvent),
        #[prost(message, tag = "51")]
        BinderTransactionReceived(super::BinderTransactionReceivedFtraceEvent),
        #[prost(message, tag = "52")]
        BinderSetPriority(super::BinderSetPriorityFtraceEvent),
        #[prost(message, tag = "53")]
        BinderLock(super::BinderLockFtraceEvent),
        #[prost(message, tag = "54")]
        BinderLocked(super::BinderLockedFtraceEvent),
        #[prost(message, tag = "55")]
        BinderUnlock(super::BinderUnlockFtraceEvent),
        #[prost(message, tag = "56")]
        WorkqueueActivateWork(super::WorkqueueActivateWorkFtraceEvent),
        #[prost(message, tag = "57")]
        WorkqueueExecuteEnd(super::WorkqueueExecuteEndFtraceEvent),
        #[prost(message, tag = "58")]
        WorkqueueExecuteStart(super::WorkqueueExecuteStartFtraceEvent),
        #[prost(message, tag = "59")]
        WorkqueueQueueWork(super::WorkqueueQueueWorkFtraceEvent),
        #[prost(message, tag = "60")]
        RegulatorDisable(super::RegulatorDisableFtraceEvent),
        #[prost(message, tag = "61")]
        RegulatorDisableComplete(super::RegulatorDisableCompleteFtraceEvent),
        #[prost(message, tag = "62")]
        RegulatorEnable(super::RegulatorEnableFtraceEvent),
        #[prost(message, tag = "63")]
        RegulatorEnableComplete(super::RegulatorEnableCompleteFtraceEvent),
        #[prost(message, tag = "64")]
        RegulatorEnableDelay(super::RegulatorEnableDelayFtraceEvent),
        #[prost(message, tag = "65")]
        RegulatorSetVoltage(super::RegulatorSetVoltageFtraceEvent),
        #[prost(message, tag = "66")]
        RegulatorSetVoltageComplete(super::RegulatorSetVoltageCompleteFtraceEvent),
        #[prost(message, tag = "67")]
        CgroupAttachTask(super::CgroupAttachTaskFtraceEvent),
        #[prost(message, tag = "68")]
        CgroupMkdir(super::CgroupMkdirFtraceEvent),
        #[prost(message, tag = "69")]
        CgroupRemount(super::CgroupRemountFtraceEvent),
        #[prost(message, tag = "70")]
        CgroupRmdir(super::CgroupRmdirFtraceEvent),
        #[prost(message, tag = "71")]
        CgroupTransferTasks(super::CgroupTransferTasksFtraceEvent),
        #[prost(message, tag = "72")]
        CgroupDestroyRoot(super::CgroupDestroyRootFtraceEvent),
        #[prost(message, tag = "73")]
        CgroupRelease(super::CgroupReleaseFtraceEvent),
        #[prost(message, tag = "74")]
        CgroupRename(super::CgroupRenameFtraceEvent),
        #[prost(message, tag = "75")]
        CgroupSetupRoot(super::CgroupSetupRootFtraceEvent),
        #[prost(message, tag = "76")]
        MdpCmdKickoff(super::MdpCmdKickoffFtraceEvent),
        #[prost(message, tag = "77")]
        MdpCommit(super::MdpCommitFtraceEvent),
        #[prost(message, tag = "78")]
        MdpPerfSetOt(super::MdpPerfSetOtFtraceEvent),
        #[prost(message, tag = "79")]
        MdpSsppChange(super::MdpSsppChangeFtraceEvent),
        #[prost(message, tag = "80")]
        TracingMarkWrite(super::TracingMarkWriteFtraceEvent),
        #[prost(message, tag = "81")]
        MdpCmdPingpongDone(super::MdpCmdPingpongDoneFtraceEvent),
        #[prost(message, tag = "82")]
        MdpCompareBw(super::MdpCompareBwFtraceEvent),
        #[prost(message, tag = "83")]
        MdpPerfSetPanicLuts(super::MdpPerfSetPanicLutsFtraceEvent),
        #[prost(message, tag = "84")]
        MdpSsppSet(super::MdpSsppSetFtraceEvent),
        #[prost(message, tag = "85")]
        MdpCmdReadptrDone(super::MdpCmdReadptrDoneFtraceEvent),
        #[prost(message, tag = "86")]
        MdpMisrCrc(super::MdpMisrCrcFtraceEvent),
        #[prost(message, tag = "87")]
        MdpPerfSetQosLuts(super::MdpPerfSetQosLutsFtraceEvent),
        #[prost(message, tag = "88")]
        MdpTraceCounter(super::MdpTraceCounterFtraceEvent),
        #[prost(message, tag = "89")]
        MdpCmdReleaseBw(super::MdpCmdReleaseBwFtraceEvent),
        #[prost(message, tag = "90")]
        MdpMixerUpdate(super::MdpMixerUpdateFtraceEvent),
        #[prost(message, tag = "91")]
        MdpPerfSetWmLevels(super::MdpPerfSetWmLevelsFtraceEvent),
        #[prost(message, tag = "92")]
        MdpVideoUnderrunDone(super::MdpVideoUnderrunDoneFtraceEvent),
        #[prost(message, tag = "93")]
        MdpCmdWaitPingpong(super::MdpCmdWaitPingpongFtraceEvent),
        #[prost(message, tag = "94")]
        MdpPerfPrefillCalc(super::MdpPerfPrefillCalcFtraceEvent),
        #[prost(message, tag = "95")]
        MdpPerfUpdateBus(super::MdpPerfUpdateBusFtraceEvent),
        #[prost(message, tag = "96")]
        RotatorBwAoAsContext(super::RotatorBwAoAsContextFtraceEvent),
        #[prost(message, tag = "97")]
        MmFilemapAddToPageCache(super::MmFilemapAddToPageCacheFtraceEvent),
        #[prost(message, tag = "98")]
        MmFilemapDeleteFromPageCache(super::MmFilemapDeleteFromPageCacheFtraceEvent),
        #[prost(message, tag = "99")]
        MmCompactionBegin(super::MmCompactionBeginFtraceEvent),
        #[prost(message, tag = "100")]
        MmCompactionDeferCompaction(super::MmCompactionDeferCompactionFtraceEvent),
        #[prost(message, tag = "101")]
        MmCompactionDeferred(super::MmCompactionDeferredFtraceEvent),
        #[prost(message, tag = "102")]
        MmCompactionDeferReset(super::MmCompactionDeferResetFtraceEvent),
        #[prost(message, tag = "103")]
        MmCompactionEnd(super::MmCompactionEndFtraceEvent),
        #[prost(message, tag = "104")]
        MmCompactionFinished(super::MmCompactionFinishedFtraceEvent),
        #[prost(message, tag = "105")]
        MmCompactionIsolateFreepages(super::MmCompactionIsolateFreepagesFtraceEvent),
        #[prost(message, tag = "106")]
        MmCompactionIsolateMigratepages(
            super::MmCompactionIsolateMigratepagesFtraceEvent,
        ),
        #[prost(message, tag = "107")]
        MmCompactionKcompactdSleep(super::MmCompactionKcompactdSleepFtraceEvent),
        #[prost(message, tag = "108")]
        MmCompactionKcompactdWake(super::MmCompactionKcompactdWakeFtraceEvent),
        #[prost(message, tag = "109")]
        MmCompactionMigratepages(super::MmCompactionMigratepagesFtraceEvent),
        #[prost(message, tag = "110")]
        MmCompactionSuitable(super::MmCompactionSuitableFtraceEvent),
        #[prost(message, tag = "111")]
        MmCompactionTryToCompactPages(super::MmCompactionTryToCompactPagesFtraceEvent),
        #[prost(message, tag = "112")]
        MmCompactionWakeupKcompactd(super::MmCompactionWakeupKcompactdFtraceEvent),
        #[prost(message, tag = "113")]
        SuspendResume(super::SuspendResumeFtraceEvent),
        #[prost(message, tag = "114")]
        SchedWakeupNew(super::SchedWakeupNewFtraceEvent),
        #[prost(message, tag = "115")]
        BlockBioBackmerge(super::BlockBioBackmergeFtraceEvent),
        #[prost(message, tag = "116")]
        BlockBioBounce(super::BlockBioBounceFtraceEvent),
        #[prost(message, tag = "117")]
        BlockBioComplete(super::BlockBioCompleteFtraceEvent),
        #[prost(message, tag = "118")]
        BlockBioFrontmerge(super::BlockBioFrontmergeFtraceEvent),
        #[prost(message, tag = "119")]
        BlockBioQueue(super::BlockBioQueueFtraceEvent),
        #[prost(message, tag = "120")]
        BlockBioRemap(super::BlockBioRemapFtraceEvent),
        #[prost(message, tag = "121")]
        BlockDirtyBuffer(super::BlockDirtyBufferFtraceEvent),
        #[prost(message, tag = "122")]
        BlockGetrq(super::BlockGetrqFtraceEvent),
        #[prost(message, tag = "123")]
        BlockPlug(super::BlockPlugFtraceEvent),
        #[prost(message, tag = "124")]
        BlockRqAbort(super::BlockRqAbortFtraceEvent),
        #[prost(message, tag = "125")]
        BlockRqComplete(super::BlockRqCompleteFtraceEvent),
        #[prost(message, tag = "126")]
        BlockRqInsert(super::BlockRqInsertFtraceEvent),
        /// removed field with id 127;
        #[prost(message, tag = "128")]
        BlockRqRemap(super::BlockRqRemapFtraceEvent),
        #[prost(message, tag = "129")]
        BlockRqRequeue(super::BlockRqRequeueFtraceEvent),
        #[prost(message, tag = "130")]
        BlockSleeprq(super::BlockSleeprqFtraceEvent),
        #[prost(message, tag = "131")]
        BlockSplit(super::BlockSplitFtraceEvent),
        #[prost(message, tag = "132")]
        BlockTouchBuffer(super::BlockTouchBufferFtraceEvent),
        #[prost(message, tag = "133")]
        BlockUnplug(super::BlockUnplugFtraceEvent),
        #[prost(message, tag = "134")]
        Ext4AllocDaBlocks(super::Ext4AllocDaBlocksFtraceEvent),
        #[prost(message, tag = "135")]
        Ext4AllocateBlocks(super::Ext4AllocateBlocksFtraceEvent),
        #[prost(message, tag = "136")]
        Ext4AllocateInode(super::Ext4AllocateInodeFtraceEvent),
        #[prost(message, tag = "137")]
        Ext4BeginOrderedTruncate(super::Ext4BeginOrderedTruncateFtraceEvent),
        #[prost(message, tag = "138")]
        Ext4CollapseRange(super::Ext4CollapseRangeFtraceEvent),
        #[prost(message, tag = "139")]
        Ext4DaReleaseSpace(super::Ext4DaReleaseSpaceFtraceEvent),
        #[prost(message, tag = "140")]
        Ext4DaReserveSpace(super::Ext4DaReserveSpaceFtraceEvent),
        #[prost(message, tag = "141")]
        Ext4DaUpdateReserveSpace(super::Ext4DaUpdateReserveSpaceFtraceEvent),
        #[prost(message, tag = "142")]
        Ext4DaWritePages(super::Ext4DaWritePagesFtraceEvent),
        #[prost(message, tag = "143")]
        Ext4DaWritePagesExtent(super::Ext4DaWritePagesExtentFtraceEvent),
        #[prost(message, tag = "144")]
        Ext4DirectIoEnter(super::Ext4DirectIoEnterFtraceEvent),
        #[prost(message, tag = "145")]
        Ext4DirectIoExit(super::Ext4DirectIoExitFtraceEvent),
        #[prost(message, tag = "146")]
        Ext4DiscardBlocks(super::Ext4DiscardBlocksFtraceEvent),
        #[prost(message, tag = "147")]
        Ext4DiscardPreallocations(super::Ext4DiscardPreallocationsFtraceEvent),
        #[prost(message, tag = "148")]
        Ext4DropInode(super::Ext4DropInodeFtraceEvent),
        #[prost(message, tag = "149")]
        Ext4EsCacheExtent(super::Ext4EsCacheExtentFtraceEvent),
        #[prost(message, tag = "150")]
        Ext4EsFindDelayedExtentRangeEnter(
            super::Ext4EsFindDelayedExtentRangeEnterFtraceEvent,
        ),
        #[prost(message, tag = "151")]
        Ext4EsFindDelayedExtentRangeExit(
            super::Ext4EsFindDelayedExtentRangeExitFtraceEvent,
        ),
        #[prost(message, tag = "152")]
        Ext4EsInsertExtent(super::Ext4EsInsertExtentFtraceEvent),
        #[prost(message, tag = "153")]
        Ext4EsLookupExtentEnter(super::Ext4EsLookupExtentEnterFtraceEvent),
        #[prost(message, tag = "154")]
        Ext4EsLookupExtentExit(super::Ext4EsLookupExtentExitFtraceEvent),
        #[prost(message, tag = "155")]
        Ext4EsRemoveExtent(super::Ext4EsRemoveExtentFtraceEvent),
        #[prost(message, tag = "156")]
        Ext4EsShrink(super::Ext4EsShrinkFtraceEvent),
        #[prost(message, tag = "157")]
        Ext4EsShrinkCount(super::Ext4EsShrinkCountFtraceEvent),
        #[prost(message, tag = "158")]
        Ext4EsShrinkScanEnter(super::Ext4EsShrinkScanEnterFtraceEvent),
        #[prost(message, tag = "159")]
        Ext4EsShrinkScanExit(super::Ext4EsShrinkScanExitFtraceEvent),
        #[prost(message, tag = "160")]
        Ext4EvictInode(super::Ext4EvictInodeFtraceEvent),
        #[prost(message, tag = "161")]
        Ext4ExtConvertToInitializedEnter(
            super::Ext4ExtConvertToInitializedEnterFtraceEvent,
        ),
        #[prost(message, tag = "162")]
        Ext4ExtConvertToInitializedFastpath(
            super::Ext4ExtConvertToInitializedFastpathFtraceEvent,
        ),
        #[prost(message, tag = "163")]
        Ext4ExtHandleUnwrittenExtents(super::Ext4ExtHandleUnwrittenExtentsFtraceEvent),
        #[prost(message, tag = "164")]
        Ext4ExtInCache(super::Ext4ExtInCacheFtraceEvent),
        #[prost(message, tag = "165")]
        Ext4ExtLoadExtent(super::Ext4ExtLoadExtentFtraceEvent),
        #[prost(message, tag = "166")]
        Ext4ExtMapBlocksEnter(super::Ext4ExtMapBlocksEnterFtraceEvent),
        #[prost(message, tag = "167")]
        Ext4ExtMapBlocksExit(super::Ext4ExtMapBlocksExitFtraceEvent),
        #[prost(message, tag = "168")]
        Ext4ExtPutInCache(super::Ext4ExtPutInCacheFtraceEvent),
        #[prost(message, tag = "169")]
        Ext4ExtRemoveSpace(super::Ext4ExtRemoveSpaceFtraceEvent),
        #[prost(message, tag = "170")]
        Ext4ExtRemoveSpaceDone(super::Ext4ExtRemoveSpaceDoneFtraceEvent),
        #[prost(message, tag = "171")]
        Ext4ExtRmIdx(super::Ext4ExtRmIdxFtraceEvent),
        #[prost(message, tag = "172")]
        Ext4ExtRmLeaf(super::Ext4ExtRmLeafFtraceEvent),
        #[prost(message, tag = "173")]
        Ext4ExtShowExtent(super::Ext4ExtShowExtentFtraceEvent),
        #[prost(message, tag = "174")]
        Ext4FallocateEnter(super::Ext4FallocateEnterFtraceEvent),
        #[prost(message, tag = "175")]
        Ext4FallocateExit(super::Ext4FallocateExitFtraceEvent),
        #[prost(message, tag = "176")]
        Ext4FindDelallocRange(super::Ext4FindDelallocRangeFtraceEvent),
        #[prost(message, tag = "177")]
        Ext4Forget(super::Ext4ForgetFtraceEvent),
        #[prost(message, tag = "178")]
        Ext4FreeBlocks(super::Ext4FreeBlocksFtraceEvent),
        #[prost(message, tag = "179")]
        Ext4FreeInode(super::Ext4FreeInodeFtraceEvent),
        #[prost(message, tag = "180")]
        Ext4GetImpliedClusterAllocExit(super::Ext4GetImpliedClusterAllocExitFtraceEvent),
        #[prost(message, tag = "181")]
        Ext4GetReservedClusterAlloc(super::Ext4GetReservedClusterAllocFtraceEvent),
        #[prost(message, tag = "182")]
        Ext4IndMapBlocksEnter(super::Ext4IndMapBlocksEnterFtraceEvent),
        #[prost(message, tag = "183")]
        Ext4IndMapBlocksExit(super::Ext4IndMapBlocksExitFtraceEvent),
        #[prost(message, tag = "184")]
        Ext4InsertRange(super::Ext4InsertRangeFtraceEvent),
        #[prost(message, tag = "185")]
        Ext4Invalidatepage(super::Ext4InvalidatepageFtraceEvent),
        #[prost(message, tag = "186")]
        Ext4JournalStart(super::Ext4JournalStartFtraceEvent),
        #[prost(message, tag = "187")]
        Ext4JournalStartReserved(super::Ext4JournalStartReservedFtraceEvent),
        #[prost(message, tag = "188")]
        Ext4JournalledInvalidatepage(super::Ext4JournalledInvalidatepageFtraceEvent),
        #[prost(message, tag = "189")]
        Ext4JournalledWriteEnd(super::Ext4JournalledWriteEndFtraceEvent),
        #[prost(message, tag = "190")]
        Ext4LoadInode(super::Ext4LoadInodeFtraceEvent),
        #[prost(message, tag = "191")]
        Ext4LoadInodeBitmap(super::Ext4LoadInodeBitmapFtraceEvent),
        #[prost(message, tag = "192")]
        Ext4MarkInodeDirty(super::Ext4MarkInodeDirtyFtraceEvent),
        #[prost(message, tag = "193")]
        Ext4MbBitmapLoad(super::Ext4MbBitmapLoadFtraceEvent),
        #[prost(message, tag = "194")]
        Ext4MbBuddyBitmapLoad(super::Ext4MbBuddyBitmapLoadFtraceEvent),
        #[prost(message, tag = "195")]
        Ext4MbDiscardPreallocations(super::Ext4MbDiscardPreallocationsFtraceEvent),
        #[prost(message, tag = "196")]
        Ext4MbNewGroupPa(super::Ext4MbNewGroupPaFtraceEvent),
        #[prost(message, tag = "197")]
        Ext4MbNewInodePa(super::Ext4MbNewInodePaFtraceEvent),
        #[prost(message, tag = "198")]
        Ext4MbReleaseGroupPa(super::Ext4MbReleaseGroupPaFtraceEvent),
        #[prost(message, tag = "199")]
        Ext4MbReleaseInodePa(super::Ext4MbReleaseInodePaFtraceEvent),
        #[prost(message, tag = "200")]
        Ext4MballocAlloc(super::Ext4MballocAllocFtraceEvent),
        #[prost(message, tag = "201")]
        Ext4MballocDiscard(super::Ext4MballocDiscardFtraceEvent),
        #[prost(message, tag = "202")]
        Ext4MballocFree(super::Ext4MballocFreeFtraceEvent),
        #[prost(message, tag = "203")]
        Ext4MballocPrealloc(super::Ext4MballocPreallocFtraceEvent),
        #[prost(message, tag = "204")]
        Ext4OtherInodeUpdateTime(super::Ext4OtherInodeUpdateTimeFtraceEvent),
        #[prost(message, tag = "205")]
        Ext4PunchHole(super::Ext4PunchHoleFtraceEvent),
        #[prost(message, tag = "206")]
        Ext4ReadBlockBitmapLoad(super::Ext4ReadBlockBitmapLoadFtraceEvent),
        #[prost(message, tag = "207")]
        Ext4Readpage(super::Ext4ReadpageFtraceEvent),
        #[prost(message, tag = "208")]
        Ext4Releasepage(super::Ext4ReleasepageFtraceEvent),
        #[prost(message, tag = "209")]
        Ext4RemoveBlocks(super::Ext4RemoveBlocksFtraceEvent),
        #[prost(message, tag = "210")]
        Ext4RequestBlocks(super::Ext4RequestBlocksFtraceEvent),
        #[prost(message, tag = "211")]
        Ext4RequestInode(super::Ext4RequestInodeFtraceEvent),
        #[prost(message, tag = "212")]
        Ext4SyncFs(super::Ext4SyncFsFtraceEvent),
        #[prost(message, tag = "213")]
        Ext4TrimAllFree(super::Ext4TrimAllFreeFtraceEvent),
        #[prost(message, tag = "214")]
        Ext4TrimExtent(super::Ext4TrimExtentFtraceEvent),
        #[prost(message, tag = "215")]
        Ext4TruncateEnter(super::Ext4TruncateEnterFtraceEvent),
        #[prost(message, tag = "216")]
        Ext4TruncateExit(super::Ext4TruncateExitFtraceEvent),
        #[prost(message, tag = "217")]
        Ext4UnlinkEnter(super::Ext4UnlinkEnterFtraceEvent),
        #[prost(message, tag = "218")]
        Ext4UnlinkExit(super::Ext4UnlinkExitFtraceEvent),
        #[prost(message, tag = "219")]
        Ext4WriteBegin(super::Ext4WriteBeginFtraceEvent),
        /// removed field with id 220;
        /// removed field with id 221;
        /// removed field with id 222;
        /// removed field with id 223;
        /// removed field with id 224;
        /// removed field with id 225;
        /// removed field with id 226;
        /// removed field with id 227;
        /// removed field with id 228;
        /// removed field with id 229;
        #[prost(message, tag = "230")]
        Ext4WriteEnd(super::Ext4WriteEndFtraceEvent),
        #[prost(message, tag = "231")]
        Ext4Writepage(super::Ext4WritepageFtraceEvent),
        #[prost(message, tag = "232")]
        Ext4Writepages(super::Ext4WritepagesFtraceEvent),
        #[prost(message, tag = "233")]
        Ext4WritepagesResult(super::Ext4WritepagesResultFtraceEvent),
        #[prost(message, tag = "234")]
        Ext4ZeroRange(super::Ext4ZeroRangeFtraceEvent),
        #[prost(message, tag = "235")]
        TaskNewtask(super::TaskNewtaskFtraceEvent),
        #[prost(message, tag = "236")]
        TaskRename(super::TaskRenameFtraceEvent),
        #[prost(message, tag = "237")]
        SchedProcessExec(super::SchedProcessExecFtraceEvent),
        #[prost(message, tag = "238")]
        SchedProcessExit(super::SchedProcessExitFtraceEvent),
        #[prost(message, tag = "239")]
        SchedProcessFork(super::SchedProcessForkFtraceEvent),
        #[prost(message, tag = "240")]
        SchedProcessFree(super::SchedProcessFreeFtraceEvent),
        #[prost(message, tag = "241")]
        SchedProcessHang(super::SchedProcessHangFtraceEvent),
        #[prost(message, tag = "242")]
        SchedProcessWait(super::SchedProcessWaitFtraceEvent),
        #[prost(message, tag = "243")]
        F2fsDoSubmitBio(super::F2fsDoSubmitBioFtraceEvent),
        #[prost(message, tag = "244")]
        F2fsEvictInode(super::F2fsEvictInodeFtraceEvent),
        #[prost(message, tag = "245")]
        F2fsFallocate(super::F2fsFallocateFtraceEvent),
        #[prost(message, tag = "246")]
        F2fsGetDataBlock(super::F2fsGetDataBlockFtraceEvent),
        #[prost(message, tag = "247")]
        F2fsGetVictim(super::F2fsGetVictimFtraceEvent),
        #[prost(message, tag = "248")]
        F2fsIget(super::F2fsIgetFtraceEvent),
        #[prost(message, tag = "249")]
        F2fsIgetExit(super::F2fsIgetExitFtraceEvent),
        #[prost(message, tag = "250")]
        F2fsNewInode(super::F2fsNewInodeFtraceEvent),
        #[prost(message, tag = "251")]
        F2fsReadpage(super::F2fsReadpageFtraceEvent),
        #[prost(message, tag = "252")]
        F2fsReserveNewBlock(super::F2fsReserveNewBlockFtraceEvent),
        #[prost(message, tag = "253")]
        F2fsSetPageDirty(super::F2fsSetPageDirtyFtraceEvent),
        #[prost(message, tag = "254")]
        F2fsSubmitWritePage(super::F2fsSubmitWritePageFtraceEvent),
        #[prost(message, tag = "255")]
        F2fsSyncFileEnter(super::F2fsSyncFileEnterFtraceEvent),
        #[prost(message, tag = "256")]
        F2fsSyncFileExit(super::F2fsSyncFileExitFtraceEvent),
        #[prost(message, tag = "257")]
        F2fsSyncFs(super::F2fsSyncFsFtraceEvent),
        #[prost(message, tag = "258")]
        F2fsTruncate(super::F2fsTruncateFtraceEvent),
        #[prost(message, tag = "259")]
        F2fsTruncateBlocksEnter(super::F2fsTruncateBlocksEnterFtraceEvent),
        #[prost(message, tag = "260")]
        F2fsTruncateBlocksExit(super::F2fsTruncateBlocksExitFtraceEvent),
        #[prost(message, tag = "261")]
        F2fsTruncateDataBlocksRange(super::F2fsTruncateDataBlocksRangeFtraceEvent),
        #[prost(message, tag = "262")]
        F2fsTruncateInodeBlocksEnter(super::F2fsTruncateInodeBlocksEnterFtraceEvent),
        #[prost(message, tag = "263")]
        F2fsTruncateInodeBlocksExit(super::F2fsTruncateInodeBlocksExitFtraceEvent),
        #[prost(message, tag = "264")]
        F2fsTruncateNode(super::F2fsTruncateNodeFtraceEvent),
        #[prost(message, tag = "265")]
        F2fsTruncateNodesEnter(super::F2fsTruncateNodesEnterFtraceEvent),
        #[prost(message, tag = "266")]
        F2fsTruncateNodesExit(super::F2fsTruncateNodesExitFtraceEvent),
        #[prost(message, tag = "267")]
        F2fsTruncatePartialNodes(super::F2fsTruncatePartialNodesFtraceEvent),
        #[prost(message, tag = "268")]
        F2fsUnlinkEnter(super::F2fsUnlinkEnterFtraceEvent),
        #[prost(message, tag = "269")]
        F2fsUnlinkExit(super::F2fsUnlinkExitFtraceEvent),
        #[prost(message, tag = "270")]
        F2fsVmPageMkwrite(super::F2fsVmPageMkwriteFtraceEvent),
        #[prost(message, tag = "271")]
        F2fsWriteBegin(super::F2fsWriteBeginFtraceEvent),
        #[prost(message, tag = "272")]
        F2fsWriteCheckpoint(super::F2fsWriteCheckpointFtraceEvent),
        #[prost(message, tag = "273")]
        F2fsWriteEnd(super::F2fsWriteEndFtraceEvent),
        #[prost(message, tag = "274")]
        AllocPagesIommuEnd(super::AllocPagesIommuEndFtraceEvent),
        #[prost(message, tag = "275")]
        AllocPagesIommuFail(super::AllocPagesIommuFailFtraceEvent),
        #[prost(message, tag = "276")]
        AllocPagesIommuStart(super::AllocPagesIommuStartFtraceEvent),
        #[prost(message, tag = "277")]
        AllocPagesSysEnd(super::AllocPagesSysEndFtraceEvent),
        #[prost(message, tag = "278")]
        AllocPagesSysFail(super::AllocPagesSysFailFtraceEvent),
        #[prost(message, tag = "279")]
        AllocPagesSysStart(super::AllocPagesSysStartFtraceEvent),
        #[prost(message, tag = "280")]
        DmaAllocContiguousRetry(super::DmaAllocContiguousRetryFtraceEvent),
        #[prost(message, tag = "281")]
        IommuMapRange(super::IommuMapRangeFtraceEvent),
        #[prost(message, tag = "282")]
        IommuSecPtblMapRangeEnd(super::IommuSecPtblMapRangeEndFtraceEvent),
        #[prost(message, tag = "283")]
        IommuSecPtblMapRangeStart(super::IommuSecPtblMapRangeStartFtraceEvent),
        #[prost(message, tag = "284")]
        IonAllocBufferEnd(super::IonAllocBufferEndFtraceEvent),
        #[prost(message, tag = "285")]
        IonAllocBufferFail(super::IonAllocBufferFailFtraceEvent),
        #[prost(message, tag = "286")]
        IonAllocBufferFallback(super::IonAllocBufferFallbackFtraceEvent),
        #[prost(message, tag = "287")]
        IonAllocBufferStart(super::IonAllocBufferStartFtraceEvent),
        #[prost(message, tag = "288")]
        IonCpAllocRetry(super::IonCpAllocRetryFtraceEvent),
        #[prost(message, tag = "289")]
        IonCpSecureBufferEnd(super::IonCpSecureBufferEndFtraceEvent),
        #[prost(message, tag = "290")]
        IonCpSecureBufferStart(super::IonCpSecureBufferStartFtraceEvent),
        #[prost(message, tag = "291")]
        IonPrefetching(super::IonPrefetchingFtraceEvent),
        #[prost(message, tag = "292")]
        IonSecureCmaAddToPoolEnd(super::IonSecureCmaAddToPoolEndFtraceEvent),
        #[prost(message, tag = "293")]
        IonSecureCmaAddToPoolStart(super::IonSecureCmaAddToPoolStartFtraceEvent),
        #[prost(message, tag = "294")]
        IonSecureCmaAllocateEnd(super::IonSecureCmaAllocateEndFtraceEvent),
        #[prost(message, tag = "295")]
        IonSecureCmaAllocateStart(super::IonSecureCmaAllocateStartFtraceEvent),
        #[prost(message, tag = "296")]
        IonSecureCmaShrinkPoolEnd(super::IonSecureCmaShrinkPoolEndFtraceEvent),
        #[prost(message, tag = "297")]
        IonSecureCmaShrinkPoolStart(super::IonSecureCmaShrinkPoolStartFtraceEvent),
        #[prost(message, tag = "298")]
        Kfree(super::KfreeFtraceEvent),
        #[prost(message, tag = "299")]
        Kmalloc(super::KmallocFtraceEvent),
        #[prost(message, tag = "300")]
        KmallocNode(super::KmallocNodeFtraceEvent),
        #[prost(message, tag = "301")]
        KmemCacheAlloc(super::KmemCacheAllocFtraceEvent),
        #[prost(message, tag = "302")]
        KmemCacheAllocNode(super::KmemCacheAllocNodeFtraceEvent),
        #[prost(message, tag = "303")]
        KmemCacheFree(super::KmemCacheFreeFtraceEvent),
        #[prost(message, tag = "304")]
        MigratePagesEnd(super::MigratePagesEndFtraceEvent),
        #[prost(message, tag = "305")]
        MigratePagesStart(super::MigratePagesStartFtraceEvent),
        #[prost(message, tag = "306")]
        MigrateRetry(super::MigrateRetryFtraceEvent),
        #[prost(message, tag = "307")]
        MmPageAlloc(super::MmPageAllocFtraceEvent),
        #[prost(message, tag = "308")]
        MmPageAllocExtfrag(super::MmPageAllocExtfragFtraceEvent),
        #[prost(message, tag = "309")]
        MmPageAllocZoneLocked(super::MmPageAllocZoneLockedFtraceEvent),
        #[prost(message, tag = "310")]
        MmPageFree(super::MmPageFreeFtraceEvent),
        #[prost(message, tag = "311")]
        MmPageFreeBatched(super::MmPageFreeBatchedFtraceEvent),
        #[prost(message, tag = "312")]
        MmPagePcpuDrain(super::MmPagePcpuDrainFtraceEvent),
        #[prost(message, tag = "313")]
        RssStat(super::RssStatFtraceEvent),
        #[prost(message, tag = "314")]
        IonHeapShrink(super::IonHeapShrinkFtraceEvent),
        #[prost(message, tag = "315")]
        IonHeapGrow(super::IonHeapGrowFtraceEvent),
        #[prost(message, tag = "316")]
        FenceInit(super::FenceInitFtraceEvent),
        #[prost(message, tag = "317")]
        FenceDestroy(super::FenceDestroyFtraceEvent),
        #[prost(message, tag = "318")]
        FenceEnableSignal(super::FenceEnableSignalFtraceEvent),
        #[prost(message, tag = "319")]
        FenceSignaled(super::FenceSignaledFtraceEvent),
        #[prost(message, tag = "320")]
        ClkEnable(super::ClkEnableFtraceEvent),
        #[prost(message, tag = "321")]
        ClkDisable(super::ClkDisableFtraceEvent),
        #[prost(message, tag = "322")]
        ClkSetRate(super::ClkSetRateFtraceEvent),
        #[prost(message, tag = "323")]
        BinderTransactionAllocBuf(super::BinderTransactionAllocBufFtraceEvent),
        #[prost(message, tag = "324")]
        SignalDeliver(super::SignalDeliverFtraceEvent),
        #[prost(message, tag = "325")]
        SignalGenerate(super::SignalGenerateFtraceEvent),
        #[prost(message, tag = "326")]
        OomScoreAdjUpdate(super::OomScoreAdjUpdateFtraceEvent),
        #[prost(message, tag = "327")]
        Generic(super::GenericFtraceEvent),
        #[prost(message, tag = "328")]
        MmEventRecord(super::MmEventRecordFtraceEvent),
        #[prost(message, tag = "329")]
        SysEnter(super::SysEnterFtraceEvent),
        #[prost(message, tag = "330")]
        SysExit(super::SysExitFtraceEvent),
        #[prost(message, tag = "331")]
        Zero(super::ZeroFtraceEvent),
        #[prost(message, tag = "332")]
        GpuFrequency(super::GpuFrequencyFtraceEvent),
        #[prost(message, tag = "333")]
        SdeTracingMarkWrite(super::SdeTracingMarkWriteFtraceEvent),
        #[prost(message, tag = "334")]
        MarkVictim(super::MarkVictimFtraceEvent),
        #[prost(message, tag = "335")]
        IonStat(super::IonStatFtraceEvent),
        #[prost(message, tag = "336")]
        IonBufferCreate(super::IonBufferCreateFtraceEvent),
        #[prost(message, tag = "337")]
        IonBufferDestroy(super::IonBufferDestroyFtraceEvent),
        #[prost(message, tag = "338")]
        ScmCallStart(super::ScmCallStartFtraceEvent),
        #[prost(message, tag = "339")]
        ScmCallEnd(super::ScmCallEndFtraceEvent),
        #[prost(message, tag = "340")]
        GpuMemTotal(super::GpuMemTotalFtraceEvent),
        #[prost(message, tag = "341")]
        ThermalTemperature(super::ThermalTemperatureFtraceEvent),
        #[prost(message, tag = "342")]
        CdevUpdate(super::CdevUpdateFtraceEvent),
        #[prost(message, tag = "343")]
        CpuhpExit(super::CpuhpExitFtraceEvent),
        #[prost(message, tag = "344")]
        CpuhpMultiEnter(super::CpuhpMultiEnterFtraceEvent),
        #[prost(message, tag = "345")]
        CpuhpEnter(super::CpuhpEnterFtraceEvent),
        #[prost(message, tag = "346")]
        CpuhpLatency(super::CpuhpLatencyFtraceEvent),
        #[prost(message, tag = "347")]
        FastrpcDmaStat(super::FastrpcDmaStatFtraceEvent),
        #[prost(message, tag = "348")]
        DpuTracingMarkWrite(super::DpuTracingMarkWriteFtraceEvent),
        #[prost(message, tag = "349")]
        G2dTracingMarkWrite(super::G2dTracingMarkWriteFtraceEvent),
        #[prost(message, tag = "350")]
        MaliTracingMarkWrite(super::MaliTracingMarkWriteFtraceEvent),
        #[prost(message, tag = "351")]
        DmaHeapStat(super::DmaHeapStatFtraceEvent),
        #[prost(message, tag = "352")]
        CpuhpPause(super::CpuhpPauseFtraceEvent),
        #[prost(message, tag = "353")]
        SchedPiSetprio(super::SchedPiSetprioFtraceEvent),
        #[prost(message, tag = "354")]
        SdeSdeEvtlog(super::SdeSdeEvtlogFtraceEvent),
        #[prost(message, tag = "355")]
        SdeSdePerfCalcCrtc(super::SdeSdePerfCalcCrtcFtraceEvent),
        #[prost(message, tag = "356")]
        SdeSdePerfCrtcUpdate(super::SdeSdePerfCrtcUpdateFtraceEvent),
        #[prost(message, tag = "357")]
        SdeSdePerfSetQosLuts(super::SdeSdePerfSetQosLutsFtraceEvent),
        #[prost(message, tag = "358")]
        SdeSdePerfUpdateBus(super::SdeSdePerfUpdateBusFtraceEvent),
        #[prost(message, tag = "359")]
        RssStatThrottled(super::RssStatThrottledFtraceEvent),
        #[prost(message, tag = "360")]
        NetifReceiveSkb(super::NetifReceiveSkbFtraceEvent),
        #[prost(message, tag = "361")]
        NetDevXmit(super::NetDevXmitFtraceEvent),
        #[prost(message, tag = "362")]
        InetSockSetState(super::InetSockSetStateFtraceEvent),
        #[prost(message, tag = "363")]
        TcpRetransmitSkb(super::TcpRetransmitSkbFtraceEvent),
        #[prost(message, tag = "364")]
        CrosEcSensorhubData(super::CrosEcSensorhubDataFtraceEvent),
        #[prost(message, tag = "365")]
        NapiGroReceiveEntry(super::NapiGroReceiveEntryFtraceEvent),
        #[prost(message, tag = "366")]
        NapiGroReceiveExit(super::NapiGroReceiveExitFtraceEvent),
        #[prost(message, tag = "367")]
        KfreeSkb(super::KfreeSkbFtraceEvent),
        #[prost(message, tag = "368")]
        KvmAccessFault(super::KvmAccessFaultFtraceEvent),
        #[prost(message, tag = "369")]
        KvmAckIrq(super::KvmAckIrqFtraceEvent),
        #[prost(message, tag = "370")]
        KvmAgeHva(super::KvmAgeHvaFtraceEvent),
        #[prost(message, tag = "371")]
        KvmAgePage(super::KvmAgePageFtraceEvent),
        #[prost(message, tag = "372")]
        KvmArmClearDebug(super::KvmArmClearDebugFtraceEvent),
        #[prost(message, tag = "373")]
        KvmArmSetDreg32(super::KvmArmSetDreg32FtraceEvent),
        #[prost(message, tag = "374")]
        KvmArmSetRegset(super::KvmArmSetRegsetFtraceEvent),
        #[prost(message, tag = "375")]
        KvmArmSetupDebug(super::KvmArmSetupDebugFtraceEvent),
        #[prost(message, tag = "376")]
        KvmEntry(super::KvmEntryFtraceEvent),
        #[prost(message, tag = "377")]
        KvmExit(super::KvmExitFtraceEvent),
        #[prost(message, tag = "378")]
        KvmFpu(super::KvmFpuFtraceEvent),
        #[prost(message, tag = "379")]
        KvmGetTimerMap(super::KvmGetTimerMapFtraceEvent),
        #[prost(message, tag = "380")]
        KvmGuestFault(super::KvmGuestFaultFtraceEvent),
        #[prost(message, tag = "381")]
        KvmHandleSysReg(super::KvmHandleSysRegFtraceEvent),
        #[prost(message, tag = "382")]
        KvmHvcArm64(super::KvmHvcArm64FtraceEvent),
        #[prost(message, tag = "383")]
        KvmIrqLine(super::KvmIrqLineFtraceEvent),
        #[prost(message, tag = "384")]
        KvmMmio(super::KvmMmioFtraceEvent),
        #[prost(message, tag = "385")]
        KvmMmioEmulate(super::KvmMmioEmulateFtraceEvent),
        #[prost(message, tag = "386")]
        KvmSetGuestDebug(super::KvmSetGuestDebugFtraceEvent),
        #[prost(message, tag = "387")]
        KvmSetIrq(super::KvmSetIrqFtraceEvent),
        #[prost(message, tag = "388")]
        KvmSetSpteHva(super::KvmSetSpteHvaFtraceEvent),
        #[prost(message, tag = "389")]
        KvmSetWayFlush(super::KvmSetWayFlushFtraceEvent),
        #[prost(message, tag = "390")]
        KvmSysAccess(super::KvmSysAccessFtraceEvent),
        #[prost(message, tag = "391")]
        KvmTestAgeHva(super::KvmTestAgeHvaFtraceEvent),
        #[prost(message, tag = "392")]
        KvmTimerEmulate(super::KvmTimerEmulateFtraceEvent),
        #[prost(message, tag = "393")]
        KvmTimerHrtimerExpire(super::KvmTimerHrtimerExpireFtraceEvent),
        #[prost(message, tag = "394")]
        KvmTimerRestoreState(super::KvmTimerRestoreStateFtraceEvent),
        #[prost(message, tag = "395")]
        KvmTimerSaveState(super::KvmTimerSaveStateFtraceEvent),
        #[prost(message, tag = "396")]
        KvmTimerUpdateIrq(super::KvmTimerUpdateIrqFtraceEvent),
        #[prost(message, tag = "397")]
        KvmToggleCache(super::KvmToggleCacheFtraceEvent),
        #[prost(message, tag = "398")]
        KvmUnmapHvaRange(super::KvmUnmapHvaRangeFtraceEvent),
        #[prost(message, tag = "399")]
        KvmUserspaceExit(super::KvmUserspaceExitFtraceEvent),
        #[prost(message, tag = "400")]
        KvmVcpuWakeup(super::KvmVcpuWakeupFtraceEvent),
        #[prost(message, tag = "401")]
        KvmWfxArm64(super::KvmWfxArm64FtraceEvent),
        #[prost(message, tag = "402")]
        TrapReg(super::TrapRegFtraceEvent),
        #[prost(message, tag = "403")]
        VgicUpdateIrqPending(super::VgicUpdateIrqPendingFtraceEvent),
        #[prost(message, tag = "404")]
        WakeupSourceActivate(super::WakeupSourceActivateFtraceEvent),
        #[prost(message, tag = "405")]
        WakeupSourceDeactivate(super::WakeupSourceDeactivateFtraceEvent),
        #[prost(message, tag = "406")]
        UfshcdCommand(super::UfshcdCommandFtraceEvent),
        #[prost(message, tag = "407")]
        UfshcdClkGating(super::UfshcdClkGatingFtraceEvent),
        #[prost(message, tag = "408")]
        Console(super::ConsoleFtraceEvent),
        #[prost(message, tag = "409")]
        DrmVblankEvent(super::DrmVblankEventFtraceEvent),
        #[prost(message, tag = "410")]
        DrmVblankEventDelivered(super::DrmVblankEventDeliveredFtraceEvent),
        #[prost(message, tag = "411")]
        DrmSchedJob(super::DrmSchedJobFtraceEvent),
        #[prost(message, tag = "412")]
        DrmRunJob(super::DrmRunJobFtraceEvent),
        #[prost(message, tag = "413")]
        DrmSchedProcessJob(super::DrmSchedProcessJobFtraceEvent),
        #[prost(message, tag = "414")]
        DmaFenceInit(super::DmaFenceInitFtraceEvent),
        #[prost(message, tag = "415")]
        DmaFenceEmit(super::DmaFenceEmitFtraceEvent),
        #[prost(message, tag = "416")]
        DmaFenceSignaled(super::DmaFenceSignaledFtraceEvent),
        #[prost(message, tag = "417")]
        DmaFenceWaitStart(super::DmaFenceWaitStartFtraceEvent),
        #[prost(message, tag = "418")]
        DmaFenceWaitEnd(super::DmaFenceWaitEndFtraceEvent),
        #[prost(message, tag = "419")]
        F2fsIostat(super::F2fsIostatFtraceEvent),
        #[prost(message, tag = "420")]
        F2fsIostatLatency(super::F2fsIostatLatencyFtraceEvent),
        #[prost(message, tag = "421")]
        SchedCpuUtilCfs(super::SchedCpuUtilCfsFtraceEvent),
        #[prost(message, tag = "422")]
        V4l2Qbuf(super::V4l2QbufFtraceEvent),
        #[prost(message, tag = "423")]
        V4l2Dqbuf(super::V4l2DqbufFtraceEvent),
        #[prost(message, tag = "424")]
        Vb2V4l2BufQueue(super::Vb2V4l2BufQueueFtraceEvent),
        #[prost(message, tag = "425")]
        Vb2V4l2BufDone(super::Vb2V4l2BufDoneFtraceEvent),
        #[prost(message, tag = "426")]
        Vb2V4l2Qbuf(super::Vb2V4l2QbufFtraceEvent),
        #[prost(message, tag = "427")]
        Vb2V4l2Dqbuf(super::Vb2V4l2DqbufFtraceEvent),
        #[prost(message, tag = "428")]
        DsiCmdFifoStatus(super::DsiCmdFifoStatusFtraceEvent),
        #[prost(message, tag = "429")]
        DsiRx(super::DsiRxFtraceEvent),
        #[prost(message, tag = "430")]
        DsiTx(super::DsiTxFtraceEvent),
        /// AndroidFsDatareadEndFtraceEvent android_fs_dataread_end = 431;
        /// AndroidFsDatareadStartFtraceEvent android_fs_dataread_start = 432;
        /// AndroidFsDatawriteEndFtraceEvent android_fs_datawrite_end = 433;
        /// AndroidFsDatawriteStartFtraceEvent android_fs_datawrite_start = 434;
        /// AndroidFsFsyncEndFtraceEvent android_fs_fsync_end = 435;
        /// AndroidFsFsyncStartFtraceEvent android_fs_fsync_start = 436;
        #[prost(message, tag = "437")]
        FuncgraphEntry(super::FuncgraphEntryFtraceEvent),
        #[prost(message, tag = "438")]
        FuncgraphExit(super::FuncgraphExitFtraceEvent),
        #[prost(message, tag = "439")]
        VirtioVideoCmd(super::VirtioVideoCmdFtraceEvent),
        #[prost(message, tag = "440")]
        VirtioVideoCmdDone(super::VirtioVideoCmdDoneFtraceEvent),
        #[prost(message, tag = "441")]
        VirtioVideoResourceQueue(super::VirtioVideoResourceQueueFtraceEvent),
        #[prost(message, tag = "442")]
        VirtioVideoResourceQueueDone(super::VirtioVideoResourceQueueDoneFtraceEvent),
        #[prost(message, tag = "443")]
        MmShrinkSlabStart(super::MmShrinkSlabStartFtraceEvent),
        #[prost(message, tag = "444")]
        MmShrinkSlabEnd(super::MmShrinkSlabEndFtraceEvent),
        #[prost(message, tag = "445")]
        TrustySmc(super::TrustySmcFtraceEvent),
        #[prost(message, tag = "446")]
        TrustySmcDone(super::TrustySmcDoneFtraceEvent),
        #[prost(message, tag = "447")]
        TrustyStdCall32(super::TrustyStdCall32FtraceEvent),
        #[prost(message, tag = "448")]
        TrustyStdCall32Done(super::TrustyStdCall32DoneFtraceEvent),
        #[prost(message, tag = "449")]
        TrustyShareMemory(super::TrustyShareMemoryFtraceEvent),
        #[prost(message, tag = "450")]
        TrustyShareMemoryDone(super::TrustyShareMemoryDoneFtraceEvent),
        #[prost(message, tag = "451")]
        TrustyReclaimMemory(super::TrustyReclaimMemoryFtraceEvent),
        #[prost(message, tag = "452")]
        TrustyReclaimMemoryDone(super::TrustyReclaimMemoryDoneFtraceEvent),
        #[prost(message, tag = "453")]
        TrustyIrq(super::TrustyIrqFtraceEvent),
        #[prost(message, tag = "454")]
        TrustyIpcHandleEvent(super::TrustyIpcHandleEventFtraceEvent),
        #[prost(message, tag = "455")]
        TrustyIpcConnect(super::TrustyIpcConnectFtraceEvent),
        #[prost(message, tag = "456")]
        TrustyIpcConnectEnd(super::TrustyIpcConnectEndFtraceEvent),
        #[prost(message, tag = "457")]
        TrustyIpcWrite(super::TrustyIpcWriteFtraceEvent),
        #[prost(message, tag = "458")]
        TrustyIpcPoll(super::TrustyIpcPollFtraceEvent),
        /// removed field with id 459;
        #[prost(message, tag = "460")]
        TrustyIpcRead(super::TrustyIpcReadFtraceEvent),
        #[prost(message, tag = "461")]
        TrustyIpcReadEnd(super::TrustyIpcReadEndFtraceEvent),
        #[prost(message, tag = "462")]
        TrustyIpcRx(super::TrustyIpcRxFtraceEvent),
        /// removed field with id 463;
        #[prost(message, tag = "464")]
        TrustyEnqueueNop(super::TrustyEnqueueNopFtraceEvent),
        #[prost(message, tag = "465")]
        CmaAllocStart(super::CmaAllocStartFtraceEvent),
        #[prost(message, tag = "466")]
        CmaAllocInfo(super::CmaAllocInfoFtraceEvent),
        #[prost(message, tag = "467")]
        LwisTracingMarkWrite(super::LwisTracingMarkWriteFtraceEvent),
        #[prost(message, tag = "468")]
        VirtioGpuCmdQueue(super::VirtioGpuCmdQueueFtraceEvent),
        #[prost(message, tag = "469")]
        VirtioGpuCmdResponse(super::VirtioGpuCmdResponseFtraceEvent),
        /// MaliMaliKCPUCQSSETFtraceEvent mali_mali_KCPU_CQS_SET = 470;
        /// MaliMaliKCPUCQSWAITSTARTFtraceEvent mali_mali_KCPU_CQS_WAIT_START = 471;
        /// MaliMaliKCPUCQSWAITENDFtraceEvent mali_mali_KCPU_CQS_WAIT_END = 472;
        /// MaliMaliKCPUFENCESIGNALFtraceEvent mali_mali_KCPU_FENCE_SIGNAL = 473;
        /// MaliMaliKCPUFENCEWAITSTARTFtraceEvent mali_mali_KCPU_FENCE_WAIT_START = 474;
        /// MaliMaliKCPUFENCEWAITENDFtraceEvent mali_mali_KCPU_FENCE_WAIT_END = 475;
        /// HypEnterFtraceEvent hyp_enter = 476;
        /// HypExitFtraceEvent hyp_exit = 477;
        /// HostHcallFtraceEvent host_hcall = 478;
        /// HostSmcFtraceEvent host_smc = 479;
        /// HostMemAbortFtraceEvent host_mem_abort = 480;
        /// SuspendResumeMinimalFtraceEvent suspend_resume_minimal = 481;
        /// MaliMaliCSFINTERRUPTSTARTFtraceEvent mali_mali_CSF_INTERRUPT_START = 482;
        /// MaliMaliCSFINTERRUPTENDFtraceEvent mali_mali_CSF_INTERRUPT_END = 483;
        /// SamsungTracingMarkWriteFtraceEvent samsung_tracing_mark_write = 484;
        /// BinderCommandFtraceEvent binder_command = 485;
        /// BinderReturnFtraceEvent binder_return = 486;
        /// SchedSwitchWithCtrsFtraceEvent sched_switch_with_ctrs = 487;
        /// GpuWorkPeriodFtraceEvent gpu_work_period = 488;
        /// RpmStatusFtraceEvent rpm_status = 489;
        /// PanelWriteGenericFtraceEvent panel_write_generic = 490;
        /// SchedMigrateTaskFtraceEvent sched_migrate_task = 491;
        /// DpuDsiCmdFifoStatusFtraceEvent dpu_dsi_cmd_fifo_status = 492;
        /// DpuDsiRxFtraceEvent dpu_dsi_rx = 493;
        /// DpuDsiTxFtraceEvent dpu_dsi_tx = 494;
        /// F2fsBackgroundGcFtraceEvent f2fs_background_gc = 495;
        /// F2fsGcBeginFtraceEvent f2fs_gc_begin = 496;
        /// F2fsGcEndFtraceEvent f2fs_gc_end = 497;
        /// FastrpcDmaFreeFtraceEvent fastrpc_dma_free = 498;
        /// FastrpcDmaAllocFtraceEvent fastrpc_dma_alloc = 499;
        /// FastrpcDmaUnmapFtraceEvent fastrpc_dma_unmap = 500;
        /// FastrpcDmaMapFtraceEvent fastrpc_dma_map = 501;
        /// GoogleIccEventFtraceEvent google_icc_event = 502;
        /// GoogleIrmEventFtraceEvent google_irm_event = 503;
        /// DevicePmCallbackStartFtraceEvent device_pm_callback_start = 504;
        /// DevicePmCallbackEndFtraceEvent device_pm_callback_end = 505;
        /// ThermalExynosAcpmBulkFtraceEvent thermal_exynos_acpm_bulk = 506;
        /// ThermalExynosAcpmHighOverheadFtraceEvent thermal_exynos_acpm_high_overhead =
        ///      507;
        /// DcvshFreqFtraceEvent dcvsh_freq = 508;
        /// KgslGpuFrequencyFtraceEvent kgsl_gpu_frequency = 509;
        /// MaliMaliPMMCUHCTLCORESDOWNSCALENOTIFYPENDFtraceEvent
        ///      mali_mali_PM_MCU_HCTL_CORES_DOWN_SCALE_NOTIFY_PEND = 510;
        /// MaliMaliPMMCUHCTLCORESNOTIFYPENDFtraceEvent
        ///      mali_mali_PM_MCU_HCTL_CORES_NOTIFY_PEND = 511;
        /// MaliMaliPMMCUHCTLCOREINACTIVEPENDFtraceEvent
        ///      mali_mali_PM_MCU_HCTL_CORE_INACTIVE_PEND = 512;
        /// MaliMaliPMMCUHCTLMCUONRECHECKFtraceEvent
        ///      mali_mali_PM_MCU_HCTL_MCU_ON_RECHECK = 513;
        /// MaliMaliPMMCUHCTLSHADERSCOREOFFPENDFtraceEvent
        ///      mali_mali_PM_MCU_HCTL_SHADERS_CORE_OFF_PEND = 514;
        /// MaliMaliPMMCUHCTLSHADERSPENDOFFFtraceEvent
        ///      mali_mali_PM_MCU_HCTL_SHADERS_PEND_OFF = 515;
        /// MaliMaliPMMCUHCTLSHADERSPENDONFtraceEvent
        ///      mali_mali_PM_MCU_HCTL_SHADERS_PEND_ON = 516;
        /// MaliMaliPMMCUHCTLSHADERSREADYOFFFtraceEvent
        ///      mali_mali_PM_MCU_HCTL_SHADERS_READY_OFF = 517;
        /// MaliMaliPMMCUINSLEEPFtraceEvent mali_mali_PM_MCU_IN_SLEEP = 518;
        /// MaliMaliPMMCUOFFFtraceEvent mali_mali_PM_MCU_OFF = 519;
        /// MaliMaliPMMCUONFtraceEvent mali_mali_PM_MCU_ON = 520;
        /// MaliMaliPMMCUONCOREATTRUPDATEPENDFtraceEvent
        ///      mali_mali_PM_MCU_ON_CORE_ATTR_UPDATE_PEND = 521;
        /// MaliMaliPMMCUONGLBREINITPENDFtraceEvent
        ///      mali_mali_PM_MCU_ON_GLB_REINIT_PEND = 522;
        /// MaliMaliPMMCUONHALTFtraceEvent mali_mali_PM_MCU_ON_HALT = 523;
        /// MaliMaliPMMCUONHWCNTDISABLEFtraceEvent mali_mali_PM_MCU_ON_HWCNT_DISABLE =
        ///      524;
        /// MaliMaliPMMCUONHWCNTENABLEFtraceEvent mali_mali_PM_MCU_ON_HWCNT_ENABLE =
        ///      525;
        /// MaliMaliPMMCUONPENDHALTFtraceEvent mali_mali_PM_MCU_ON_PEND_HALT = 526;
        /// MaliMaliPMMCUONPENDSLEEPFtraceEvent mali_mali_PM_MCU_ON_PEND_SLEEP = 527;
        /// MaliMaliPMMCUONSLEEPINITIATEFtraceEvent mali_mali_PM_MCU_ON_SLEEP_INITIATE =
        ///      528;
        /// MaliMaliPMMCUPENDOFFFtraceEvent mali_mali_PM_MCU_PEND_OFF = 529;
        /// MaliMaliPMMCUPENDONRELOADFtraceEvent mali_mali_PM_MCU_PEND_ON_RELOAD = 530;
        /// MaliMaliPMMCUPOWERDOWNFtraceEvent mali_mali_PM_MCU_POWER_DOWN = 531;
        /// MaliMaliPMMCURESETWAITFtraceEvent mali_mali_PM_MCU_RESET_WAIT = 532;
        /// BclIrqTriggerFtraceEvent bcl_irq_trigger = 533;
        /// KgslAdrenoCmdbatchQueuedFtraceEvent kgsl_adreno_cmdbatch_queued = 534;
        /// KgslAdrenoCmdbatchSubmittedFtraceEvent kgsl_adreno_cmdbatch_submitted = 535;
        /// KgslAdrenoCmdbatchSyncFtraceEvent kgsl_adreno_cmdbatch_sync = 536;
        /// KgslAdrenoCmdbatchRetiredFtraceEvent kgsl_adreno_cmdbatch_retired = 537;
        /// PixelMmKswapdWakeFtraceEvent pixel_mm_kswapd_wake = 538;
        /// PixelMmKswapdDoneFtraceEvent pixel_mm_kswapd_done = 539;
        #[prost(message, tag = "540")]
        SchedWakeupTaskAttr(super::SchedWakeupTaskAttrFtraceEvent),
        #[prost(message, tag = "541")]
        DevfreqFrequency(super::DevfreqFrequencyFtraceEvent),
        #[prost(message, tag = "542")]
        KprobeEvent(super::KprobeEvent),
        #[prost(message, tag = "543")]
        ParamSetValueCpm(super::ParamSetValueCpmFtraceEvent),
        #[prost(message, tag = "544")]
        DoSysOpen(super::DoSysOpenFtraceEvent),
        #[prost(message, tag = "545")]
        OpenExec(super::OpenExecFtraceEvent),
        #[prost(message, tag = "546")]
        BlockIoStart(super::BlockIoStartFtraceEvent),
        #[prost(message, tag = "547")]
        BlockIoDone(super::BlockIoDoneFtraceEvent),
    }
}
/// Per-CPU kernel buffer stats for the ftrace data source gathered from
/// /sys/kernel/tracing/per_cpu/cpuX/stats.
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct FtraceCpuStats {
    /// CPU index.
    #[prost(uint64, optional, tag = "1")]
    pub cpu: ::core::option::Option<u64>,
    /// Number of entries currently in the kernel buffer.
    #[prost(uint64, optional, tag = "2")]
    pub entries: ::core::option::Option<u64>,
    /// Number of events lost in kernel buffers due to overwriting of old events
    /// before userspace had a chance to drain them. Valid if the buffer is in
    /// "overwrite" mode, otherwise see |dropped_events|.
    #[prost(uint64, optional, tag = "3")]
    pub overrun: ::core::option::Option<u64>,
    /// This should always be zero. If not the buffer size is way too small or
    /// something went wrong with the tracer. Quoting the kernel: "number of
    /// commits failing due to the buffer wrapping around while there are
    /// uncommitted events, such as during an interrupt storm".
    #[prost(uint64, optional, tag = "4")]
    pub commit_overrun: ::core::option::Option<u64>,
    /// Size of entries currently in the kernel buffer (see |entries|) in bytes.
    /// The field should be named "bytes", but is misnamed for historical reasons.
    /// This value has known inaccuracies before Linux v6.6:
    /// <https://github.com/torvalds/linux/commit/45d99ea>
    #[prost(uint64, optional, tag = "5")]
    pub bytes_read: ::core::option::Option<u64>,
    /// The timestamp for the oldest event still in the ring buffer.
    /// Unit: seconds for typical trace clocks (i.e. not tsc/counter).
    #[prost(double, optional, tag = "6")]
    pub oldest_event_ts: ::core::option::Option<f64>,
    /// The current timestamp.
    /// Unit: seconds for typical trace clocks (i.e. not tsc/counter).
    #[prost(double, optional, tag = "7")]
    pub now_ts: ::core::option::Option<f64>,
    /// If the kernel buffer has overwrite mode disabled, this will show the number
    /// of new events that were lost because the buffer was full. This is similar
    /// to |overrun| but only for the overwrite=false case.
    #[prost(uint64, optional, tag = "8")]
    pub dropped_events: ::core::option::Option<u64>,
    /// The number of events read (consumed) from the buffer by userspace.
    #[prost(uint64, optional, tag = "9")]
    pub read_events: ::core::option::Option<u64>,
}
/// Kprobe statistical data, gathered from /sys/kernel/tracing/kprobe_profile.
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct FtraceKprobeStats {
    /// Cumulative number of kprobe events generated for this function
    #[prost(int64, optional, tag = "1")]
    pub hits: ::core::option::Option<i64>,
    /// Cumulative number of kprobe events that could not be generated for this
    /// function and were missed.  This happens when too much nesting
    /// happens between a kprobe and its kretprobe, overflowing the
    /// maxactives buffer.
    #[prost(int64, optional, tag = "2")]
    pub misses: ::core::option::Option<i64>,
}
/// Errors and kernel buffer stats for the ftrace data source.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FtraceStats {
    /// A pair of FtraceStats is written on every trace flush:
    /// * START_OF_TRACE - stats recorded at the beginning of the trace.
    /// * END_OF_TRACE - stats recorded during the flush. In other words shortly
    ///                   before this packet was written. For simple traces this
    ///                   will be once at the end of the trace.
    #[prost(enumeration = "ftrace_stats::Phase", optional, tag = "1")]
    pub phase: ::core::option::Option<i32>,
    /// Per-CPU stats (one entry for each CPU).
    #[prost(message, repeated, tag = "2")]
    pub cpu_stats: ::prost::alloc::vec::Vec<FtraceCpuStats>,
    /// When FtraceConfig.symbolize_ksyms = true, this records the number of
    /// symbols parsed from /proc/kallsyms, whether they have been seen in the
    /// trace or not. It can be used to debug kptr_restrict or security-related
    /// errors.
    /// Note: this will be valid only when phase = END_OF_TRACE. The symbolizer is
    /// initialized. When START_OF_TRACE is emitted it is not ready yet.
    #[prost(uint32, optional, tag = "3")]
    pub kernel_symbols_parsed: ::core::option::Option<u32>,
    /// The memory used by the kernel symbolizer (KernelSymbolMap.size_bytes()).
    #[prost(uint32, optional, tag = "4")]
    pub kernel_symbols_mem_kb: ::core::option::Option<u32>,
    /// Atrace errors (even non-fatal ones) are reported here. A typical example is
    /// one or more atrace categories not available on the device.
    #[prost(string, optional, tag = "5")]
    pub atrace_errors: ::core::option::Option<::prost::alloc::string::String>,
    /// Ftrace events requested by the config but not present on device.
    #[prost(string, repeated, tag = "6")]
    pub unknown_ftrace_events: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// Ftrace events requested by the config and present on device, but which we
    /// failed to enable due to permissions, or due to a conflicting option
    /// (currently FtraceConfig.disable_generic_events).
    #[prost(string, repeated, tag = "7")]
    pub failed_ftrace_events: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// The data source was configured to preserve existing events in the ftrace
    /// buffer before the start of the trace.
    #[prost(bool, optional, tag = "8")]
    pub preserve_ftrace_buffer: ::core::option::Option<bool>,
    /// Unique errors encountered during reading and parsing of the raw ftrace
    /// data. Ring buffer ABI related errors will also be recorded in the
    /// affected FtraceEventBundles with a timestamp.
    /// Any traces with entries in this field should be investigated, as they
    /// indicate a bug in perfetto or the kernel.
    #[prost(enumeration = "FtraceParseStatus", repeated, packed = "false", tag = "9")]
    pub ftrace_parse_errors: ::prost::alloc::vec::Vec<i32>,
    /// Kprobe profile stats for functions hits and misses
    #[prost(message, optional, tag = "10")]
    pub kprobe_stats: ::core::option::Option<FtraceKprobeStats>,
}
/// Nested message and enum types in `FtraceStats`.
pub mod ftrace_stats {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum Phase {
        Unspecified = 0,
        StartOfTrace = 1,
        EndOfTrace = 2,
    }
    impl Phase {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Unspecified => "UNSPECIFIED",
                Self::StartOfTrace => "START_OF_TRACE",
                Self::EndOfTrace => "END_OF_TRACE",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "UNSPECIFIED" => Some(Self::Unspecified),
                "START_OF_TRACE" => Some(Self::StartOfTrace),
                "END_OF_TRACE" => Some(Self::EndOfTrace),
                _ => None,
            }
        }
    }
}
/// The result of tracing one or more ftrace data pages from a single per-cpu
/// kernel ring buffer. If collating multiple pages' worth of events, all of
/// them come from contiguous pages, with no kernel data loss in between.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct FtraceEventBundle {
    #[prost(uint32, optional, tag = "1")]
    pub cpu: ::core::option::Option<u32>,
    #[prost(message, repeated, tag = "2")]
    pub event: ::prost::alloc::vec::Vec<FtraceEvent>,
    /// Set to true if there was data loss between the last time we've read from
    /// the corresponding per-cpu kernel buffer, and the earliest event recorded
    /// in this bundle.
    #[prost(bool, optional, tag = "3")]
    pub lost_events: ::core::option::Option<bool>,
    #[prost(message, optional, tag = "4")]
    pub compact_sched: ::core::option::Option<ftrace_event_bundle::CompactSched>,
    /// traced_probes always sets the ftrace_clock to "boot". That is not available
    /// in older kernels (v3.x). In that case we fallback on "global" or "local".
    /// When we do that, we report the fallback clock in each bundle so we can do
    /// proper clock syncing at parsing time in TraceProcessor. We cannot use the
    /// TracePacket timestamp_clock_id because: (1) there is no per-packet
    /// timestamp for ftrace bundles; (2) "global" does not match CLOCK_MONOTONIC.
    /// Having a dedicated and explicit flag allows us to correct further misakes
    /// in future by looking at the kernel version.
    /// This field has been introduced in perfetto v19 / Android T (13).
    /// This field is omitted when the ftrace clock is just "boot", as that is the
    /// default assumption (and for consistency with the past).
    #[prost(enumeration = "FtraceClock", optional, tag = "5")]
    pub ftrace_clock: ::core::option::Option<i32>,
    /// The timestamp according to the ftrace clock, taken at the same instant
    /// as |boot_timestamp|. This is used to sync ftrace events when a non-boot
    /// clock is used as the ftrace clock. We don't use the ClockSnapshot packet
    /// because the ftrace global/local clocks don't match any of the clock_gettime
    /// domains and can be only read by traced_probes.
    ///
    /// Only set when |ftrace_clock| != FTRACE_CLOCK_UNSPECIFIED.
    ///
    /// Implementation note: Populated by reading the 'now ts:' field in
    /// tracefs/per_cpu/cpuX/stat.
    #[prost(int64, optional, tag = "6")]
    pub ftrace_timestamp: ::core::option::Option<i64>,
    /// The timestamp according to CLOCK_BOOTTIME, taken at the same instant as
    /// |ftrace_timestamp|. See documentation of |ftrace_timestamp| for
    /// more info.
    ///
    /// Only set when |ftrace_clock| != FTRACE_CLOCK_UNSPECIFIED.
    #[prost(int64, optional, tag = "7")]
    pub boot_timestamp: ::core::option::Option<i64>,
    #[prost(message, repeated, tag = "8")]
    pub error: ::prost::alloc::vec::Vec<ftrace_event_bundle::FtraceError>,
    /// Superseded by |previous_bundle_end_timestamp| in perfetto v47+. The
    /// primary difference is that this field tracked the last timestamp read from
    /// the per-cpu buffer, while the newer field tracks events that get
    /// serialised into the trace.
    /// Added in: perfetto v44.
    #[prost(uint64, optional, tag = "9")]
    pub last_read_event_timestamp: ::core::option::Option<u64>,
    /// The timestamp (using ftrace clock) of the last event written into this
    /// data source on this cpu. In other words: the last event in the previous
    /// bundle.
    /// Lets the trace processing find an initial timestamp after which ftrace
    /// data is known to be valid across all cpus. Of particular importance when
    /// the perfetto trace buffer is a ring buffer as well, as the overwriting of
    /// oldest bundles can skew the first valid timestamp per cpu significantly.
    /// Added in: perfetto v47.
    #[prost(uint64, optional, tag = "10")]
    pub previous_bundle_end_timestamp: ::core::option::Option<u64>,
}
/// Nested message and enum types in `FtraceEventBundle`.
pub mod ftrace_event_bundle {
    /// Optionally-enabled compact encoding of a batch of scheduling events. Only
    /// a subset of events & their fields is recorded.
    /// All fields (except comms) are stored in a structure-of-arrays form, one
    /// entry in each repeated field per event.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct CompactSched {
        /// Interned table of unique strings for this bundle.
        #[prost(string, repeated, tag = "5")]
        pub intern_table: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
        /// Delta-encoded timestamps across all sched_switch events within this
        /// bundle. The first is absolute, each next one is relative to its
        /// predecessor.
        #[prost(uint64, repeated, tag = "1")]
        pub switch_timestamp: ::prost::alloc::vec::Vec<u64>,
        #[prost(int64, repeated, tag = "2")]
        pub switch_prev_state: ::prost::alloc::vec::Vec<i64>,
        #[prost(int32, repeated, tag = "3")]
        pub switch_next_pid: ::prost::alloc::vec::Vec<i32>,
        #[prost(int32, repeated, tag = "4")]
        pub switch_next_prio: ::prost::alloc::vec::Vec<i32>,
        /// One per event, index into |intern_table| corresponding to the
        /// next_comm field of the event.
        #[prost(uint32, repeated, tag = "6")]
        pub switch_next_comm_index: ::prost::alloc::vec::Vec<u32>,
        /// Delta-encoded timestamps across all sched_waking events within this
        /// bundle. The first is absolute, each next one is relative to its
        /// predecessor.
        #[prost(uint64, repeated, tag = "7")]
        pub waking_timestamp: ::prost::alloc::vec::Vec<u64>,
        #[prost(int32, repeated, tag = "8")]
        pub waking_pid: ::prost::alloc::vec::Vec<i32>,
        #[prost(int32, repeated, tag = "9")]
        pub waking_target_cpu: ::prost::alloc::vec::Vec<i32>,
        #[prost(int32, repeated, tag = "10")]
        pub waking_prio: ::prost::alloc::vec::Vec<i32>,
        /// One per event, index into |intern_table| corresponding to the
        /// comm field of the event.
        #[prost(uint32, repeated, tag = "11")]
        pub waking_comm_index: ::prost::alloc::vec::Vec<u32>,
        #[prost(uint32, repeated, tag = "12")]
        pub waking_common_flags: ::prost::alloc::vec::Vec<u32>,
    }
    /// Errors encountered during parsing of the raw ftrace data. In case of ring
    /// buffer layout errors, the parser skips the rest of the offending kernel
    /// buffer page and continues from the next page.
    /// See also FtraceStats.ftrace_parse_errors, which collates all unique errors
    /// seen within the duration of the trace (even if the affected bundles get
    /// overwritten in ring buffer mode).
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct FtraceError {
        /// Timestamp of the data that we're unable to parse, in the ftrace clock
        /// domain. Currently, we use the base timestamp of the tracing page
        /// containing the bad record rather than the time of the record itself.
        #[prost(uint64, optional, tag = "1")]
        pub timestamp: ::core::option::Option<u64>,
        #[prost(enumeration = "super::FtraceParseStatus", optional, tag = "2")]
        pub status: ::core::option::Option<i32>,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GpuCounterEvent {
    /// The first trace packet of each session should include counter_spec.
    #[prost(message, optional, tag = "1")]
    pub counter_descriptor: ::core::option::Option<GpuCounterDescriptor>,
    #[prost(message, repeated, tag = "2")]
    pub counters: ::prost::alloc::vec::Vec<gpu_counter_event::GpuCounter>,
    /// optional. Identifier for GPU in a multi-gpu device.
    #[prost(int32, optional, tag = "3")]
    pub gpu_id: ::core::option::Option<i32>,
}
/// Nested message and enum types in `GpuCounterEvent`.
pub mod gpu_counter_event {
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct GpuCounter {
        /// required. Identifier for counter.
        #[prost(uint32, optional, tag = "1")]
        pub counter_id: ::core::option::Option<u32>,
        /// required. Value of the counter.
        #[prost(oneof = "gpu_counter::Value", tags = "2, 3")]
        pub value: ::core::option::Option<gpu_counter::Value>,
    }
    /// Nested message and enum types in `GpuCounter`.
    pub mod gpu_counter {
        /// required. Value of the counter.
        #[derive(Clone, Copy, PartialEq, ::prost::Oneof)]
        pub enum Value {
            #[prost(int64, tag = "2")]
            IntValue(i64),
            #[prost(double, tag = "3")]
            DoubleValue(f64),
        }
    }
}
/// Message for logging events GPU data producer.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GpuLog {
    #[prost(enumeration = "gpu_log::Severity", optional, tag = "1")]
    pub severity: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "2")]
    pub tag: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "3")]
    pub log_message: ::core::option::Option<::prost::alloc::string::String>,
}
/// Nested message and enum types in `GpuLog`.
pub mod gpu_log {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum Severity {
        LogSeverityUnspecified = 0,
        LogSeverityVerbose = 1,
        LogSeverityDebug = 2,
        LogSeverityInfo = 3,
        LogSeverityWarning = 4,
        LogSeverityError = 5,
    }
    impl Severity {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::LogSeverityUnspecified => "LOG_SEVERITY_UNSPECIFIED",
                Self::LogSeverityVerbose => "LOG_SEVERITY_VERBOSE",
                Self::LogSeverityDebug => "LOG_SEVERITY_DEBUG",
                Self::LogSeverityInfo => "LOG_SEVERITY_INFO",
                Self::LogSeverityWarning => "LOG_SEVERITY_WARNING",
                Self::LogSeverityError => "LOG_SEVERITY_ERROR",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "LOG_SEVERITY_UNSPECIFIED" => Some(Self::LogSeverityUnspecified),
                "LOG_SEVERITY_VERBOSE" => Some(Self::LogSeverityVerbose),
                "LOG_SEVERITY_DEBUG" => Some(Self::LogSeverityDebug),
                "LOG_SEVERITY_INFO" => Some(Self::LogSeverityInfo),
                "LOG_SEVERITY_WARNING" => Some(Self::LogSeverityWarning),
                "LOG_SEVERITY_ERROR" => Some(Self::LogSeverityError),
                _ => None,
            }
        }
    }
}
/// next id: 15
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GpuRenderStageEvent {
    /// required. Unique ID for the event.
    #[prost(uint64, optional, tag = "1")]
    pub event_id: ::core::option::Option<u64>,
    /// optional. Duration of the event in nanoseconds. If unset, this is a
    /// single time point event.
    #[prost(uint64, optional, tag = "2")]
    pub duration: ::core::option::Option<u64>,
    /// required. ID to a hardware queue description in the specifications.
    /// InternedGpuRenderStageSpecification
    #[prost(uint64, optional, tag = "13")]
    pub hw_queue_iid: ::core::option::Option<u64>,
    /// required. ID to a render stage description in the specifications.
    /// InternedGpuRenderStageSpecification
    #[prost(uint64, optional, tag = "14")]
    pub stage_iid: ::core::option::Option<u64>,
    /// optional. Identifier for GPU in a multi-gpu device.
    #[prost(int32, optional, tag = "11")]
    pub gpu_id: ::core::option::Option<i32>,
    /// required. Graphics context for the event.
    /// For OpenGL, this is the GL context.
    /// For Vulkan, this is the VkDevice.
    #[prost(uint64, optional, tag = "5")]
    pub context: ::core::option::Option<u64>,
    /// optional. The render target for this event.
    /// For OpenGL, this is the GL frame buffer handle.
    /// For Vulkan, this is the VkFrameBuffer handle.
    #[prost(uint64, optional, tag = "8")]
    pub render_target_handle: ::core::option::Option<u64>,
    /// optional. Submission ID generated by the UMD.
    /// For OpenGL, the ID should map to an API submission (e.g., glFlush,
    /// glFinish, eglSwapBufffers) event.  The set of submissions to the HW due
    /// to a single API submission should share the same ID.
    /// For Vulkan, it should map 1:1 with a vkQueueSubmit.
    #[prost(uint32, optional, tag = "10")]
    pub submission_id: ::core::option::Option<u32>,
    #[prost(message, repeated, tag = "6")]
    pub extra_data: ::prost::alloc::vec::Vec<gpu_render_stage_event::ExtraData>,
    /// optional. The Vulkan render pass handle.
    #[prost(uint64, optional, tag = "9")]
    pub render_pass_handle: ::core::option::Option<u64>,
    /// optional. A bit mask representing which render subpasses contributed to
    /// this render stage event.  Subpass index 0 is represented by setting the
    /// LSB of the mask.  Additional mask can be added for subpass index greater
    /// than 63.
    #[prost(uint64, repeated, packed = "false", tag = "15")]
    pub render_subpass_index_mask: ::prost::alloc::vec::Vec<u64>,
    /// optional. The Vulkan command buffer handle.
    #[prost(uint64, optional, tag = "12")]
    pub command_buffer_handle: ::core::option::Option<u64>,
    /// Deprecated.  Use hw_queue_iid and stage_iid to refer to
    /// InternedGpuRenderStageSpecification instead.
    #[deprecated]
    #[prost(message, optional, tag = "7")]
    pub specifications: ::core::option::Option<gpu_render_stage_event::Specifications>,
    /// Deprecated. Use hw_queue_iid instead;
    #[deprecated]
    #[prost(int32, optional, tag = "3")]
    pub hw_queue_id: ::core::option::Option<i32>,
    /// Deprecated. Use stage_iid instead;
    #[deprecated]
    #[prost(int32, optional, tag = "4")]
    pub stage_id: ::core::option::Option<i32>,
}
/// Nested message and enum types in `GpuRenderStageEvent`.
pub mod gpu_render_stage_event {
    /// optional. Additional data for the user. This may include attributes for
    /// the event like resource ids, shaders, etc.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct ExtraData {
        #[prost(string, optional, tag = "1")]
        pub name: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(string, optional, tag = "2")]
        pub value: ::core::option::Option<::prost::alloc::string::String>,
    }
    /// Deprecated.  Use InternedGpuRenderStageSpecification instead.
    /// The first trace packet of each session should include a Specifications
    /// to enumerate *all* IDs that will be used. The timestamp of this packet
    /// must be earlier than all other packets. Only one packet with Specifications
    /// is expected.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Specifications {
        #[prost(message, optional, tag = "1")]
        pub context_spec: ::core::option::Option<specifications::ContextSpec>,
        /// Labels to categorize the hw Queue this event goes on.
        #[prost(message, repeated, tag = "2")]
        pub hw_queue: ::prost::alloc::vec::Vec<specifications::Description>,
        /// Labels to categorize render stage(binning, render, compute etc).
        #[prost(message, repeated, tag = "3")]
        pub stage: ::prost::alloc::vec::Vec<specifications::Description>,
    }
    /// Nested message and enum types in `Specifications`.
    pub mod specifications {
        #[derive(Clone, Copy, PartialEq, ::prost::Message)]
        pub struct ContextSpec {
            #[prost(uint64, optional, tag = "1")]
            pub context: ::core::option::Option<u64>,
            #[prost(int32, optional, tag = "2")]
            pub pid: ::core::option::Option<i32>,
        }
        #[derive(Clone, PartialEq, ::prost::Message)]
        pub struct Description {
            #[prost(string, optional, tag = "1")]
            pub name: ::core::option::Option<::prost::alloc::string::String>,
            #[prost(string, optional, tag = "2")]
            pub description: ::core::option::Option<::prost::alloc::string::String>,
        }
    }
}
/// The iid is the numeric value of either the GL Context or the VkDevice
/// handle.
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct InternedGraphicsContext {
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    #[prost(int32, optional, tag = "2")]
    pub pid: ::core::option::Option<i32>,
    #[prost(enumeration = "interned_graphics_context::Api", optional, tag = "3")]
    pub api: ::core::option::Option<i32>,
}
/// Nested message and enum types in `InternedGraphicsContext`.
pub mod interned_graphics_context {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum Api {
        Undefined = 0,
        OpenGl = 1,
        Vulkan = 2,
        OpenCl = 3,
    }
    impl Api {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Undefined => "UNDEFINED",
                Self::OpenGl => "OPEN_GL",
                Self::Vulkan => "VULKAN",
                Self::OpenCl => "OPEN_CL",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "UNDEFINED" => Some(Self::Undefined),
                "OPEN_GL" => Some(Self::OpenGl),
                "VULKAN" => Some(Self::Vulkan),
                "OPEN_CL" => Some(Self::OpenCl),
                _ => None,
            }
        }
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct InternedGpuRenderStageSpecification {
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "2")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "3")]
    pub description: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(
        enumeration = "interned_gpu_render_stage_specification::RenderStageCategory",
        optional,
        tag = "4"
    )]
    pub category: ::core::option::Option<i32>,
}
/// Nested message and enum types in `InternedGpuRenderStageSpecification`.
pub mod interned_gpu_render_stage_specification {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum RenderStageCategory {
        Other = 0,
        Graphics = 1,
        Compute = 2,
    }
    impl RenderStageCategory {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Other => "OTHER",
                Self::Graphics => "GRAPHICS",
                Self::Compute => "COMPUTE",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "OTHER" => Some(Self::Other),
                "GRAPHICS" => Some(Self::Graphics),
                "COMPUTE" => Some(Self::Compute),
                _ => None,
            }
        }
    }
}
/// Message for recording the Vulkan call.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct VulkanApiEvent {
    #[prost(oneof = "vulkan_api_event::Event", tags = "1, 2")]
    pub event: ::core::option::Option<vulkan_api_event::Event>,
}
/// Nested message and enum types in `VulkanApiEvent`.
pub mod vulkan_api_event {
    /// For recording vkSetDebugUtilsObjectNameEXT and
    /// vkDebugMarkerSetObjectNameEXT
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct VkDebugUtilsObjectName {
        #[prost(uint32, optional, tag = "1")]
        pub pid: ::core::option::Option<u32>,
        #[prost(uint64, optional, tag = "2")]
        pub vk_device: ::core::option::Option<u64>,
        /// VkObjectType.  Value must match
        /// <https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkObjectType.html.>
        #[prost(int32, optional, tag = "3")]
        pub object_type: ::core::option::Option<i32>,
        #[prost(uint64, optional, tag = "4")]
        pub object: ::core::option::Option<u64>,
        #[prost(string, optional, tag = "5")]
        pub object_name: ::core::option::Option<::prost::alloc::string::String>,
    }
    /// For recording vkQueueSubmit call.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct VkQueueSubmit {
        #[prost(uint64, optional, tag = "1")]
        pub duration_ns: ::core::option::Option<u64>,
        #[prost(uint32, optional, tag = "2")]
        pub pid: ::core::option::Option<u32>,
        #[prost(uint32, optional, tag = "3")]
        pub tid: ::core::option::Option<u32>,
        #[prost(uint64, optional, tag = "4")]
        pub vk_queue: ::core::option::Option<u64>,
        #[prost(uint64, repeated, packed = "false", tag = "5")]
        pub vk_command_buffers: ::prost::alloc::vec::Vec<u64>,
        /// Submission ID.  An identifier unique to each vkQueueSubmit call.  This
        /// submission_id must match GpuRenderStageEvent.submission_id if the
        /// GpuRenderStageEvent is created due to this vkQueueSubmit.
        #[prost(uint32, optional, tag = "6")]
        pub submission_id: ::core::option::Option<u32>,
    }
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum Event {
        #[prost(message, tag = "1")]
        VkDebugUtilsObjectName(VkDebugUtilsObjectName),
        #[prost(message, tag = "2")]
        VkQueueSubmit(VkQueueSubmit),
    }
}
/// All the information that cannot be sent within a VulkanMemoryEvent message,
/// are sent as annotations to the main memory event. One example is the
/// properties of the object that consumes the allocated memory, for example, a
/// buffer or an image.
/// key_iid and string_iid are both interned strings. Original string value is
/// stored in vulkan_memory_keys from
/// protos/perfetto/trace/interned_data/interned_data.proto.
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct VulkanMemoryEventAnnotation {
    #[prost(uint64, optional, tag = "1")]
    pub key_iid: ::core::option::Option<u64>,
    #[prost(oneof = "vulkan_memory_event_annotation::Value", tags = "2, 3, 4")]
    pub value: ::core::option::Option<vulkan_memory_event_annotation::Value>,
}
/// Nested message and enum types in `VulkanMemoryEventAnnotation`.
pub mod vulkan_memory_event_annotation {
    #[derive(Clone, Copy, PartialEq, ::prost::Oneof)]
    pub enum Value {
        #[prost(int64, tag = "2")]
        IntValue(i64),
        #[prost(double, tag = "3")]
        DoubleValue(f64),
        #[prost(uint64, tag = "4")]
        StringIid(u64),
    }
}
/// Each VulkanMemoryEvent encompasses information regarding one single function
/// call that results in reserving, binding or freeing host or GPU memory. There
/// is a special message type, ANNOTATIONS, which is used to communicate
/// information that are not directly related to a memory event, nonetheless are
/// essential to understand the memory usage. An example is the size and memory
/// types of the memory heaps.
///
/// Next reserved id: 10 (up to 15).
/// Next id: 21.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct VulkanMemoryEvent {
    #[prost(enumeration = "vulkan_memory_event::Source", optional, tag = "1")]
    pub source: ::core::option::Option<i32>,
    #[prost(enumeration = "vulkan_memory_event::Operation", optional, tag = "2")]
    pub operation: ::core::option::Option<i32>,
    #[prost(int64, optional, tag = "3")]
    pub timestamp: ::core::option::Option<i64>,
    #[prost(uint32, optional, tag = "4")]
    pub pid: ::core::option::Option<u32>,
    #[prost(fixed64, optional, tag = "5")]
    pub memory_address: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "6")]
    pub memory_size: ::core::option::Option<u64>,
    /// Interned string. Original string value is stored in function_names from
    /// protos/perfetto/trace/interned_data/interned_data.proto.
    #[prost(uint64, optional, tag = "7")]
    pub caller_iid: ::core::option::Option<u64>,
    #[prost(enumeration = "vulkan_memory_event::AllocationScope", optional, tag = "8")]
    pub allocation_scope: ::core::option::Option<i32>,
    /// Extra related information, e.g., create configs, etc.
    #[prost(message, repeated, tag = "9")]
    pub annotations: ::prost::alloc::vec::Vec<VulkanMemoryEventAnnotation>,
    /// Field IDs used for device memory (low sampling rate)
    #[prost(fixed64, optional, tag = "16")]
    pub device: ::core::option::Option<u64>,
    #[prost(fixed64, optional, tag = "17")]
    pub device_memory: ::core::option::Option<u64>,
    #[prost(uint32, optional, tag = "18")]
    pub memory_type: ::core::option::Option<u32>,
    #[prost(uint32, optional, tag = "19")]
    pub heap: ::core::option::Option<u32>,
    #[prost(fixed64, optional, tag = "20")]
    pub object_handle: ::core::option::Option<u64>,
}
/// Nested message and enum types in `VulkanMemoryEvent`.
pub mod vulkan_memory_event {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum Source {
        Unspecified = 0,
        Driver = 1,
        Device = 2,
        DeviceMemory = 3,
        Buffer = 4,
        Image = 5,
    }
    impl Source {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Unspecified => "SOURCE_UNSPECIFIED",
                Self::Driver => "SOURCE_DRIVER",
                Self::Device => "SOURCE_DEVICE",
                Self::DeviceMemory => "SOURCE_DEVICE_MEMORY",
                Self::Buffer => "SOURCE_BUFFER",
                Self::Image => "SOURCE_IMAGE",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "SOURCE_UNSPECIFIED" => Some(Self::Unspecified),
                "SOURCE_DRIVER" => Some(Self::Driver),
                "SOURCE_DEVICE" => Some(Self::Device),
                "SOURCE_DEVICE_MEMORY" => Some(Self::DeviceMemory),
                "SOURCE_BUFFER" => Some(Self::Buffer),
                "SOURCE_IMAGE" => Some(Self::Image),
                _ => None,
            }
        }
    }
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum Operation {
        OpUnspecified = 0,
        /// alloc, create
        OpCreate = 1,
        /// free, destroy(non-bound)
        OpDestroy = 2,
        /// bind buffer and image
        OpBind = 3,
        /// destroy (bound)
        OpDestroyBound = 4,
        /// only annotations
        OpAnnotations = 5,
    }
    impl Operation {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::OpUnspecified => "OP_UNSPECIFIED",
                Self::OpCreate => "OP_CREATE",
                Self::OpDestroy => "OP_DESTROY",
                Self::OpBind => "OP_BIND",
                Self::OpDestroyBound => "OP_DESTROY_BOUND",
                Self::OpAnnotations => "OP_ANNOTATIONS",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "OP_UNSPECIFIED" => Some(Self::OpUnspecified),
                "OP_CREATE" => Some(Self::OpCreate),
                "OP_DESTROY" => Some(Self::OpDestroy),
                "OP_BIND" => Some(Self::OpBind),
                "OP_DESTROY_BOUND" => Some(Self::OpDestroyBound),
                "OP_ANNOTATIONS" => Some(Self::OpAnnotations),
                _ => None,
            }
        }
    }
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum AllocationScope {
        ScopeUnspecified = 0,
        ScopeCommand = 1,
        ScopeObject = 2,
        ScopeCache = 3,
        ScopeDevice = 4,
        ScopeInstance = 5,
    }
    impl AllocationScope {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::ScopeUnspecified => "SCOPE_UNSPECIFIED",
                Self::ScopeCommand => "SCOPE_COMMAND",
                Self::ScopeObject => "SCOPE_OBJECT",
                Self::ScopeCache => "SCOPE_CACHE",
                Self::ScopeDevice => "SCOPE_DEVICE",
                Self::ScopeInstance => "SCOPE_INSTANCE",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "SCOPE_UNSPECIFIED" => Some(Self::ScopeUnspecified),
                "SCOPE_COMMAND" => Some(Self::ScopeCommand),
                "SCOPE_OBJECT" => Some(Self::ScopeObject),
                "SCOPE_CACHE" => Some(Self::ScopeCache),
                "SCOPE_DEVICE" => Some(Self::ScopeDevice),
                "SCOPE_INSTANCE" => Some(Self::ScopeInstance),
                _ => None,
            }
        }
    }
}
/// The interning fields in this file can refer to 2 different intern tables,
/// depending on the message they are used in. If the interned fields are present
/// in ProfilePacket proto, then the intern tables included in the ProfilePacket
/// should be used. If the intered fields are present in the
/// StreamingProfilePacket proto, then the intern tables included in all of the
/// previous InternedData message with same sequence ID should be used.
/// TODO(fmayer): Move to the intern tables to a common location.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct InternedString {
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    #[prost(bytes = "vec", optional, tag = "2")]
    pub str: ::core::option::Option<::prost::alloc::vec::Vec<u8>>,
}
/// A symbol field that is emitted after the trace is written. These tables would
/// be appended as the last packets in the trace that the profiler will use, so
/// that the actual trace need not be rewritten to symbolize the profiles.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ProfiledFrameSymbols {
    /// Use the frame id as the interning key for the symbols.
    #[prost(uint64, optional, tag = "1")]
    pub frame_iid: ::core::option::Option<u64>,
    /// key to InternedString
    #[prost(uint64, repeated, packed = "false", tag = "2")]
    pub function_name_id: ::prost::alloc::vec::Vec<u64>,
    /// key to InternedString
    #[prost(uint64, repeated, packed = "false", tag = "3")]
    pub file_name_id: ::prost::alloc::vec::Vec<u64>,
    #[prost(uint32, repeated, packed = "false", tag = "4")]
    pub line_number: ::prost::alloc::vec::Vec<u32>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct Line {
    #[prost(string, optional, tag = "1")]
    pub function_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "2")]
    pub source_file_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub line_number: ::core::option::Option<u32>,
}
/// Symbols for a given address in a module.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct AddressSymbols {
    #[prost(uint64, optional, tag = "1")]
    pub address: ::core::option::Option<u64>,
    /// Source lines that correspond to this address.
    ///
    /// These are repeated because when inlining happens, multiple functions'
    /// frames can be at a single address. Imagine function Foo calling the
    /// std::vector<int> constructor, which gets inlined at 0xf00. We then get
    /// both Foo and the std::vector<int> constructor when we symbolize the
    /// address.
    #[prost(message, repeated, tag = "2")]
    pub lines: ::prost::alloc::vec::Vec<Line>,
}
/// Symbols for addresses seen in a module.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ModuleSymbols {
    /// Fully qualified path to the mapping.
    /// E.g. /system/lib64/libc.so.
    #[prost(string, optional, tag = "1")]
    pub path: ::core::option::Option<::prost::alloc::string::String>,
    /// .note.gnu.build-id on Linux (not hex encoded).
    /// uuid on MacOS.
    /// Module GUID on Windows.
    #[prost(string, optional, tag = "2")]
    pub build_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(message, repeated, tag = "3")]
    pub address_symbols: ::prost::alloc::vec::Vec<AddressSymbols>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct Mapping {
    /// Interning key.
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    /// Interning key.
    #[prost(uint64, optional, tag = "2")]
    pub build_id: ::core::option::Option<u64>,
    /// This is not set on Android 10.
    #[prost(uint64, optional, tag = "8")]
    pub exact_offset: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub start_offset: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub start: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "5")]
    pub end: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "6")]
    pub load_bias: ::core::option::Option<u64>,
    /// E.g. \["system", "lib64", "libc.so"\]
    /// id of string.
    #[prost(uint64, repeated, packed = "false", tag = "7")]
    pub path_string_ids: ::prost::alloc::vec::Vec<u64>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct Frame {
    /// Interning key
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    /// E.g. "fopen"
    /// id of string.
    #[prost(uint64, optional, tag = "2")]
    pub function_name_id: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub mapping_id: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub rel_pc: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct Callstack {
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    /// Frames of this callstack. Bottom frame first.
    #[prost(uint64, repeated, packed = "false", tag = "2")]
    pub frame_ids: ::prost::alloc::vec::Vec<u64>,
}
/// Proto representation of untyped key/value annotations provided in TRACE_EVENT
/// macros. Users of the Perfetto SDK should prefer to use the
/// perfetto::TracedValue API to fill these protos, rather than filling them
/// manually.
///
/// Debug annotations are intended for debug use and are not considered a stable
/// API of the trace contents. Trace-based metrics that use debug annotation
/// values are prone to breakage, so please rely on typed TrackEvent fields for
/// these instead.
///
/// DebugAnnotations support nested arrays and dictionaries. Each entry is
/// encoded as a single DebugAnnotation message. Only dictionary entries
/// set the "name" field. The TrackEvent message forms an implicit root
/// dictionary.
///
/// Example TrackEvent with nested annotations:
///    track_event {
///      debug_annotations {
///        name: "foo"
///        dict_entries {
///          name: "a"
///          bool_value: true
///        }
///        dict_entries {
///          name: "b"
///          int_value: 123
///        }
///      }
///      debug_annotations {
///        name: "bar"
///        array_values {
///          string_value: "hello"
///        }
///        array_values {
///          string_value: "world"
///        }
///      }
///    }
///
/// Next ID: 18.
/// Reserved ID: 15
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DebugAnnotation {
    #[prost(bytes = "vec", optional, tag = "14")]
    pub proto_value: ::core::option::Option<::prost::alloc::vec::Vec<u8>>,
    #[prost(message, repeated, tag = "11")]
    pub dict_entries: ::prost::alloc::vec::Vec<DebugAnnotation>,
    #[prost(message, repeated, tag = "12")]
    pub array_values: ::prost::alloc::vec::Vec<DebugAnnotation>,
    /// Name fields are set only for dictionary entries.
    #[prost(oneof = "debug_annotation::NameField", tags = "1, 10")]
    pub name_field: ::core::option::Option<debug_annotation::NameField>,
    #[prost(oneof = "debug_annotation::Value", tags = "2, 3, 4, 5, 7, 8, 9, 6, 17")]
    pub value: ::core::option::Option<debug_annotation::Value>,
    /// Used to embed arbitrary proto messages (which are also typically used to
    /// represent typed TrackEvent arguments). |proto_type_name| or
    /// |proto_type_name_iid| are storing the full name of the proto messages (e.g.
    /// .perfetto.protos.DebugAnnotation) and |proto_value| contains the serialised
    /// proto messages. See |TracedValue::WriteProto| for more details.
    #[prost(oneof = "debug_annotation::ProtoTypeDescriptor", tags = "16, 13")]
    pub proto_type_descriptor: ::core::option::Option<
        debug_annotation::ProtoTypeDescriptor,
    >,
}
/// Nested message and enum types in `DebugAnnotation`.
pub mod debug_annotation {
    /// Deprecated legacy way to use nested values. Only kept for
    /// backwards-compatibility in TraceProcessor. May be removed in the future -
    /// code filling protos should use |dict_entries| and |array_values| instead.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct NestedValue {
        #[prost(enumeration = "nested_value::NestedType", optional, tag = "1")]
        pub nested_type: ::core::option::Option<i32>,
        #[prost(string, repeated, tag = "2")]
        pub dict_keys: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
        #[prost(message, repeated, tag = "3")]
        pub dict_values: ::prost::alloc::vec::Vec<NestedValue>,
        #[prost(message, repeated, tag = "4")]
        pub array_values: ::prost::alloc::vec::Vec<NestedValue>,
        #[prost(int64, optional, tag = "5")]
        pub int_value: ::core::option::Option<i64>,
        #[prost(double, optional, tag = "6")]
        pub double_value: ::core::option::Option<f64>,
        #[prost(bool, optional, tag = "7")]
        pub bool_value: ::core::option::Option<bool>,
        #[prost(string, optional, tag = "8")]
        pub string_value: ::core::option::Option<::prost::alloc::string::String>,
    }
    /// Nested message and enum types in `NestedValue`.
    pub mod nested_value {
        #[derive(
            Clone,
            Copy,
            Debug,
            PartialEq,
            Eq,
            Hash,
            PartialOrd,
            Ord,
            ::prost::Enumeration
        )]
        #[repr(i32)]
        pub enum NestedType {
            /// leaf value.
            Unspecified = 0,
            Dict = 1,
            Array = 2,
        }
        impl NestedType {
            /// String value of the enum field names used in the ProtoBuf definition.
            ///
            /// The values are not transformed in any way and thus are considered stable
            /// (if the ProtoBuf definition does not change) and safe for programmatic use.
            pub fn as_str_name(&self) -> &'static str {
                match self {
                    Self::Unspecified => "UNSPECIFIED",
                    Self::Dict => "DICT",
                    Self::Array => "ARRAY",
                }
            }
            /// Creates an enum from field names used in the ProtoBuf definition.
            pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
                match value {
                    "UNSPECIFIED" => Some(Self::Unspecified),
                    "DICT" => Some(Self::Dict),
                    "ARRAY" => Some(Self::Array),
                    _ => None,
                }
            }
        }
    }
    /// Name fields are set only for dictionary entries.
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum NameField {
        /// interned DebugAnnotationName.
        #[prost(uint64, tag = "1")]
        NameIid(u64),
        /// non-interned variant.
        #[prost(string, tag = "10")]
        Name(::prost::alloc::string::String),
    }
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum Value {
        #[prost(bool, tag = "2")]
        BoolValue(bool),
        #[prost(uint64, tag = "3")]
        UintValue(u64),
        #[prost(int64, tag = "4")]
        IntValue(i64),
        #[prost(double, tag = "5")]
        DoubleValue(f64),
        /// Pointers are stored in a separate type as the JSON output treats them
        /// differently from other uint64 values.
        #[prost(uint64, tag = "7")]
        PointerValue(u64),
        /// Deprecated. Use dict_entries / array_values instead.
        #[prost(message, tag = "8")]
        NestedValue(NestedValue),
        /// Legacy instrumentation may not support conversion of nested data to
        /// NestedValue yet.
        #[prost(string, tag = "9")]
        LegacyJsonValue(::prost::alloc::string::String),
        /// interned and non-interned variants of strings.
        #[prost(string, tag = "6")]
        StringValue(::prost::alloc::string::String),
        /// Corresponds to |debug_annotation_string_values| field in InternedData.
        #[prost(uint64, tag = "17")]
        StringValueIid(u64),
    }
    /// Used to embed arbitrary proto messages (which are also typically used to
    /// represent typed TrackEvent arguments). |proto_type_name| or
    /// |proto_type_name_iid| are storing the full name of the proto messages (e.g.
    /// .perfetto.protos.DebugAnnotation) and |proto_value| contains the serialised
    /// proto messages. See |TracedValue::WriteProto| for more details.
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum ProtoTypeDescriptor {
        #[prost(string, tag = "16")]
        ProtoTypeName(::prost::alloc::string::String),
        /// interned DebugAnnotationValueTypeName.
        #[prost(uint64, tag = "13")]
        ProtoTypeNameIid(u64),
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DebugAnnotationName {
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "2")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
/// See the |proto_type_descriptor| comment.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DebugAnnotationValueTypeName {
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "2")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct LogMessage {
    /// interned SourceLocation.
    #[prost(uint64, optional, tag = "1")]
    pub source_location_iid: ::core::option::Option<u64>,
    /// interned LogMessageBody.
    #[prost(uint64, optional, tag = "2")]
    pub body_iid: ::core::option::Option<u64>,
    #[prost(enumeration = "log_message::Priority", optional, tag = "3")]
    pub prio: ::core::option::Option<i32>,
}
/// Nested message and enum types in `LogMessage`.
pub mod log_message {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum Priority {
        PrioUnspecified = 0,
        PrioUnused = 1,
        PrioVerbose = 2,
        PrioDebug = 3,
        PrioInfo = 4,
        PrioWarn = 5,
        PrioError = 6,
        PrioFatal = 7,
    }
    impl Priority {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::PrioUnspecified => "PRIO_UNSPECIFIED",
                Self::PrioUnused => "PRIO_UNUSED",
                Self::PrioVerbose => "PRIO_VERBOSE",
                Self::PrioDebug => "PRIO_DEBUG",
                Self::PrioInfo => "PRIO_INFO",
                Self::PrioWarn => "PRIO_WARN",
                Self::PrioError => "PRIO_ERROR",
                Self::PrioFatal => "PRIO_FATAL",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "PRIO_UNSPECIFIED" => Some(Self::PrioUnspecified),
                "PRIO_UNUSED" => Some(Self::PrioUnused),
                "PRIO_VERBOSE" => Some(Self::PrioVerbose),
                "PRIO_DEBUG" => Some(Self::PrioDebug),
                "PRIO_INFO" => Some(Self::PrioInfo),
                "PRIO_WARN" => Some(Self::PrioWarn),
                "PRIO_ERROR" => Some(Self::PrioError),
                "PRIO_FATAL" => Some(Self::PrioFatal),
                _ => None,
            }
        }
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct LogMessageBody {
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "2")]
    pub body: ::core::option::Option<::prost::alloc::string::String>,
}
/// A source location, represented as a native symbol.
/// This is similar to `message Frame` from
/// protos/perfetto/trace/profiling/profile_common.proto, but for abitrary
/// source code locations (for example in track event args), not stack frames.
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct UnsymbolizedSourceLocation {
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "2")]
    pub mapping_id: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub rel_pc: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SourceLocation {
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "2")]
    pub file_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "3")]
    pub function_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "4")]
    pub line_number: ::core::option::Option<u32>,
}
/// A list of processes connected to the tracing service.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ChromeActiveProcesses {
    #[prost(int32, repeated, packed = "false", tag = "1")]
    pub pid: ::prost::alloc::vec::Vec<i32>,
}
/// TrackEvent arguments describing the execution of a task.
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TaskExecution {
    /// Source location that the task was posted from.
    /// interned SourceLocation.
    #[prost(uint64, optional, tag = "1")]
    pub posted_from_iid: ::core::option::Option<u64>,
}
/// Trace events emitted by client instrumentation library (TRACE_EVENT macros),
/// which describe activity on a track, such as a thread or asynchronous event
/// track. The track is specified using separate TrackDescriptor messages and
/// referred to via the track's UUID.
///
/// A simple TrackEvent packet specifies a timestamp, category, name and type:
/// ```protobuf
///    trace_packet {
///      timestamp: 1000
///      track_event {
///        categories: \["my_cat"\]
///        name: "my_event"
///        type: TYPE_INSTANT
///       }
///     }
/// ```
///
/// To associate an event with a custom track (e.g. a thread), the track is
/// defined in a separate packet and referred to from the TrackEvent by its UUID:
/// ```protobuf
///    trace_packet {
///      track_descriptor {
///        track_uuid: 1234
///        name: "my_track"
///
///        // Optionally, associate the track with a thread.
///        thread_descriptor {
///          pid: 10
///          tid: 10
///          ..
///        }
///      }
///    }
/// ```
///
/// A pair of TYPE_SLICE_BEGIN and _END events form a slice on the track:
///
/// ```protobuf
///    trace_packet {
///      timestamp: 1200
///      track_event {
///        track_uuid: 1234
///        categories: \["my_cat"\]
///        name: "my_slice"
///        type: TYPE_SLICE_BEGIN
///      }
///    }
///    trace_packet {
///      timestamp: 1400
///      track_event {
///        track_uuid: 1234
///        type: TYPE_SLICE_END
///      }
///    }
/// ```
/// TrackEvents also support optimizations to reduce data repetition and encoded
/// data size, e.g. through data interning (names, categories, ...) and delta
/// encoding of timestamps/counters. For details, see the InternedData message.
/// Further, default values for attributes of events on the same sequence (e.g.
/// their default track association) can be emitted as part of a
/// TrackEventDefaults message.
///
/// Next reserved id: 13 (up to 15). Next id: 52.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrackEvent {
    /// Names of categories of the event. In the client library, categories are a
    /// way to turn groups of individual events on or off.
    /// interned EventCategoryName.
    #[prost(uint64, repeated, packed = "false", tag = "3")]
    pub category_iids: ::prost::alloc::vec::Vec<u64>,
    /// non-interned variant.
    #[prost(string, repeated, tag = "22")]
    pub categories: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    #[prost(enumeration = "track_event::Type", optional, tag = "9")]
    pub r#type: ::core::option::Option<i32>,
    /// Identifies the track of the event. The default value may be overridden
    /// using TrackEventDefaults, e.g., to specify the track of the TraceWriter's
    /// sequence (in most cases sequence = one thread). If no value is specified
    /// here or in TrackEventDefaults, the TrackEvent will be associated with an
    /// implicit trace-global track (uuid 0). See TrackDescriptor::uuid.
    #[prost(uint64, optional, tag = "11")]
    pub track_uuid: ::core::option::Option<u64>,
    /// To encode counter values more efficiently, we support attaching additional
    /// counter values to a TrackEvent of any type. All values will share the same
    /// timestamp specified in the TracePacket. The value at
    /// extra_counter_values\[N\] is for the counter track referenced by
    /// extra_counter_track_uuids\[N\].
    ///
    /// |extra_counter_track_uuids| may also be set via TrackEventDefaults. There
    /// should always be equal or more uuids than values. It is valid to set more
    /// uuids (e.g. via defaults) than values. If uuids are specified in
    /// TrackEventDefaults and a TrackEvent, the TrackEvent uuids override the
    /// default uuid list.
    ///
    /// For example, this allows snapshotting the thread time clock at each
    /// thread-track BEGIN and END event to capture the cpu time delta of a slice.
    #[prost(uint64, repeated, packed = "false", tag = "31")]
    pub extra_counter_track_uuids: ::prost::alloc::vec::Vec<u64>,
    #[prost(int64, repeated, packed = "false", tag = "12")]
    pub extra_counter_values: ::prost::alloc::vec::Vec<i64>,
    /// Counter snapshots using floating point instead of integer values.
    #[prost(uint64, repeated, packed = "false", tag = "45")]
    pub extra_double_counter_track_uuids: ::prost::alloc::vec::Vec<u64>,
    #[prost(double, repeated, packed = "false", tag = "46")]
    pub extra_double_counter_values: ::prost::alloc::vec::Vec<f64>,
    /// IDs of flows originating, passing through, or ending at this event.
    /// Flow IDs are global within a trace.
    ///
    /// A flow connects a sequence of TrackEvents within or across tracks, e.g.
    /// an input event may be handled on one thread but cause another event on
    /// a different thread - a flow between the two events can associate them.
    ///
    /// The direction of the flows between events is inferred from the events'
    /// timestamps. The earliest event with the same flow ID becomes the source
    /// of the flow. Any events thereafter are intermediate steps of the flow,
    /// until the flow terminates at the last event with the flow ID.
    ///
    /// Flows can also be explicitly terminated (see |terminating_flow_ids|), so
    /// that the same ID can later be reused for another flow.
    /// DEPRECATED. Only kept for backwards compatibility. Use |flow_ids|.
    #[deprecated]
    #[prost(uint64, repeated, packed = "false", tag = "36")]
    pub flow_ids_old: ::prost::alloc::vec::Vec<u64>,
    /// TODO(b/204341740): replace "flow_ids_old" with "flow_ids" to reduce memory
    /// consumption.
    #[prost(fixed64, repeated, packed = "false", tag = "47")]
    pub flow_ids: ::prost::alloc::vec::Vec<u64>,
    /// List of flow ids which should terminate on this event, otherwise same as
    /// |flow_ids|.
    /// Any one flow ID should be either listed as part of |flow_ids| OR
    /// |terminating_flow_ids|, not both.
    /// DEPRECATED. Only kept for backwards compatibility.  Use
    /// |terminating_flow_ids|.
    #[deprecated]
    #[prost(uint64, repeated, packed = "false", tag = "42")]
    pub terminating_flow_ids_old: ::prost::alloc::vec::Vec<u64>,
    /// TODO(b/204341740): replace "terminating_flow_ids_old" with
    /// "terminating_flow_ids" to reduce memory consumption.
    #[prost(fixed64, repeated, packed = "false", tag = "48")]
    pub terminating_flow_ids: ::prost::alloc::vec::Vec<u64>,
    /// Unstable key/value annotations shown in the trace viewer but not intended
    /// for metrics use.
    #[prost(message, repeated, tag = "4")]
    pub debug_annotations: ::prost::alloc::vec::Vec<DebugAnnotation>,
    /// Typed event arguments:
    #[prost(message, optional, tag = "5")]
    pub task_execution: ::core::option::Option<TaskExecution>,
    /// optional ChromeCompositorSchedulerState cc_scheduler_state = 24;
    /// optional ChromeUserEvent chrome_user_event = 25;
    /// optional ChromeKeyedService chrome_keyed_service = 26;
    /// optional ChromeLegacyIpc chrome_legacy_ipc = 27;
    /// optional ChromeHistogramSample chrome_histogram_sample = 28;
    /// optional ChromeLatencyInfo chrome_latency_info = 29;
    /// optional ChromeFrameReporter chrome_frame_reporter = 32;
    /// optional ChromeApplicationStateInfo chrome_application_state_info = 39;
    /// optional ChromeRendererSchedulerState chrome_renderer_scheduler_state = 40;
    /// optional ChromeWindowHandleEventInfo chrome_window_handle_event_info = 41;
    /// optional ChromeContentSettingsEventInfo chrome_content_settings_event_info =
    ///      43;
    /// optional ChromeActiveProcesses chrome_active_processes = 49;
    /// optional Screenshot screenshot = 50;
    #[prost(message, optional, tag = "21")]
    pub log_message: ::core::option::Option<LogMessage>,
    #[prost(message, optional, tag = "6")]
    pub legacy_event: ::core::option::Option<track_event::LegacyEvent>,
    /// Optional name of the event for its display in trace viewer. May be left
    /// unspecified for events with typed arguments.
    ///
    /// Note that metrics should not rely on event names, as they are prone to
    /// changing. Instead, they should use typed arguments to identify the events
    /// they are interested in.
    #[prost(oneof = "track_event::NameField", tags = "10, 23")]
    pub name_field: ::core::option::Option<track_event::NameField>,
    /// A new value for a counter track. |track_uuid| should refer to a track with
    /// a CounterDescriptor, and |type| should be TYPE_COUNTER. For a more
    /// efficient encoding of counter values that are sampled at the beginning/end
    /// of a slice, see |extra_counter_values| and |extra_counter_track_uuids|.
    /// Counter values can optionally be encoded in as delta values (positive or
    /// negative) on each packet sequence (see CounterIncrementalBase).
    #[prost(oneof = "track_event::CounterValueField", tags = "30, 44")]
    pub counter_value_field: ::core::option::Option<track_event::CounterValueField>,
    /// This field is used only if the source location represents the function that
    /// executes during this event.
    #[prost(oneof = "track_event::SourceLocationField", tags = "33, 34")]
    pub source_location_field: ::core::option::Option<track_event::SourceLocationField>,
    /// Deprecated. Use the |timestamp| and |timestamp_clock_id| fields in
    /// TracePacket instead.
    ///
    /// Timestamp in microseconds (usually CLOCK_MONOTONIC).
    #[prost(oneof = "track_event::Timestamp", tags = "1, 16")]
    pub timestamp: ::core::option::Option<track_event::Timestamp>,
    /// Deprecated. Use |extra_counter_values| and |extra_counter_track_uuids| to
    /// encode thread time instead.
    ///
    /// CPU time for the current thread (e.g., CLOCK_THREAD_CPUTIME_ID) in
    /// microseconds.
    #[prost(oneof = "track_event::ThreadTime", tags = "2, 17")]
    pub thread_time: ::core::option::Option<track_event::ThreadTime>,
    /// Deprecated. Use |extra_counter_values| and |extra_counter_track_uuids| to
    /// encode thread instruction count instead.
    ///
    /// Value of the instruction counter for the current thread.
    #[prost(oneof = "track_event::ThreadInstructionCount", tags = "8, 20")]
    pub thread_instruction_count: ::core::option::Option<
        track_event::ThreadInstructionCount,
    >,
}
/// Nested message and enum types in `TrackEvent`.
pub mod track_event {
    /// Apart from {category, time, thread time, tid, pid}, other legacy trace
    /// event attributes are initially simply proxied for conversion to a JSON
    /// trace. We intend to gradually transition these attributes to similar native
    /// features in TrackEvent (e.g. async + flow events), or deprecate them
    /// without replacement where transition is unsuitable.
    ///
    /// Next reserved id: 16 (up to 16).
    /// Next id: 20.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct LegacyEvent {
        /// Deprecated, use TrackEvent::name(_iid) instead.
        /// interned EventName.
        #[prost(uint64, optional, tag = "1")]
        pub name_iid: ::core::option::Option<u64>,
        #[prost(int32, optional, tag = "2")]
        pub phase: ::core::option::Option<i32>,
        #[prost(int64, optional, tag = "3")]
        pub duration_us: ::core::option::Option<i64>,
        #[prost(int64, optional, tag = "4")]
        pub thread_duration_us: ::core::option::Option<i64>,
        /// Elapsed retired instruction count during the event.
        #[prost(int64, optional, tag = "15")]
        pub thread_instruction_delta: ::core::option::Option<i64>,
        /// Additional optional scope for |id|.
        #[prost(string, optional, tag = "7")]
        pub id_scope: ::core::option::Option<::prost::alloc::string::String>,
        /// Consider the thread timestamps for async BEGIN/END event pairs as valid.
        #[prost(bool, optional, tag = "9")]
        pub use_async_tts: ::core::option::Option<bool>,
        /// Idenfifies a flow. Flow events with the same bind_id are connected.
        #[prost(uint64, optional, tag = "8")]
        pub bind_id: ::core::option::Option<u64>,
        /// Use the enclosing slice as binding point for a flow end event instead of
        /// the next slice. Flow start/step events always bind to the enclosing
        /// slice.
        #[prost(bool, optional, tag = "12")]
        pub bind_to_enclosing: ::core::option::Option<bool>,
        #[prost(enumeration = "legacy_event::FlowDirection", optional, tag = "13")]
        pub flow_direction: ::core::option::Option<i32>,
        #[prost(enumeration = "legacy_event::InstantEventScope", optional, tag = "14")]
        pub instant_event_scope: ::core::option::Option<i32>,
        /// Override the pid/tid if the writer needs to emit events on behalf of
        /// another process/thread. This should be the exception. Normally, the
        /// pid+tid from ThreadDescriptor is used.
        #[prost(int32, optional, tag = "18")]
        pub pid_override: ::core::option::Option<i32>,
        #[prost(int32, optional, tag = "19")]
        pub tid_override: ::core::option::Option<i32>,
        #[prost(oneof = "legacy_event::Id", tags = "6, 10, 11")]
        pub id: ::core::option::Option<legacy_event::Id>,
    }
    /// Nested message and enum types in `LegacyEvent`.
    pub mod legacy_event {
        #[derive(
            Clone,
            Copy,
            Debug,
            PartialEq,
            Eq,
            Hash,
            PartialOrd,
            Ord,
            ::prost::Enumeration
        )]
        #[repr(i32)]
        pub enum FlowDirection {
            FlowUnspecified = 0,
            FlowIn = 1,
            FlowOut = 2,
            FlowInout = 3,
        }
        impl FlowDirection {
            /// String value of the enum field names used in the ProtoBuf definition.
            ///
            /// The values are not transformed in any way and thus are considered stable
            /// (if the ProtoBuf definition does not change) and safe for programmatic use.
            pub fn as_str_name(&self) -> &'static str {
                match self {
                    Self::FlowUnspecified => "FLOW_UNSPECIFIED",
                    Self::FlowIn => "FLOW_IN",
                    Self::FlowOut => "FLOW_OUT",
                    Self::FlowInout => "FLOW_INOUT",
                }
            }
            /// Creates an enum from field names used in the ProtoBuf definition.
            pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
                match value {
                    "FLOW_UNSPECIFIED" => Some(Self::FlowUnspecified),
                    "FLOW_IN" => Some(Self::FlowIn),
                    "FLOW_OUT" => Some(Self::FlowOut),
                    "FLOW_INOUT" => Some(Self::FlowInout),
                    _ => None,
                }
            }
        }
        #[derive(
            Clone,
            Copy,
            Debug,
            PartialEq,
            Eq,
            Hash,
            PartialOrd,
            Ord,
            ::prost::Enumeration
        )]
        #[repr(i32)]
        pub enum InstantEventScope {
            ScopeUnspecified = 0,
            ScopeGlobal = 1,
            ScopeProcess = 2,
            ScopeThread = 3,
        }
        impl InstantEventScope {
            /// String value of the enum field names used in the ProtoBuf definition.
            ///
            /// The values are not transformed in any way and thus are considered stable
            /// (if the ProtoBuf definition does not change) and safe for programmatic use.
            pub fn as_str_name(&self) -> &'static str {
                match self {
                    Self::ScopeUnspecified => "SCOPE_UNSPECIFIED",
                    Self::ScopeGlobal => "SCOPE_GLOBAL",
                    Self::ScopeProcess => "SCOPE_PROCESS",
                    Self::ScopeThread => "SCOPE_THREAD",
                }
            }
            /// Creates an enum from field names used in the ProtoBuf definition.
            pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
                match value {
                    "SCOPE_UNSPECIFIED" => Some(Self::ScopeUnspecified),
                    "SCOPE_GLOBAL" => Some(Self::ScopeGlobal),
                    "SCOPE_PROCESS" => Some(Self::ScopeProcess),
                    "SCOPE_THREAD" => Some(Self::ScopeThread),
                    _ => None,
                }
            }
        }
        #[derive(Clone, Copy, PartialEq, ::prost::Oneof)]
        pub enum Id {
            #[prost(uint64, tag = "6")]
            UnscopedId(u64),
            #[prost(uint64, tag = "10")]
            LocalId(u64),
            #[prost(uint64, tag = "11")]
            GlobalId(u64),
        }
    }
    /// Type of the TrackEvent (required if |phase| in LegacyEvent is not set).
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum Type {
        Unspecified = 0,
        /// Slice events are events that have a begin and end timestamp, i.e. a
        /// duration. They can be nested similar to a callstack: If, on the same
        /// track, event B begins after event A, but before A ends, B is a child
        /// event of A and will be drawn as a nested event underneath A in the UI.
        /// Note that child events should always end before their parents (e.g. B
        /// before A).
        ///
        /// Each slice event is formed by a pair of BEGIN + END events. The END event
        /// does not need to repeat any TrackEvent fields it has in common with its
        /// corresponding BEGIN event. Arguments and debug annotations of the BEGIN +
        /// END pair will be merged during trace import.
        ///
        /// Note that we deliberately chose not to support COMPLETE events (which
        /// would specify a duration directly) since clients would need to delay
        /// writing them until the slice is completed, which can result in reordered
        /// events in the trace and loss of unfinished events at the end of a trace.
        SliceBegin = 1,
        SliceEnd = 2,
        /// Instant events are nestable events without duration. They can be children
        /// of slice events on the same track.
        Instant = 3,
        /// Event that provides a value for a counter track. |track_uuid| should
        /// refer to a counter track and |counter_value| set to the new value. Note
        /// that most other TrackEvent fields (e.g. categories, name, ..) are not
        /// supported for TYPE_COUNTER events. See also CounterDescriptor.
        Counter = 4,
    }
    impl Type {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Unspecified => "TYPE_UNSPECIFIED",
                Self::SliceBegin => "TYPE_SLICE_BEGIN",
                Self::SliceEnd => "TYPE_SLICE_END",
                Self::Instant => "TYPE_INSTANT",
                Self::Counter => "TYPE_COUNTER",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "TYPE_UNSPECIFIED" => Some(Self::Unspecified),
                "TYPE_SLICE_BEGIN" => Some(Self::SliceBegin),
                "TYPE_SLICE_END" => Some(Self::SliceEnd),
                "TYPE_INSTANT" => Some(Self::Instant),
                "TYPE_COUNTER" => Some(Self::Counter),
                _ => None,
            }
        }
    }
    /// Optional name of the event for its display in trace viewer. May be left
    /// unspecified for events with typed arguments.
    ///
    /// Note that metrics should not rely on event names, as they are prone to
    /// changing. Instead, they should use typed arguments to identify the events
    /// they are interested in.
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum NameField {
        /// interned EventName.
        #[prost(uint64, tag = "10")]
        NameIid(u64),
        /// non-interned variant.
        #[prost(string, tag = "23")]
        Name(::prost::alloc::string::String),
    }
    /// A new value for a counter track. |track_uuid| should refer to a track with
    /// a CounterDescriptor, and |type| should be TYPE_COUNTER. For a more
    /// efficient encoding of counter values that are sampled at the beginning/end
    /// of a slice, see |extra_counter_values| and |extra_counter_track_uuids|.
    /// Counter values can optionally be encoded in as delta values (positive or
    /// negative) on each packet sequence (see CounterIncrementalBase).
    #[derive(Clone, Copy, PartialEq, ::prost::Oneof)]
    pub enum CounterValueField {
        #[prost(int64, tag = "30")]
        CounterValue(i64),
        #[prost(double, tag = "44")]
        DoubleCounterValue(f64),
    }
    /// This field is used only if the source location represents the function that
    /// executes during this event.
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum SourceLocationField {
        /// Non-interned field.
        #[prost(message, tag = "33")]
        SourceLocation(super::SourceLocation),
        /// Interned field.
        #[prost(uint64, tag = "34")]
        SourceLocationIid(u64),
    }
    /// Deprecated. Use the |timestamp| and |timestamp_clock_id| fields in
    /// TracePacket instead.
    ///
    /// Timestamp in microseconds (usually CLOCK_MONOTONIC).
    #[derive(Clone, Copy, PartialEq, ::prost::Oneof)]
    pub enum Timestamp {
        /// Delta timestamp value since the last TrackEvent or ThreadDescriptor. To
        /// calculate the absolute timestamp value, sum up all delta values of the
        /// preceding TrackEvents since the last ThreadDescriptor and add the sum to
        /// the |reference_timestamp| in ThreadDescriptor. This value should always
        /// be positive.
        #[prost(int64, tag = "1")]
        TimestampDeltaUs(i64),
        /// Absolute value (e.g. a manually specified timestamp in the macro).
        /// This is a one-off value that does not affect delta timestamp computation
        /// in subsequent TrackEvents.
        #[prost(int64, tag = "16")]
        TimestampAbsoluteUs(i64),
    }
    /// Deprecated. Use |extra_counter_values| and |extra_counter_track_uuids| to
    /// encode thread time instead.
    ///
    /// CPU time for the current thread (e.g., CLOCK_THREAD_CPUTIME_ID) in
    /// microseconds.
    #[derive(Clone, Copy, PartialEq, ::prost::Oneof)]
    pub enum ThreadTime {
        /// Delta timestamp value since the last TrackEvent or ThreadDescriptor. To
        /// calculate the absolute timestamp value, sum up all delta values of the
        /// preceding TrackEvents since the last ThreadDescriptor and add the sum to
        /// the |reference_timestamp| in ThreadDescriptor. This value should always
        /// be positive.
        #[prost(int64, tag = "2")]
        ThreadTimeDeltaUs(i64),
        /// This is a one-off absolute value that does not affect delta timestamp
        /// computation in subsequent TrackEvents.
        #[prost(int64, tag = "17")]
        ThreadTimeAbsoluteUs(i64),
    }
    /// Deprecated. Use |extra_counter_values| and |extra_counter_track_uuids| to
    /// encode thread instruction count instead.
    ///
    /// Value of the instruction counter for the current thread.
    #[derive(Clone, Copy, PartialEq, ::prost::Oneof)]
    pub enum ThreadInstructionCount {
        /// Same encoding as |thread_time| field above.
        #[prost(int64, tag = "8")]
        ThreadInstructionCountDelta(i64),
        #[prost(int64, tag = "20")]
        ThreadInstructionCountAbsolute(i64),
    }
}
/// Default values for fields of all TrackEvents on the same packet sequence.
/// Should be emitted as part of TracePacketDefaults whenever incremental state
/// is cleared. It's defined here because field IDs should match those of the
/// corresponding fields in TrackEvent.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrackEventDefaults {
    #[prost(uint64, optional, tag = "11")]
    pub track_uuid: ::core::option::Option<u64>,
    #[prost(uint64, repeated, packed = "false", tag = "31")]
    pub extra_counter_track_uuids: ::prost::alloc::vec::Vec<u64>,
    #[prost(uint64, repeated, packed = "false", tag = "45")]
    pub extra_double_counter_track_uuids: ::prost::alloc::vec::Vec<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct EventCategory {
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "2")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct EventName {
    #[prost(uint64, optional, tag = "1")]
    pub iid: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "2")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
/// Message that contains new entries for the interning indices of a packet
/// sequence.
///
/// The writer will usually emit new entries in the same TracePacket that first
/// refers to them (since the last reset of interning state). They may also be
/// emitted proactively in advance of referring to them in later packets.
///
/// Next reserved id: 8 (up to 15).
/// Next id: 42.
///
/// TODO(eseckler): Replace iid fields inside interned messages with
/// map<iid, message> type fields in InternedData.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct InternedData {
    /// Each field's message type needs to specify an |iid| field, which is the ID
    /// of the entry in the field's interning index. Each field constructs its own
    /// index, thus interning IDs are scoped to the tracing session and field
    /// (usually as a counter for efficient var-int encoding), and optionally to
    /// the incremental state generation of the packet sequence.
    #[prost(message, repeated, tag = "1")]
    pub event_categories: ::prost::alloc::vec::Vec<EventCategory>,
    #[prost(message, repeated, tag = "2")]
    pub event_names: ::prost::alloc::vec::Vec<EventName>,
    #[prost(message, repeated, tag = "3")]
    pub debug_annotation_names: ::prost::alloc::vec::Vec<DebugAnnotationName>,
    #[prost(message, repeated, tag = "27")]
    pub debug_annotation_value_type_names: ::prost::alloc::vec::Vec<
        DebugAnnotationValueTypeName,
    >,
    #[prost(message, repeated, tag = "4")]
    pub source_locations: ::prost::alloc::vec::Vec<SourceLocation>,
    #[prost(message, repeated, tag = "28")]
    pub unsymbolized_source_locations: ::prost::alloc::vec::Vec<
        UnsymbolizedSourceLocation,
    >,
    /// repeated HistogramName histogram_names = 25;
    #[prost(message, repeated, tag = "20")]
    pub log_message_body: ::prost::alloc::vec::Vec<LogMessageBody>,
    /// Build IDs of exectuable files.
    #[prost(message, repeated, tag = "16")]
    pub build_ids: ::prost::alloc::vec::Vec<InternedString>,
    /// Paths to executable files.
    #[prost(message, repeated, tag = "17")]
    pub mapping_paths: ::prost::alloc::vec::Vec<InternedString>,
    /// Paths to source files.
    #[prost(message, repeated, tag = "18")]
    pub source_paths: ::prost::alloc::vec::Vec<InternedString>,
    /// Names of functions used in frames below.
    #[prost(message, repeated, tag = "5")]
    pub function_names: ::prost::alloc::vec::Vec<InternedString>,
    /// Symbols that were added to this trace after the fact.
    #[prost(message, repeated, tag = "21")]
    pub profiled_frame_symbols: ::prost::alloc::vec::Vec<ProfiledFrameSymbols>,
    /// Executable files mapped into processes.
    #[prost(message, repeated, tag = "19")]
    pub mappings: ::prost::alloc::vec::Vec<Mapping>,
    /// Frames of callstacks of a program.
    #[prost(message, repeated, tag = "6")]
    pub frames: ::prost::alloc::vec::Vec<Frame>,
    /// A callstack of a program.
    #[prost(message, repeated, tag = "7")]
    pub callstacks: ::prost::alloc::vec::Vec<Callstack>,
    /// Additional Vulkan information sent in a VulkanMemoryEvent message
    #[prost(message, repeated, tag = "22")]
    pub vulkan_memory_keys: ::prost::alloc::vec::Vec<InternedString>,
    /// Graphics context of a render stage event.  This represent the GL
    /// context for an OpenGl app or the VkDevice for a Vulkan app.
    #[prost(message, repeated, tag = "23")]
    pub graphics_contexts: ::prost::alloc::vec::Vec<InternedGraphicsContext>,
    /// Description of a GPU hardware queue or render stage.
    #[prost(message, repeated, tag = "24")]
    pub gpu_specifications: ::prost::alloc::vec::Vec<
        InternedGpuRenderStageSpecification,
    >,
    /// This is set when FtraceConfig.symbolize_ksyms = true.
    /// The id of each symbol the number that will be reported in ftrace events
    /// like sched_block_reason.caller and is obtained from a monotonic counter.
    /// The same symbol can have different indexes in different bundles.
    /// This is is NOT the real address. This is to avoid disclosing KASLR through
    /// traces.
    #[prost(message, repeated, tag = "26")]
    pub kernel_symbols: ::prost::alloc::vec::Vec<InternedString>,
    /// Interned string values in the DebugAnnotation proto.
    #[prost(message, repeated, tag = "29")]
    pub debug_annotation_string_values: ::prost::alloc::vec::Vec<InternedString>,
    /// Interned packet context for android.network_packets.
    #[prost(message, repeated, tag = "30")]
    pub packet_context: ::prost::alloc::vec::Vec<NetworkPacketContext>,
    /// Interned protolog strings args.
    #[prost(message, repeated, tag = "36")]
    pub protolog_string_args: ::prost::alloc::vec::Vec<InternedString>,
    /// Interned protolog stacktraces.
    #[prost(message, repeated, tag = "37")]
    pub protolog_stacktrace: ::prost::alloc::vec::Vec<InternedString>,
    /// viewcapture
    #[prost(message, repeated, tag = "38")]
    pub viewcapture_package_name: ::prost::alloc::vec::Vec<InternedString>,
    #[prost(message, repeated, tag = "39")]
    pub viewcapture_window_name: ::prost::alloc::vec::Vec<InternedString>,
    #[prost(message, repeated, tag = "40")]
    pub viewcapture_view_id: ::prost::alloc::vec::Vec<InternedString>,
    #[prost(message, repeated, tag = "41")]
    pub viewcapture_class_name: ::prost::alloc::vec::Vec<InternedString>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MemoryTrackerSnapshot {
    /// Unique ID that represents the global memory dump.
    #[prost(uint64, optional, tag = "1")]
    pub global_dump_id: ::core::option::Option<u64>,
    #[prost(enumeration = "memory_tracker_snapshot::LevelOfDetail", optional, tag = "2")]
    pub level_of_detail: ::core::option::Option<i32>,
    #[prost(message, repeated, tag = "3")]
    pub process_memory_dumps: ::prost::alloc::vec::Vec<
        memory_tracker_snapshot::ProcessSnapshot,
    >,
}
/// Nested message and enum types in `MemoryTrackerSnapshot`.
pub mod memory_tracker_snapshot {
    /// Memory snapshot of a process. The snapshot contains memory data that is
    /// from 2 different sources, namely system stats and instrumentation stats.
    /// The system memory usage stats come from the OS based on standard API
    /// available in the platform to query memory usage. The instrumentation stats
    /// are added by instrumenting specific piece of code which tracks memory
    /// allocations and deallocations made by a small sub-system within the
    /// application.
    /// The system stats of the global memory snapshot are recorded as part of
    /// ProcessStats and SmapsPacket fields in trace packet with the same
    /// timestamp.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct ProcessSnapshot {
        /// Process ID of the process
        #[prost(int32, optional, tag = "1")]
        pub pid: ::core::option::Option<i32>,
        #[prost(message, repeated, tag = "2")]
        pub allocator_dumps: ::prost::alloc::vec::Vec<process_snapshot::MemoryNode>,
        #[prost(message, repeated, tag = "3")]
        pub memory_edges: ::prost::alloc::vec::Vec<process_snapshot::MemoryEdge>,
    }
    /// Nested message and enum types in `ProcessSnapshot`.
    pub mod process_snapshot {
        /// A single node in the memory graph.
        #[derive(Clone, PartialEq, ::prost::Message)]
        pub struct MemoryNode {
            /// Unique ID of the node across all processes involved in the global
            /// memory dump. The ID is only unique within this particular global dump
            /// identified by GlobalMemoryDumpPacket.global_dump_id.
            #[prost(uint64, optional, tag = "1")]
            pub id: ::core::option::Option<u64>,
            /// Absolute name is a unique name for the memory node within the process
            /// with ProcessMemoryDump.pid. The name can contain multiple parts
            /// separated by '/', which traces the edges of the node from the root
            /// node.
            /// Eg: "partition_allocator/array_buffers/buffer1" refers to the child
            /// node "buffer1" in a graph structure of:
            ///    root -> partition_allocator -> array_buffers -> buffer1.
            #[prost(string, optional, tag = "2")]
            pub absolute_name: ::core::option::Option<::prost::alloc::string::String>,
            /// A weak node means that the instrumentation that added the current node
            /// is unsure about the existence of the actual memory. Unless a "strong"
            /// (non-weak is default) node that has an edge to the current node exists
            /// in the current global dump, the current node will be discarded.
            #[prost(bool, optional, tag = "3")]
            pub weak: ::core::option::Option<bool>,
            /// Size of the node in bytes, used to compute the effective size of the
            /// nodes without double counting.
            #[prost(uint64, optional, tag = "4")]
            pub size_bytes: ::core::option::Option<u64>,
            #[prost(message, repeated, tag = "5")]
            pub entries: ::prost::alloc::vec::Vec<memory_node::MemoryNodeEntry>,
        }
        /// Nested message and enum types in `MemoryNode`.
        pub mod memory_node {
            /// Entries in the memory node that contain statistics and additional
            /// debuggable information about the memory. The size of the node is
            /// tracked separately in the |size_bytes| field.
            #[derive(Clone, PartialEq, ::prost::Message)]
            pub struct MemoryNodeEntry {
                #[prost(string, optional, tag = "1")]
                pub name: ::core::option::Option<::prost::alloc::string::String>,
                #[prost(enumeration = "memory_node_entry::Units", optional, tag = "2")]
                pub units: ::core::option::Option<i32>,
                /// Contains either one of uint64 or string value.
                #[prost(uint64, optional, tag = "3")]
                pub value_uint64: ::core::option::Option<u64>,
                #[prost(string, optional, tag = "4")]
                pub value_string: ::core::option::Option<::prost::alloc::string::String>,
            }
            /// Nested message and enum types in `MemoryNodeEntry`.
            pub mod memory_node_entry {
                #[derive(
                    Clone,
                    Copy,
                    Debug,
                    PartialEq,
                    Eq,
                    Hash,
                    PartialOrd,
                    Ord,
                    ::prost::Enumeration
                )]
                #[repr(i32)]
                pub enum Units {
                    Unspecified = 0,
                    Bytes = 1,
                    Count = 2,
                }
                impl Units {
                    /// String value of the enum field names used in the ProtoBuf definition.
                    ///
                    /// The values are not transformed in any way and thus are considered stable
                    /// (if the ProtoBuf definition does not change) and safe for programmatic use.
                    pub fn as_str_name(&self) -> &'static str {
                        match self {
                            Self::Unspecified => "UNSPECIFIED",
                            Self::Bytes => "BYTES",
                            Self::Count => "COUNT",
                        }
                    }
                    /// Creates an enum from field names used in the ProtoBuf definition.
                    pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
                        match value {
                            "UNSPECIFIED" => Some(Self::Unspecified),
                            "BYTES" => Some(Self::Bytes),
                            "COUNT" => Some(Self::Count),
                            _ => None,
                        }
                    }
                }
            }
        }
        /// A directed edge that connects any 2 nodes in the graph above. These are
        /// in addition to the inherent edges added due to the tree structure of the
        /// node's absolute names.
        /// Node with id |source_id| owns the node with id |target_id|, and has the
        /// effect of attributing the memory usage of target to source. |importance|
        /// is optional and relevant only for the cases of co-ownership, where it
        /// acts as a z-index: the owner with the highest importance will be
        /// attributed target's memory.
        #[derive(Clone, Copy, PartialEq, ::prost::Message)]
        pub struct MemoryEdge {
            #[prost(uint64, optional, tag = "1")]
            pub source_id: ::core::option::Option<u64>,
            #[prost(uint64, optional, tag = "2")]
            pub target_id: ::core::option::Option<u64>,
            #[prost(uint32, optional, tag = "3")]
            pub importance: ::core::option::Option<u32>,
            #[prost(bool, optional, tag = "4")]
            pub overridable: ::core::option::Option<bool>,
        }
    }
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum LevelOfDetail {
        DetailFull = 0,
        DetailLight = 1,
        DetailBackground = 2,
    }
    impl LevelOfDetail {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::DetailFull => "DETAIL_FULL",
                Self::DetailLight => "DETAIL_LIGHT",
                Self::DetailBackground => "DETAIL_BACKGROUND",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "DETAIL_FULL" => Some(Self::DetailFull),
                "DETAIL_LIGHT" => Some(Self::DetailLight),
                "DETAIL_BACKGROUND" => Some(Self::DetailBackground),
                _ => None,
            }
        }
    }
}
/// Used to trace the execution of perfetto itself.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct PerfettoMetatrace {
    /// Only when using |event_id|.
    #[prost(uint64, optional, tag = "3")]
    pub event_duration_ns: ::core::option::Option<u64>,
    /// Only when using |counter_id|.
    #[prost(int32, optional, tag = "4")]
    pub counter_value: ::core::option::Option<i32>,
    /// ID of the thread that emitted the event.
    #[prost(uint32, optional, tag = "5")]
    pub thread_id: ::core::option::Option<u32>,
    /// If true the meta-tracing ring buffer had overruns and hence some data is
    /// missing from this point.
    #[prost(bool, optional, tag = "6")]
    pub has_overruns: ::core::option::Option<bool>,
    /// Args for the event.
    #[prost(message, repeated, tag = "7")]
    pub args: ::prost::alloc::vec::Vec<perfetto_metatrace::Arg>,
    #[prost(message, repeated, tag = "10")]
    pub interned_strings: ::prost::alloc::vec::Vec<perfetto_metatrace::InternedString>,
    /// See base/metatrace_events.h for definitions.
    #[prost(oneof = "perfetto_metatrace::RecordType", tags = "1, 2, 8, 11, 9")]
    pub record_type: ::core::option::Option<perfetto_metatrace::RecordType>,
}
/// Nested message and enum types in `PerfettoMetatrace`.
pub mod perfetto_metatrace {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Arg {
        #[prost(oneof = "arg::KeyOrInternedKey", tags = "1, 3")]
        pub key_or_interned_key: ::core::option::Option<arg::KeyOrInternedKey>,
        #[prost(oneof = "arg::ValueOrInternedValue", tags = "2, 4")]
        pub value_or_interned_value: ::core::option::Option<arg::ValueOrInternedValue>,
    }
    /// Nested message and enum types in `Arg`.
    pub mod arg {
        #[derive(Clone, PartialEq, ::prost::Oneof)]
        pub enum KeyOrInternedKey {
            #[prost(string, tag = "1")]
            Key(::prost::alloc::string::String),
            #[prost(uint64, tag = "3")]
            KeyIid(u64),
        }
        #[derive(Clone, PartialEq, ::prost::Oneof)]
        pub enum ValueOrInternedValue {
            #[prost(string, tag = "2")]
            Value(::prost::alloc::string::String),
            #[prost(uint64, tag = "4")]
            ValueIid(u64),
        }
    }
    /// Interned strings corresponding to the |event_name_iid|, |key_iid| and
    /// |value_iid| above.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct InternedString {
        #[prost(uint64, optional, tag = "1")]
        pub iid: ::core::option::Option<u64>,
        #[prost(string, optional, tag = "2")]
        pub value: ::core::option::Option<::prost::alloc::string::String>,
    }
    /// See base/metatrace_events.h for definitions.
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum RecordType {
        #[prost(uint32, tag = "1")]
        EventId(u32),
        #[prost(uint32, tag = "2")]
        CounterId(u32),
        /// For trace processor metatracing.
        #[prost(string, tag = "8")]
        EventName(::prost::alloc::string::String),
        #[prost(uint64, tag = "11")]
        EventNameIid(u64),
        #[prost(string, tag = "9")]
        CounterName(::prost::alloc::string::String),
    }
}
/// Events emitted by the tracing service.
/// Next id: 12.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TracingServiceEvent {
    /// When each of the following booleans are set to true, they report the
    /// point in time (through TracePacket's timestamp) where the condition
    /// they describe happened.
    /// The order of the booleans below matches the timestamp ordering
    /// they would generally be expected to have.
    #[prost(
        oneof = "tracing_service_event::EventType",
        tags = "2, 1, 9, 3, 4, 5, 6, 7, 8, 10, 11"
    )]
    pub event_type: ::core::option::Option<tracing_service_event::EventType>,
}
/// Nested message and enum types in `TracingServiceEvent`.
pub mod tracing_service_event {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct DataSources {
        #[prost(message, repeated, tag = "1")]
        pub data_source: ::prost::alloc::vec::Vec<data_sources::DataSource>,
    }
    /// Nested message and enum types in `DataSources`.
    pub mod data_sources {
        #[derive(Clone, PartialEq, ::prost::Message)]
        pub struct DataSource {
            #[prost(string, optional, tag = "1")]
            pub producer_name: ::core::option::Option<::prost::alloc::string::String>,
            #[prost(string, optional, tag = "2")]
            pub data_source_name: ::core::option::Option<::prost::alloc::string::String>,
        }
    }
    /// When each of the following booleans are set to true, they report the
    /// point in time (through TracePacket's timestamp) where the condition
    /// they describe happened.
    /// The order of the booleans below matches the timestamp ordering
    /// they would generally be expected to have.
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum EventType {
        /// Emitted when we start tracing and specifically, this will be before any
        /// producer is notified about the existence of this trace. This is always
        /// emitted before the all_data_sources_started event. This event is also
        /// guaranteed to be seen (byte-offset wise) before any data packets from
        /// producers.
        #[prost(bool, tag = "2")]
        TracingStarted(bool),
        /// Emitted after all data sources saw the start event and ACKed it.
        /// This identifies the point in time when it's safe to assume that all data
        /// sources have been recording events.
        #[prost(bool, tag = "1")]
        AllDataSourcesStarted(bool),
        /// Emitted when a flush is started.
        #[prost(bool, tag = "9")]
        FlushStarted(bool),
        /// Emitted when all data sources have been flushed successfully or with an
        /// error (including timeouts). This can generally happen many times over the
        /// course of the trace.
        #[prost(bool, tag = "3")]
        AllDataSourcesFlushed(bool),
        /// Emitted when reading back the central tracing buffers has been completed.
        /// If |write_into_file| is specified, this can happen many times over the
        /// course of the trace.
        #[prost(bool, tag = "4")]
        ReadTracingBuffersCompleted(bool),
        /// Emitted after tracing has been disabled and specifically, this will be
        /// after all packets from producers have been included in the central
        /// tracing buffer.
        #[prost(bool, tag = "5")]
        TracingDisabled(bool),
        /// Emitted if perfetto --save-for-bugreport was invoked while the current
        /// tracing session was running and it had the highest bugreport_score. In
        /// this case the original consumer will see a nearly empty trace, because
        /// the contents are routed onto the bugreport file. This event flags the
        /// situation explicitly. Traces that contain this marker should be discarded
        /// by test infrastructures / pipelines.
        /// Deprecated since Android U, where --save-for-bugreport uses
        /// non-destructive cloning.
        #[prost(bool, tag = "6")]
        SeizedForBugreport(bool),
        /// Emitted when not all data sources in all producers reply to a start
        /// request after some time.
        #[prost(message, tag = "7")]
        SlowStartingDataSources(DataSources),
        /// Emitted when the last flush request has failed. Lists data sources that
        /// did not reply on time.
        #[prost(message, tag = "8")]
        LastFlushSlowDataSources(DataSources),
        /// If this was a cloned tracing session, emitted when the tracing serice
        /// started the clone operation.
        #[prost(bool, tag = "10")]
        CloneStarted(bool),
        /// If this was a cloned tracing session, emitted when the tracing service
        /// finished the clone operation (for a specific buffer).
        #[prost(uint32, tag = "11")]
        BufferCloned(u32),
    }
}
/// Energy consumer based on aidl class:
/// android.hardware.power.stats.EnergyConsumer.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct AndroidEnergyConsumer {
    /// Unique ID of this energy consumer.  Matches the ID in a
    /// AndroidEnergyEstimationBreakdown.
    #[prost(int32, optional, tag = "1")]
    pub energy_consumer_id: ::core::option::Option<i32>,
    /// For a group of energy consumers of the same logical type, sorting by
    /// ordinal gives their physical order. Ordinals must be consecutive integers
    /// starting from 0.
    #[prost(int32, optional, tag = "2")]
    pub ordinal: ::core::option::Option<i32>,
    /// Type of this energy consumer.
    #[prost(string, optional, tag = "3")]
    pub r#type: ::core::option::Option<::prost::alloc::string::String>,
    /// Unique name of this energy consumer. Vendor/device specific. Opaque to
    /// framework.
    #[prost(string, optional, tag = "4")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct AndroidEnergyConsumerDescriptor {
    #[prost(message, repeated, tag = "1")]
    pub energy_consumers: ::prost::alloc::vec::Vec<AndroidEnergyConsumer>,
}
/// Energy data retrieve using the ODPM(On Device Power Monitor) API.
/// This proto represents the aidl class:
/// android.hardware.power.stats.EnergyConsumerResult.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct AndroidEnergyEstimationBreakdown {
    /// The first trace packet of each session should include a energy consumer
    /// descriptor.
    #[prost(message, optional, tag = "1")]
    pub energy_consumer_descriptor: ::core::option::Option<
        AndroidEnergyConsumerDescriptor,
    >,
    /// ID of the AndroidEnergyConsumer associated with this result.  Matches
    /// the energy_consumer_id in the AndroidEnergyConsumerDescriptor that
    /// should be sent at the beginning of a trace.
    #[prost(int32, optional, tag = "2")]
    pub energy_consumer_id: ::core::option::Option<i32>,
    /// Total accumulated energy since boot in microwatt-seconds (uWs)
    #[prost(int64, optional, tag = "3")]
    pub energy_uws: ::core::option::Option<i64>,
    /// Optional attributed energy per Android ID / Linux UID for this
    /// EnergyConsumer. Sum total of attributed energy must be less than or equal
    /// to total accumulated energy.
    #[prost(message, repeated, tag = "4")]
    pub per_uid_breakdown: ::prost::alloc::vec::Vec<
        android_energy_estimation_breakdown::EnergyUidBreakdown,
    >,
}
/// Nested message and enum types in `AndroidEnergyEstimationBreakdown`.
pub mod android_energy_estimation_breakdown {
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct EnergyUidBreakdown {
        /// Android ID/Linux UID, the accumulated energy is attributed to.
        #[prost(int32, optional, tag = "1")]
        pub uid: ::core::option::Option<i32>,
        /// Accumulated energy since boot in microwatt-seconds (uWs).
        #[prost(int64, optional, tag = "2")]
        pub energy_uws: ::core::option::Option<i64>,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct EntityStateResidency {
    /// This is only emitted at the beginning of the trace.
    #[prost(message, repeated, tag = "1")]
    pub power_entity_state: ::prost::alloc::vec::Vec<
        entity_state_residency::PowerEntityState,
    >,
    #[prost(message, repeated, tag = "2")]
    pub residency: ::prost::alloc::vec::Vec<entity_state_residency::StateResidency>,
}
/// Nested message and enum types in `EntityStateResidency`.
pub mod entity_state_residency {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct PowerEntityState {
        /// Index corresponding to the entity
        #[prost(int32, optional, tag = "1")]
        pub entity_index: ::core::option::Option<i32>,
        /// Index corresponding to the state
        #[prost(int32, optional, tag = "2")]
        pub state_index: ::core::option::Option<i32>,
        /// Name of the entity. This is device-specific, determined by the PowerStats
        /// HAL, and cannot be configured by the user. An example would be
        /// "Bluetooth".
        #[prost(string, optional, tag = "3")]
        pub entity_name: ::core::option::Option<::prost::alloc::string::String>,
        /// Name of the state. This is device-specific, determined by the PowerStats
        /// HAL, and cannot be configured by the user. An example would be
        /// "Active".
        #[prost(string, optional, tag = "4")]
        pub state_name: ::core::option::Option<::prost::alloc::string::String>,
    }
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct StateResidency {
        /// Index corresponding to PowerEntityState.entity_index
        #[prost(int32, optional, tag = "1")]
        pub entity_index: ::core::option::Option<i32>,
        /// Index corresponding to PowerEntityState.state_index
        #[prost(int32, optional, tag = "2")]
        pub state_index: ::core::option::Option<i32>,
        /// Time since boot that this entity has been in this state
        #[prost(uint64, optional, tag = "3")]
        pub total_time_in_state_ms: ::core::option::Option<u64>,
        /// Total number of times since boot that the entity has entered this state
        #[prost(uint64, optional, tag = "4")]
        pub total_state_entry_count: ::core::option::Option<u64>,
        /// Timestamp of the last time the entity entered this state
        #[prost(uint64, optional, tag = "5")]
        pub last_entry_timestamp_ms: ::core::option::Option<u64>,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct BatteryCounters {
    /// Battery capacity in microampere-hours(µAh). Also known as Coulomb counter.
    #[prost(int64, optional, tag = "1")]
    pub charge_counter_uah: ::core::option::Option<i64>,
    /// Remaining battery capacity percentage of total capacity
    #[prost(float, optional, tag = "2")]
    pub capacity_percent: ::core::option::Option<f32>,
    /// Instantaneous battery current in microamperes(µA).
    /// Negative values indicate current being drained from the battery and
    /// positive values indicate current feeding the battery from a charge source
    /// (USB).
    ///
    /// See <https://perfetto.dev/docs/data-sources/battery-counters> for more info.
    #[prost(int64, optional, tag = "3")]
    pub current_ua: ::core::option::Option<i64>,
    /// Instantaneous battery current in microamperes(µA).
    #[prost(int64, optional, tag = "4")]
    pub current_avg_ua: ::core::option::Option<i64>,
    /// Battery name, emitted only on multiple batteries.
    #[prost(string, optional, tag = "5")]
    pub name: ::core::option::Option<::prost::alloc::string::String>,
    /// Battery capacity in microwatt-hours(µWh).
    #[prost(int64, optional, tag = "6")]
    pub energy_counter_uwh: ::core::option::Option<i64>,
    /// Battery voltage in microvolts(µV).
    #[prost(int64, optional, tag = "7")]
    pub voltage_uv: ::core::option::Option<i64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct PowerRails {
    /// This is only emitted at the beginning of the trace.
    #[prost(message, repeated, tag = "1")]
    pub rail_descriptor: ::prost::alloc::vec::Vec<power_rails::RailDescriptor>,
    #[prost(message, repeated, tag = "2")]
    pub energy_data: ::prost::alloc::vec::Vec<power_rails::EnergyData>,
}
/// Nested message and enum types in `PowerRails`.
pub mod power_rails {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct RailDescriptor {
        /// Index corresponding to the rail
        #[prost(uint32, optional, tag = "1")]
        pub index: ::core::option::Option<u32>,
        /// Name of the rail
        #[prost(string, optional, tag = "2")]
        pub rail_name: ::core::option::Option<::prost::alloc::string::String>,
        /// Name of the subsystem to which this rail belongs
        #[prost(string, optional, tag = "3")]
        pub subsys_name: ::core::option::Option<::prost::alloc::string::String>,
        /// Hardware sampling rate (Hz).
        #[prost(uint32, optional, tag = "4")]
        pub sampling_rate: ::core::option::Option<u32>,
    }
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct EnergyData {
        /// Index corresponding to RailDescriptor.index
        #[prost(uint32, optional, tag = "1")]
        pub index: ::core::option::Option<u32>,
        /// Time since device boot(CLOCK_BOOTTIME) in milli-seconds.
        #[prost(uint64, optional, tag = "2")]
        pub timestamp_ms: ::core::option::Option<u64>,
        /// Accumulated energy since device boot in microwatt-seconds (uWs).
        #[prost(uint64, optional, tag = "3")]
        pub energy: ::core::option::Option<u64>,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SmapsEntry {
    #[prost(string, optional, tag = "1")]
    pub path: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag = "2")]
    pub size_kb: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "3")]
    pub private_dirty_kb: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "4")]
    pub swap_kb: ::core::option::Option<u64>,
    /// for field upload (instead of path).
    #[prost(string, optional, tag = "5")]
    pub file_name: ::core::option::Option<::prost::alloc::string::String>,
    /// TODO(crbug.com/1098746): Consider encoding this as incremental values.
    #[prost(uint64, optional, tag = "6")]
    pub start_address: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "7")]
    pub module_timestamp: ::core::option::Option<u64>,
    #[prost(string, optional, tag = "8")]
    pub module_debugid: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "9")]
    pub module_debug_path: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "10")]
    pub protection_flags: ::core::option::Option<u32>,
    #[prost(uint64, optional, tag = "11")]
    pub private_clean_resident_kb: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "12")]
    pub shared_dirty_resident_kb: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "13")]
    pub shared_clean_resident_kb: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "14")]
    pub locked_kb: ::core::option::Option<u64>,
    #[prost(uint64, optional, tag = "15")]
    pub proportional_resident_kb: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SmapsPacket {
    #[prost(uint32, optional, tag = "1")]
    pub pid: ::core::option::Option<u32>,
    #[prost(message, repeated, tag = "2")]
    pub entries: ::prost::alloc::vec::Vec<SmapsEntry>,
}
/// Per-process periodically sampled stats. These samples are wrapped in a
/// dedicated message (as opposite to be fields in process_tree.proto) because
/// they are dumped at a different rate than cmdline and thread list.
/// Note: not all of these stats will be present in every ProcessStats message
/// and sometimes processes may be missing. This is because counters are
/// cached to reduce emission of counters which do not change.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ProcessStats {
    #[prost(message, repeated, tag = "1")]
    pub processes: ::prost::alloc::vec::Vec<process_stats::Process>,
    /// The time at which we finish collecting this batch of samples;
    /// the top-level packet timestamp is the time at which
    /// we begin collection.
    #[prost(uint64, optional, tag = "2")]
    pub collection_end_timestamp: ::core::option::Option<u64>,
}
/// Nested message and enum types in `ProcessStats`.
pub mod process_stats {
    /// Per-thread periodically sampled stats.
    /// Note: not all of these stats will be present in every message. See the note
    /// for ProcessStats.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct Thread {
        #[prost(int32, optional, tag = "1")]
        pub tid: ::core::option::Option<i32>,
    }
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct FdInfo {
        #[prost(uint64, optional, tag = "1")]
        pub fd: ::core::option::Option<u64>,
        #[prost(string, optional, tag = "2")]
        pub path: ::core::option::Option<::prost::alloc::string::String>,
    }
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Process {
        #[prost(int32, optional, tag = "1")]
        pub pid: ::core::option::Option<i32>,
        #[prost(message, repeated, tag = "11")]
        pub threads: ::prost::alloc::vec::Vec<Thread>,
        /// See /proc/\[pid\]/status in `man 5 proc` for a description of these fields.
        #[prost(uint64, optional, tag = "2")]
        pub vm_size_kb: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "3")]
        pub vm_rss_kb: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "4")]
        pub rss_anon_kb: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "5")]
        pub rss_file_kb: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "6")]
        pub rss_shmem_kb: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "7")]
        pub vm_swap_kb: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "8")]
        pub vm_locked_kb: ::core::option::Option<u64>,
        /// When adding a new field remember to update kProcMemCounterSize in
        /// the trace processor.
        #[prost(uint64, optional, tag = "9")]
        pub vm_hwm_kb: ::core::option::Option<u64>,
        #[prost(int64, optional, tag = "10")]
        pub oom_score_adj: ::core::option::Option<i64>,
        /// The peak resident set size is resettable in newer Posix kernels.
        /// This field specifies if reset is supported and if the writer had reset
        /// the peaks after each process stats recording.
        #[prost(bool, optional, tag = "12")]
        pub is_peak_rss_resettable: ::core::option::Option<bool>,
        /// Private, shared and swap footprint of the process as measured by
        /// Chrome. To know more about these metrics refer to:
        /// <https://docs.google.com/document/d/1_WmgE1F5WUrhwkPqJis3dWyOiUmQKvpXp5cd4w86TvA>
        #[prost(uint32, optional, tag = "13")]
        pub chrome_private_footprint_kb: ::core::option::Option<u32>,
        #[prost(uint32, optional, tag = "14")]
        pub chrome_peak_resident_set_kb: ::core::option::Option<u32>,
        #[prost(message, repeated, tag = "15")]
        pub fds: ::prost::alloc::vec::Vec<FdInfo>,
        /// These fields are set only when scan_smaps_rollup=true
        #[prost(uint64, optional, tag = "16")]
        pub smr_rss_kb: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "17")]
        pub smr_pss_kb: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "18")]
        pub smr_pss_anon_kb: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "19")]
        pub smr_pss_file_kb: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "20")]
        pub smr_pss_shmem_kb: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "23")]
        pub smr_swap_pss_kb: ::core::option::Option<u64>,
        /// Time spent scheduled in user mode in nanoseconds. Parsed from utime in
        /// /proc/pid/stat. Recorded if record_process_runtime config option is set.
        /// Resolution of "clock ticks", usually 10ms.
        #[prost(uint64, optional, tag = "21")]
        pub runtime_user_mode: ::core::option::Option<u64>,
        /// Time spent scheduled in kernel mode in nanoseconds. Parsed from stime in
        /// /proc/pid/stat. Recorded if record_process_runtime config option is set.
        /// Resolution of "clock ticks", usually 10ms.
        #[prost(uint64, optional, tag = "22")]
        pub runtime_kernel_mode: ::core::option::Option<u64>,
    }
}
/// Metadata about the processes and threads in the trace.
/// Note: this proto was designed to be filled in by traced_probes and should
/// only be populated with accurate information coming from the system. Other
/// trace writers should prefer to fill ThreadDescriptor and ProcessDescriptor
/// in TrackDescriptor.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ProcessTree {
    /// List of processes and threads in the client. These lists are incremental
    /// and not exhaustive. A process and its threads might show up separately in
    /// different ProcessTree messages. A thread might event not show up at all, if
    /// no sched_switch activity was detected, for instance:
    /// #0 { processes: \[{pid: 10, ...}\], threads: \[{pid: 11, tgid: 10}\] }
    /// #1 { threads: \[{pid: 12, tgid: 10}\] }
    /// #2 { processes: \[{pid: 20, ...}\], threads: \[{pid: 13, tgid: 10}\] }
    #[prost(message, repeated, tag = "1")]
    pub processes: ::prost::alloc::vec::Vec<process_tree::Process>,
    #[prost(message, repeated, tag = "2")]
    pub threads: ::prost::alloc::vec::Vec<process_tree::Thread>,
    /// The time at which we finish collecting this process tree;
    /// the top-level packet timestamp is the time at which
    /// we begin collection.
    #[prost(uint64, optional, tag = "3")]
    pub collection_end_timestamp: ::core::option::Option<u64>,
}
/// Nested message and enum types in `ProcessTree`.
pub mod process_tree {
    /// Representation of a thread.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Thread {
        /// The thread ID (as per gettid()) in the root PID namespace.
        #[prost(int32, optional, tag = "1")]
        pub tid: ::core::option::Option<i32>,
        /// Thread group id (i.e. the PID of the process, == TID of the main thread)
        #[prost(int32, optional, tag = "3")]
        pub tgid: ::core::option::Option<i32>,
        /// The name of the thread.
        #[prost(string, optional, tag = "2")]
        pub name: ::core::option::Option<::prost::alloc::string::String>,
        /// The non-root-level thread IDs if the thread runs in a PID namespace. Read
        /// from the NSpid entry of /proc/<tid>/status, with the first element (root-
        /// level thread ID) omitted.
        #[prost(int32, repeated, packed = "false", tag = "4")]
        pub nstid: ::prost::alloc::vec::Vec<i32>,
    }
    /// Representation of a process.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Process {
        /// The UNIX process ID, aka thread group ID (as per getpid()) in the root
        /// PID namespace.
        #[prost(int32, optional, tag = "1")]
        pub pid: ::core::option::Option<i32>,
        /// The parent process ID, as per getppid().
        #[prost(int32, optional, tag = "2")]
        pub ppid: ::core::option::Option<i32>,
        /// The command line for the process, as per /proc/pid/cmdline.
        /// If it is a kernel thread there will only be one cmdline field
        /// and it will contain /proc/pid/comm.
        #[prost(string, repeated, tag = "3")]
        pub cmdline: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
        /// The uid for the process, as per /proc/pid/status.
        #[prost(int32, optional, tag = "5")]
        pub uid: ::core::option::Option<i32>,
        /// The non-root-level process IDs if the process runs in a PID namespace.
        /// Read from the NSpid entry of /proc/<pid>/status, with the first element
        /// (root-level process ID) omitted.
        #[prost(int32, repeated, packed = "false", tag = "6")]
        pub nspid: ::prost::alloc::vec::Vec<i32>,
        /// Timestamp of when the process was created, in nanoseconds
        /// from boot. Parsed from starttime in /proc/pid/stat.
        /// Recorded if record_process_age config option is set.
        /// Resolution of "clock ticks", usually 10ms.
        #[prost(uint64, optional, tag = "7")]
        pub process_start_from_boot: ::core::option::Option<u64>,
    }
}
/// Various Linux system stat counters from /proc.
/// The fields in this message can be reported at different rates and with
/// different granularity. See sys_stats_config.proto.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SysStats {
    #[prost(message, repeated, tag = "1")]
    pub meminfo: ::prost::alloc::vec::Vec<sys_stats::MeminfoValue>,
    #[prost(message, repeated, tag = "2")]
    pub vmstat: ::prost::alloc::vec::Vec<sys_stats::VmstatValue>,
    /// One entry per cpu.
    #[prost(message, repeated, tag = "3")]
    pub cpu_stat: ::prost::alloc::vec::Vec<sys_stats::CpuTimes>,
    /// Num processes forked since boot.
    /// Populated only if FORK_COUNT in config.stat_counters.
    #[prost(uint64, optional, tag = "4")]
    pub num_forks: ::core::option::Option<u64>,
    /// Total num of irqs serviced since boot.
    #[prost(uint64, optional, tag = "5")]
    pub num_irq_total: ::core::option::Option<u64>,
    #[prost(message, repeated, tag = "6")]
    pub num_irq: ::prost::alloc::vec::Vec<sys_stats::InterruptCount>,
    /// Total num of softirqs since boot.
    #[prost(uint64, optional, tag = "7")]
    pub num_softirq_total: ::core::option::Option<u64>,
    /// Per-softirq count.
    #[prost(message, repeated, tag = "8")]
    pub num_softirq: ::prost::alloc::vec::Vec<sys_stats::InterruptCount>,
    /// The time at which we finish collecting this set of samples;
    /// the top-level packet timestamp is the time at which
    /// we begin collection.
    #[prost(uint64, optional, tag = "9")]
    pub collection_end_timestamp: ::core::option::Option<u64>,
    /// One entry per device.
    #[prost(message, repeated, tag = "10")]
    pub devfreq: ::prost::alloc::vec::Vec<sys_stats::DevfreqValue>,
    /// Cpu current frequency from
    /// /sys/devices/system/cpu/cpu*/cpufreq/cpuinfo_cur_freq in kHz.
    /// One entry per cpu. Report 0 for offline cpu
    #[prost(uint32, repeated, packed = "false", tag = "11")]
    pub cpufreq_khz: ::prost::alloc::vec::Vec<u32>,
    /// One entry per each node's zones.
    #[prost(message, repeated, tag = "12")]
    pub buddy_info: ::prost::alloc::vec::Vec<sys_stats::BuddyInfo>,
    /// One entry per disk device.
    #[prost(message, repeated, tag = "13")]
    pub disk_stat: ::prost::alloc::vec::Vec<sys_stats::DiskStat>,
    /// One entry per PsiResource type.
    #[prost(message, repeated, tag = "14")]
    pub psi: ::prost::alloc::vec::Vec<sys_stats::PsiSample>,
    #[prost(message, repeated, tag = "15")]
    pub thermal_zone: ::prost::alloc::vec::Vec<sys_stats::ThermalZone>,
    #[prost(message, repeated, tag = "16")]
    pub cpuidle_state: ::prost::alloc::vec::Vec<sys_stats::CpuIdleState>,
    /// Read GPU frequency info on Intel/AMD devices.
    #[prost(uint64, repeated, packed = "false", tag = "17")]
    pub gpufreq_mhz: ::prost::alloc::vec::Vec<u64>,
}
/// Nested message and enum types in `SysStats`.
pub mod sys_stats {
    /// Counters from /proc/meminfo. Values are in KB.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct MeminfoValue {
        #[prost(enumeration = "super::MeminfoCounters", optional, tag = "1")]
        pub key: ::core::option::Option<i32>,
        #[prost(uint64, optional, tag = "2")]
        pub value: ::core::option::Option<u64>,
    }
    /// Counter from /proc/vmstat. Units are often pages, not KB.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct VmstatValue {
        #[prost(enumeration = "super::VmstatCounters", optional, tag = "1")]
        pub key: ::core::option::Option<i32>,
        #[prost(uint64, optional, tag = "2")]
        pub value: ::core::option::Option<u64>,
    }
    /// Times in each mode, since boot. Unit: nanoseconds.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct CpuTimes {
        #[prost(uint32, optional, tag = "1")]
        pub cpu_id: ::core::option::Option<u32>,
        /// Time spent in user mode.
        #[prost(uint64, optional, tag = "2")]
        pub user_ns: ::core::option::Option<u64>,
        /// Time spent in user mode (low prio).
        #[prost(uint64, optional, tag = "3")]
        pub user_nice_ns: ::core::option::Option<u64>,
        /// Time spent in system mode.
        #[prost(uint64, optional, tag = "4")]
        pub system_mode_ns: ::core::option::Option<u64>,
        /// Time spent in the idle task.
        #[prost(uint64, optional, tag = "5")]
        pub idle_ns: ::core::option::Option<u64>,
        /// Time spent waiting for I/O.
        #[prost(uint64, optional, tag = "6")]
        pub io_wait_ns: ::core::option::Option<u64>,
        /// Time spent servicing interrupts.
        #[prost(uint64, optional, tag = "7")]
        pub irq_ns: ::core::option::Option<u64>,
        /// Time spent servicing softirqs.
        #[prost(uint64, optional, tag = "8")]
        pub softirq_ns: ::core::option::Option<u64>,
    }
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct InterruptCount {
        #[prost(int32, optional, tag = "1")]
        pub irq: ::core::option::Option<i32>,
        #[prost(uint64, optional, tag = "2")]
        pub count: ::core::option::Option<u64>,
    }
    /// Frequencies for /sys/class/devfreq/ entries in kHz.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct DevfreqValue {
        #[prost(string, optional, tag = "1")]
        pub key: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(uint64, optional, tag = "2")]
        pub value: ::core::option::Option<u64>,
    }
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct BuddyInfo {
        #[prost(string, optional, tag = "1")]
        pub node: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(string, optional, tag = "2")]
        pub zone: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(uint32, repeated, packed = "false", tag = "3")]
        pub order_pages: ::prost::alloc::vec::Vec<u32>,
    }
    /// Counters from /proc/diskstats.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct DiskStat {
        #[prost(string, optional, tag = "1")]
        pub device_name: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(uint64, optional, tag = "2")]
        pub read_sectors: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "3")]
        pub read_time_ms: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "4")]
        pub write_sectors: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "5")]
        pub write_time_ms: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "6")]
        pub discard_sectors: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "7")]
        pub discard_time_ms: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "8")]
        pub flush_count: ::core::option::Option<u64>,
        #[prost(uint64, optional, tag = "9")]
        pub flush_time_ms: ::core::option::Option<u64>,
    }
    /// Reading from /proc/pressure/*.
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct PsiSample {
        #[prost(enumeration = "psi_sample::PsiResource", optional, tag = "1")]
        pub resource: ::core::option::Option<i32>,
        /// Total absolute stall time (in nanos) for a given resource.
        /// While PSI readings are in micros, we store in nanos for consistency with
        /// most other time-based counters.
        #[prost(uint64, optional, tag = "2")]
        pub total_ns: ::core::option::Option<u64>,
    }
    /// Nested message and enum types in `PsiSample`.
    pub mod psi_sample {
        /// Type of resource that may have exhibited pressure stalls.
        ///     * _SOME indicates some resource tasks stalled.
        ///     * _FULL indicates all non-idle resource tasks stalled simultaneously.
        #[derive(
            Clone,
            Copy,
            Debug,
            PartialEq,
            Eq,
            Hash,
            PartialOrd,
            Ord,
            ::prost::Enumeration
        )]
        #[repr(i32)]
        pub enum PsiResource {
            Unspecified = 0,
            CpuSome = 1,
            CpuFull = 2,
            IoSome = 3,
            IoFull = 4,
            MemorySome = 5,
            MemoryFull = 6,
        }
        impl PsiResource {
            /// String value of the enum field names used in the ProtoBuf definition.
            ///
            /// The values are not transformed in any way and thus are considered stable
            /// (if the ProtoBuf definition does not change) and safe for programmatic use.
            pub fn as_str_name(&self) -> &'static str {
                match self {
                    Self::Unspecified => "PSI_RESOURCE_UNSPECIFIED",
                    Self::CpuSome => "PSI_RESOURCE_CPU_SOME",
                    Self::CpuFull => "PSI_RESOURCE_CPU_FULL",
                    Self::IoSome => "PSI_RESOURCE_IO_SOME",
                    Self::IoFull => "PSI_RESOURCE_IO_FULL",
                    Self::MemorySome => "PSI_RESOURCE_MEMORY_SOME",
                    Self::MemoryFull => "PSI_RESOURCE_MEMORY_FULL",
                }
            }
            /// Creates an enum from field names used in the ProtoBuf definition.
            pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
                match value {
                    "PSI_RESOURCE_UNSPECIFIED" => Some(Self::Unspecified),
                    "PSI_RESOURCE_CPU_SOME" => Some(Self::CpuSome),
                    "PSI_RESOURCE_CPU_FULL" => Some(Self::CpuFull),
                    "PSI_RESOURCE_IO_SOME" => Some(Self::IoSome),
                    "PSI_RESOURCE_IO_FULL" => Some(Self::IoFull),
                    "PSI_RESOURCE_MEMORY_SOME" => Some(Self::MemorySome),
                    "PSI_RESOURCE_MEMORY_FULL" => Some(Self::MemoryFull),
                    _ => None,
                }
            }
        }
    }
    /// Reading from /sys/class/thermal/*.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct ThermalZone {
        #[prost(string, optional, tag = "1")]
        pub name: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(uint64, optional, tag = "2")]
        pub temp: ::core::option::Option<u64>,
        #[prost(string, optional, tag = "3")]
        pub r#type: ::core::option::Option<::prost::alloc::string::String>,
    }
    /// Reading from /sys/devices/system/cpu/cpu*/cpuidle/state*.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct CpuIdleStateEntry {
        /// Name of the idle state, e.g. C1-C10
        #[prost(string, optional, tag = "1")]
        pub state: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(uint64, optional, tag = "2")]
        pub duration_us: ::core::option::Option<u64>,
    }
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct CpuIdleState {
        #[prost(uint32, optional, tag = "1")]
        pub cpu_id: ::core::option::Option<u32>,
        #[prost(message, repeated, tag = "2")]
        pub cpuidle_state_entry: ::prost::alloc::vec::Vec<CpuIdleStateEntry>,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct Utsname {
    #[prost(string, optional, tag = "1")]
    pub sysname: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "2")]
    pub version: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "3")]
    pub release: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "4")]
    pub machine: ::core::option::Option<::prost::alloc::string::String>,
}
/// Next id: 15;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SystemInfo {
    #[prost(message, optional, tag = "1")]
    pub utsname: ::core::option::Option<Utsname>,
    #[prost(string, optional, tag = "2")]
    pub android_build_fingerprint: ::core::option::Option<
        ::prost::alloc::string::String,
    >,
    /// The manufacturer of the product/hardware.
    /// Source : "ro.product.manufacturer"
    /// Introduced after Android W in Nov 2024 and is not supported on older
    /// versions.
    #[prost(string, optional, tag = "14")]
    pub android_device_manufacturer: ::core::option::Option<
        ::prost::alloc::string::String,
    >,
    /// The SoC model from which trace is collected
    #[prost(string, optional, tag = "9")]
    pub android_soc_model: ::core::option::Option<::prost::alloc::string::String>,
    /// The guest SoC model from which trace is collected in case of VMs
    #[prost(string, optional, tag = "13")]
    pub android_guest_soc_model: ::core::option::Option<::prost::alloc::string::String>,
    /// The hardware reversion from android device
    #[prost(string, optional, tag = "10")]
    pub android_hardware_revision: ::core::option::Option<
        ::prost::alloc::string::String,
    >,
    /// The storage component from android_device. This field has been introduced
    /// after Android W in Aug 2024 and is not supported on older versions.
    #[prost(string, optional, tag = "11")]
    pub android_storage_model: ::core::option::Option<::prost::alloc::string::String>,
    /// The RAM component information from android device. This field has been
    /// introduced after Android W in Aug 2024 and is not supported on older
    /// versions.
    #[prost(string, optional, tag = "12")]
    pub android_ram_model: ::core::option::Option<::prost::alloc::string::String>,
    /// The version of traced (the same returned by `traced --version`).
    /// This is a human readable string with and its format varies depending on
    /// the build system and the repo (standalone vs AOSP).
    /// This is intended for human debugging only.
    #[prost(string, optional, tag = "4")]
    pub tracing_service_version: ::core::option::Option<::prost::alloc::string::String>,
    /// The Android SDK vesion (e.g. 21 for L, 31 for S etc).
    /// Introduced in Android T.
    #[prost(uint64, optional, tag = "5")]
    pub android_sdk_version: ::core::option::Option<u64>,
    /// Kernel page size - sysconf(_SC_PAGESIZE).
    #[prost(uint32, optional, tag = "6")]
    pub page_size: ::core::option::Option<u32>,
    /// Number of cpus - sysconf(_SC_NPROCESSORS_CONF).
    /// Might be different to the number of online cpus.
    /// Introduced in perfetto v44.
    #[prost(uint32, optional, tag = "8")]
    pub num_cpus: ::core::option::Option<u32>,
    /// The timezone offset from UTC, as per strftime("%z"), in minutes.
    /// Introduced in v38 / Android V.
    #[prost(int32, optional, tag = "7")]
    pub timezone_off_mins: ::core::option::Option<i32>,
    /// Ticks per second - sysconf(_SC_CLK_TCK).
    /// Not serialised as of perfetto v44.
    #[prost(int64, optional, tag = "3")]
    pub hz: ::core::option::Option<i64>,
}
/// Information about CPUs from procfs and sysfs.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CpuInfo {
    /// Describes available CPUs, one entry per CPU.
    #[prost(message, repeated, tag = "1")]
    pub cpus: ::prost::alloc::vec::Vec<cpu_info::Cpu>,
}
/// Nested message and enum types in `CpuInfo`.
pub mod cpu_info {
    #[derive(Clone, Copy, PartialEq, ::prost::Message)]
    pub struct ArmCpuIdentifier {
        /// Implementer code
        #[prost(uint32, optional, tag = "1")]
        pub implementer: ::core::option::Option<u32>,
        /// Architecture code
        #[prost(uint32, optional, tag = "2")]
        pub architecture: ::core::option::Option<u32>,
        /// CPU variant
        #[prost(uint32, optional, tag = "3")]
        pub variant: ::core::option::Option<u32>,
        /// CPU part
        #[prost(uint32, optional, tag = "4")]
        pub part: ::core::option::Option<u32>,
        /// CPU revision
        #[prost(uint32, optional, tag = "5")]
        pub revision: ::core::option::Option<u32>,
    }
    /// Information about a single CPU.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Cpu {
        /// Value of "Processor" field from /proc/cpuinfo for this CPU.
        /// Example: "AArch64 Processor rev 12 (aarch64)"
        #[prost(string, optional, tag = "1")]
        pub processor: ::core::option::Option<::prost::alloc::string::String>,
        /// Frequencies from
        /// /sys/devices/system/cpu/cpuX/cpufreq/scaling_available_frequencies
        /// where X is the index of this CPU.
        #[prost(uint32, repeated, packed = "false", tag = "2")]
        pub frequencies: ::prost::alloc::vec::Vec<u32>,
        /// Cpu capacity from /sys/devices/system/cpu/cpuX/cpu_capacity where X is
        /// the index of this CPU.
        #[prost(uint32, optional, tag = "3")]
        pub capacity: ::core::option::Option<u32>,
        /// Code to identify the CPU
        #[prost(oneof = "cpu::Identifier", tags = "4")]
        pub identifier: ::core::option::Option<cpu::Identifier>,
    }
    /// Nested message and enum types in `Cpu`.
    pub mod cpu {
        /// Code to identify the CPU
        #[derive(Clone, Copy, PartialEq, ::prost::Oneof)]
        pub enum Identifier {
            #[prost(message, tag = "4")]
            ArmIdentifier(super::ArmCpuIdentifier),
        }
    }
}
/// Event used by testing code.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TestEvent {
    /// Arbitrary string used in tests.
    #[prost(string, optional, tag = "1")]
    pub str: ::core::option::Option<::prost::alloc::string::String>,
    /// The current value of the random number sequence used in tests.
    #[prost(uint32, optional, tag = "2")]
    pub seq_value: ::core::option::Option<u32>,
    /// Monotonically increased on each packet.
    #[prost(uint64, optional, tag = "3")]
    pub counter: ::core::option::Option<u64>,
    /// No more packets should follow (from the current sequence).
    #[prost(bool, optional, tag = "4")]
    pub is_last: ::core::option::Option<bool>,
    #[prost(message, optional, tag = "5")]
    pub payload: ::core::option::Option<test_event::TestPayload>,
}
/// Nested message and enum types in `TestEvent`.
pub mod test_event {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct TestPayload {
        #[prost(string, repeated, tag = "1")]
        pub str: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
        #[prost(message, repeated, tag = "2")]
        pub nested: ::prost::alloc::vec::Vec<TestPayload>,
        #[prost(string, optional, tag = "4")]
        pub single_string: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(int32, optional, tag = "5")]
        pub single_int: ::core::option::Option<i32>,
        #[prost(int32, repeated, packed = "false", tag = "6")]
        pub repeated_ints: ::prost::alloc::vec::Vec<i32>,
        /// When 0 this is the bottom-most nested message.
        #[prost(uint32, optional, tag = "3")]
        pub remaining_nesting_depth: ::core::option::Option<u32>,
        #[prost(message, repeated, tag = "7")]
        pub debug_annotations: ::prost::alloc::vec::Vec<super::DebugAnnotation>,
    }
}
/// Default values for TracePacket fields that hold for a particular TraceWriter
/// packet sequence. This message contains a subset of the TracePacket fields
/// with matching IDs. When provided, these fields define the default values
/// that should be applied, at import time, to all TracePacket(s) with the same
/// |trusted_packet_sequence_id|, unless otherwise specified in each packet.
///
/// Should be reemitted whenever incremental state is cleared on the sequence.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TracePacketDefaults {
    #[prost(uint32, optional, tag = "58")]
    pub timestamp_clock_id: ::core::option::Option<u32>,
    /// Default values for TrackEvents (e.g. default track).
    #[prost(message, optional, tag = "11")]
    pub track_event_defaults: ::core::option::Option<TrackEventDefaults>,
}
/// A random unique ID that identifies the trace.
/// This message has been introduced in v32. Prior to that, the UUID was
/// only (optionally) present in the TraceConfig.trace_uuid_msb/lsb fields.
/// This has been moved to a standalone packet to deal with new use-cases for
/// go/gapless-aot, where the same tracing session can be serialized several
/// times, in which case the UUID is changed on each snapshot and does not match
/// the one in the TraceConfig.
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TraceUuid {
    #[prost(int64, optional, tag = "1")]
    pub msb: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "2")]
    pub lsb: ::core::option::Option<i64>,
}
/// Describes a process's attributes. Emitted as part of a TrackDescriptor,
/// usually by the process's main thread.
///
/// Next id: 9.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ProcessDescriptor {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
    #[prost(string, repeated, tag = "2")]
    pub cmdline: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "6")]
    pub process_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(int32, optional, tag = "5")]
    pub process_priority: ::core::option::Option<i32>,
    /// Process start time in nanoseconds.
    /// The timestamp refers to the trace clock by default. Other clock IDs
    /// provided in TracePacket are not supported.
    #[prost(int64, optional, tag = "7")]
    pub start_timestamp_ns: ::core::option::Option<i64>,
    #[prost(enumeration = "process_descriptor::ChromeProcessType", optional, tag = "4")]
    pub chrome_process_type: ::core::option::Option<i32>,
    /// To support old UI. New UI should determine default sorting by process_type.
    #[prost(int32, optional, tag = "3")]
    pub legacy_sort_index: ::core::option::Option<i32>,
    /// Labels can be used to further describe properties of the work performed by
    /// the process. For example, these can be used by Chrome renderer process to
    /// provide titles of frames being rendered.
    #[prost(string, repeated, tag = "8")]
    pub process_labels: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
}
/// Nested message and enum types in `ProcessDescriptor`.
pub mod process_descriptor {
    /// See chromium's content::ProcessType.
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum ChromeProcessType {
        ProcessUnspecified = 0,
        ProcessBrowser = 1,
        ProcessRenderer = 2,
        ProcessUtility = 3,
        ProcessZygote = 4,
        ProcessSandboxHelper = 5,
        ProcessGpu = 6,
        ProcessPpapiPlugin = 7,
        ProcessPpapiBroker = 8,
    }
    impl ChromeProcessType {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::ProcessUnspecified => "PROCESS_UNSPECIFIED",
                Self::ProcessBrowser => "PROCESS_BROWSER",
                Self::ProcessRenderer => "PROCESS_RENDERER",
                Self::ProcessUtility => "PROCESS_UTILITY",
                Self::ProcessZygote => "PROCESS_ZYGOTE",
                Self::ProcessSandboxHelper => "PROCESS_SANDBOX_HELPER",
                Self::ProcessGpu => "PROCESS_GPU",
                Self::ProcessPpapiPlugin => "PROCESS_PPAPI_PLUGIN",
                Self::ProcessPpapiBroker => "PROCESS_PPAPI_BROKER",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "PROCESS_UNSPECIFIED" => Some(Self::ProcessUnspecified),
                "PROCESS_BROWSER" => Some(Self::ProcessBrowser),
                "PROCESS_RENDERER" => Some(Self::ProcessRenderer),
                "PROCESS_UTILITY" => Some(Self::ProcessUtility),
                "PROCESS_ZYGOTE" => Some(Self::ProcessZygote),
                "PROCESS_SANDBOX_HELPER" => Some(Self::ProcessSandboxHelper),
                "PROCESS_GPU" => Some(Self::ProcessGpu),
                "PROCESS_PPAPI_PLUGIN" => Some(Self::ProcessPpapiPlugin),
                "PROCESS_PPAPI_BROKER" => Some(Self::ProcessPpapiBroker),
                _ => None,
            }
        }
    }
}
/// This message specifies the "range of interest" for track events. With the
/// `drop_track_event_data_before` option set to `kTrackEventRangeOfInterest`,
/// Trace Processor drops track events outside of this range.
#[derive(Clone, Copy, PartialEq, ::prost::Message)]
pub struct TrackEventRangeOfInterest {
    #[prost(int64, optional, tag = "1")]
    pub start_us: ::core::option::Option<i64>,
}
/// Describes a thread's attributes. Emitted as part of a TrackDescriptor,
/// usually by the thread's trace writer.
///
/// Next id: 9.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ThreadDescriptor {
    #[prost(int32, optional, tag = "1")]
    pub pid: ::core::option::Option<i32>,
    #[prost(int32, optional, tag = "2")]
    pub tid: ::core::option::Option<i32>,
    #[prost(string, optional, tag = "5")]
    pub thread_name: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(enumeration = "thread_descriptor::ChromeThreadType", optional, tag = "4")]
    pub chrome_thread_type: ::core::option::Option<i32>,
    /// Deprecated. Use ClockSnapshot in combination with TracePacket's timestamp
    /// and timestamp_clock_id fields instead.
    #[prost(int64, optional, tag = "6")]
    pub reference_timestamp_us: ::core::option::Option<i64>,
    /// Absolute reference values. Clock values in subsequent TrackEvents can be
    /// encoded accumulatively and relative to these. This reduces their var-int
    /// encoding size.
    /// TODO(eseckler): Deprecated. Replace these with ClockSnapshot encoding.
    #[prost(int64, optional, tag = "7")]
    pub reference_thread_time_us: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "8")]
    pub reference_thread_instruction_count: ::core::option::Option<i64>,
    /// To support old UI. New UI should determine default sorting by thread_type.
    #[prost(int32, optional, tag = "3")]
    pub legacy_sort_index: ::core::option::Option<i32>,
}
/// Nested message and enum types in `ThreadDescriptor`.
pub mod thread_descriptor {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum ChromeThreadType {
        ChromeThreadUnspecified = 0,
        ChromeThreadMain = 1,
        ChromeThreadIo = 2,
        /// Scheduler:
        ChromeThreadPoolBgWorker = 3,
        ChromeThreadPoolFgWorker = 4,
        ChromeThreadPoolFbBlocking = 5,
        ChromeThreadPoolBgBlocking = 6,
        ChromeThreadPoolService = 7,
        /// Compositor:
        ChromeThreadCompositor = 8,
        ChromeThreadVizCompositor = 9,
        ChromeThreadCompositorWorker = 10,
        /// Renderer:
        ChromeThreadServiceWorker = 11,
        /// Tracing related threads:
        ChromeThreadMemoryInfra = 50,
        ChromeThreadSamplingProfiler = 51,
    }
    impl ChromeThreadType {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::ChromeThreadUnspecified => "CHROME_THREAD_UNSPECIFIED",
                Self::ChromeThreadMain => "CHROME_THREAD_MAIN",
                Self::ChromeThreadIo => "CHROME_THREAD_IO",
                Self::ChromeThreadPoolBgWorker => "CHROME_THREAD_POOL_BG_WORKER",
                Self::ChromeThreadPoolFgWorker => "CHROME_THREAD_POOL_FG_WORKER",
                Self::ChromeThreadPoolFbBlocking => "CHROME_THREAD_POOL_FB_BLOCKING",
                Self::ChromeThreadPoolBgBlocking => "CHROME_THREAD_POOL_BG_BLOCKING",
                Self::ChromeThreadPoolService => "CHROME_THREAD_POOL_SERVICE",
                Self::ChromeThreadCompositor => "CHROME_THREAD_COMPOSITOR",
                Self::ChromeThreadVizCompositor => "CHROME_THREAD_VIZ_COMPOSITOR",
                Self::ChromeThreadCompositorWorker => "CHROME_THREAD_COMPOSITOR_WORKER",
                Self::ChromeThreadServiceWorker => "CHROME_THREAD_SERVICE_WORKER",
                Self::ChromeThreadMemoryInfra => "CHROME_THREAD_MEMORY_INFRA",
                Self::ChromeThreadSamplingProfiler => "CHROME_THREAD_SAMPLING_PROFILER",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "CHROME_THREAD_UNSPECIFIED" => Some(Self::ChromeThreadUnspecified),
                "CHROME_THREAD_MAIN" => Some(Self::ChromeThreadMain),
                "CHROME_THREAD_IO" => Some(Self::ChromeThreadIo),
                "CHROME_THREAD_POOL_BG_WORKER" => Some(Self::ChromeThreadPoolBgWorker),
                "CHROME_THREAD_POOL_FG_WORKER" => Some(Self::ChromeThreadPoolFgWorker),
                "CHROME_THREAD_POOL_FB_BLOCKING" => {
                    Some(Self::ChromeThreadPoolFbBlocking)
                }
                "CHROME_THREAD_POOL_BG_BLOCKING" => {
                    Some(Self::ChromeThreadPoolBgBlocking)
                }
                "CHROME_THREAD_POOL_SERVICE" => Some(Self::ChromeThreadPoolService),
                "CHROME_THREAD_COMPOSITOR" => Some(Self::ChromeThreadCompositor),
                "CHROME_THREAD_VIZ_COMPOSITOR" => Some(Self::ChromeThreadVizCompositor),
                "CHROME_THREAD_COMPOSITOR_WORKER" => {
                    Some(Self::ChromeThreadCompositorWorker)
                }
                "CHROME_THREAD_SERVICE_WORKER" => Some(Self::ChromeThreadServiceWorker),
                "CHROME_THREAD_MEMORY_INFRA" => Some(Self::ChromeThreadMemoryInfra),
                "CHROME_THREAD_SAMPLING_PROFILER" => {
                    Some(Self::ChromeThreadSamplingProfiler)
                }
                _ => None,
            }
        }
    }
}
/// Defines properties of a counter track, e.g. for built-in counters (thread
/// time, instruction count, ..) or user-specified counters (e.g. memory usage of
/// a specific app component).
///
/// Counter tracks only support TYPE_COUNTER track events, which specify new
/// values for the counter. For counters that require per-slice values, counter
/// values can instead be provided in a more efficient encoding via TrackEvent's
/// |extra_counter_track_uuids| and |extra_counter_values| fields. However,
/// slice-type events cannot be emitted onto a counter track.
///
/// Values for counters that are only emitted on a single packet sequence can
/// optionally be delta-encoded, see |is_incremental|.
///
/// Next id: 7.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CounterDescriptor {
    /// For built-in counters (e.g. thread time). Custom user-specified counters
    /// (e.g. those emitted by TRACE_COUNTER macros of the client library)
    /// shouldn't set this, and instead provide a counter name via TrackDescriptor.
    #[prost(enumeration = "counter_descriptor::BuiltinCounterType", optional, tag = "1")]
    pub r#type: ::core::option::Option<i32>,
    /// Names of categories of the counter (usually for user-specified counters).
    /// In the client library, categories are a way to turn groups of individual
    /// counters (or events) on or off.
    #[prost(string, repeated, tag = "2")]
    pub categories: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
    /// Type of the counter's values. Built-in counters imply a value for this
    /// field.
    #[prost(enumeration = "counter_descriptor::Unit", optional, tag = "3")]
    pub unit: ::core::option::Option<i32>,
    /// In order to use a unit not defined as a part of |Unit|, a free-form unit
    /// name can be used instead.
    #[prost(string, optional, tag = "6")]
    pub unit_name: ::core::option::Option<::prost::alloc::string::String>,
    /// Multiplication factor of this counter's values, e.g. to supply
    /// COUNTER_THREAD_TIME_NS timestamps in microseconds instead.
    #[prost(int64, optional, tag = "4")]
    pub unit_multiplier: ::core::option::Option<i64>,
    /// Whether values for this counter are provided as delta values. Only
    /// supported for counters that are emitted on a single packet-sequence (e.g.
    /// thread time). Counter values in subsequent packets on the current packet
    /// sequence will be interpreted as delta values from the sequence's most
    /// recent value for the counter. When incremental state is cleared, the
    /// counter value is considered to be reset to 0. Thus, the first value after
    /// incremental state is cleared is effectively an absolute value.
    #[prost(bool, optional, tag = "5")]
    pub is_incremental: ::core::option::Option<bool>,
}
/// Nested message and enum types in `CounterDescriptor`.
pub mod counter_descriptor {
    /// Built-in counters, usually with special meaning in the client library,
    /// trace processor, legacy JSON format, or UI. Trace processor will infer a
    /// track name from the enum value if none is provided in TrackDescriptor.
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum BuiltinCounterType {
        CounterUnspecified = 0,
        /// implies UNIT_TIME_NS.
        CounterThreadTimeNs = 1,
        /// implies UNIT_COUNT.
        CounterThreadInstructionCount = 2,
    }
    impl BuiltinCounterType {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::CounterUnspecified => "COUNTER_UNSPECIFIED",
                Self::CounterThreadTimeNs => "COUNTER_THREAD_TIME_NS",
                Self::CounterThreadInstructionCount => "COUNTER_THREAD_INSTRUCTION_COUNT",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "COUNTER_UNSPECIFIED" => Some(Self::CounterUnspecified),
                "COUNTER_THREAD_TIME_NS" => Some(Self::CounterThreadTimeNs),
                "COUNTER_THREAD_INSTRUCTION_COUNT" => {
                    Some(Self::CounterThreadInstructionCount)
                }
                _ => None,
            }
        }
    }
    /// Type of the values for the counters - to supply lower granularity units,
    /// see also |unit_multiplier|.
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum Unit {
        Unspecified = 0,
        TimeNs = 1,
        Count = 2,
        /// TODO(eseckler): Support more units as necessary.
        SizeBytes = 3,
    }
    impl Unit {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Unspecified => "UNIT_UNSPECIFIED",
                Self::TimeNs => "UNIT_TIME_NS",
                Self::Count => "UNIT_COUNT",
                Self::SizeBytes => "UNIT_SIZE_BYTES",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "UNIT_UNSPECIFIED" => Some(Self::Unspecified),
                "UNIT_TIME_NS" => Some(Self::TimeNs),
                "UNIT_COUNT" => Some(Self::Count),
                "UNIT_SIZE_BYTES" => Some(Self::SizeBytes),
                _ => None,
            }
        }
    }
}
/// Defines a track for TrackEvents. Slices and instant events on the same track
/// will be nested based on their timestamps, see TrackEvent::Type.
///
/// A TrackDescriptor only needs to be emitted by one trace writer / producer and
/// is valid for the entirety of the trace. To ensure the descriptor isn't lost
/// when the ring buffer wraps, it should be reemitted whenever incremental state
/// is cleared.
///
/// As a fallback, TrackEvents emitted without an explicit track association will
/// be associated with an implicit trace-global track (uuid = 0), see also
/// |TrackEvent::track_uuid|. It is possible but not necessary to emit a
/// TrackDescriptor for this implicit track.
///
/// Next id: 14.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TrackDescriptor {
    /// Unique ID that identifies this track. This ID is global to the whole trace.
    /// Producers should ensure that it is unlikely to clash with IDs emitted by
    /// other producers. A value of 0 denotes the implicit trace-global track.
    ///
    /// For example, legacy TRACE_EVENT macros may use a hash involving the async
    /// event id + id_scope, pid, and/or tid to compute this ID.
    #[prost(uint64, optional, tag = "1")]
    pub uuid: ::core::option::Option<u64>,
    /// A parent track reference can be used to describe relationships between
    /// tracks. For example, to define an asynchronous track which is scoped to a
    /// specific process, specify the uuid for that process's process track here.
    /// Similarly, to associate a COUNTER_THREAD_TIME_NS counter track with a
    /// thread, specify the uuid for that thread's thread track here.
    #[prost(uint64, optional, tag = "5")]
    pub parent_uuid: ::core::option::Option<u64>,
    /// Associate the track with a process, making it the process-global track.
    /// There should only be one such track per process (usually for instant
    /// events; trace processor uses this fact to detect pid reuse). If you need
    /// more (e.g. for asynchronous events), create child tracks using parent_uuid.
    ///
    /// Trace processor will merge events on a process track with slice-type events
    /// from other sources (e.g. ftrace) for the same process into a single
    /// timeline view.
    ///
    /// optional ChromeProcessDescriptor chrome_process = 6;
    #[prost(message, optional, tag = "3")]
    pub process: ::core::option::Option<ProcessDescriptor>,
    /// Associate the track with a thread, indicating that the track's events
    /// describe synchronous code execution on the thread. There should only be one
    /// such track per thread (trace processor uses this fact to detect tid reuse).
    ///
    /// Trace processor will merge events on a thread track with slice-type events
    /// from other sources (e.g. ftrace) for the same thread into a single timeline
    /// view.
    ///
    /// optional ChromeThreadDescriptor chrome_thread = 7;
    #[prost(message, optional, tag = "4")]
    pub thread: ::core::option::Option<ThreadDescriptor>,
    /// Descriptor for a counter track. If set, the track will only support
    /// TYPE_COUNTER TrackEvents (and values provided via TrackEvent's
    /// |extra_counter_values|).
    #[prost(message, optional, tag = "8")]
    pub counter: ::core::option::Option<CounterDescriptor>,
    /// If true, forces Trace Processor to use separate tracks for track events
    /// and system events for the same thread.
    /// Track events timestamps in Chrome have microsecond resolution, while
    /// system events use nanoseconds. It results in broken event nesting when
    /// track events and system events share a track.
    #[prost(bool, optional, tag = "9")]
    pub disallow_merging_with_system_tracks: ::core::option::Option<bool>,
    #[prost(enumeration = "track_descriptor::ChildTracksOrdering", optional, tag = "11")]
    pub child_ordering: ::core::option::Option<i32>,
    /// An opaque value which allows specifying how two sibling tracks should be
    /// ordered relative to each other: tracks with lower ranks will appear before
    /// tracks with higher ranks. An unspecified rank will be treated as a rank of
    /// 0.
    #[prost(int32, optional, tag = "12")]
    pub sibling_order_rank: ::core::option::Option<i32>,
    /// Name of the track. Optional - if unspecified, it may be derived from the
    /// process/thread name (process/thread tracks), the first event's name (async
    /// tracks), or counter name (counter tracks).
    #[prost(oneof = "track_descriptor::StaticOrDynamicName", tags = "2, 10, 13")]
    pub static_or_dynamic_name: ::core::option::Option<
        track_descriptor::StaticOrDynamicName,
    >,
}
/// Nested message and enum types in `TrackDescriptor`.
pub mod track_descriptor {
    /// Specifies how the UI should display child tracks of this track (i.e. tracks
    /// where `parent_uuid` is specified to this track `uuid`). Note that this
    /// value is simply a *hint* to the UI: the UI is not guarnateed to respect
    /// this if it has a good reason not to do so.
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum ChildTracksOrdering {
        /// The default ordering, with no bearing on how the UI will visualise the
        /// tracks.
        Unknown = 0,
        /// Order tracks by `name` or `static_name` depending on which one has been
        /// specified.
        Lexicographic = 1,
        /// Order tracks by the first `ts` event in a track.
        Chronological = 2,
        /// Order tracks by `sibling_order_rank` of child tracks. Child tracks with
        /// the lower values will be shown before tracks with higher values. Tracks
        /// with no value will be treated as having 0 rank.
        Explicit = 3,
    }
    impl ChildTracksOrdering {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::Unknown => "UNKNOWN",
                Self::Lexicographic => "LEXICOGRAPHIC",
                Self::Chronological => "CHRONOLOGICAL",
                Self::Explicit => "EXPLICIT",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "UNKNOWN" => Some(Self::Unknown),
                "LEXICOGRAPHIC" => Some(Self::Lexicographic),
                "CHRONOLOGICAL" => Some(Self::Chronological),
                "EXPLICIT" => Some(Self::Explicit),
                _ => None,
            }
        }
    }
    /// Name of the track. Optional - if unspecified, it may be derived from the
    /// process/thread name (process/thread tracks), the first event's name (async
    /// tracks), or counter name (counter tracks).
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum StaticOrDynamicName {
        #[prost(string, tag = "2")]
        Name(::prost::alloc::string::String),
        /// This field is only set by the SDK when perfetto::StaticString is
        /// provided.
        #[prost(string, tag = "10")]
        StaticName(::prost::alloc::string::String),
        /// Equivalent to name, used just to mark that the data is coming from
        /// android.os.Trace.
        #[prost(string, tag = "13")]
        AtraceName(::prost::alloc::string::String),
    }
}
/// Translation rules for the trace processor.
/// See the comments for each rule type for specific meaning.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TranslationTable {
    #[prost(oneof = "translation_table::Table", tags = "1, 2, 3, 4, 5, 6")]
    pub table: ::core::option::Option<translation_table::Table>,
}
/// Nested message and enum types in `TranslationTable`.
pub mod translation_table {
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum Table {
        #[prost(message, tag = "1")]
        ChromeHistogram(super::ChromeHistorgramTranslationTable),
        #[prost(message, tag = "2")]
        ChromeUserEvent(super::ChromeUserEventTranslationTable),
        #[prost(message, tag = "3")]
        ChromePerformanceMark(super::ChromePerformanceMarkTranslationTable),
        #[prost(message, tag = "4")]
        SliceName(super::SliceNameTranslationTable),
        #[prost(message, tag = "5")]
        ProcessTrackName(super::ProcessTrackNameTranslationTable),
        #[prost(message, tag = "6")]
        ChromeStudy(super::ChromeStudyTranslationTable),
    }
}
/// Chrome histogram sample hash -> name translation rules.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ChromeHistorgramTranslationTable {
    #[prost(map = "uint64, string", tag = "1")]
    pub hash_to_name: ::std::collections::HashMap<u64, ::prost::alloc::string::String>,
}
/// Chrome user event action hash -> name translation rules.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ChromeUserEventTranslationTable {
    #[prost(map = "uint64, string", tag = "1")]
    pub action_hash_to_name: ::std::collections::HashMap<
        u64,
        ::prost::alloc::string::String,
    >,
}
/// Chrome performance mark translation rules.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ChromePerformanceMarkTranslationTable {
    #[prost(map = "uint32, string", tag = "1")]
    pub site_hash_to_name: ::std::collections::HashMap<
        u32,
        ::prost::alloc::string::String,
    >,
    #[prost(map = "uint32, string", tag = "2")]
    pub mark_hash_to_name: ::std::collections::HashMap<
        u32,
        ::prost::alloc::string::String,
    >,
}
/// Raw -> deobfuscated slice name translation rules.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SliceNameTranslationTable {
    #[prost(map = "string, string", tag = "1")]
    pub raw_to_deobfuscated_name: ::std::collections::HashMap<
        ::prost::alloc::string::String,
        ::prost::alloc::string::String,
    >,
}
/// Raw -> deobfuscated process track name translation rules.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ProcessTrackNameTranslationTable {
    #[prost(map = "string, string", tag = "1")]
    pub raw_to_deobfuscated_name: ::std::collections::HashMap<
        ::prost::alloc::string::String,
        ::prost::alloc::string::String,
    >,
}
/// Chrome study hash -> name translation rules.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ChromeStudyTranslationTable {
    #[prost(map = "uint64, string", tag = "1")]
    pub hash_to_name: ::std::collections::HashMap<u64, ::prost::alloc::string::String>,
}
/// When a TracingSession receives a trigger it records the boot time nanoseconds
/// in the TracePacket's timestamp field as well as the name of the producer that
/// triggered it. We emit this data so filtering can be done on triggers received
/// in the trace.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct Trigger {
    /// Name of the trigger which was received.
    #[prost(string, optional, tag = "1")]
    pub trigger_name: ::core::option::Option<::prost::alloc::string::String>,
    /// The actual producer that activated |trigger|.
    #[prost(string, optional, tag = "2")]
    pub producer_name: ::core::option::Option<::prost::alloc::string::String>,
    /// The verified UID of the producer.
    #[prost(int32, optional, tag = "3")]
    pub trusted_producer_uid: ::core::option::Option<i32>,
}
/// Common state for UIs visualizing Perfetto traces.
/// This message can be appended as a TracePacket by UIs to save the
/// visible state (e.g. scroll position/zoom state) for future opening
/// of the trace.
/// Design doc: go/trace-ui-state.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UiState {
    /// The start and end bounds of the viewport of the UI in nanoseconds.
    ///
    /// This is the absolute time associated to slices and other events in
    /// trace processor tables (i.e. the |ts| column of most tables)
    #[prost(int64, optional, tag = "1")]
    pub timeline_start_ts: ::core::option::Option<i64>,
    #[prost(int64, optional, tag = "2")]
    pub timeline_end_ts: ::core::option::Option<i64>,
    #[prost(message, optional, tag = "3")]
    pub highlight_process: ::core::option::Option<ui_state::HighlightProcess>,
}
/// Nested message and enum types in `UiState`.
pub mod ui_state {
    /// Indicates that the given process should be highlighted by the UI.
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct HighlightProcess {
        #[prost(oneof = "highlight_process::Selector", tags = "1, 2")]
        pub selector: ::core::option::Option<highlight_process::Selector>,
    }
    /// Nested message and enum types in `HighlightProcess`.
    pub mod highlight_process {
        #[derive(Clone, PartialEq, ::prost::Oneof)]
        pub enum Selector {
            /// The pid of the process to highlight. This is useful for UIs to focus
            /// on tracks of a particular process in the trace.
            ///
            /// If more than one process in a trace has the same pid, it is UI
            /// implementation specific how the process to be focused will be
            /// chosen.
            #[prost(uint32, tag = "1")]
            Pid(u32),
            /// The command line of the process to highlight; for most Android apps,
            /// this is the package name of the app. This is useful for UIs to focus
            /// on a particular app in the trace.
            ///
            /// If more than one process hasthe same cmdline, it is UI implementation
            /// specific how the process to be focused will be chosen.
            #[prost(string, tag = "2")]
            Cmdline(::prost::alloc::string::String),
        }
    }
}
/// TracePacket is the root object of a Perfetto trace.
/// A Perfetto trace is a linear sequence of TracePacket(s).
///
/// The tracing service guarantees that all TracePacket(s) written by a given
/// TraceWriter are seen in-order, without gaps or duplicates. If, for any
/// reason, a TraceWriter sequence becomes invalid, no more packets are returned
/// to the Consumer (or written into the trace file).
/// TracePacket(s) written by different TraceWriter(s), hence even different
/// data sources, can be seen in arbitrary order.
/// The consumer can re-establish a total order, if interested, using the packet
/// timestamps, after having synchronized the different clocks onto a global
/// clock.
///
/// The tracing service is agnostic of the content of TracePacket, with the
/// exception of few fields (e.g.. trusted_*, trace_config) that are written by
/// the service itself.
///
/// See the [Buffers and Dataflow](/docs/concepts/buffers.md) doc for details.
///
/// Next reserved id: 14 (up to 15).
/// Next id: 116.
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct TracePacket {
    /// The timestamp of the TracePacket.
    /// By default this timestamps refers to the trace clock (CLOCK_BOOTTIME on
    /// Android). It can be overridden using a different timestamp_clock_id.
    /// The clock domain definition in ClockSnapshot can also override:
    /// - The unit (default: 1ns).
    /// - The absolute vs delta encoding (default: absolute timestamp).
    #[prost(uint64, optional, tag = "8")]
    pub timestamp: ::core::option::Option<u64>,
    /// Specifies the ID of the clock used for the TracePacket |timestamp|. Can be
    /// one of the built-in types from ClockSnapshot::BuiltinClocks, or a
    /// producer-defined clock id.
    /// If unspecified and if no default per-sequence value has been provided via
    /// TracePacketDefaults, it defaults to BuiltinClocks::BOOTTIME.
    #[prost(uint32, optional, tag = "58")]
    pub timestamp_clock_id: ::core::option::Option<u32>,
    /// Trusted process id of the producer which generated this packet, written by
    /// the service.
    #[prost(int32, optional, tag = "79")]
    pub trusted_pid: ::core::option::Option<i32>,
    /// Incrementally emitted interned data, valid only on the packet's sequence
    /// (packets with the same |trusted_packet_sequence_id|). The writer will
    /// usually emit new interned data in the same TracePacket that first refers to
    /// it (since the last reset of interning state). It may also be emitted
    /// proactively in advance of referring to them in later packets.
    #[prost(message, optional, tag = "12")]
    pub interned_data: ::core::option::Option<InternedData>,
    #[prost(uint32, optional, tag = "13")]
    pub sequence_flags: ::core::option::Option<u32>,
    /// DEPRECATED. Moved to SequenceFlags::SEQ_INCREMENTAL_STATE_CLEARED.
    #[prost(bool, optional, tag = "41")]
    pub incremental_state_cleared: ::core::option::Option<bool>,
    /// Default values for fields of later TracePackets emitted on this packet's
    /// sequence (TracePackets with the same |trusted_packet_sequence_id|).
    /// It must be reemitted when incremental state is cleared (see
    /// |incremental_state_cleared|).
    /// Requires that any future packet emitted on the same sequence specifies
    /// the SEQ_NEEDS_INCREMENTAL_STATE flag.
    /// TracePacketDefaults always override the global defaults for any future
    /// packet on this sequence (regardless of SEQ_NEEDS_INCREMENTAL_STATE).
    #[prost(message, optional, tag = "59")]
    pub trace_packet_defaults: ::core::option::Option<TracePacketDefaults>,
    /// Flag set by the service if, for the current packet sequence (see
    /// |trusted_packet_sequence_id|), either:
    /// * this is the first packet, or
    /// * one or multiple packets were dropped since the last packet that the
    ///    consumer read from the sequence. This can happen if chunks in the trace
    ///    buffer are overridden before the consumer could read them when the trace
    ///    is configured in ring buffer mode.
    ///
    /// When packet loss occurs, incrementally emitted data (including interned
    /// data) on the sequence should be considered invalid up until the next packet
    /// with SEQ_INCREMENTAL_STATE_CLEARED set.
    #[prost(bool, optional, tag = "42")]
    pub previous_packet_dropped: ::core::option::Option<bool>,
    /// Flag set by a producer (starting from SDK v29) if, for the current packet
    /// sequence (see |trusted_packet_sequence_id|), this is the first packet.
    ///
    /// This flag can be used for distinguishing the two situations when
    /// processing the trace:
    /// 1. There are no prior events for the sequence because of data loss, e.g.
    ///     due to ring buffer wrapping.
    /// 2. There are no prior events for the sequence because it didn't start
    ///     before this packet (= there's definitely no preceding data loss).
    ///
    /// Given that older SDK versions do not support this flag, this flag not
    /// being present for a particular sequence does not necessarily imply data
    /// loss.
    #[prost(bool, optional, tag = "87")]
    pub first_packet_on_sequence: ::core::option::Option<bool>,
    /// The machine ID for identifying trace packets in a multi-machine tracing
    /// session. Is emitted by the tracing service for producers running on a
    /// remote host (e.g. a VM guest). For more context: go/crosetto-vm-tracing.
    #[prost(uint32, optional, tag = "98")]
    pub machine_id: ::core::option::Option<u32>,
    #[prost(
        oneof = "trace_packet::Data",
        tags = "2, 9, 4, 6, 7, 11, 89, 33, 34, 35, 38, 40, 45, 46, 49, 52, 53, 57, 62, 63, 65, 67, 68, 69, 70, 71, 73, 82, 55, 61, 60, 43, 44, 1, 36, 50, 72, 88, 92, 90, 113, 115, 900"
    )]
    pub data: ::core::option::Option<trace_packet::Data>,
    /// Trusted user id of the producer which generated this packet. Keep in sync
    /// with TrustedPacket.trusted_uid.
    ///
    /// TODO(eseckler): Emit this field in a PacketSequenceDescriptor message
    /// instead.
    #[prost(oneof = "trace_packet::OptionalTrustedUid", tags = "3")]
    pub optional_trusted_uid: ::core::option::Option<trace_packet::OptionalTrustedUid>,
    /// Service-assigned identifier of the packet sequence this packet belongs to.
    /// Uniquely identifies a producer + writer pair within the tracing session. A
    /// value of zero denotes an invalid ID. Keep in sync with
    /// TrustedPacket.trusted_packet_sequence_id.
    #[prost(oneof = "trace_packet::OptionalTrustedPacketSequenceId", tags = "10")]
    pub optional_trusted_packet_sequence_id: ::core::option::Option<
        trace_packet::OptionalTrustedPacketSequenceId,
    >,
}
/// Nested message and enum types in `TracePacket`.
pub mod trace_packet {
    #[derive(
        Clone,
        Copy,
        Debug,
        PartialEq,
        Eq,
        Hash,
        PartialOrd,
        Ord,
        ::prost::Enumeration
    )]
    #[repr(i32)]
    pub enum SequenceFlags {
        SeqUnspecified = 0,
        /// Set by the writer to indicate that it will re-emit any incremental data
        /// for the packet's sequence before referring to it again. This includes
        /// interned data as well as periodically emitted data like
        /// Process/ThreadDescriptors. This flag only affects the current packet
        /// sequence (see |trusted_packet_sequence_id|).
        ///
        /// When set, this TracePacket and subsequent TracePackets on the same
        /// sequence will not refer to any incremental data emitted before this
        /// TracePacket. For example, previously emitted interned data will be
        /// re-emitted if it is referred to again.
        ///
        /// When the reader detects packet loss (|previous_packet_dropped|), it needs
        /// to skip packets in the sequence until the next one with this flag set, to
        /// ensure intact incremental data.
        SeqIncrementalStateCleared = 1,
        /// This packet requires incremental state, such as TracePacketDefaults or
        /// InternedData, to be parsed correctly. The trace reader should skip this
        /// packet if incremental state is not valid on this sequence, i.e. if no
        /// packet with the SEQ_INCREMENTAL_STATE_CLEARED flag has been seen on the
        /// current |trusted_packet_sequence_id|.
        SeqNeedsIncrementalState = 2,
    }
    impl SequenceFlags {
        /// String value of the enum field names used in the ProtoBuf definition.
        ///
        /// The values are not transformed in any way and thus are considered stable
        /// (if the ProtoBuf definition does not change) and safe for programmatic use.
        pub fn as_str_name(&self) -> &'static str {
            match self {
                Self::SeqUnspecified => "SEQ_UNSPECIFIED",
                Self::SeqIncrementalStateCleared => "SEQ_INCREMENTAL_STATE_CLEARED",
                Self::SeqNeedsIncrementalState => "SEQ_NEEDS_INCREMENTAL_STATE",
            }
        }
        /// Creates an enum from field names used in the ProtoBuf definition.
        pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
            match value {
                "SEQ_UNSPECIFIED" => Some(Self::SeqUnspecified),
                "SEQ_INCREMENTAL_STATE_CLEARED" => Some(Self::SeqIncrementalStateCleared),
                "SEQ_NEEDS_INCREMENTAL_STATE" => Some(Self::SeqNeedsIncrementalState),
                _ => None,
            }
        }
    }
    #[derive(Clone, PartialEq, ::prost::Oneof)]
    pub enum Data {
        #[prost(message, tag = "2")]
        ProcessTree(super::ProcessTree),
        #[prost(message, tag = "9")]
        ProcessStats(super::ProcessStats),
        #[prost(message, tag = "4")]
        InodeFileMap(super::InodeFileMap),
        /// ChromeEventBundle chrome_events = 5;
        #[prost(message, tag = "6")]
        ClockSnapshot(super::ClockSnapshot),
        #[prost(message, tag = "7")]
        SysStats(super::SysStats),
        #[prost(message, tag = "11")]
        TrackEvent(super::TrackEvent),
        #[prost(message, tag = "89")]
        TraceUuid(super::TraceUuid),
        #[prost(message, tag = "33")]
        TraceConfig(super::TraceConfig),
        #[prost(message, tag = "34")]
        FtraceStats(super::FtraceStats),
        #[prost(message, tag = "35")]
        TraceStats(super::TraceStats),
        /// ProfilePacket profile_packet = 37;
        /// StreamingAllocation streaming_allocation = 74;
        /// StreamingFree streaming_free = 75;
        #[prost(message, tag = "38")]
        Battery(super::BatteryCounters),
        #[prost(message, tag = "40")]
        PowerRails(super::PowerRails),
        /// AndroidLogPacket android_log = 39;
        #[prost(message, tag = "45")]
        SystemInfo(super::SystemInfo),
        #[prost(message, tag = "46")]
        Trigger(super::Trigger),
        /// ChromeTrigger chrome_trigger = 109;
        /// PackagesList packages_list = 47;
        /// ChromeBenchmarkMetadata chrome_benchmark_metadata = 48;
        #[prost(message, tag = "49")]
        PerfettoMetatrace(super::PerfettoMetatrace),
        /// ChromeMetadataPacket chrome_metadata = 51;
        #[prost(message, tag = "52")]
        GpuCounterEvent(super::GpuCounterEvent),
        #[prost(message, tag = "53")]
        GpuRenderStageEvent(super::GpuRenderStageEvent),
        /// StreamingProfilePacket streaming_profile_packet = 54;
        /// HeapGraph heap_graph = 56;
        #[prost(message, tag = "57")]
        GraphicsFrameEvent(super::GraphicsFrameEvent),
        #[prost(message, tag = "62")]
        VulkanMemoryEvent(super::VulkanMemoryEvent),
        #[prost(message, tag = "63")]
        GpuLog(super::GpuLog),
        #[prost(message, tag = "65")]
        VulkanApiEvent(super::VulkanApiEvent),
        /// PerfSample perf_sample = 66;
        #[prost(message, tag = "67")]
        CpuInfo(super::CpuInfo),
        #[prost(message, tag = "68")]
        SmapsPacket(super::SmapsPacket),
        #[prost(message, tag = "69")]
        ServiceEvent(super::TracingServiceEvent),
        #[prost(message, tag = "70")]
        InitialDisplayState(super::InitialDisplayState),
        #[prost(message, tag = "71")]
        GpuMemTotalEvent(super::GpuMemTotalEvent),
        #[prost(message, tag = "73")]
        MemoryTrackerSnapshot(super::MemoryTrackerSnapshot),
        /// FrameTimelineEvent frame_timeline_event = 76;
        /// AndroidEnergyEstimationBreakdown android_energy_estimation_breakdown = 77;
        /// UiState ui_state = 78;
        /// AndroidCameraFrameEvent android_camera_frame_event = 80;
        /// AndroidCameraSessionStats android_camera_session_stats = 81;
        ///
        /// AndroidGameInterventionList android_game_intervention_list = 83;
        /// StatsdAtom statsd_atom = 84;
        /// AndroidSystemProperty android_system_property = 86;
        /// EntityStateResidency entity_state_residency = 91;
        #[prost(message, tag = "82")]
        TranslationTable(super::TranslationTable),
        /// Only used in profile packets.
        #[prost(message, tag = "55")]
        ProfiledFrameSymbols(super::ProfiledFrameSymbols),
        /// DeobfuscationMapping deobfuscation_mapping = 64;
        #[prost(message, tag = "61")]
        ModuleSymbols(super::ModuleSymbols),
        /// Only used by TrackEvent.
        #[prost(message, tag = "60")]
        TrackDescriptor(super::TrackDescriptor),
        /// Deprecated, use TrackDescriptor instead.
        #[prost(message, tag = "43")]
        ProcessDescriptor(super::ProcessDescriptor),
        /// Deprecated, use TrackDescriptor instead.
        #[prost(message, tag = "44")]
        ThreadDescriptor(super::ThreadDescriptor),
        /// Events from the Linux kernel ftrace infrastructure.
        #[prost(message, tag = "1")]
        FtraceEvents(super::FtraceEventBundle),
        /// This field is emitted at periodic intervals (~10s) and
        /// contains always the binary representation of the UUID
        /// {82477a76-b28d-42ba-81dc-33326d57a079}. This is used to be able to
        /// efficiently partition long traces without having to fully parse them.
        #[prost(bytes, tag = "36")]
        SynchronizationMarker(::prost::alloc::vec::Vec<u8>),
        /// Zero or more proto encoded trace packets compressed using deflate.
        /// Each compressed_packets TracePacket (including the two field ids and
        /// sizes) should be less than 512KB.
        #[prost(bytes, tag = "50")]
        CompressedPackets(::prost::alloc::vec::Vec<u8>),
        /// Data sources can extend the trace proto with custom extension protos (see
        /// docs/design-docs/extensions.md). When they do that, the descriptor of
        /// their extension proto descriptor is serialized in this packet. This
        /// allows trace_processor to deserialize extended messages using reflection
        /// even if the extension proto is not checked in the Perfetto repo.
        #[prost(message, tag = "72")]
        ExtensionDescriptor(super::ExtensionDescriptor),
        /// Represents a single packet sent or received by the network.
        #[prost(message, tag = "88")]
        NetworkPacket(super::NetworkPacketEvent),
        /// Represents one or more packets sent or received by the network.
        #[prost(message, tag = "92")]
        NetworkPacketBundle(super::NetworkPacketBundle),
        /// The "range of interest" for track events. See the message definition
        /// comments for more details.
        #[prost(message, tag = "90")]
        TrackEventRangeOfInterest(super::TrackEventRangeOfInterest),
        #[prost(message, tag = "113")]
        CloneSnapshotTrigger(super::Trigger),
        #[prost(message, tag = "115")]
        KernelWakelockData(super::KernelWakelockData),
        /// This field is only used for testing.
        /// In previous versions of this proto this field had the id 268435455
        /// This caused many problems:
        /// - protozero decoder does not handle field ids larger than 999.
        /// - old versions of protoc produce Java bindings with syntax errors when
        ///    the field id is large enough.
        #[prost(message, tag = "900")]
        ForTesting(super::TestEvent),
    }
    /// Trusted user id of the producer which generated this packet. Keep in sync
    /// with TrustedPacket.trusted_uid.
    ///
    /// TODO(eseckler): Emit this field in a PacketSequenceDescriptor message
    /// instead.
    #[derive(Clone, Copy, PartialEq, ::prost::Oneof)]
    pub enum OptionalTrustedUid {
        #[prost(int32, tag = "3")]
        TrustedUid(i32),
    }
    /// Service-assigned identifier of the packet sequence this packet belongs to.
    /// Uniquely identifies a producer + writer pair within the tracing session. A
    /// value of zero denotes an invalid ID. Keep in sync with
    /// TrustedPacket.trusted_packet_sequence_id.
    #[derive(Clone, Copy, PartialEq, ::prost::Oneof)]
    pub enum OptionalTrustedPacketSequenceId {
        #[prost(uint32, tag = "10")]
        TrustedPacketSequenceId(u32),
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct Trace {
    #[prost(message, repeated, tag = "1")]
    pub packet: ::prost::alloc::vec::Vec<TracePacket>,
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum BuiltinClock {
    Unknown = 0,
    Realtime = 1,
    RealtimeCoarse = 2,
    Monotonic = 3,
    MonotonicCoarse = 4,
    MonotonicRaw = 5,
    Boottime = 6,
    Tsc = 9,
    Perf = 10,
    MaxId = 63,
}
impl BuiltinClock {
    /// String value of the enum field names used in the ProtoBuf definition.
    ///
    /// The values are not transformed in any way and thus are considered stable
    /// (if the ProtoBuf definition does not change) and safe for programmatic use.
    pub fn as_str_name(&self) -> &'static str {
        match self {
            Self::Unknown => "BUILTIN_CLOCK_UNKNOWN",
            Self::Realtime => "BUILTIN_CLOCK_REALTIME",
            Self::RealtimeCoarse => "BUILTIN_CLOCK_REALTIME_COARSE",
            Self::Monotonic => "BUILTIN_CLOCK_MONOTONIC",
            Self::MonotonicCoarse => "BUILTIN_CLOCK_MONOTONIC_COARSE",
            Self::MonotonicRaw => "BUILTIN_CLOCK_MONOTONIC_RAW",
            Self::Boottime => "BUILTIN_CLOCK_BOOTTIME",
            Self::Tsc => "BUILTIN_CLOCK_TSC",
            Self::Perf => "BUILTIN_CLOCK_PERF",
            Self::MaxId => "BUILTIN_CLOCK_MAX_ID",
        }
    }
    /// Creates an enum from field names used in the ProtoBuf definition.
    pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
        match value {
            "BUILTIN_CLOCK_UNKNOWN" => Some(Self::Unknown),
            "BUILTIN_CLOCK_REALTIME" => Some(Self::Realtime),
            "BUILTIN_CLOCK_REALTIME_COARSE" => Some(Self::RealtimeCoarse),
            "BUILTIN_CLOCK_MONOTONIC" => Some(Self::Monotonic),
            "BUILTIN_CLOCK_MONOTONIC_COARSE" => Some(Self::MonotonicCoarse),
            "BUILTIN_CLOCK_MONOTONIC_RAW" => Some(Self::MonotonicRaw),
            "BUILTIN_CLOCK_BOOTTIME" => Some(Self::Boottime),
            "BUILTIN_CLOCK_TSC" => Some(Self::Tsc),
            "BUILTIN_CLOCK_PERF" => Some(Self::Perf),
            "BUILTIN_CLOCK_MAX_ID" => Some(Self::MaxId),
            _ => None,
        }
    }
}
/// Counter definitions for Linux's /proc/meminfo.
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum MeminfoCounters {
    MeminfoUnspecified = 0,
    MeminfoMemTotal = 1,
    MeminfoMemFree = 2,
    MeminfoMemAvailable = 3,
    MeminfoBuffers = 4,
    MeminfoCached = 5,
    MeminfoSwapCached = 6,
    MeminfoActive = 7,
    MeminfoInactive = 8,
    MeminfoActiveAnon = 9,
    MeminfoInactiveAnon = 10,
    MeminfoActiveFile = 11,
    MeminfoInactiveFile = 12,
    MeminfoUnevictable = 13,
    MeminfoMlocked = 14,
    MeminfoSwapTotal = 15,
    MeminfoSwapFree = 16,
    MeminfoDirty = 17,
    MeminfoWriteback = 18,
    MeminfoAnonPages = 19,
    MeminfoMapped = 20,
    MeminfoShmem = 21,
    MeminfoSlab = 22,
    MeminfoSlabReclaimable = 23,
    MeminfoSlabUnreclaimable = 24,
    MeminfoKernelStack = 25,
    MeminfoPageTables = 26,
    MeminfoCommitLimit = 27,
    MeminfoCommitedAs = 28,
    MeminfoVmallocTotal = 29,
    MeminfoVmallocUsed = 30,
    MeminfoVmallocChunk = 31,
    MeminfoCmaTotal = 32,
    MeminfoCmaFree = 33,
    MeminfoGpu = 34,
    MeminfoZram = 35,
    MeminfoMisc = 36,
    MeminfoIonHeap = 37,
    MeminfoIonHeapPool = 38,
}
impl MeminfoCounters {
    /// String value of the enum field names used in the ProtoBuf definition.
    ///
    /// The values are not transformed in any way and thus are considered stable
    /// (if the ProtoBuf definition does not change) and safe for programmatic use.
    pub fn as_str_name(&self) -> &'static str {
        match self {
            Self::MeminfoUnspecified => "MEMINFO_UNSPECIFIED",
            Self::MeminfoMemTotal => "MEMINFO_MEM_TOTAL",
            Self::MeminfoMemFree => "MEMINFO_MEM_FREE",
            Self::MeminfoMemAvailable => "MEMINFO_MEM_AVAILABLE",
            Self::MeminfoBuffers => "MEMINFO_BUFFERS",
            Self::MeminfoCached => "MEMINFO_CACHED",
            Self::MeminfoSwapCached => "MEMINFO_SWAP_CACHED",
            Self::MeminfoActive => "MEMINFO_ACTIVE",
            Self::MeminfoInactive => "MEMINFO_INACTIVE",
            Self::MeminfoActiveAnon => "MEMINFO_ACTIVE_ANON",
            Self::MeminfoInactiveAnon => "MEMINFO_INACTIVE_ANON",
            Self::MeminfoActiveFile => "MEMINFO_ACTIVE_FILE",
            Self::MeminfoInactiveFile => "MEMINFO_INACTIVE_FILE",
            Self::MeminfoUnevictable => "MEMINFO_UNEVICTABLE",
            Self::MeminfoMlocked => "MEMINFO_MLOCKED",
            Self::MeminfoSwapTotal => "MEMINFO_SWAP_TOTAL",
            Self::MeminfoSwapFree => "MEMINFO_SWAP_FREE",
            Self::MeminfoDirty => "MEMINFO_DIRTY",
            Self::MeminfoWriteback => "MEMINFO_WRITEBACK",
            Self::MeminfoAnonPages => "MEMINFO_ANON_PAGES",
            Self::MeminfoMapped => "MEMINFO_MAPPED",
            Self::MeminfoShmem => "MEMINFO_SHMEM",
            Self::MeminfoSlab => "MEMINFO_SLAB",
            Self::MeminfoSlabReclaimable => "MEMINFO_SLAB_RECLAIMABLE",
            Self::MeminfoSlabUnreclaimable => "MEMINFO_SLAB_UNRECLAIMABLE",
            Self::MeminfoKernelStack => "MEMINFO_KERNEL_STACK",
            Self::MeminfoPageTables => "MEMINFO_PAGE_TABLES",
            Self::MeminfoCommitLimit => "MEMINFO_COMMIT_LIMIT",
            Self::MeminfoCommitedAs => "MEMINFO_COMMITED_AS",
            Self::MeminfoVmallocTotal => "MEMINFO_VMALLOC_TOTAL",
            Self::MeminfoVmallocUsed => "MEMINFO_VMALLOC_USED",
            Self::MeminfoVmallocChunk => "MEMINFO_VMALLOC_CHUNK",
            Self::MeminfoCmaTotal => "MEMINFO_CMA_TOTAL",
            Self::MeminfoCmaFree => "MEMINFO_CMA_FREE",
            Self::MeminfoGpu => "MEMINFO_GPU",
            Self::MeminfoZram => "MEMINFO_ZRAM",
            Self::MeminfoMisc => "MEMINFO_MISC",
            Self::MeminfoIonHeap => "MEMINFO_ION_HEAP",
            Self::MeminfoIonHeapPool => "MEMINFO_ION_HEAP_POOL",
        }
    }
    /// Creates an enum from field names used in the ProtoBuf definition.
    pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
        match value {
            "MEMINFO_UNSPECIFIED" => Some(Self::MeminfoUnspecified),
            "MEMINFO_MEM_TOTAL" => Some(Self::MeminfoMemTotal),
            "MEMINFO_MEM_FREE" => Some(Self::MeminfoMemFree),
            "MEMINFO_MEM_AVAILABLE" => Some(Self::MeminfoMemAvailable),
            "MEMINFO_BUFFERS" => Some(Self::MeminfoBuffers),
            "MEMINFO_CACHED" => Some(Self::MeminfoCached),
            "MEMINFO_SWAP_CACHED" => Some(Self::MeminfoSwapCached),
            "MEMINFO_ACTIVE" => Some(Self::MeminfoActive),
            "MEMINFO_INACTIVE" => Some(Self::MeminfoInactive),
            "MEMINFO_ACTIVE_ANON" => Some(Self::MeminfoActiveAnon),
            "MEMINFO_INACTIVE_ANON" => Some(Self::MeminfoInactiveAnon),
            "MEMINFO_ACTIVE_FILE" => Some(Self::MeminfoActiveFile),
            "MEMINFO_INACTIVE_FILE" => Some(Self::MeminfoInactiveFile),
            "MEMINFO_UNEVICTABLE" => Some(Self::MeminfoUnevictable),
            "MEMINFO_MLOCKED" => Some(Self::MeminfoMlocked),
            "MEMINFO_SWAP_TOTAL" => Some(Self::MeminfoSwapTotal),
            "MEMINFO_SWAP_FREE" => Some(Self::MeminfoSwapFree),
            "MEMINFO_DIRTY" => Some(Self::MeminfoDirty),
            "MEMINFO_WRITEBACK" => Some(Self::MeminfoWriteback),
            "MEMINFO_ANON_PAGES" => Some(Self::MeminfoAnonPages),
            "MEMINFO_MAPPED" => Some(Self::MeminfoMapped),
            "MEMINFO_SHMEM" => Some(Self::MeminfoShmem),
            "MEMINFO_SLAB" => Some(Self::MeminfoSlab),
            "MEMINFO_SLAB_RECLAIMABLE" => Some(Self::MeminfoSlabReclaimable),
            "MEMINFO_SLAB_UNRECLAIMABLE" => Some(Self::MeminfoSlabUnreclaimable),
            "MEMINFO_KERNEL_STACK" => Some(Self::MeminfoKernelStack),
            "MEMINFO_PAGE_TABLES" => Some(Self::MeminfoPageTables),
            "MEMINFO_COMMIT_LIMIT" => Some(Self::MeminfoCommitLimit),
            "MEMINFO_COMMITED_AS" => Some(Self::MeminfoCommitedAs),
            "MEMINFO_VMALLOC_TOTAL" => Some(Self::MeminfoVmallocTotal),
            "MEMINFO_VMALLOC_USED" => Some(Self::MeminfoVmallocUsed),
            "MEMINFO_VMALLOC_CHUNK" => Some(Self::MeminfoVmallocChunk),
            "MEMINFO_CMA_TOTAL" => Some(Self::MeminfoCmaTotal),
            "MEMINFO_CMA_FREE" => Some(Self::MeminfoCmaFree),
            "MEMINFO_GPU" => Some(Self::MeminfoGpu),
            "MEMINFO_ZRAM" => Some(Self::MeminfoZram),
            "MEMINFO_MISC" => Some(Self::MeminfoMisc),
            "MEMINFO_ION_HEAP" => Some(Self::MeminfoIonHeap),
            "MEMINFO_ION_HEAP_POOL" => Some(Self::MeminfoIonHeapPool),
            _ => None,
        }
    }
}
/// Counter definitions for Linux's /proc/vmstat.
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum VmstatCounters {
    VmstatUnspecified = 0,
    VmstatNrFreePages = 1,
    VmstatNrAllocBatch = 2,
    VmstatNrInactiveAnon = 3,
    VmstatNrActiveAnon = 4,
    VmstatNrInactiveFile = 5,
    VmstatNrActiveFile = 6,
    VmstatNrUnevictable = 7,
    VmstatNrMlock = 8,
    VmstatNrAnonPages = 9,
    VmstatNrMapped = 10,
    VmstatNrFilePages = 11,
    VmstatNrDirty = 12,
    VmstatNrWriteback = 13,
    VmstatNrSlabReclaimable = 14,
    VmstatNrSlabUnreclaimable = 15,
    VmstatNrPageTablePages = 16,
    VmstatNrKernelStack = 17,
    VmstatNrOverhead = 18,
    VmstatNrUnstable = 19,
    VmstatNrBounce = 20,
    VmstatNrVmscanWrite = 21,
    VmstatNrVmscanImmediateReclaim = 22,
    VmstatNrWritebackTemp = 23,
    VmstatNrIsolatedAnon = 24,
    VmstatNrIsolatedFile = 25,
    VmstatNrShmem = 26,
    VmstatNrDirtied = 27,
    VmstatNrWritten = 28,
    VmstatNrPagesScanned = 29,
    VmstatWorkingsetRefault = 30,
    VmstatWorkingsetActivate = 31,
    VmstatWorkingsetNodereclaim = 32,
    VmstatNrAnonTransparentHugepages = 33,
    VmstatNrFreeCma = 34,
    VmstatNrSwapcache = 35,
    VmstatNrDirtyThreshold = 36,
    VmstatNrDirtyBackgroundThreshold = 37,
    VmstatPgpgin = 38,
    VmstatPgpgout = 39,
    VmstatPgpgoutclean = 40,
    VmstatPswpin = 41,
    VmstatPswpout = 42,
    VmstatPgallocDma = 43,
    VmstatPgallocNormal = 44,
    VmstatPgallocMovable = 45,
    VmstatPgfree = 46,
    VmstatPgactivate = 47,
    VmstatPgdeactivate = 48,
    VmstatPgfault = 49,
    VmstatPgmajfault = 50,
    VmstatPgrefillDma = 51,
    VmstatPgrefillNormal = 52,
    VmstatPgrefillMovable = 53,
    VmstatPgstealKswapdDma = 54,
    VmstatPgstealKswapdNormal = 55,
    VmstatPgstealKswapdMovable = 56,
    VmstatPgstealDirectDma = 57,
    VmstatPgstealDirectNormal = 58,
    VmstatPgstealDirectMovable = 59,
    VmstatPgscanKswapdDma = 60,
    VmstatPgscanKswapdNormal = 61,
    VmstatPgscanKswapdMovable = 62,
    VmstatPgscanDirectDma = 63,
    VmstatPgscanDirectNormal = 64,
    VmstatPgscanDirectMovable = 65,
    VmstatPgscanDirectThrottle = 66,
    VmstatPginodesteal = 67,
    VmstatSlabsScanned = 68,
    VmstatKswapdInodesteal = 69,
    VmstatKswapdLowWmarkHitQuickly = 70,
    VmstatKswapdHighWmarkHitQuickly = 71,
    VmstatPageoutrun = 72,
    VmstatAllocstall = 73,
    VmstatPgrotated = 74,
    VmstatDropPagecache = 75,
    VmstatDropSlab = 76,
    VmstatPgmigrateSuccess = 77,
    VmstatPgmigrateFail = 78,
    VmstatCompactMigrateScanned = 79,
    VmstatCompactFreeScanned = 80,
    VmstatCompactIsolated = 81,
    VmstatCompactStall = 82,
    VmstatCompactFail = 83,
    VmstatCompactSuccess = 84,
    VmstatCompactDaemonWake = 85,
    VmstatUnevictablePgsCulled = 86,
    VmstatUnevictablePgsScanned = 87,
    VmstatUnevictablePgsRescued = 88,
    VmstatUnevictablePgsMlocked = 89,
    VmstatUnevictablePgsMunlocked = 90,
    VmstatUnevictablePgsCleared = 91,
    VmstatUnevictablePgsStranded = 92,
    VmstatNrZspages = 93,
    VmstatNrIonHeap = 94,
    VmstatNrGpuHeap = 95,
    VmstatAllocstallDma = 96,
    VmstatAllocstallMovable = 97,
    VmstatAllocstallNormal = 98,
    VmstatCompactDaemonFreeScanned = 99,
    VmstatCompactDaemonMigrateScanned = 100,
    VmstatNrFastrpc = 101,
    VmstatNrIndirectlyReclaimable = 102,
    VmstatNrIonHeapPool = 103,
    VmstatNrKernelMiscReclaimable = 104,
    VmstatNrShadowCallStackBytes = 105,
    VmstatNrShmemHugepages = 106,
    VmstatNrShmemPmdmapped = 107,
    VmstatNrUnreclaimablePages = 108,
    VmstatNrZoneActiveAnon = 109,
    VmstatNrZoneActiveFile = 110,
    VmstatNrZoneInactiveAnon = 111,
    VmstatNrZoneInactiveFile = 112,
    VmstatNrZoneUnevictable = 113,
    VmstatNrZoneWritePending = 114,
    VmstatOomKill = 115,
    VmstatPglazyfree = 116,
    VmstatPglazyfreed = 117,
    VmstatPgrefill = 118,
    VmstatPgscanDirect = 119,
    VmstatPgscanKswapd = 120,
    VmstatPgskipDma = 121,
    VmstatPgskipMovable = 122,
    VmstatPgskipNormal = 123,
    VmstatPgstealDirect = 124,
    VmstatPgstealKswapd = 125,
    VmstatSwapRa = 126,
    VmstatSwapRaHit = 127,
    VmstatWorkingsetRestore = 128,
    VmstatAllocstallDevice = 129,
    VmstatAllocstallDma32 = 130,
    VmstatBalloonDeflate = 131,
    VmstatBalloonInflate = 132,
    VmstatBalloonMigrate = 133,
    VmstatCmaAllocFail = 134,
    VmstatCmaAllocSuccess = 135,
    VmstatNrFileHugepages = 136,
    VmstatNrFilePmdmapped = 137,
    VmstatNrFollPinAcquired = 138,
    VmstatNrFollPinReleased = 139,
    VmstatNrSecPageTablePages = 140,
    VmstatNrShadowCallStack = 141,
    VmstatNrSwapcached = 142,
    VmstatNrThrottledWritten = 143,
    VmstatPgallocDevice = 144,
    VmstatPgallocDma32 = 145,
    VmstatPgdemoteDirect = 146,
    VmstatPgdemoteKswapd = 147,
    VmstatPgreuse = 148,
    VmstatPgscanAnon = 149,
    VmstatPgscanFile = 150,
    VmstatPgskipDevice = 151,
    VmstatPgskipDma32 = 152,
    VmstatPgstealAnon = 153,
    VmstatPgstealFile = 154,
    VmstatThpCollapseAlloc = 155,
    VmstatThpCollapseAllocFailed = 156,
    VmstatThpDeferredSplitPage = 157,
    VmstatThpFaultAlloc = 158,
    VmstatThpFaultFallback = 159,
    VmstatThpFaultFallbackCharge = 160,
    VmstatThpFileAlloc = 161,
    VmstatThpFileFallback = 162,
    VmstatThpFileFallbackCharge = 163,
    VmstatThpFileMapped = 164,
    VmstatThpMigrationFail = 165,
    VmstatThpMigrationSplit = 166,
    VmstatThpMigrationSuccess = 167,
    VmstatThpScanExceedNonePte = 168,
    VmstatThpScanExceedSharePte = 169,
    VmstatThpScanExceedSwapPte = 170,
    VmstatThpSplitPage = 171,
    VmstatThpSplitPageFailed = 172,
    VmstatThpSplitPmd = 173,
    VmstatThpSwpout = 174,
    VmstatThpSwpoutFallback = 175,
    VmstatThpZeroPageAlloc = 176,
    VmstatThpZeroPageAllocFailed = 177,
    VmstatVmaLockAbort = 178,
    VmstatVmaLockMiss = 179,
    VmstatVmaLockRetry = 180,
    VmstatVmaLockSuccess = 181,
    VmstatWorkingsetActivateAnon = 182,
    VmstatWorkingsetActivateFile = 183,
    VmstatWorkingsetNodes = 184,
    VmstatWorkingsetRefaultAnon = 185,
    VmstatWorkingsetRefaultFile = 186,
    VmstatWorkingsetRestoreAnon = 187,
    VmstatWorkingsetRestoreFile = 188,
}
impl VmstatCounters {
    /// String value of the enum field names used in the ProtoBuf definition.
    ///
    /// The values are not transformed in any way and thus are considered stable
    /// (if the ProtoBuf definition does not change) and safe for programmatic use.
    pub fn as_str_name(&self) -> &'static str {
        match self {
            Self::VmstatUnspecified => "VMSTAT_UNSPECIFIED",
            Self::VmstatNrFreePages => "VMSTAT_NR_FREE_PAGES",
            Self::VmstatNrAllocBatch => "VMSTAT_NR_ALLOC_BATCH",
            Self::VmstatNrInactiveAnon => "VMSTAT_NR_INACTIVE_ANON",
            Self::VmstatNrActiveAnon => "VMSTAT_NR_ACTIVE_ANON",
            Self::VmstatNrInactiveFile => "VMSTAT_NR_INACTIVE_FILE",
            Self::VmstatNrActiveFile => "VMSTAT_NR_ACTIVE_FILE",
            Self::VmstatNrUnevictable => "VMSTAT_NR_UNEVICTABLE",
            Self::VmstatNrMlock => "VMSTAT_NR_MLOCK",
            Self::VmstatNrAnonPages => "VMSTAT_NR_ANON_PAGES",
            Self::VmstatNrMapped => "VMSTAT_NR_MAPPED",
            Self::VmstatNrFilePages => "VMSTAT_NR_FILE_PAGES",
            Self::VmstatNrDirty => "VMSTAT_NR_DIRTY",
            Self::VmstatNrWriteback => "VMSTAT_NR_WRITEBACK",
            Self::VmstatNrSlabReclaimable => "VMSTAT_NR_SLAB_RECLAIMABLE",
            Self::VmstatNrSlabUnreclaimable => "VMSTAT_NR_SLAB_UNRECLAIMABLE",
            Self::VmstatNrPageTablePages => "VMSTAT_NR_PAGE_TABLE_PAGES",
            Self::VmstatNrKernelStack => "VMSTAT_NR_KERNEL_STACK",
            Self::VmstatNrOverhead => "VMSTAT_NR_OVERHEAD",
            Self::VmstatNrUnstable => "VMSTAT_NR_UNSTABLE",
            Self::VmstatNrBounce => "VMSTAT_NR_BOUNCE",
            Self::VmstatNrVmscanWrite => "VMSTAT_NR_VMSCAN_WRITE",
            Self::VmstatNrVmscanImmediateReclaim => "VMSTAT_NR_VMSCAN_IMMEDIATE_RECLAIM",
            Self::VmstatNrWritebackTemp => "VMSTAT_NR_WRITEBACK_TEMP",
            Self::VmstatNrIsolatedAnon => "VMSTAT_NR_ISOLATED_ANON",
            Self::VmstatNrIsolatedFile => "VMSTAT_NR_ISOLATED_FILE",
            Self::VmstatNrShmem => "VMSTAT_NR_SHMEM",
            Self::VmstatNrDirtied => "VMSTAT_NR_DIRTIED",
            Self::VmstatNrWritten => "VMSTAT_NR_WRITTEN",
            Self::VmstatNrPagesScanned => "VMSTAT_NR_PAGES_SCANNED",
            Self::VmstatWorkingsetRefault => "VMSTAT_WORKINGSET_REFAULT",
            Self::VmstatWorkingsetActivate => "VMSTAT_WORKINGSET_ACTIVATE",
            Self::VmstatWorkingsetNodereclaim => "VMSTAT_WORKINGSET_NODERECLAIM",
            Self::VmstatNrAnonTransparentHugepages => {
                "VMSTAT_NR_ANON_TRANSPARENT_HUGEPAGES"
            }
            Self::VmstatNrFreeCma => "VMSTAT_NR_FREE_CMA",
            Self::VmstatNrSwapcache => "VMSTAT_NR_SWAPCACHE",
            Self::VmstatNrDirtyThreshold => "VMSTAT_NR_DIRTY_THRESHOLD",
            Self::VmstatNrDirtyBackgroundThreshold => {
                "VMSTAT_NR_DIRTY_BACKGROUND_THRESHOLD"
            }
            Self::VmstatPgpgin => "VMSTAT_PGPGIN",
            Self::VmstatPgpgout => "VMSTAT_PGPGOUT",
            Self::VmstatPgpgoutclean => "VMSTAT_PGPGOUTCLEAN",
            Self::VmstatPswpin => "VMSTAT_PSWPIN",
            Self::VmstatPswpout => "VMSTAT_PSWPOUT",
            Self::VmstatPgallocDma => "VMSTAT_PGALLOC_DMA",
            Self::VmstatPgallocNormal => "VMSTAT_PGALLOC_NORMAL",
            Self::VmstatPgallocMovable => "VMSTAT_PGALLOC_MOVABLE",
            Self::VmstatPgfree => "VMSTAT_PGFREE",
            Self::VmstatPgactivate => "VMSTAT_PGACTIVATE",
            Self::VmstatPgdeactivate => "VMSTAT_PGDEACTIVATE",
            Self::VmstatPgfault => "VMSTAT_PGFAULT",
            Self::VmstatPgmajfault => "VMSTAT_PGMAJFAULT",
            Self::VmstatPgrefillDma => "VMSTAT_PGREFILL_DMA",
            Self::VmstatPgrefillNormal => "VMSTAT_PGREFILL_NORMAL",
            Self::VmstatPgrefillMovable => "VMSTAT_PGREFILL_MOVABLE",
            Self::VmstatPgstealKswapdDma => "VMSTAT_PGSTEAL_KSWAPD_DMA",
            Self::VmstatPgstealKswapdNormal => "VMSTAT_PGSTEAL_KSWAPD_NORMAL",
            Self::VmstatPgstealKswapdMovable => "VMSTAT_PGSTEAL_KSWAPD_MOVABLE",
            Self::VmstatPgstealDirectDma => "VMSTAT_PGSTEAL_DIRECT_DMA",
            Self::VmstatPgstealDirectNormal => "VMSTAT_PGSTEAL_DIRECT_NORMAL",
            Self::VmstatPgstealDirectMovable => "VMSTAT_PGSTEAL_DIRECT_MOVABLE",
            Self::VmstatPgscanKswapdDma => "VMSTAT_PGSCAN_KSWAPD_DMA",
            Self::VmstatPgscanKswapdNormal => "VMSTAT_PGSCAN_KSWAPD_NORMAL",
            Self::VmstatPgscanKswapdMovable => "VMSTAT_PGSCAN_KSWAPD_MOVABLE",
            Self::VmstatPgscanDirectDma => "VMSTAT_PGSCAN_DIRECT_DMA",
            Self::VmstatPgscanDirectNormal => "VMSTAT_PGSCAN_DIRECT_NORMAL",
            Self::VmstatPgscanDirectMovable => "VMSTAT_PGSCAN_DIRECT_MOVABLE",
            Self::VmstatPgscanDirectThrottle => "VMSTAT_PGSCAN_DIRECT_THROTTLE",
            Self::VmstatPginodesteal => "VMSTAT_PGINODESTEAL",
            Self::VmstatSlabsScanned => "VMSTAT_SLABS_SCANNED",
            Self::VmstatKswapdInodesteal => "VMSTAT_KSWAPD_INODESTEAL",
            Self::VmstatKswapdLowWmarkHitQuickly => "VMSTAT_KSWAPD_LOW_WMARK_HIT_QUICKLY",
            Self::VmstatKswapdHighWmarkHitQuickly => {
                "VMSTAT_KSWAPD_HIGH_WMARK_HIT_QUICKLY"
            }
            Self::VmstatPageoutrun => "VMSTAT_PAGEOUTRUN",
            Self::VmstatAllocstall => "VMSTAT_ALLOCSTALL",
            Self::VmstatPgrotated => "VMSTAT_PGROTATED",
            Self::VmstatDropPagecache => "VMSTAT_DROP_PAGECACHE",
            Self::VmstatDropSlab => "VMSTAT_DROP_SLAB",
            Self::VmstatPgmigrateSuccess => "VMSTAT_PGMIGRATE_SUCCESS",
            Self::VmstatPgmigrateFail => "VMSTAT_PGMIGRATE_FAIL",
            Self::VmstatCompactMigrateScanned => "VMSTAT_COMPACT_MIGRATE_SCANNED",
            Self::VmstatCompactFreeScanned => "VMSTAT_COMPACT_FREE_SCANNED",
            Self::VmstatCompactIsolated => "VMSTAT_COMPACT_ISOLATED",
            Self::VmstatCompactStall => "VMSTAT_COMPACT_STALL",
            Self::VmstatCompactFail => "VMSTAT_COMPACT_FAIL",
            Self::VmstatCompactSuccess => "VMSTAT_COMPACT_SUCCESS",
            Self::VmstatCompactDaemonWake => "VMSTAT_COMPACT_DAEMON_WAKE",
            Self::VmstatUnevictablePgsCulled => "VMSTAT_UNEVICTABLE_PGS_CULLED",
            Self::VmstatUnevictablePgsScanned => "VMSTAT_UNEVICTABLE_PGS_SCANNED",
            Self::VmstatUnevictablePgsRescued => "VMSTAT_UNEVICTABLE_PGS_RESCUED",
            Self::VmstatUnevictablePgsMlocked => "VMSTAT_UNEVICTABLE_PGS_MLOCKED",
            Self::VmstatUnevictablePgsMunlocked => "VMSTAT_UNEVICTABLE_PGS_MUNLOCKED",
            Self::VmstatUnevictablePgsCleared => "VMSTAT_UNEVICTABLE_PGS_CLEARED",
            Self::VmstatUnevictablePgsStranded => "VMSTAT_UNEVICTABLE_PGS_STRANDED",
            Self::VmstatNrZspages => "VMSTAT_NR_ZSPAGES",
            Self::VmstatNrIonHeap => "VMSTAT_NR_ION_HEAP",
            Self::VmstatNrGpuHeap => "VMSTAT_NR_GPU_HEAP",
            Self::VmstatAllocstallDma => "VMSTAT_ALLOCSTALL_DMA",
            Self::VmstatAllocstallMovable => "VMSTAT_ALLOCSTALL_MOVABLE",
            Self::VmstatAllocstallNormal => "VMSTAT_ALLOCSTALL_NORMAL",
            Self::VmstatCompactDaemonFreeScanned => "VMSTAT_COMPACT_DAEMON_FREE_SCANNED",
            Self::VmstatCompactDaemonMigrateScanned => {
                "VMSTAT_COMPACT_DAEMON_MIGRATE_SCANNED"
            }
            Self::VmstatNrFastrpc => "VMSTAT_NR_FASTRPC",
            Self::VmstatNrIndirectlyReclaimable => "VMSTAT_NR_INDIRECTLY_RECLAIMABLE",
            Self::VmstatNrIonHeapPool => "VMSTAT_NR_ION_HEAP_POOL",
            Self::VmstatNrKernelMiscReclaimable => "VMSTAT_NR_KERNEL_MISC_RECLAIMABLE",
            Self::VmstatNrShadowCallStackBytes => "VMSTAT_NR_SHADOW_CALL_STACK_BYTES",
            Self::VmstatNrShmemHugepages => "VMSTAT_NR_SHMEM_HUGEPAGES",
            Self::VmstatNrShmemPmdmapped => "VMSTAT_NR_SHMEM_PMDMAPPED",
            Self::VmstatNrUnreclaimablePages => "VMSTAT_NR_UNRECLAIMABLE_PAGES",
            Self::VmstatNrZoneActiveAnon => "VMSTAT_NR_ZONE_ACTIVE_ANON",
            Self::VmstatNrZoneActiveFile => "VMSTAT_NR_ZONE_ACTIVE_FILE",
            Self::VmstatNrZoneInactiveAnon => "VMSTAT_NR_ZONE_INACTIVE_ANON",
            Self::VmstatNrZoneInactiveFile => "VMSTAT_NR_ZONE_INACTIVE_FILE",
            Self::VmstatNrZoneUnevictable => "VMSTAT_NR_ZONE_UNEVICTABLE",
            Self::VmstatNrZoneWritePending => "VMSTAT_NR_ZONE_WRITE_PENDING",
            Self::VmstatOomKill => "VMSTAT_OOM_KILL",
            Self::VmstatPglazyfree => "VMSTAT_PGLAZYFREE",
            Self::VmstatPglazyfreed => "VMSTAT_PGLAZYFREED",
            Self::VmstatPgrefill => "VMSTAT_PGREFILL",
            Self::VmstatPgscanDirect => "VMSTAT_PGSCAN_DIRECT",
            Self::VmstatPgscanKswapd => "VMSTAT_PGSCAN_KSWAPD",
            Self::VmstatPgskipDma => "VMSTAT_PGSKIP_DMA",
            Self::VmstatPgskipMovable => "VMSTAT_PGSKIP_MOVABLE",
            Self::VmstatPgskipNormal => "VMSTAT_PGSKIP_NORMAL",
            Self::VmstatPgstealDirect => "VMSTAT_PGSTEAL_DIRECT",
            Self::VmstatPgstealKswapd => "VMSTAT_PGSTEAL_KSWAPD",
            Self::VmstatSwapRa => "VMSTAT_SWAP_RA",
            Self::VmstatSwapRaHit => "VMSTAT_SWAP_RA_HIT",
            Self::VmstatWorkingsetRestore => "VMSTAT_WORKINGSET_RESTORE",
            Self::VmstatAllocstallDevice => "VMSTAT_ALLOCSTALL_DEVICE",
            Self::VmstatAllocstallDma32 => "VMSTAT_ALLOCSTALL_DMA32",
            Self::VmstatBalloonDeflate => "VMSTAT_BALLOON_DEFLATE",
            Self::VmstatBalloonInflate => "VMSTAT_BALLOON_INFLATE",
            Self::VmstatBalloonMigrate => "VMSTAT_BALLOON_MIGRATE",
            Self::VmstatCmaAllocFail => "VMSTAT_CMA_ALLOC_FAIL",
            Self::VmstatCmaAllocSuccess => "VMSTAT_CMA_ALLOC_SUCCESS",
            Self::VmstatNrFileHugepages => "VMSTAT_NR_FILE_HUGEPAGES",
            Self::VmstatNrFilePmdmapped => "VMSTAT_NR_FILE_PMDMAPPED",
            Self::VmstatNrFollPinAcquired => "VMSTAT_NR_FOLL_PIN_ACQUIRED",
            Self::VmstatNrFollPinReleased => "VMSTAT_NR_FOLL_PIN_RELEASED",
            Self::VmstatNrSecPageTablePages => "VMSTAT_NR_SEC_PAGE_TABLE_PAGES",
            Self::VmstatNrShadowCallStack => "VMSTAT_NR_SHADOW_CALL_STACK",
            Self::VmstatNrSwapcached => "VMSTAT_NR_SWAPCACHED",
            Self::VmstatNrThrottledWritten => "VMSTAT_NR_THROTTLED_WRITTEN",
            Self::VmstatPgallocDevice => "VMSTAT_PGALLOC_DEVICE",
            Self::VmstatPgallocDma32 => "VMSTAT_PGALLOC_DMA32",
            Self::VmstatPgdemoteDirect => "VMSTAT_PGDEMOTE_DIRECT",
            Self::VmstatPgdemoteKswapd => "VMSTAT_PGDEMOTE_KSWAPD",
            Self::VmstatPgreuse => "VMSTAT_PGREUSE",
            Self::VmstatPgscanAnon => "VMSTAT_PGSCAN_ANON",
            Self::VmstatPgscanFile => "VMSTAT_PGSCAN_FILE",
            Self::VmstatPgskipDevice => "VMSTAT_PGSKIP_DEVICE",
            Self::VmstatPgskipDma32 => "VMSTAT_PGSKIP_DMA32",
            Self::VmstatPgstealAnon => "VMSTAT_PGSTEAL_ANON",
            Self::VmstatPgstealFile => "VMSTAT_PGSTEAL_FILE",
            Self::VmstatThpCollapseAlloc => "VMSTAT_THP_COLLAPSE_ALLOC",
            Self::VmstatThpCollapseAllocFailed => "VMSTAT_THP_COLLAPSE_ALLOC_FAILED",
            Self::VmstatThpDeferredSplitPage => "VMSTAT_THP_DEFERRED_SPLIT_PAGE",
            Self::VmstatThpFaultAlloc => "VMSTAT_THP_FAULT_ALLOC",
            Self::VmstatThpFaultFallback => "VMSTAT_THP_FAULT_FALLBACK",
            Self::VmstatThpFaultFallbackCharge => "VMSTAT_THP_FAULT_FALLBACK_CHARGE",
            Self::VmstatThpFileAlloc => "VMSTAT_THP_FILE_ALLOC",
            Self::VmstatThpFileFallback => "VMSTAT_THP_FILE_FALLBACK",
            Self::VmstatThpFileFallbackCharge => "VMSTAT_THP_FILE_FALLBACK_CHARGE",
            Self::VmstatThpFileMapped => "VMSTAT_THP_FILE_MAPPED",
            Self::VmstatThpMigrationFail => "VMSTAT_THP_MIGRATION_FAIL",
            Self::VmstatThpMigrationSplit => "VMSTAT_THP_MIGRATION_SPLIT",
            Self::VmstatThpMigrationSuccess => "VMSTAT_THP_MIGRATION_SUCCESS",
            Self::VmstatThpScanExceedNonePte => "VMSTAT_THP_SCAN_EXCEED_NONE_PTE",
            Self::VmstatThpScanExceedSharePte => "VMSTAT_THP_SCAN_EXCEED_SHARE_PTE",
            Self::VmstatThpScanExceedSwapPte => "VMSTAT_THP_SCAN_EXCEED_SWAP_PTE",
            Self::VmstatThpSplitPage => "VMSTAT_THP_SPLIT_PAGE",
            Self::VmstatThpSplitPageFailed => "VMSTAT_THP_SPLIT_PAGE_FAILED",
            Self::VmstatThpSplitPmd => "VMSTAT_THP_SPLIT_PMD",
            Self::VmstatThpSwpout => "VMSTAT_THP_SWPOUT",
            Self::VmstatThpSwpoutFallback => "VMSTAT_THP_SWPOUT_FALLBACK",
            Self::VmstatThpZeroPageAlloc => "VMSTAT_THP_ZERO_PAGE_ALLOC",
            Self::VmstatThpZeroPageAllocFailed => "VMSTAT_THP_ZERO_PAGE_ALLOC_FAILED",
            Self::VmstatVmaLockAbort => "VMSTAT_VMA_LOCK_ABORT",
            Self::VmstatVmaLockMiss => "VMSTAT_VMA_LOCK_MISS",
            Self::VmstatVmaLockRetry => "VMSTAT_VMA_LOCK_RETRY",
            Self::VmstatVmaLockSuccess => "VMSTAT_VMA_LOCK_SUCCESS",
            Self::VmstatWorkingsetActivateAnon => "VMSTAT_WORKINGSET_ACTIVATE_ANON",
            Self::VmstatWorkingsetActivateFile => "VMSTAT_WORKINGSET_ACTIVATE_FILE",
            Self::VmstatWorkingsetNodes => "VMSTAT_WORKINGSET_NODES",
            Self::VmstatWorkingsetRefaultAnon => "VMSTAT_WORKINGSET_REFAULT_ANON",
            Self::VmstatWorkingsetRefaultFile => "VMSTAT_WORKINGSET_REFAULT_FILE",
            Self::VmstatWorkingsetRestoreAnon => "VMSTAT_WORKINGSET_RESTORE_ANON",
            Self::VmstatWorkingsetRestoreFile => "VMSTAT_WORKINGSET_RESTORE_FILE",
        }
    }
    /// Creates an enum from field names used in the ProtoBuf definition.
    pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
        match value {
            "VMSTAT_UNSPECIFIED" => Some(Self::VmstatUnspecified),
            "VMSTAT_NR_FREE_PAGES" => Some(Self::VmstatNrFreePages),
            "VMSTAT_NR_ALLOC_BATCH" => Some(Self::VmstatNrAllocBatch),
            "VMSTAT_NR_INACTIVE_ANON" => Some(Self::VmstatNrInactiveAnon),
            "VMSTAT_NR_ACTIVE_ANON" => Some(Self::VmstatNrActiveAnon),
            "VMSTAT_NR_INACTIVE_FILE" => Some(Self::VmstatNrInactiveFile),
            "VMSTAT_NR_ACTIVE_FILE" => Some(Self::VmstatNrActiveFile),
            "VMSTAT_NR_UNEVICTABLE" => Some(Self::VmstatNrUnevictable),
            "VMSTAT_NR_MLOCK" => Some(Self::VmstatNrMlock),
            "VMSTAT_NR_ANON_PAGES" => Some(Self::VmstatNrAnonPages),
            "VMSTAT_NR_MAPPED" => Some(Self::VmstatNrMapped),
            "VMSTAT_NR_FILE_PAGES" => Some(Self::VmstatNrFilePages),
            "VMSTAT_NR_DIRTY" => Some(Self::VmstatNrDirty),
            "VMSTAT_NR_WRITEBACK" => Some(Self::VmstatNrWriteback),
            "VMSTAT_NR_SLAB_RECLAIMABLE" => Some(Self::VmstatNrSlabReclaimable),
            "VMSTAT_NR_SLAB_UNRECLAIMABLE" => Some(Self::VmstatNrSlabUnreclaimable),
            "VMSTAT_NR_PAGE_TABLE_PAGES" => Some(Self::VmstatNrPageTablePages),
            "VMSTAT_NR_KERNEL_STACK" => Some(Self::VmstatNrKernelStack),
            "VMSTAT_NR_OVERHEAD" => Some(Self::VmstatNrOverhead),
            "VMSTAT_NR_UNSTABLE" => Some(Self::VmstatNrUnstable),
            "VMSTAT_NR_BOUNCE" => Some(Self::VmstatNrBounce),
            "VMSTAT_NR_VMSCAN_WRITE" => Some(Self::VmstatNrVmscanWrite),
            "VMSTAT_NR_VMSCAN_IMMEDIATE_RECLAIM" => {
                Some(Self::VmstatNrVmscanImmediateReclaim)
            }
            "VMSTAT_NR_WRITEBACK_TEMP" => Some(Self::VmstatNrWritebackTemp),
            "VMSTAT_NR_ISOLATED_ANON" => Some(Self::VmstatNrIsolatedAnon),
            "VMSTAT_NR_ISOLATED_FILE" => Some(Self::VmstatNrIsolatedFile),
            "VMSTAT_NR_SHMEM" => Some(Self::VmstatNrShmem),
            "VMSTAT_NR_DIRTIED" => Some(Self::VmstatNrDirtied),
            "VMSTAT_NR_WRITTEN" => Some(Self::VmstatNrWritten),
            "VMSTAT_NR_PAGES_SCANNED" => Some(Self::VmstatNrPagesScanned),
            "VMSTAT_WORKINGSET_REFAULT" => Some(Self::VmstatWorkingsetRefault),
            "VMSTAT_WORKINGSET_ACTIVATE" => Some(Self::VmstatWorkingsetActivate),
            "VMSTAT_WORKINGSET_NODERECLAIM" => Some(Self::VmstatWorkingsetNodereclaim),
            "VMSTAT_NR_ANON_TRANSPARENT_HUGEPAGES" => {
                Some(Self::VmstatNrAnonTransparentHugepages)
            }
            "VMSTAT_NR_FREE_CMA" => Some(Self::VmstatNrFreeCma),
            "VMSTAT_NR_SWAPCACHE" => Some(Self::VmstatNrSwapcache),
            "VMSTAT_NR_DIRTY_THRESHOLD" => Some(Self::VmstatNrDirtyThreshold),
            "VMSTAT_NR_DIRTY_BACKGROUND_THRESHOLD" => {
                Some(Self::VmstatNrDirtyBackgroundThreshold)
            }
            "VMSTAT_PGPGIN" => Some(Self::VmstatPgpgin),
            "VMSTAT_PGPGOUT" => Some(Self::VmstatPgpgout),
            "VMSTAT_PGPGOUTCLEAN" => Some(Self::VmstatPgpgoutclean),
            "VMSTAT_PSWPIN" => Some(Self::VmstatPswpin),
            "VMSTAT_PSWPOUT" => Some(Self::VmstatPswpout),
            "VMSTAT_PGALLOC_DMA" => Some(Self::VmstatPgallocDma),
            "VMSTAT_PGALLOC_NORMAL" => Some(Self::VmstatPgallocNormal),
            "VMSTAT_PGALLOC_MOVABLE" => Some(Self::VmstatPgallocMovable),
            "VMSTAT_PGFREE" => Some(Self::VmstatPgfree),
            "VMSTAT_PGACTIVATE" => Some(Self::VmstatPgactivate),
            "VMSTAT_PGDEACTIVATE" => Some(Self::VmstatPgdeactivate),
            "VMSTAT_PGFAULT" => Some(Self::VmstatPgfault),
            "VMSTAT_PGMAJFAULT" => Some(Self::VmstatPgmajfault),
            "VMSTAT_PGREFILL_DMA" => Some(Self::VmstatPgrefillDma),
            "VMSTAT_PGREFILL_NORMAL" => Some(Self::VmstatPgrefillNormal),
            "VMSTAT_PGREFILL_MOVABLE" => Some(Self::VmstatPgrefillMovable),
            "VMSTAT_PGSTEAL_KSWAPD_DMA" => Some(Self::VmstatPgstealKswapdDma),
            "VMSTAT_PGSTEAL_KSWAPD_NORMAL" => Some(Self::VmstatPgstealKswapdNormal),
            "VMSTAT_PGSTEAL_KSWAPD_MOVABLE" => Some(Self::VmstatPgstealKswapdMovable),
            "VMSTAT_PGSTEAL_DIRECT_DMA" => Some(Self::VmstatPgstealDirectDma),
            "VMSTAT_PGSTEAL_DIRECT_NORMAL" => Some(Self::VmstatPgstealDirectNormal),
            "VMSTAT_PGSTEAL_DIRECT_MOVABLE" => Some(Self::VmstatPgstealDirectMovable),
            "VMSTAT_PGSCAN_KSWAPD_DMA" => Some(Self::VmstatPgscanKswapdDma),
            "VMSTAT_PGSCAN_KSWAPD_NORMAL" => Some(Self::VmstatPgscanKswapdNormal),
            "VMSTAT_PGSCAN_KSWAPD_MOVABLE" => Some(Self::VmstatPgscanKswapdMovable),
            "VMSTAT_PGSCAN_DIRECT_DMA" => Some(Self::VmstatPgscanDirectDma),
            "VMSTAT_PGSCAN_DIRECT_NORMAL" => Some(Self::VmstatPgscanDirectNormal),
            "VMSTAT_PGSCAN_DIRECT_MOVABLE" => Some(Self::VmstatPgscanDirectMovable),
            "VMSTAT_PGSCAN_DIRECT_THROTTLE" => Some(Self::VmstatPgscanDirectThrottle),
            "VMSTAT_PGINODESTEAL" => Some(Self::VmstatPginodesteal),
            "VMSTAT_SLABS_SCANNED" => Some(Self::VmstatSlabsScanned),
            "VMSTAT_KSWAPD_INODESTEAL" => Some(Self::VmstatKswapdInodesteal),
            "VMSTAT_KSWAPD_LOW_WMARK_HIT_QUICKLY" => {
                Some(Self::VmstatKswapdLowWmarkHitQuickly)
            }
            "VMSTAT_KSWAPD_HIGH_WMARK_HIT_QUICKLY" => {
                Some(Self::VmstatKswapdHighWmarkHitQuickly)
            }
            "VMSTAT_PAGEOUTRUN" => Some(Self::VmstatPageoutrun),
            "VMSTAT_ALLOCSTALL" => Some(Self::VmstatAllocstall),
            "VMSTAT_PGROTATED" => Some(Self::VmstatPgrotated),
            "VMSTAT_DROP_PAGECACHE" => Some(Self::VmstatDropPagecache),
            "VMSTAT_DROP_SLAB" => Some(Self::VmstatDropSlab),
            "VMSTAT_PGMIGRATE_SUCCESS" => Some(Self::VmstatPgmigrateSuccess),
            "VMSTAT_PGMIGRATE_FAIL" => Some(Self::VmstatPgmigrateFail),
            "VMSTAT_COMPACT_MIGRATE_SCANNED" => Some(Self::VmstatCompactMigrateScanned),
            "VMSTAT_COMPACT_FREE_SCANNED" => Some(Self::VmstatCompactFreeScanned),
            "VMSTAT_COMPACT_ISOLATED" => Some(Self::VmstatCompactIsolated),
            "VMSTAT_COMPACT_STALL" => Some(Self::VmstatCompactStall),
            "VMSTAT_COMPACT_FAIL" => Some(Self::VmstatCompactFail),
            "VMSTAT_COMPACT_SUCCESS" => Some(Self::VmstatCompactSuccess),
            "VMSTAT_COMPACT_DAEMON_WAKE" => Some(Self::VmstatCompactDaemonWake),
            "VMSTAT_UNEVICTABLE_PGS_CULLED" => Some(Self::VmstatUnevictablePgsCulled),
            "VMSTAT_UNEVICTABLE_PGS_SCANNED" => Some(Self::VmstatUnevictablePgsScanned),
            "VMSTAT_UNEVICTABLE_PGS_RESCUED" => Some(Self::VmstatUnevictablePgsRescued),
            "VMSTAT_UNEVICTABLE_PGS_MLOCKED" => Some(Self::VmstatUnevictablePgsMlocked),
            "VMSTAT_UNEVICTABLE_PGS_MUNLOCKED" => {
                Some(Self::VmstatUnevictablePgsMunlocked)
            }
            "VMSTAT_UNEVICTABLE_PGS_CLEARED" => Some(Self::VmstatUnevictablePgsCleared),
            "VMSTAT_UNEVICTABLE_PGS_STRANDED" => Some(Self::VmstatUnevictablePgsStranded),
            "VMSTAT_NR_ZSPAGES" => Some(Self::VmstatNrZspages),
            "VMSTAT_NR_ION_HEAP" => Some(Self::VmstatNrIonHeap),
            "VMSTAT_NR_GPU_HEAP" => Some(Self::VmstatNrGpuHeap),
            "VMSTAT_ALLOCSTALL_DMA" => Some(Self::VmstatAllocstallDma),
            "VMSTAT_ALLOCSTALL_MOVABLE" => Some(Self::VmstatAllocstallMovable),
            "VMSTAT_ALLOCSTALL_NORMAL" => Some(Self::VmstatAllocstallNormal),
            "VMSTAT_COMPACT_DAEMON_FREE_SCANNED" => {
                Some(Self::VmstatCompactDaemonFreeScanned)
            }
            "VMSTAT_COMPACT_DAEMON_MIGRATE_SCANNED" => {
                Some(Self::VmstatCompactDaemonMigrateScanned)
            }
            "VMSTAT_NR_FASTRPC" => Some(Self::VmstatNrFastrpc),
            "VMSTAT_NR_INDIRECTLY_RECLAIMABLE" => {
                Some(Self::VmstatNrIndirectlyReclaimable)
            }
            "VMSTAT_NR_ION_HEAP_POOL" => Some(Self::VmstatNrIonHeapPool),
            "VMSTAT_NR_KERNEL_MISC_RECLAIMABLE" => {
                Some(Self::VmstatNrKernelMiscReclaimable)
            }
            "VMSTAT_NR_SHADOW_CALL_STACK_BYTES" => {
                Some(Self::VmstatNrShadowCallStackBytes)
            }
            "VMSTAT_NR_SHMEM_HUGEPAGES" => Some(Self::VmstatNrShmemHugepages),
            "VMSTAT_NR_SHMEM_PMDMAPPED" => Some(Self::VmstatNrShmemPmdmapped),
            "VMSTAT_NR_UNRECLAIMABLE_PAGES" => Some(Self::VmstatNrUnreclaimablePages),
            "VMSTAT_NR_ZONE_ACTIVE_ANON" => Some(Self::VmstatNrZoneActiveAnon),
            "VMSTAT_NR_ZONE_ACTIVE_FILE" => Some(Self::VmstatNrZoneActiveFile),
            "VMSTAT_NR_ZONE_INACTIVE_ANON" => Some(Self::VmstatNrZoneInactiveAnon),
            "VMSTAT_NR_ZONE_INACTIVE_FILE" => Some(Self::VmstatNrZoneInactiveFile),
            "VMSTAT_NR_ZONE_UNEVICTABLE" => Some(Self::VmstatNrZoneUnevictable),
            "VMSTAT_NR_ZONE_WRITE_PENDING" => Some(Self::VmstatNrZoneWritePending),
            "VMSTAT_OOM_KILL" => Some(Self::VmstatOomKill),
            "VMSTAT_PGLAZYFREE" => Some(Self::VmstatPglazyfree),
            "VMSTAT_PGLAZYFREED" => Some(Self::VmstatPglazyfreed),
            "VMSTAT_PGREFILL" => Some(Self::VmstatPgrefill),
            "VMSTAT_PGSCAN_DIRECT" => Some(Self::VmstatPgscanDirect),
            "VMSTAT_PGSCAN_KSWAPD" => Some(Self::VmstatPgscanKswapd),
            "VMSTAT_PGSKIP_DMA" => Some(Self::VmstatPgskipDma),
            "VMSTAT_PGSKIP_MOVABLE" => Some(Self::VmstatPgskipMovable),
            "VMSTAT_PGSKIP_NORMAL" => Some(Self::VmstatPgskipNormal),
            "VMSTAT_PGSTEAL_DIRECT" => Some(Self::VmstatPgstealDirect),
            "VMSTAT_PGSTEAL_KSWAPD" => Some(Self::VmstatPgstealKswapd),
            "VMSTAT_SWAP_RA" => Some(Self::VmstatSwapRa),
            "VMSTAT_SWAP_RA_HIT" => Some(Self::VmstatSwapRaHit),
            "VMSTAT_WORKINGSET_RESTORE" => Some(Self::VmstatWorkingsetRestore),
            "VMSTAT_ALLOCSTALL_DEVICE" => Some(Self::VmstatAllocstallDevice),
            "VMSTAT_ALLOCSTALL_DMA32" => Some(Self::VmstatAllocstallDma32),
            "VMSTAT_BALLOON_DEFLATE" => Some(Self::VmstatBalloonDeflate),
            "VMSTAT_BALLOON_INFLATE" => Some(Self::VmstatBalloonInflate),
            "VMSTAT_BALLOON_MIGRATE" => Some(Self::VmstatBalloonMigrate),
            "VMSTAT_CMA_ALLOC_FAIL" => Some(Self::VmstatCmaAllocFail),
            "VMSTAT_CMA_ALLOC_SUCCESS" => Some(Self::VmstatCmaAllocSuccess),
            "VMSTAT_NR_FILE_HUGEPAGES" => Some(Self::VmstatNrFileHugepages),
            "VMSTAT_NR_FILE_PMDMAPPED" => Some(Self::VmstatNrFilePmdmapped),
            "VMSTAT_NR_FOLL_PIN_ACQUIRED" => Some(Self::VmstatNrFollPinAcquired),
            "VMSTAT_NR_FOLL_PIN_RELEASED" => Some(Self::VmstatNrFollPinReleased),
            "VMSTAT_NR_SEC_PAGE_TABLE_PAGES" => Some(Self::VmstatNrSecPageTablePages),
            "VMSTAT_NR_SHADOW_CALL_STACK" => Some(Self::VmstatNrShadowCallStack),
            "VMSTAT_NR_SWAPCACHED" => Some(Self::VmstatNrSwapcached),
            "VMSTAT_NR_THROTTLED_WRITTEN" => Some(Self::VmstatNrThrottledWritten),
            "VMSTAT_PGALLOC_DEVICE" => Some(Self::VmstatPgallocDevice),
            "VMSTAT_PGALLOC_DMA32" => Some(Self::VmstatPgallocDma32),
            "VMSTAT_PGDEMOTE_DIRECT" => Some(Self::VmstatPgdemoteDirect),
            "VMSTAT_PGDEMOTE_KSWAPD" => Some(Self::VmstatPgdemoteKswapd),
            "VMSTAT_PGREUSE" => Some(Self::VmstatPgreuse),
            "VMSTAT_PGSCAN_ANON" => Some(Self::VmstatPgscanAnon),
            "VMSTAT_PGSCAN_FILE" => Some(Self::VmstatPgscanFile),
            "VMSTAT_PGSKIP_DEVICE" => Some(Self::VmstatPgskipDevice),
            "VMSTAT_PGSKIP_DMA32" => Some(Self::VmstatPgskipDma32),
            "VMSTAT_PGSTEAL_ANON" => Some(Self::VmstatPgstealAnon),
            "VMSTAT_PGSTEAL_FILE" => Some(Self::VmstatPgstealFile),
            "VMSTAT_THP_COLLAPSE_ALLOC" => Some(Self::VmstatThpCollapseAlloc),
            "VMSTAT_THP_COLLAPSE_ALLOC_FAILED" => {
                Some(Self::VmstatThpCollapseAllocFailed)
            }
            "VMSTAT_THP_DEFERRED_SPLIT_PAGE" => Some(Self::VmstatThpDeferredSplitPage),
            "VMSTAT_THP_FAULT_ALLOC" => Some(Self::VmstatThpFaultAlloc),
            "VMSTAT_THP_FAULT_FALLBACK" => Some(Self::VmstatThpFaultFallback),
            "VMSTAT_THP_FAULT_FALLBACK_CHARGE" => {
                Some(Self::VmstatThpFaultFallbackCharge)
            }
            "VMSTAT_THP_FILE_ALLOC" => Some(Self::VmstatThpFileAlloc),
            "VMSTAT_THP_FILE_FALLBACK" => Some(Self::VmstatThpFileFallback),
            "VMSTAT_THP_FILE_FALLBACK_CHARGE" => Some(Self::VmstatThpFileFallbackCharge),
            "VMSTAT_THP_FILE_MAPPED" => Some(Self::VmstatThpFileMapped),
            "VMSTAT_THP_MIGRATION_FAIL" => Some(Self::VmstatThpMigrationFail),
            "VMSTAT_THP_MIGRATION_SPLIT" => Some(Self::VmstatThpMigrationSplit),
            "VMSTAT_THP_MIGRATION_SUCCESS" => Some(Self::VmstatThpMigrationSuccess),
            "VMSTAT_THP_SCAN_EXCEED_NONE_PTE" => Some(Self::VmstatThpScanExceedNonePte),
            "VMSTAT_THP_SCAN_EXCEED_SHARE_PTE" => Some(Self::VmstatThpScanExceedSharePte),
            "VMSTAT_THP_SCAN_EXCEED_SWAP_PTE" => Some(Self::VmstatThpScanExceedSwapPte),
            "VMSTAT_THP_SPLIT_PAGE" => Some(Self::VmstatThpSplitPage),
            "VMSTAT_THP_SPLIT_PAGE_FAILED" => Some(Self::VmstatThpSplitPageFailed),
            "VMSTAT_THP_SPLIT_PMD" => Some(Self::VmstatThpSplitPmd),
            "VMSTAT_THP_SWPOUT" => Some(Self::VmstatThpSwpout),
            "VMSTAT_THP_SWPOUT_FALLBACK" => Some(Self::VmstatThpSwpoutFallback),
            "VMSTAT_THP_ZERO_PAGE_ALLOC" => Some(Self::VmstatThpZeroPageAlloc),
            "VMSTAT_THP_ZERO_PAGE_ALLOC_FAILED" => {
                Some(Self::VmstatThpZeroPageAllocFailed)
            }
            "VMSTAT_VMA_LOCK_ABORT" => Some(Self::VmstatVmaLockAbort),
            "VMSTAT_VMA_LOCK_MISS" => Some(Self::VmstatVmaLockMiss),
            "VMSTAT_VMA_LOCK_RETRY" => Some(Self::VmstatVmaLockRetry),
            "VMSTAT_VMA_LOCK_SUCCESS" => Some(Self::VmstatVmaLockSuccess),
            "VMSTAT_WORKINGSET_ACTIVATE_ANON" => Some(Self::VmstatWorkingsetActivateAnon),
            "VMSTAT_WORKINGSET_ACTIVATE_FILE" => Some(Self::VmstatWorkingsetActivateFile),
            "VMSTAT_WORKINGSET_NODES" => Some(Self::VmstatWorkingsetNodes),
            "VMSTAT_WORKINGSET_REFAULT_ANON" => Some(Self::VmstatWorkingsetRefaultAnon),
            "VMSTAT_WORKINGSET_REFAULT_FILE" => Some(Self::VmstatWorkingsetRefaultFile),
            "VMSTAT_WORKINGSET_RESTORE_ANON" => Some(Self::VmstatWorkingsetRestoreAnon),
            "VMSTAT_WORKINGSET_RESTORE_FILE" => Some(Self::VmstatWorkingsetRestoreFile),
            _ => None,
        }
    }
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum TrafficDirection {
    DirUnspecified = 0,
    DirIngress = 1,
    DirEgress = 2,
}
impl TrafficDirection {
    /// String value of the enum field names used in the ProtoBuf definition.
    ///
    /// The values are not transformed in any way and thus are considered stable
    /// (if the ProtoBuf definition does not change) and safe for programmatic use.
    pub fn as_str_name(&self) -> &'static str {
        match self {
            Self::DirUnspecified => "DIR_UNSPECIFIED",
            Self::DirIngress => "DIR_INGRESS",
            Self::DirEgress => "DIR_EGRESS",
        }
    }
    /// Creates an enum from field names used in the ProtoBuf definition.
    pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
        match value {
            "DIR_UNSPECIFIED" => Some(Self::DirUnspecified),
            "DIR_INGRESS" => Some(Self::DirIngress),
            "DIR_EGRESS" => Some(Self::DirEgress),
            _ => None,
        }
    }
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum FtraceParseStatus {
    FtraceStatusUnspecified = 0,
    /// Not written, used for convenience of implementation:
    FtraceStatusOk = 1,
    /// Issues with reading data out of the ftrace ring buffer:
    FtraceStatusUnexpectedReadError = 2,
    FtraceStatusPartialPageRead = 3,
    /// Ring buffer binary data not matching our understanding of the layout:
    FtraceStatusAbiInvalidPageHeader = 4,
    FtraceStatusAbiShortEventHeader = 5,
    FtraceStatusAbiNullPadding = 6,
    FtraceStatusAbiShortPaddingLength = 7,
    FtraceStatusAbiInvalidPaddingLength = 8,
    FtraceStatusAbiShortTimeExtend = 9,
    FtraceStatusAbiShortTimeStamp = 10,
    FtraceStatusAbiShortDataLength = 11,
    FtraceStatusAbiZeroDataLength = 12,
    FtraceStatusAbiInvalidDataLength = 13,
    FtraceStatusAbiShortEventId = 14,
    FtraceStatusAbiEndOverflow = 15,
    /// Issues with parsing the event payload:
    FtraceStatusShortCompactEvent = 16,
    FtraceStatusInvalidEvent = 17,
}
impl FtraceParseStatus {
    /// String value of the enum field names used in the ProtoBuf definition.
    ///
    /// The values are not transformed in any way and thus are considered stable
    /// (if the ProtoBuf definition does not change) and safe for programmatic use.
    pub fn as_str_name(&self) -> &'static str {
        match self {
            Self::FtraceStatusUnspecified => "FTRACE_STATUS_UNSPECIFIED",
            Self::FtraceStatusOk => "FTRACE_STATUS_OK",
            Self::FtraceStatusUnexpectedReadError => {
                "FTRACE_STATUS_UNEXPECTED_READ_ERROR"
            }
            Self::FtraceStatusPartialPageRead => "FTRACE_STATUS_PARTIAL_PAGE_READ",
            Self::FtraceStatusAbiInvalidPageHeader => {
                "FTRACE_STATUS_ABI_INVALID_PAGE_HEADER"
            }
            Self::FtraceStatusAbiShortEventHeader => {
                "FTRACE_STATUS_ABI_SHORT_EVENT_HEADER"
            }
            Self::FtraceStatusAbiNullPadding => "FTRACE_STATUS_ABI_NULL_PADDING",
            Self::FtraceStatusAbiShortPaddingLength => {
                "FTRACE_STATUS_ABI_SHORT_PADDING_LENGTH"
            }
            Self::FtraceStatusAbiInvalidPaddingLength => {
                "FTRACE_STATUS_ABI_INVALID_PADDING_LENGTH"
            }
            Self::FtraceStatusAbiShortTimeExtend => "FTRACE_STATUS_ABI_SHORT_TIME_EXTEND",
            Self::FtraceStatusAbiShortTimeStamp => "FTRACE_STATUS_ABI_SHORT_TIME_STAMP",
            Self::FtraceStatusAbiShortDataLength => "FTRACE_STATUS_ABI_SHORT_DATA_LENGTH",
            Self::FtraceStatusAbiZeroDataLength => "FTRACE_STATUS_ABI_ZERO_DATA_LENGTH",
            Self::FtraceStatusAbiInvalidDataLength => {
                "FTRACE_STATUS_ABI_INVALID_DATA_LENGTH"
            }
            Self::FtraceStatusAbiShortEventId => "FTRACE_STATUS_ABI_SHORT_EVENT_ID",
            Self::FtraceStatusAbiEndOverflow => "FTRACE_STATUS_ABI_END_OVERFLOW",
            Self::FtraceStatusShortCompactEvent => "FTRACE_STATUS_SHORT_COMPACT_EVENT",
            Self::FtraceStatusInvalidEvent => "FTRACE_STATUS_INVALID_EVENT",
        }
    }
    /// Creates an enum from field names used in the ProtoBuf definition.
    pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
        match value {
            "FTRACE_STATUS_UNSPECIFIED" => Some(Self::FtraceStatusUnspecified),
            "FTRACE_STATUS_OK" => Some(Self::FtraceStatusOk),
            "FTRACE_STATUS_UNEXPECTED_READ_ERROR" => {
                Some(Self::FtraceStatusUnexpectedReadError)
            }
            "FTRACE_STATUS_PARTIAL_PAGE_READ" => Some(Self::FtraceStatusPartialPageRead),
            "FTRACE_STATUS_ABI_INVALID_PAGE_HEADER" => {
                Some(Self::FtraceStatusAbiInvalidPageHeader)
            }
            "FTRACE_STATUS_ABI_SHORT_EVENT_HEADER" => {
                Some(Self::FtraceStatusAbiShortEventHeader)
            }
            "FTRACE_STATUS_ABI_NULL_PADDING" => Some(Self::FtraceStatusAbiNullPadding),
            "FTRACE_STATUS_ABI_SHORT_PADDING_LENGTH" => {
                Some(Self::FtraceStatusAbiShortPaddingLength)
            }
            "FTRACE_STATUS_ABI_INVALID_PADDING_LENGTH" => {
                Some(Self::FtraceStatusAbiInvalidPaddingLength)
            }
            "FTRACE_STATUS_ABI_SHORT_TIME_EXTEND" => {
                Some(Self::FtraceStatusAbiShortTimeExtend)
            }
            "FTRACE_STATUS_ABI_SHORT_TIME_STAMP" => {
                Some(Self::FtraceStatusAbiShortTimeStamp)
            }
            "FTRACE_STATUS_ABI_SHORT_DATA_LENGTH" => {
                Some(Self::FtraceStatusAbiShortDataLength)
            }
            "FTRACE_STATUS_ABI_ZERO_DATA_LENGTH" => {
                Some(Self::FtraceStatusAbiZeroDataLength)
            }
            "FTRACE_STATUS_ABI_INVALID_DATA_LENGTH" => {
                Some(Self::FtraceStatusAbiInvalidDataLength)
            }
            "FTRACE_STATUS_ABI_SHORT_EVENT_ID" => Some(Self::FtraceStatusAbiShortEventId),
            "FTRACE_STATUS_ABI_END_OVERFLOW" => Some(Self::FtraceStatusAbiEndOverflow),
            "FTRACE_STATUS_SHORT_COMPACT_EVENT" => {
                Some(Self::FtraceStatusShortCompactEvent)
            }
            "FTRACE_STATUS_INVALID_EVENT" => Some(Self::FtraceStatusInvalidEvent),
            _ => None,
        }
    }
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum FtraceClock {
    /// There is no FTRACE_CLOCK_BOOT entry as that's the default assumption. When
    /// the ftrace clock is "boot", it's just omitted (so UNSPECIFIED == BOOT).
    Unspecified = 0,
    Unknown = 1,
    Global = 2,
    Local = 3,
    MonoRaw = 4,
}
impl FtraceClock {
    /// String value of the enum field names used in the ProtoBuf definition.
    ///
    /// The values are not transformed in any way and thus are considered stable
    /// (if the ProtoBuf definition does not change) and safe for programmatic use.
    pub fn as_str_name(&self) -> &'static str {
        match self {
            Self::Unspecified => "FTRACE_CLOCK_UNSPECIFIED",
            Self::Unknown => "FTRACE_CLOCK_UNKNOWN",
            Self::Global => "FTRACE_CLOCK_GLOBAL",
            Self::Local => "FTRACE_CLOCK_LOCAL",
            Self::MonoRaw => "FTRACE_CLOCK_MONO_RAW",
        }
    }
    /// Creates an enum from field names used in the ProtoBuf definition.
    pub fn from_str_name(value: &str) -> ::core::option::Option<Self> {
        match value {
            "FTRACE_CLOCK_UNSPECIFIED" => Some(Self::Unspecified),
            "FTRACE_CLOCK_UNKNOWN" => Some(Self::Unknown),
            "FTRACE_CLOCK_GLOBAL" => Some(Self::Global),
            "FTRACE_CLOCK_LOCAL" => Some(Self::Local),
            "FTRACE_CLOCK_MONO_RAW" => Some(Self::MonoRaw),
            _ => None,
        }
    }
}
